local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_tmd",
  Def.ActorFrame{
    Name= "xtl_actor_umd",
    Def.Sprite{
      Name= "xtl_actor_vmd",
    OnCommand= cmd(zoom,0;sleep,1.846-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_wmd",
    OnCommand= cmd(zoom,0;sleep,2.769-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -450;rotationz,180;linear,0.346;y,SCREEN_CENTER_Y + -30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + -450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_xmd",
    OnCommand= cmd(zoom,0;sleep,3.692-0.231;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;linear,1.846;rotationz,360;linear,0.231;rotationz,360+45;zoom,0),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ymd",
    OnCommand= cmd(zoom,0;sleep,3.692-0.231;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;zoomx,-1.5;linear,1.846;rotationz,360;linear,0.231;rotationz,360+45;zoom,0),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_zmd",
    OnCommand= cmd(zoom,0;sleep,5.538-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_and",
    OnCommand= cmd(zoom,0;sleep,6.462-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -450;rotationz,180;linear,0.346;y,SCREEN_CENTER_Y + -30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + -450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_bnd",
    OnCommand= cmd(zoom,0;sleep,7.385-0.231;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;zoomx,-1.5;linear,1.846;rotationz,360;linear,0.231;rotationz,360+45;zoom,0),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_cnd",
    OnCommand= cmd(zoom,0;sleep,7.385-0.231;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;linear,1.846;rotationz,360;linear,0.231;rotationz,360+45;zoom,0),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_dnd",
    OnCommand= cmd(zoom,0;sleep,9.231-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_end",
    OnCommand= cmd(zoom,0;sleep,10.154-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -450;rotationz,180;linear,0.346;y,SCREEN_CENTER_Y + -30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + -450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_fnd",
    OnCommand= cmd(zoom,0;sleep,11.077-0.231;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;linear,1.846;rotationz,360;linear,1.846;rotationz,0;linear,1.846;rotationz,360;linear,0.231;rotationz,360+45;zoom,0),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_gnd",
    OnCommand= cmd(zoom,0;sleep,11.077-0.231;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;zoomx,-1.5;linear,1.846;rotationz,360;linear,1.846;rotationz,0;linear,1.846;rotationz,360;linear,0.231;rotationz,360+45;zoom,0),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_hnd",
    OnCommand= cmd(zoom,0;sleep,16.615-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ind",
    OnCommand= cmd(zoom,0;sleep,17.538-0.346;zoom,1.75;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_jnd",
    OnCommand= cmd(zoom,0;sleep,18.462-0.346;zoom,1.75;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_knd",
    OnCommand= cmd(zoom,0;sleep,19.385-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_lnd",
    OnCommand= cmd(zoom,0;sleep,20.308-0.346;zoom,1.75;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_mnd",
    OnCommand= cmd(zoom,0;sleep,21.231-0.346;zoom,1.75;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_nnd",
    OnCommand= cmd(zoom,0;sleep,22.154-0.346;zoom,1.75;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ond",
    OnCommand= cmd(zoom,0;sleep,23.078-0.346;zoom,1.75;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_pnd",
    OnCommand= cmd(zoom,0;sleep,24.000-0.346;zoom,1.75;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 450;linear,0.346;y,SCREEN_CENTER_Y + 30;sleep,0.346;linear,0.346;y,SCREEN_CENTER_Y + 450),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_qnd",
    OnCommand= cmd(zoom,0;sleep,24.923-0.231;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;zoomx,-1.5;linear,1.846;rotationz,360;linear,2.769;rotationz,1440;linear,1.846;rotationz,1440+2880;zoom,4;zoomx,-4;sleep,0;zoom,0),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_rnd",
    OnCommand= cmd(zoom,0;sleep,24.923-0.231;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 0;rotationz,-45;linear,0.231;rotationz,0;zoom,1.5;linear,1.846;rotationz,360;linear,2.769;rotationz,1440;linear,1.846;rotationz,1440+2880;zoom,4;sleep,0;zoom,0),
    Texture= "../chrismarks.png",
    },
  },
}