local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_snd",
  Def.ActorFrame{
    Name= "xtl_actor_tnd",
    Def.Sprite{
      Name= "xtl_actor_und",
    OnCommand= cmd(zoom,0;sleep,0.923;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_vnd",
    OnCommand= cmd(zoom,0;sleep,1.846;zoom,1;y,SCREEN_CENTER_Y + 120;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_wnd",
    OnCommand= cmd(zoom,0;sleep,2.769;zoom,1;y,SCREEN_CENTER_Y + -120;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_xnd",
    OnCommand= cmd(zoom,0;sleep,3.692;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ynd",
    OnCommand= cmd(zoom,0;sleep,4.615;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_znd",
    OnCommand= cmd(zoom,0;sleep,5.538;zoom,1;y,SCREEN_CENTER_Y + 120;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_aod",
    OnCommand= cmd(zoom,0;sleep,6.462;zoom,1;y,SCREEN_CENTER_Y + -120;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_bod",
    OnCommand= cmd(zoom,0;sleep,7.385;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_cod",
    OnCommand= cmd(zoom,0;sleep,8.308;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_dod",
    OnCommand= cmd(zoom,0;sleep,9.231;zoom,1;y,SCREEN_CENTER_Y + 120;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_eod",
    OnCommand= cmd(zoom,0;sleep,10.154;zoom,1;y,SCREEN_CENTER_Y + -120;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_fod",
    OnCommand= cmd(zoom,0;sleep,11.077;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_god",
    OnCommand= cmd(zoom,0;sleep,12.000;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_hod",
    OnCommand= cmd(zoom,0;sleep,12.923;zoom,1;y,SCREEN_CENTER_Y + 120;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_iod",
    OnCommand= cmd(zoom,0;sleep,13.846;zoom,1;y,SCREEN_CENTER_Y + -120;x,SCREEN_CENTER_X + 400;linear,4.615;x,SCREEN_CENTER_X + -400;rotationz,-720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_jod",
    OnCommand= cmd(zoom,0;sleep,14.769;zoom,1;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -400;linear,4.615;x,SCREEN_CENTER_X + 400;rotationz,720),
    Texture= "../chrismarks.png",
    },
    Def.Sprite{
      Name= "xtl_actor_kod",
    OnCommand= cmd(zoom,0;sleep,0.462;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_lod",
    OnCommand= cmd(zoom,0;sleep,2.308;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_mod",
    OnCommand= cmd(zoom,0;sleep,4.154;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_nod",
    OnCommand= cmd(zoom,0;sleep,6.000;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_ood",
    OnCommand= cmd(zoom,0;sleep,7.846;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_pod",
    OnCommand= cmd(zoom,0;sleep,9.692;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_qod",
    OnCommand= cmd(zoom,0;sleep,11.538;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_rod",
    OnCommand= cmd(zoom,0;sleep,13.385;zoom,1;linear,1.846;addx,160;addy,-240;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_sod",
    OnCommand= cmd(zoom,0;sleep,15.231;zoom,1;linear,1.846*4/3.;addx,160*4/3;addy,-240*4/3;sleep,0;zoom,0),
    Texture= "../grid",
    },
    Def.Sprite{
      Name= "xtl_actor_tod",
    OnCommand= cmd(zoom,0;sleep,12.923;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;linear,1.846;zoom,4;sleep,6.462;linear,0.462;diffusealpha,0),
    Texture= "../chrismarks.png",
    },
  },
}