local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_pqd",
  Def.Quad{
    Name= "xtl_actor_qqd",
  InitCommand= cmd(draworder,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;diffusealpha,0),
  OnCommand= cmd(linear,1;diffuse,color('#000000');sleep,58;linear,1.5;diffusealpha,0),
  },
  Def.Sprite{
    Name= "xtl_actor_rqd",
  InitCommand= cmd(draworder,2;hibernate,17;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-100;zoom,0.8),
  OnCommand= cmd(wag;sleep,40;linear,1.5;diffusealpha,0),
  Texture= "awesome",
  },
  Def.BitmapText{
    Name= "xtl_actor_sqd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(draworder,3),
  OnCommand= function(self)
				self:x(SCREEN_CENTER_X);
				self:y( SCREEN_BOTTOM - SCREEN_HEIGHT/2);			
				self:hibernate(3);
				self:settext('You\'ve just played a 7\n at a major ITG tournament.\nCongratulations.');
				self:sleep(1.75);
				self:linear(1);
				self:diffusealpha(0);
			end,
  },
  Def.BitmapText{
    Name= "xtl_actor_tqd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(draworder,4),
  OnCommand= function(self)
				self:x(SCREEN_CENTER_X);
				self:y( SCREEN_BOTTOM - SCREEN_HEIGHT/2);
				self:hibernate(7);
				self:settext('Your scores are, no doubt, very close.');
				self:sleep(1.75);
				self:linear(1);
				self:diffusealpha(0);
			end,
  },
  Def.BitmapText{
    Name= "xtl_actor_uqd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(draworder,5),
  OnCommand= function(self)
				self:x(SCREEN_CENTER_X);
				self:y( SCREEN_BOTTOM - SCREEN_HEIGHT/2);
				self:hibernate(10);
				self:settext('There is a single jump in another minute.');
				self:sleep(1.75);
				self:linear(1);
				self:diffusealpha(0);
			end,
  },
  Def.Sprite{
    Name= "xtl_actor_vqd",
  InitCommand= cmd(draworder,8),
  OnCommand= function(self)
				if Year() >= 2013 and MonthOfYear() >= 1 and DayOfMonth() >= 26 then
					self:x(0);
					self:y(0);
				else
					self:hidden(1);
				end;
			end,
  Texture= "../../../Polkamon/everybody/hmm",
  },
  Def.BitmapText{
    Name= "xtl_actor_wqd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(draworder,6),
  OnCommand= function(self)
				self:x(SCREEN_CENTER_X);
				self:y( SCREEN_BOTTOM - SCREEN_HEIGHT/2);
				self:hibernate(13);
				self:settext('Do you REALLY want to sit through\n a minute of silence to win this round?');
				self:sleep(1.75);
				self:linear(1);
				self:diffusealpha(0);
			end,
  },
  Def.BitmapText{
    Name= "xtl_actor_xqd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(draworder,7),
  OnCommand= function(self)
				self:x(SCREEN_CENTER_X);
				self:y( SCREEN_BOTTOM - SCREEN_HEIGHT/2.5);
				self:hibernate(17);
				self:settext('Feel free to use this opportunity\n to verbally harass your opponent.');
				self:sleep(1.75);
				self:linear(1);
				self:diffusealpha(0);
			end;,
  },
}