local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_eud",
InitCommand= function(self) imageX = SCREEN_CENTER_X; end,
  Def.Sprite{
    Name= "xtl_actor_fud",
  InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
  StepP1MessageCommand= function(self) 
			if imageX < SCREEN_WIDTH then
				if imageX > SCREEN_WIDTH/5 then
					self:addx(3);
					self:rotationy(5);
					imageX = imageX + 3;
				else
					self:addx(5);
					imageX = imageX + 5;
				end
			end end,
  StepP2MessageCommand= function(self)
			if imageX > 0 then
				if imageX < SCREEN_WIDTH * 4/5 then
					self:addx(-3);
					imageX = imageX - 3;
				else
					self:addx(-5);
					imageX = imageX - 5;
				end
			end end,
  Texture= "twilight.png",
  },
  Def.Quad{
    Name= "xtl_actor_gud",
  OnCommand= cmd(diffusealpha,0;sleep,1000),
  },
}