local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_hud",
  Def.Sprite{
    Name= "xtl_actor_iud",
  InitCommand= cmd(hibernate,44.489;x,SCREEN_CENTER_X + -420;y,SCREEN_CENTER_Y;linear,1;x,SCREEN_CENTER_X + 580;zoom,2),
  Texture= "dropthebeet.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jud",
  InitCommand= cmd(hibernate,72.542;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,1.846;sleep,0.429;diffusealpha,0),
  Texture= "GOeba.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kud",
  InitCommand= cmd(hibernate,99.112;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,0.429;diffusealpha,0),
  Texture= "GOash.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lud",
  InitCommand= cmd(hibernate,96.969;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0.544;sleep,0.214;diffusealpha,0),
  Texture= "fluttershy.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mud",
  InitCommand= cmd(hibernate,110.683;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0.544;rotationz,180;sleep,0.214;diffusealpha,0),
  Texture= "fluttershy.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nud",
  InitCommand= cmd(hibernate,112.397;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,0.428;diffusealpha,0),
  Texture= "windeu.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oud",
  InitCommand= cmd(hibernate,112.825;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,0.857;diffusealpha,0),
  Texture= "BLACK.tyler.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pud",
  InitCommand= cmd(hibernate,113.683;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,0.991;diffusealpha,0),
  Texture= "reloading150.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qud",
  InitCommand= cmd(hibernate,114.674;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;rate,1;sleep,2.449;diffusealpha,0),
  Texture= "DERPY.mpg",
  },
  Def.BitmapText{
    Name= "xtl_actor_rud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,125.561;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -520),
  Text= "THIS IS AN 18,",
  },
  Def.BitmapText{
    Name= "xtl_actor_sud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,125.561;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y + 20;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "THIS IS AN 18!!,",
  },
  Def.BitmapText{
    Name= "xtl_actor_tud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,125.861;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 240;linear,1.5;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y + -240;rotationz,720),
  Text= "THIS IS AN 18TH,",
  },
  Def.BitmapText{
    Name= "xtl_actor_uud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,126.061;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y + 240;linear,1.5;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + -240;rotationz,720),
  Text= "THIS IS AN 18TH,",
  },
  Def.BitmapText{
    Name= "xtl_actor_vud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,126.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 40;linear,1.5;x,SCREEN_CENTER_X + -520),
  Text= "STEVE REEEEEEEN,",
  },
  Def.BitmapText{
    Name= "xtl_actor_wud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,126.661;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "SHOUTOUTS TO EZA,",
  },
  Def.BitmapText{
    Name= "xtl_actor_xud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,126.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 40;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "ITG GAMZ THEME SRT BANANA IS TARO4012,",
  },
  Def.BitmapText{
    Name= "xtl_actor_yud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,127.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 240;linear,1.5;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y + -240;rotationz,900),
  Text= "SPIKE IS BEST PONY,",
  },
  Def.BitmapText{
    Name= "xtl_actor_zud",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,127.661;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y + 240;linear,1.5;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + -240;rotationz,540),
  Text= "THERE'S THE BOYZ!!,",
  },
  Def.BitmapText{
    Name= "xtl_actor_avd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,127.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -520),
  Text= "PIANERS!!,",
  },
  Def.BitmapText{
    Name= "xtl_actor_bvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,128.361;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y - 60;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "STEVE REEN,",
  },
  Def.BitmapText{
    Name= "xtl_actor_cvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,128.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 60;linear,1.5;x,SCREEN_CENTER_X + -620),
  Text= "FIVE GUYS IS SO GOOD,",
  },
  Def.BitmapText{
    Name= "xtl_actor_dvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,128.961;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + 580;rotationz,2000),
  Text= "<BITMAPTEXT />,",
  },
  Def.BitmapText{
    Name= "xtl_actor_evd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,129.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 20;linear,1.5;x,SCREEN_CENTER_X + -620),
  Text= "DRAGON14791,",
  },
  Def.BitmapText{
    Name= "xtl_actor_fvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,129.661;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y - 20;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "CHILL DUDE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_gvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,129.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 50;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "OK SERIOUSLY THIS IS AN 18,",
  },
  Def.BitmapText{
    Name= "xtl_actor_hvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,130.361;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y + 40;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "WHO HERE LOVES STEVE REEN,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ivd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,130.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "LOOK AT HOW LONG THIS RUN IS,",
  },
  Def.BitmapText{
    Name= "xtl_actor_jvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,130.961;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y + 20;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "HOW CAN YOU CALL THIS A 17,",
  },
  Def.BitmapText{
    Name= "xtl_actor_kvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,131.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 60;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "IT'S HARDER THAN OPRAH SHMUP,",
  },
  Def.BitmapText{
    Name= "xtl_actor_lvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,131.661;x,SCREEN_CENTER_X + -520;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "18 18 18 18 18 18 18 18,",
  },
  Def.BitmapText{
    Name= "xtl_actor_mvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,131.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 20;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "SecretUnlockDontTell.jpg,",
  },
  Def.BitmapText{
    Name= "xtl_actor_nvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,132.361;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y + 30;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "I'D LIKE TO BE A TREE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ovd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,132.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -720;rotationz,2000),
  Text= "YOLO YOLO YOLO,",
  },
  Def.BitmapText{
    Name= "xtl_actor_pvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,132.961;x,SCREEN_CENTER_X + -620;y,SCREEN_CENTER_Y + 260;linear,1.5;x,SCREEN_CENTER_X + 580;rotationy,2000;rotationz,-2000;y,SCREEN_CENTER_Y + -340),
  Text= "SWAG SWAG SWAG,",
  },
  Def.BitmapText{
    Name= "xtl_actor_qvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,133.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 60;linear,1.5;x,SCREEN_CENTER_X + -720;rotationz,6000),
  Text= "PARTY ROCK ANTHEM,",
  },
  Def.BitmapText{
    Name= "xtl_actor_rvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,133.661;x,SCREEN_CENTER_X + -620;y,SCREEN_CENTER_Y + 40;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "GENOISAWESOME,",
  },
  Def.BitmapText{
    Name= "xtl_actor_svd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,133.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + -340;linear,1.5;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y + 260;rotationz,10000),
  Text= "CHOBANI YOGURT,",
  },
  Def.BitmapText{
    Name= "xtl_actor_tvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,134.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "STREEEEEEEEEEAMZ,",
  },
  Def.BitmapText{
    Name= "xtl_actor_uvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,134.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 20;linear,1.5;x,SCREEN_CENTER_X + -720;rotationx,4000;rotationy,2000;rotationz,3000),
  Text= "TEAM PROOF OF CONCEPT,",
  },
  Def.BitmapText{
    Name= "xtl_actor_vvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,134.961;x,SCREEN_CENTER_X + -620;y,SCREEN_CENTER_Y + 20;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "TEAM DRAGONFORCE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_wvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,135.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 80;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "PROUD AND SO GLORIOUS,",
  },
  Def.BitmapText{
    Name= "xtl_actor_xvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,135.661;x,SCREEN_CENTER_X + -620;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + 980;zoom,4),
  Text= "THEMETEA11,",
  },
  Def.BitmapText{
    Name= "xtl_actor_yvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,135.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 60;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "FOOTSPEEEED,",
  },
  Def.BitmapText{
    Name= "xtl_actor_zvd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,136.361;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y + 60;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "UGH UGH UGH I'M GONNA DIE!!!,",
  },
  Def.BitmapText{
    Name= "xtl_actor_awd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,136.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "BYE GUYS,",
  },
  Def.BitmapText{
    Name= "xtl_actor_bwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,136.961;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y + 40;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "I LOVE JAYCE NEWTON,",
  },
  Def.BitmapText{
    Name= "xtl_actor_cwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,137.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 30;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "CALL OF DUTY 4 MODERN WARFARE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_dwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,137.661;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + 1680;zoom,6),
  Text= "I FIXED THE EXPLOSIONS,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ewd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,137.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 30;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "PLEASE REVIEW MY FANFIC,",
  },
  Def.BitmapText{
    Name= "xtl_actor_fwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,138.361;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y + 100;linear,1.5;x,SCREEN_CENTER_X + 680;y,SCREEN_CENTER_Y - 200),
  Text= "DON'T BUY CRAYOLA COLORED BUBBLES,",
  },
  Def.BitmapText{
    Name= "xtl_actor_gwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,138.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "SKDFJSDDLSDJFSKDJFK934983048,",
  },
  Def.BitmapText{
    Name= "xtl_actor_hwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,138.961;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y + 30;linear,1.5;x,SCREEN_CENTER_X + 1080;rotationz,3000;zoom,4),
  Text= "420 420 420 420 420,",
  },
  Def.BitmapText{
    Name= "xtl_actor_iwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,139.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 200;linear,1.5;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y + 300),
  Text= "PONIES,",
  },
  Def.BitmapText{
    Name= "xtl_actor_jwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,139.661;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + 580),
  Text= "SCREENMAN:GetTopScreen(),",
  },
  Def.BitmapText{
    Name= "xtl_actor_kwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,139.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 30;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "GAMESTATE:GetSongBeat(),",
  },
  Def.BitmapText{
    Name= "xtl_actor_lwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,140.361;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y - 50;linear,1.5;x,SCREEN_CENTER_X + 680),
  Text= "LUA WON'T YOU CRY FOR ME,",
  },
  Def.BitmapText{
    Name= "xtl_actor_mwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,140.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -720),
  Text= "I'M AS LONELY AS I'VE EVER BEEN,",
  },
  Def.BitmapText{
    Name= "xtl_actor_nwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,140.961;x,SCREEN_CENTER_X + -720;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + 580;rotationz,15000),
  Text= "REMIX 10 IS EASY,",
  },
  Def.BitmapText{
    Name= "xtl_actor_owd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,141.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 40;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,4),
  Text= "STEEEEVE REEEEEEEEEEEN,",
  },
  Def.BitmapText{
    Name= "xtl_actor_pwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,141.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,1),
  Text= "OK THIS RUN IS STILL GOING,",
  },
  Def.BitmapText{
    Name= "xtl_actor_qwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,141.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 40;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,1),
  Text= "DEFINITELY AN 18,",
  },
  Def.BitmapText{
    Name= "xtl_actor_rwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,142.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 20;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,1),
  Text= "THIS RUN IS IMPOSSIBLE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_swd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,142.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,1),
  Text= "MY INSOMNIAS IS MISRATED,",
  },
  Def.BitmapText{
    Name= "xtl_actor_twd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,142.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 60;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,4),
  Text= "IT'S AN 18TH,",
  },
  Def.BitmapText{
    Name= "xtl_actor_uwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,143.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 20;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,1),
  Text= "EIGHTEEEEEEN,",
  },
  Def.BitmapText{
    Name= "xtl_actor_vwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,143.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,2),
  Text= "NOT A 17,",
  },
  Def.BitmapText{
    Name= "xtl_actor_wwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,143.961;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y + 60;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,1),
  Text= "I WONDER IF PHIL WILL NOTICE IF I SAY **** HERE (YES I DID NOTICE THANKS),",
  },
  Def.BitmapText{
    Name= "xtl_actor_xwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,144.361;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y - 20;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,1),
  Text= "YEAH THIS IS AN 18,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ywd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,144.661;x,SCREEN_CENTER_X + 580;y,SCREEN_CENTER_Y;linear,1.5;x,SCREEN_CENTER_X + -1320;zoom,3),
  Text= "IF YOU HAVEN'T FAILED YET YOU'RE GAY,",
  },
  Def.BitmapText{
    Name= "xtl_actor_zwd",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,146.498;x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y;zoom,4;sleep,1.5;diffusealpha,0),
  Text= "ROLL!,",
  },
  Def.Quad{
    Name= "xtl_actor_axd",
  InitCommand= cmd(diffusealpha,0;sleep,120.716;queuecommand,"imbg";sleep,4.875;queuecommand,"ymbg"),
  imbgCommand= function(self)
	    GAMESTATE:ApplyGameCommand('mod, -1000% Cover');
	  end,
  ymbgCommand= function(self)
	    GAMESTATE:ApplyGameCommand('mod, -100% Cover');
	  end,
  },
  Def.Quad{
    Name= "xtl_actor_bxd",
  BOYSCommand= function(self)
	    curtime = GAMESTATE:GetSongBeat() * 60 / 128;
	    slptime = 46.832 - curtime;
	    nextslptime = 68.043 - curtime;
	if GAMESTATE:IsPlayerEnabled(0) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(slptime);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(11.568);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(50);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-48);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(48);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(SCREEN_CENTER_X + 160);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(SCREEN_CENTER_X - 160);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(SCREEN_CENTER_X + 160);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(35);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(1.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(64);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-64);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.7);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.3);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(1.714);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
	end
	if GAMESTATE:IsPlayerEnabled(1) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(slptime);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(11.568);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-50);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-48);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(48);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(SCREEN_CENTER_X - 160);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(SCREEN_CENTER_X + 160);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(SCREEN_CENTER_X - 160);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-35);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(1.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(64);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-64);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.7);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.3);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(1.714);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
	end
	    SCREENMAN:GetTopScreen():GetChild('Stage'):sleep(112.397);
	    SCREENMAN:GetTopScreen():GetChild('Stage'):y(1000);
	    SCREENMAN:GetTopScreen():GetChild('BPMDisplay'):sleep(112.397);
	    SCREENMAN:GetTopScreen():GetChild('BPMDisplay'):y(-100);
	    self:sleep(nextslptime);
	    self:queuecommand('THEBOYS');
	  end,
  BUTTSCommand= function(self) stp = 0; end,
  FLUTTERSHYISSOCUTECommand= function(self)
	    --85.069
	if GAMESTATE:IsPlayerEnabled(0) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(1.286);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.2);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(60);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-40);
	end
	if GAMESTATE:IsPlayerEnabled(1) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(1.286);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.2);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-60);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-40);
	end
	    self:sleep(14.143);
	    self:queuecommand('TAKETHATIANPYLES');
	  end,
  InitCommand= cmd(diffusealpha,0;playcommand,"BUTTS"),
  StepP1MessageCommand= function(self)
	    if stp == 0 and GAMESTATE:GetSongBeat() > 0 then stp = 1; self:playcommand('BOYS'); end end,
  StepP2MessageCommand= function(self)
	    if stp == 0 and GAMESTATE:GetSongBeat() > 0 then stp = 1; self:playcommand('BOYS'); end end,
  TAKETHATIANPYLESCommand= function(self)
	    --99.212
	if GAMESTATE:IsPlayerEnabled(0) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(1.285);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(80);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-80);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(80);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.5);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(-360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(SCREEN_CENTER_X - 160);
	end
	if GAMESTATE:IsPlayerEnabled(1) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(1.285);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.9);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.15);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-80);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(80);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-80);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.5);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(SCREEN_CENTER_X + 160);
	end
	  end,
  THEBOYSCommand= function(self)
	if GAMESTATE:IsPlayerEnabled(0) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.856);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(2.143);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(20);
	end
	if GAMESTATE:IsPlayerEnabled(1) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.856);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(2.143);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.427);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.858);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.072);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.071);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-20);
	end
	    self:sleep(7.498);
	    self:queuecommand('THERESTHEBOYS');
	  end,
  THERESTHEBOYSCommand= function(self)
	    --75.641
	if GAMESTATE:IsPlayerEnabled(0) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(-360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(24);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-24);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(-30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(1.285);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(70);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.2);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-360);
	end
	if GAMESTATE:IsPlayerEnabled(1) then
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(360);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-24);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-24);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.215);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(12);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(30);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(1.285);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-70);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.214);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.108);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.106);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(20);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.107);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-10);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.2);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.428);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.429);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-40);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.857);
	    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(360);
	end
	    self:sleep(9.428);
	    self:queuecommand('FLUTTERSHYISSOCUTE');
	  end,
  },
}