local xtl_cond_zae_result= GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_abe",
InitCommand= function(self)
	thing1 = 1;
	thing2 = 1;
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_1,'overhead') then 
						P1Div= 1.15; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_1,'hallway') then 
						P1Div= 0.94; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_1,'distant') then 
						P1Div= 1; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_1,'incoming') then 
						P1Div= 0.97; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_1,'space') then 
						P1Div= 1; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_2,'overhead') then 
						P2Div= 1.15; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_2,'hallway') then 
						P2Div= 0.94; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_2,'distant') then 
						P2Div= 1; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_2,'incoming') then 
						P2Div= 0.97; 
						end
	if GAMESTATE:PlayerIsUsingModifier(PLAYER_2,'space') then 
						P2Div= 1; 
						end
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 -10% beat',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 10% beat',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 -10% tipsy',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 10% tipsy',2);
	gModP1 = 0;
	gModP2 = 0;
	sModP1 = 0;
	sModP2 = 0;
	ups1 = 0;
	ups2 = 0;
	random1 = 11;
	random2 = 16;
	random3 = 13;
	random4 = 18;
	randomp1 = 0;
	randomp2 = 0;
	
end,
  optional_actor(xtl_cond_zae_result,
  Def.Quad{
    Name= "xtl_actor_bbe",
  InitCommand= function(self)
			thingP1 = 1;
			end,
  StepP1MessageCommand= function(self)
			self:diffusealpha(0);
				if GAMESTATE:GetSongBeat() > 0 then
						if thingP1 == 1 then
						GAMESTATE:ApplyGameCommand('mod, *100000 dark',1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(160);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):addx(-90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):addx(-90);
						for gModP1=0, 15, 0.1 do
							if GAMESTATE:PlayerIsUsingModifier(PLAYER_1,''..gModP1..'x') then 
								sModP1 = gModP1; 
								GAMESTATE:ApplyGameCommand('mod, '..(sModP1+0.25)*P1Div..'x',1);
								GAMESTATE:ApplyGameCommand('mod, overhead',1);
								end
							end
						thingP1 = 0;
						else
						thingP1 = 0;
						end
				end
				if GAMESTATE:GetSongBeat() > 16 then
				thang1 = 60;
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stoptweening();
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(5);
					if thing1 == 1 then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(thang1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(thang1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(thang1);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 -10% beat',1);
					thing1 = 0;
					else
					GAMESTATE:ApplyGameCommand('mod, *100000 stealth',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 no beat',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',2);
					ups1 = ups1 + 1;
					thing1 = 1;
					end
				if ups1 == (random1 + 1) then
					GAMESTATE:ApplyGameCommand('mod, *100000 no brake',1);
					randomp1 = randomp1 + 1;
					end
				if ups1 == random1 then
					GAMESTATE:ApplyGameCommand('mod, *100000 brake',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 90% stealth',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',2);
					end					
				if ups1 == (random3 + 1) then
					GAMESTATE:ApplyGameCommand('mod, *100000 no boost',1);
					randomp1 = randomp1 + 1;
					end
				if ups1 == random3 then
					GAMESTATE:ApplyGameCommand('mod, *100000 boost',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 90% stealth',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',2);
					end		
				if randomp1 >= 2 then
					randomp1 = 0;
					ups1 = 0;
					random1 = random1 + 2;
					random3 = random3 + 2;
					GAMESTATE:ApplyGameCommand('mod, *100000 no boost',1);
					GAMESTATE:ApplyGameCommand('mod, *100000 no brake',1);
					end	
				end
			end,
  }),
  optional_actor(xtl_cond_zae_result,
  Def.Quad{
    Name= "xtl_actor_cbe",
  InitCommand= function(self)
			thingP2 = 1;
			end,
  StepP2MessageCommand= function(self)
			self:diffusealpha(0);
				if GAMESTATE:GetSongBeat() > 0 then
						if thingP2 == 1 then
						GAMESTATE:ApplyGameCommand('mod, *100000 dark',2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-160);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):addx(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):addx(90);
						for gModP2=0, 15, 0.1 do
							if GAMESTATE:PlayerIsUsingModifier(PLAYER_2,''..gModP2..'x') then 
								sModP2 = gModP2; 
								GAMESTATE:ApplyGameCommand('mod, '..(sModP2+0.25)*P2Div..'x',2);
								GAMESTATE:ApplyGameCommand('mod, overhead',2);
								end
							end
						thingP2 = 0;
						else
						thingP2 = 0;
						end
				end
				if GAMESTATE:GetSongBeat() > 16 then
				GAMESTATE:ApplyGameCommand('mod, *100000 10% tipsy',2);
				thang2 = 60;
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stoptweening();
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(5);
					if thing2 == 1 then
					GAMESTATE:ApplyGameCommand('mod, *100000 stealth',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 no beat',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',1);
					ups2 = ups2 + 1;
					thing2 = 0;
					else
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(-1*thang2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-1*thang2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-1*thang2);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 10% beat',2);
					thing2 = 1;
					end
				if ups2 == (random2 + 1) then
					GAMESTATE:ApplyGameCommand('mod, *100000 no brake',2);
					randomp2 = randomp2 + 1;
					end
				if ups2 == random2 then
					GAMESTATE:ApplyGameCommand('mod, *100000 brake',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 90% stealth',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',1);
					end					
				if ups2 == (random4 + 1) then
					GAMESTATE:ApplyGameCommand('mod, *100000 no boost',2);
					randomp2 = randomp2 + 1;
					end
				if ups2 == random4 then
					GAMESTATE:ApplyGameCommand('mod, *100000 boost',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 90% stealth',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 no stealth',1);
					end		
				if randomp2 >= 2 then
					randomp2 = 0;
					ups2 = 0;
					random2 = random2 + 2;
					random4 = random4 + 2;
					GAMESTATE:ApplyGameCommand('mod, *100000 no boost',2);
					GAMESTATE:ApplyGameCommand('mod, *100000 no brake',2);
					end										
				end			
			end,
  }),
}