local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_gjg",
  Def.Sprite{
    Name= "xtl_actor_hjg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*1.3*(SCREEN_WIDTH/640),self:GetHeight()*1.3*(SCREEN_HEIGHT/480));
			self:x(SCREEN_RIGHT+self:GetWidth());
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:diffusealpha(1);
			self:linear(1.3);
			self:addx(-(SCREEN_CENTER_X/2+self:GetWidth()*1.3));
			self:sleep(0.01);
			self:linear(0.205464);
			self:diffusealpha(0);
		end,
  Texture= Ditto,
  },
}