local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_tlg",
  Def.Sprite{
    Name= "xtl_actor_ulg",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto((SCREEN_WIDTH/ratio)*6, SCREEN_HEIGHT*6);
			self:x(SCREEN_CENTER_X-(SCREEN_WIDTH/640)*32);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:accelerate(1.602464);
			self:diffusealpha(0.7);
			self:zoomto(self:GetWidth()*(SCREEN_WIDTH/640),self:GetHeight()*(SCREEN_HEIGHT/480));
			self:sleep(0.001);
			self:diffusealpha(0);
		end,
  Texture= Goldeen,
  },
}