local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_jmg",
  Def.Sprite{
    Name= "xtl_actor_kmg",
  Delay0000= 0.106756125,
  Delay0001= 0.106756125,
  Delay0002= 0.106756125,
  Delay0003= 0.106756125,
  Delay0004= 0.106756125,
  Delay0005= 0.106756125,
  Delay0006= 0.106756125,
  Delay0007= 0.106756125,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(SCREEN_WIDTH/2, SCREEN_HEIGHT/2);
			self:x(self:GetWidth()/2);
			self:y(SCREEN_HEIGHT-self:GetHeight()/2);
		end,
  OnCommand= function(self)
			self:linear(0.799);
			self:diffusealpha(0.7);
			self:linear(1.205464);
			self:diffusealpha(0);
		end,
  Texture= Jigglypuff,
  },
}