local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_cng",
  Def.Sprite{
    Name= "xtl_actor_dng",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*1.2*(SCREEN_WIDTH/640),self:GetHeight()*1.2*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH*3/4);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)	
			self:diffusealpha(0.7);
			self:sleep(1.003);	
			self:sleep(0.01);
			self:diffusealpha(0);
		end,
  Texture= Magmar,
  },
  Def.Sprite{
    Name= "xtl_actor_eng",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*0.5*(SCREEN_WIDTH/640),self:GetHeight()*0.5*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH*2/4);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:diffusealpha(0.7);
			self:linear(0.802);		
			self:zoomto(self:GetWidth()*1.5*(SCREEN_WIDTH/640),self:GetHeight()*1.5*(SCREEN_HEIGHT/480));
			self:addx(-SCREEN_WIDTH/4);
			self:diffusealpha(0);
		end,
  Texture= Flame,
  },
}