local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_fng",
  Def.Sprite{
    Name= "xtl_actor_gng",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*1.3*(SCREEN_WIDTH/640),self:GetHeight()*1.3*(SCREEN_HEIGHT/480));
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_TOP-self:GetHeight());
		end,
  OnCommand= function(self)
			self:diffusealpha(1);
			self:linear(1.003);
			self:rotationz(540);
			self:addy(SCREEN_CENTER_Y+self:GetHeight());
			self:linear(1.003);
			self:rotationz(-540);
			self:addy(SCREEN_CENTER_Y+self:GetHeight());
		end,
  Texture= Magneton,
  },
}