local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_jog",
  Def.Sprite{
    Name= "xtl_actor_kog",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(SCREEN_WIDTH,SCREEN_HEIGHT);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:linear(0.6780732);
			self:diffusealpha(0.7);
			self:linear(0.6780732);
			self:diffusealpha(0);
		end,
  Texture= Psyduck,
  },
}