local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_xog",
  Def.Sprite{
    Name= "xtl_actor_yog",
  Delay0000= 0.0847592,
  Delay0001= 0.0847592,
  Delay0002= 0.0847592,
  Delay0003= 0.0847592,
  Delay0004= 0.0847592,
  Delay0005= 0.0847592,
  Delay0006= 0.0847592,
  Delay0007= 0.0847592,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*(SCREEN_WIDTH/640),self:GetHeight()*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH-self:GetWidth()/2);
			self:y(SCREEN_HEIGHT-self:GetHeight()/3);
		end,
  OnCommand= function(self)
			self:linear(0.452049);
			self:diffusealpha(1);
			self:sleep(0.452049);
			self:linear(0.452049);
			self:diffusealpha(0);
		end,
  Texture= Snorlax,
  },
}