local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_zog",
  Def.Sprite{
    Name= "xtl_actor_apg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*(SCREEN_WIDTH/640),self:GetHeight()*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH/2);
			self:y(SCREEN_BOTTOM+(self:GetHeight()));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(0.452049);
			self:addy(-1.5*self:GetHeight());
			self:linear(0.452049);
			self:addy(1.5*self:GetHeight());
		end,
  Texture= Snubbull,
  },
}