local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_qpg",
  Def.BitmapText{
    Name= "xtl_actor_rpg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/5,(SCREEN_HEIGHT/4));
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.15);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(5.815);
			self:diffusealpha(0);
		end,
  Text= "It's,",
  },
  Def.BitmapText{
    Name= "xtl_actor_spg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/5,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.4);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(0.802)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(5.013);
			self:diffusealpha(0);
		end,
  Text= "Time,",
  },
  Def.BitmapText{
    Name= "xtl_actor_tpg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/10,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.6);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(1.404)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(4.411);
			self:diffusealpha(0);
		end,
  Text= "to,",
  },
  Def.BitmapText{
    Name= "xtl_actor_upg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto((SCREEN_WIDTH*3/20),SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.75);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(1.604)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(4.211);
			self:diffusealpha(0);
		end,
  Text= "Pol,",
  },
  Def.BitmapText{
    Name= "xtl_actor_vpg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/10,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.88);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(2.005);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.810);
			self:diffusealpha(0);
		end,
  Text= "Ka,",
  },
  Def.BitmapText{
    Name= "xtl_actor_wpg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto((SCREEN_WIDTH*3)/20,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y((SCREEN_HEIGHT*3)/8);
		end,
  OnCommand= function(self)
			self:sleep(2.607)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.208);
			self:diffusealpha(0);
		end,
  Text= "For,",
  },
  Def.BitmapText{
    Name= "xtl_actor_xpg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto((SCREEN_WIDTH*3)/20,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y((SCREEN_HEIGHT*5)/8);
		end,
  OnCommand= function(self)
			self:sleep(3.609)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.206);
			self:diffusealpha(0);
		end,
  Text= "And,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ypg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y((SCREEN_HEIGHT*7)/8);
		end,
  OnCommand= function(self)
			self:sleep(4.812)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(1.003);
			self:diffusealpha(0);
		end,
  Text= "Too,",
  },
}