local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_oqg",
  Def.BitmapText{
    Name= "xtl_actor_pqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/4,(SCREEN_HEIGHT/4));
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.1875);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.408);
			self:diffusealpha(0);
		end,
  Text= "Come,",
  },
  Def.BitmapText{
    Name= "xtl_actor_qqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/8,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.4375);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(0.200)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.208);
			self:diffusealpha(0);
		end,
  Text= "On,",
  },
  Def.BitmapText{
    Name= "xtl_actor_rqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*3/16,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.65625);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(0.401)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.007);
			self:diffusealpha(0);
		end,
  Text= "Put,",
  },
  Def.BitmapText{
    Name= "xtl_actor_sqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/8,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.875);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(0.601)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.807);
			self:diffusealpha(0);
		end,
  Text= "On,",
  },
  Def.BitmapText{
    Name= "xtl_actor_tqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/4,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_HEIGHT*0.375);
		end,
  OnCommand= function(self)
			self:sleep(1.203);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.205);
			self:diffusealpha(0);
		end,
  Text= "Your,",
  },
  Def.BitmapText{
    Name= "xtl_actor_uqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/6,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.1666666666);
			self:y((SCREEN_HEIGHT*5)/8);
		end,
  OnCommand= function(self)
			self:sleep(1.403)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.005);
			self:diffusealpha(0);
		end,
  Text= "Le,",
  },
  Def.BitmapText{
    Name= "xtl_actor_vqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/4,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.375);
			self:y((SCREEN_HEIGHT*5)/8);
		end,
  OnCommand= function(self)
			self:sleep(2.005)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(1.403);
			self:diffusealpha(0);
		end,
  Text= "der,",
  },
  Def.BitmapText{
    Name= "xtl_actor_wqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/6,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.5833333333333);
			self:y((SCREEN_HEIGHT*5)/8);
		end,
  OnCommand= function(self)
			self:sleep(2.205)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(1.203);
			self:diffusealpha(0);
		end,
  Text= "ho,",
  },
  Def.BitmapText{
    Name= "xtl_actor_xqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/4,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.791666666666666666);
			self:y((SCREEN_HEIGHT*5)/8);
		end,
  OnCommand= function(self)
			self:sleep(2.606)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.802);
			self:diffusealpha(0);
		end,
  Text= "sen,",
  },
}