local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_hrg",
  Def.Sprite{
    Name= "xtl_actor_irg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.1261894133397111*(SCREEN_WIDTH/640),self:GetHeight()*0.1261894133397111*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_jrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.1935462562657242*(SCREEN_WIDTH/640),self:GetHeight()*1.1935462562657242*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_krg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.3067639654057275*(SCREEN_WIDTH/640),self:GetHeight()*0.3067639654057275*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_lrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.1432716647456251*(SCREEN_WIDTH/640),self:GetHeight()*1.1432716647456251*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_mrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.560326911095826*(SCREEN_WIDTH/640),self:GetHeight()*0.560326911095826*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_nrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.5853940040205778*(SCREEN_WIDTH/640),self:GetHeight()*1.5853940040205778*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_org",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.8227625039597051*(SCREEN_WIDTH/640),self:GetHeight()*0.8227625039597051*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_prg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.6952764866231502*(SCREEN_WIDTH/640),self:GetHeight()*0.6952764866231502*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_qrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.04962074804476084*(SCREEN_WIDTH/640),self:GetHeight()*0.04962074804476084*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_rrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.12535593962499475*(SCREEN_WIDTH/640),self:GetHeight()*0.12535593962499475*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_srg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.0977496363876489*(SCREEN_WIDTH/640),self:GetHeight()*1.0977496363876489*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_trg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.4040943996987148*(SCREEN_WIDTH/640),self:GetHeight()*0.4040943996987148*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_urg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.11822808987120945*(SCREEN_WIDTH/640),self:GetHeight()*0.11822808987120945*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_vrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.347063813349467*(SCREEN_WIDTH/640),self:GetHeight()*1.347063813349467*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_wrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.4024402848017297*(SCREEN_WIDTH/640),self:GetHeight()*1.4024402848017297*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_xrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.6866706836488525*(SCREEN_WIDTH/640),self:GetHeight()*0.6866706836488525*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_yrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.1672987753694486*(SCREEN_WIDTH/640),self:GetHeight()*1.1672987753694486*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_zrg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.178095028487704*(SCREEN_WIDTH/640),self:GetHeight()*1.178095028487704*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_asg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.7281082630385186*(SCREEN_WIDTH/640),self:GetHeight()*0.7281082630385186*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_bsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.5462880147456943*(SCREEN_WIDTH/640),self:GetHeight()*1.5462880147456943*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_csg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.8103889663762474*(SCREEN_WIDTH/640),self:GetHeight()*0.8103889663762474*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_dsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.076208777123823*(SCREEN_WIDTH/640),self:GetHeight()*1.076208777123823*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_esg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.36921974563156473*(SCREEN_WIDTH/640),self:GetHeight()*0.36921974563156473*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_fsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.4961377642431357*(SCREEN_WIDTH/640),self:GetHeight()*0.4961377642431357*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_gsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.3659020069071794*(SCREEN_WIDTH/640),self:GetHeight()*1.3659020069071794*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_hsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.23787642947902554*(SCREEN_WIDTH/640),self:GetHeight()*0.23787642947902554*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_isg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.43243661569510516*(SCREEN_WIDTH/640),self:GetHeight()*0.43243661569510516*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_jsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.049409719757874594*(SCREEN_WIDTH/640),self:GetHeight()*0.049409719757874594*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ksg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.8645414557580748*(SCREEN_WIDTH/640),self:GetHeight()*0.8645414557580748*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_lsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.4753003558676998*(SCREEN_WIDTH/640),self:GetHeight()*1.4753003558676998*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_msg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.67074034379755*(SCREEN_WIDTH/640),self:GetHeight()*0.67074034379755*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_nsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.5685795148629197*(SCREEN_WIDTH/640),self:GetHeight()*0.5685795148629197*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_osg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.12445741532222211*(SCREEN_WIDTH/640),self:GetHeight()*0.12445741532222211*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_psg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.383508475007187*(SCREEN_WIDTH/640),self:GetHeight()*1.383508475007187*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_qsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.5844584367656431*(SCREEN_WIDTH/640),self:GetHeight()*0.5844584367656431*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_rsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.12303764171690054*(SCREEN_WIDTH/640),self:GetHeight()*0.12303764171690054*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ssg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.152410111880855*(SCREEN_WIDTH/640),self:GetHeight()*1.152410111880855*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_tsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.857677091367868*(SCREEN_WIDTH/640),self:GetHeight()*0.857677091367868*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_usg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.653765257078473*(SCREEN_WIDTH/640),self:GetHeight()*1.653765257078473*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_vsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.7919368117878635*(SCREEN_WIDTH/640),self:GetHeight()*0.7919368117878635*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_wsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.5450565997724611*(SCREEN_WIDTH/640),self:GetHeight()*0.5450565997724611*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_xsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.0203716876773006*(SCREEN_WIDTH/640),self:GetHeight()*1.0203716876773006*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ysg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.03355537542733711*(SCREEN_WIDTH/640),self:GetHeight()*0.03355537542733711*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_zsg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.5879593281923114*(SCREEN_WIDTH/640),self:GetHeight()*0.5879593281923114*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_atg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.7712491456894002*(SCREEN_WIDTH/640),self:GetHeight()*0.7712491456894002*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_btg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.9643512199458089*(SCREEN_WIDTH/640),self:GetHeight()*0.9643512199458089*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ctg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.0105567497696568*(SCREEN_WIDTH/640),self:GetHeight()*1.0105567497696568*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_dtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.7488183321508617*(SCREEN_WIDTH/640),self:GetHeight()*0.7488183321508617*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_etg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.6432159032706696*(SCREEN_WIDTH/640),self:GetHeight()*0.6432159032706696*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ftg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.3260928300666726*(SCREEN_WIDTH/640),self:GetHeight()*0.3260928300666726*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_gtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.44955542395927134*(SCREEN_WIDTH/640),self:GetHeight()*0.44955542395927134*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_htg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.2345976614631091*(SCREEN_WIDTH/640),self:GetHeight()*1.2345976614631091*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_itg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.2985807745756937*(SCREEN_WIDTH/640),self:GetHeight()*0.2985807745756937*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_jtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.015862838124850207*(SCREEN_WIDTH/640),self:GetHeight()*0.015862838124850207*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ktg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.6543177714566253*(SCREEN_WIDTH/640),self:GetHeight()*0.6543177714566253*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ltg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.890049265064106*(SCREEN_WIDTH/640),self:GetHeight()*0.890049265064106*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_mtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.6426387030664635*(SCREEN_WIDTH/640),self:GetHeight()*1.6426387030664635*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ntg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.7008543053954964*(SCREEN_WIDTH/640),self:GetHeight()*0.7008543053954964*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_otg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.06551218376766653*(SCREEN_WIDTH/640),self:GetHeight()*0.06551218376766653*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ptg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.6244335380165429*(SCREEN_WIDTH/640),self:GetHeight()*0.6244335380165429*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_qtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.18325224159867423*(SCREEN_WIDTH/640),self:GetHeight()*0.18325224159867423*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_rtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.930279936537639*(SCREEN_WIDTH/640),self:GetHeight()*0.930279936537639*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_stg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.2102541342543771*(SCREEN_WIDTH/640),self:GetHeight()*1.2102541342543771*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ttg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.6904720247436299*(SCREEN_WIDTH/640),self:GetHeight()*0.6904720247436299*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_utg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.56741648282037*(SCREEN_WIDTH/640),self:GetHeight()*1.56741648282037*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_vtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.8735473229577154*(SCREEN_WIDTH/640),self:GetHeight()*0.8735473229577154*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_wtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.666350205963384*(SCREEN_WIDTH/640),self:GetHeight()*1.666350205963384*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_xtg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.4845350739469619*(SCREEN_WIDTH/640),self:GetHeight()*0.4845350739469619*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ytg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.623494058718375*(SCREEN_WIDTH/640),self:GetHeight()*1.623494058718375*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ztg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.25976261649835813*(SCREEN_WIDTH/640),self:GetHeight()*0.25976261649835813*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_aug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.074028098870125*(SCREEN_WIDTH/640),self:GetHeight()*1.074028098870125*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_bug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.0546884582178995*(SCREEN_WIDTH/640),self:GetHeight()*1.0546884582178995*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_cug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.39976860132939374*(SCREEN_WIDTH/640),self:GetHeight()*0.39976860132939374*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_dug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*1.1927683317610407*(SCREEN_WIDTH/640),self:GetHeight()*1.1927683317610407*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_eug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.32889091333327364*(SCREEN_WIDTH/640),self:GetHeight()*0.32889091333327364*(SCREEN_HEIGHT/480));
			self:x(math.random(self:GetWidth()+SCREEN_WIDTH,self:GetWidth()+2*SCREEN_WIDTH));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx(-(2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_fug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.1364783934757254*(SCREEN_WIDTH/640),self:GetHeight()*1.1364783934757254*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_gug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.1142153171851088*(SCREEN_WIDTH/640),self:GetHeight()*0.1142153171851088*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_hug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.8335514664503086*(SCREEN_WIDTH/640),self:GetHeight()*0.8335514664503086*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_iug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.5841491690482964*(SCREEN_WIDTH/640),self:GetHeight()*0.5841491690482964*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_jug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.7969063230401525*(SCREEN_WIDTH/640),self:GetHeight()*0.7969063230401525*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_kug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.8788456612399677*(SCREEN_WIDTH/640),self:GetHeight()*0.8788456612399677*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_lug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.9519214492648246*(SCREEN_WIDTH/640),self:GetHeight()*0.9519214492648246*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_mug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.03703670374799135*(SCREEN_WIDTH/640),self:GetHeight()*0.03703670374799135*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_nug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.286240041122846*(SCREEN_WIDTH/640),self:GetHeight()*1.286240041122846*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_oug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.3532453940886162*(SCREEN_WIDTH/640),self:GetHeight()*1.3532453940886162*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_pug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.6295269608606507*(SCREEN_WIDTH/640),self:GetHeight()*0.6295269608606507*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_qug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.17423661027526*(SCREEN_WIDTH/640),self:GetHeight()*1.17423661027526*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_rug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.1556099811907925*(SCREEN_WIDTH/640),self:GetHeight()*1.1556099811907925*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_sug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.8469688015777781*(SCREEN_WIDTH/640),self:GetHeight()*0.8469688015777781*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_tug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.2815770367734334*(SCREEN_WIDTH/640),self:GetHeight()*1.2815770367734334*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_uug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.1281563050839494*(SCREEN_WIDTH/640),self:GetHeight()*1.1281563050839494*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_vug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.541704030914346*(SCREEN_WIDTH/640),self:GetHeight()*1.541704030914346*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_wug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.5939040410924503*(SCREEN_WIDTH/640),self:GetHeight()*1.5939040410924503*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_xug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.7554626423654046*(SCREEN_WIDTH/640),self:GetHeight()*0.7554626423654046*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_yug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.4169091942264047*(SCREEN_WIDTH/640),self:GetHeight()*1.4169091942264047*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_zug",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.3532689488697173*(SCREEN_WIDTH/640),self:GetHeight()*0.3532689488697173*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_avg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.5486426401605503*(SCREEN_WIDTH/640),self:GetHeight()*0.5486426401605503*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_bvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.8186562073085755*(SCREEN_WIDTH/640),self:GetHeight()*0.8186562073085755*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_cvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.7065394847469237*(SCREEN_WIDTH/640),self:GetHeight()*0.7065394847469237*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_dvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.176284471851249*(SCREEN_WIDTH/640),self:GetHeight()*1.176284471851249*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_evg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.9935796808672244*(SCREEN_WIDTH/640),self:GetHeight()*0.9935796808672244*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_fvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.1730422657986013*(SCREEN_WIDTH/640),self:GetHeight()*1.1730422657986013*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_gvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.1756913361375378*(SCREEN_WIDTH/640),self:GetHeight()*0.1756913361375378*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_hvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.6135570642352263*(SCREEN_WIDTH/640),self:GetHeight()*0.6135570642352263*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ivg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.5500547101508348*(SCREEN_WIDTH/640),self:GetHeight()*1.5500547101508348*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_jvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.4151284263278965*(SCREEN_WIDTH/640),self:GetHeight()*1.4151284263278965*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_kvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.12540095877952578*(SCREEN_WIDTH/640),self:GetHeight()*0.12540095877952578*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_lvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.22606109023235685*(SCREEN_WIDTH/640),self:GetHeight()*0.22606109023235685*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_mvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.3582110604484758*(SCREEN_WIDTH/640),self:GetHeight()*1.3582110604484758*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_nvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.0979488591764617*(SCREEN_WIDTH/640),self:GetHeight()*1.0979488591764617*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ovg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.8926622257952882*(SCREEN_WIDTH/640),self:GetHeight()*0.8926622257952882*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_pvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.2871968541865653*(SCREEN_WIDTH/640),self:GetHeight()*0.2871968541865653*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_qvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.0658313125890222*(SCREEN_WIDTH/640),self:GetHeight()*1.0658313125890222*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_rvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.39290867312267574*(SCREEN_WIDTH/640),self:GetHeight()*0.39290867312267574*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_svg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.134528639427262*(SCREEN_WIDTH/640),self:GetHeight()*1.134528639427262*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_tvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.3643618685686127*(SCREEN_WIDTH/640),self:GetHeight()*1.3643618685686127*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_uvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.6045708280109918*(SCREEN_WIDTH/640),self:GetHeight()*0.6045708280109918*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_vvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.6342759147596175*(SCREEN_WIDTH/640),self:GetHeight()*1.6342759147596175*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_wvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.9171569821500192*(SCREEN_WIDTH/640),self:GetHeight()*0.9171569821500192*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_xvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.24979064230308026*(SCREEN_WIDTH/640),self:GetHeight()*0.24979064230308026*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_yvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.5055310706486535*(SCREEN_WIDTH/640),self:GetHeight()*1.5055310706486535*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_zvg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.5367304732583381*(SCREEN_WIDTH/640),self:GetHeight()*0.5367304732583381*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_awg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.0946996583253175*(SCREEN_WIDTH/640),self:GetHeight()*1.0946996583253175*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_bwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.6612773176251252*(SCREEN_WIDTH/640),self:GetHeight()*1.6612773176251252*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_cwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.26491484425923084*(SCREEN_WIDTH/640),self:GetHeight()*0.26491484425923084*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_dwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.8918762045948742*(SCREEN_WIDTH/640),self:GetHeight()*0.8918762045948742*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ewg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.358996725313058*(SCREEN_WIDTH/640),self:GetHeight()*0.358996725313058*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_fwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.7912466879362016*(SCREEN_WIDTH/640),self:GetHeight()*0.7912466879362016*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_gwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.445050713134852*(SCREEN_WIDTH/640),self:GetHeight()*1.445050713134852*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_hwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.6304674316018526*(SCREEN_WIDTH/640),self:GetHeight()*0.6304674316018526*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_iwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.6617875102790098*(SCREEN_WIDTH/640),self:GetHeight()*1.6617875102790098*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_jwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.6832761865336198*(SCREEN_WIDTH/640),self:GetHeight()*0.6832761865336198*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_kwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.6277918835372316*(SCREEN_WIDTH/640),self:GetHeight()*1.6277918835372316*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_lwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.56229858246741*(SCREEN_WIDTH/640),self:GetHeight()*1.56229858246741*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_mwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.5545852157667286*(SCREEN_WIDTH/640),self:GetHeight()*1.5545852157667286*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_nwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.8525188961184774*(SCREEN_WIDTH/640),self:GetHeight()*0.8525188961184774*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_owg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.5078668737356724*(SCREEN_WIDTH/640),self:GetHeight()*1.5078668737356724*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_pwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.12154449048669232*(SCREEN_WIDTH/640),self:GetHeight()*0.12154449048669232*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_qwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.7388801921586378*(SCREEN_WIDTH/640),self:GetHeight()*0.7388801921586378*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_rwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.4964315060771699*(SCREEN_WIDTH/640),self:GetHeight()*0.4964315060771699*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_swg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.3180309320979429*(SCREEN_WIDTH/640),self:GetHeight()*1.3180309320979429*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_twg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.805234295602558*(SCREEN_WIDTH/640),self:GetHeight()*0.805234295602558*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_uwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.476974825740367*(SCREEN_WIDTH/640),self:GetHeight()*1.476974825740367*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_vwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.044710454405738696*(SCREEN_WIDTH/640),self:GetHeight()*0.044710454405738696*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_wwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.200127915657271*(SCREEN_WIDTH/640),self:GetHeight()*1.200127915657271*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_xwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.39540016388877497*(SCREEN_WIDTH/640),self:GetHeight()*0.39540016388877497*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_ywg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.0351702790640855*(SCREEN_WIDTH/640),self:GetHeight()*1.0351702790640855*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_zwg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.5510466943030597*(SCREEN_WIDTH/640),self:GetHeight()*0.5510466943030597*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_axg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.9424443097915668*(SCREEN_WIDTH/640),self:GetHeight()*0.9424443097915668*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
  Def.Sprite{
    Name= "xtl_actor_bxg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  InitCommand= function(self)
			self:hidden(1);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.5772892041487874*(SCREEN_WIDTH/640),self:GetHeight()*1.5772892041487874*(SCREEN_HEIGHT/480));
			self:x(math.random(-(self:GetWidth()+SCREEN_WIDTH),-1*self:GetWidth()));
			self:y(math.random(0,SCREEN_HEIGHT));
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(math.random(0.9,1.5));
			self:addx((2*self:GetWidth()+2*SCREEN_WIDTH));
		end,
  Texture= Zubat,
  },
}