local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_cxg",
  Def.Sprite{
    Name= "xtl_actor_dxg",
  OnCommand= cmd(zoom,0.5;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,1000),
  Texture= "background.png",
  },
  Def.Sprite{
    Name= "xtl_actor_exg",
  OnCommand= cmd(queuecommand,"State0"),
  State0Command= cmd(x,SCREEN_CENTER_X + -304;y,SCREEN_CENTER_Y + -224;rotationz,90;sleep,0.93;
      linear,1.92;x,SCREEN_CENTER_X + -48;sleep,0;rotationz,180;
      linear,1.92;y,SCREEN_CENTER_Y + 32;sleep,0;rotationz,90;
      linear,1.92;x,SCREEN_CENTER_X + 208;sleep,0;rotationz,0;
      linear,0.96;y,SCREEN_CENTER_Y + -96;sleep,0;rotationz,270;
      linear,0.96;x,SCREEN_CENTER_X + 80;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + -32;sleep,0;rotationz,270;
      linear,1.44;x,SCREEN_CENTER_X + -112;sleep,0;rotationz,180;
      linear,0.96;y,SCREEN_CENTER_Y + 96;sleep,0;rotationz,90;
      linear,0.72;x,SCREEN_CENTER_X + -16;sleep,0;rotationz,0;
      queuecommand,State1),
  State1Command= cmd(linear,0.72;y,SCREEN_CENTER_Y + 0;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + -80;sleep,0;rotationz,0;
      linear,0.96;y,SCREEN_CENTER_Y + -128;sleep,0;rotationz,90;
      linear,0.96;x,SCREEN_CENTER_X + 48;sleep,0;rotationz,0;
      linear,0.72;y,SCREEN_CENTER_Y + -224;sleep,0;rotationz,90;
      linear,0.72;x,SCREEN_CENTER_X + 144;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + -160;sleep,0;rotationz,270;
      linear,0.96;x,SCREEN_CENTER_X + 16;sleep,0;rotationz,180;
      linear,1.2;y,SCREEN_CENTER_Y + 0;sleep,0;rotationz,90;
      linear,0.96;x,SCREEN_CENTER_X + 144;sleep,0;rotationz,0;
      queuecommand,State2),
  State2Command= cmd(linear,0.96;y,SCREEN_CENTER_Y + -128;sleep,0;rotationz,90;
      linear,0.96;x,SCREEN_CENTER_X + 272;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + -64;sleep,0;rotationz,270;
      linear,2.88;x,SCREEN_CENTER_X + -112;sleep,0;rotationz,0;
      linear,0.48;y,SCREEN_CENTER_Y + -128;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + -176;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + -64;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + -240;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + 0;sleep,0;rotationz,90;
      linear,0.48;x,SCREEN_CENTER_X + -176;sleep,0;rotationz,180;
      queuecommand,State3),
  State3Command= cmd(linear,0.48;y,SCREEN_CENTER_Y + 64;sleep,0;rotationz,90;
      linear,0.72;x,SCREEN_CENTER_X + -80;sleep,0;rotationz,180;
      linear,0.72;y,SCREEN_CENTER_Y + 160;sleep,0;rotationz,90;
      linear,0.48;x,SCREEN_CENTER_X + -16;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + 128;sleep,0;rotationz,90;
      linear,0.24;x,SCREEN_CENTER_X + 16;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + 96;sleep,0;rotationz,90;
      linear,0.24;x,SCREEN_CENTER_X + 48;sleep,0;rotationz,180;
      linear,0.24;y,SCREEN_CENTER_Y + 128;sleep,0;rotationz,90;
      linear,0.24;x,SCREEN_CENTER_X + 80;sleep,0;rotationz,0;
      queuecommand,State4),
  State4Command= cmd(linear,0.48;y,SCREEN_CENTER_Y + 64;sleep,0;rotationz,270;
      linear,0.96;x,SCREEN_CENTER_X + -48;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + 128;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + -112;sleep,0;rotationz,180;
      linear,0.24;y,SCREEN_CENTER_Y + 160;sleep,0;rotationz,270;
      linear,0.24;x,SCREEN_CENTER_X + -144;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + 128;sleep,0;rotationz,270;
      linear,0.24;x,SCREEN_CENTER_X + -176;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + 96;sleep,0;rotationz,90;
      linear,0.24;x,SCREEN_CENTER_X + -144;sleep,0;rotationz,0;
      queuecommand,State5),
  State5Command= cmd(linear,0.48;y,SCREEN_CENTER_Y + 32;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + -208;sleep,0;rotationz,0;
      linear,0.48;y,SCREEN_CENTER_Y + -32;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + -272;sleep,0;rotationz,0;
      linear,0.48;y,SCREEN_CENTER_Y + -96;sleep,0;rotationz,90;
      linear,1.92;x,SCREEN_CENTER_X + -16;sleep,0;rotationz,0;
      linear,0.48;y,SCREEN_CENTER_Y + -160;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + -80;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + -192;sleep,0;rotationz,90;
      linear,0.48;x,SCREEN_CENTER_X + -16;sleep,0;rotationz,0;
      queuecommand,State6),
  State6Command= cmd(linear,0.24;y,SCREEN_CENTER_Y + -224;sleep,0;rotationz,90;
      linear,0.24;x,SCREEN_CENTER_X + 16;sleep,0;rotationz,180;
      linear,0.24;y,SCREEN_CENTER_Y + -192;sleep,0;rotationz,90;
      linear,0.48;x,SCREEN_CENTER_X + 80;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + -128;sleep,0;rotationz,90;
      linear,0.24;x,SCREEN_CENTER_X + 112;sleep,0;rotationz,180;
      linear,0.72;y,SCREEN_CENTER_Y + -32;sleep,0;rotationz,90;
      linear,0.48;x,SCREEN_CENTER_X + 176;sleep,0;rotationz,180;
      linear,0.72;y,SCREEN_CENTER_Y + 64;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + 112;sleep,0;rotationz,180;
      queuecommand,State7),
  State7Command= cmd(linear,0.72;y,SCREEN_CENTER_Y + 160;sleep,0;rotationz,90;
      linear,1.44;x,SCREEN_CENTER_X + 304;sleep,0;rotationz,0;
      linear,0.72;y,SCREEN_CENTER_Y + 64;sleep,0;rotationz,270;
      linear,0.72;x,SCREEN_CENTER_X + 208;sleep,0;rotationz,180;
      linear,0.48;y,SCREEN_CENTER_Y + 128;sleep,0;rotationz,90;
      linear,0.48;x,SCREEN_CENTER_X + 272;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + 96;sleep,0;rotationz,270;
      linear,0.24;x,SCREEN_CENTER_X + 240;sleep,0;rotationz,180;
      linear,0.72;y,SCREEN_CENTER_Y + 192;sleep,0;rotationz,270;
      linear,1.2;x,SCREEN_CENTER_X + 80;sleep,0;rotationz,0;
      queuecommand,State8),
  State8Command= cmd(linear,0.24;y,SCREEN_CENTER_Y + 160;sleep,0;rotationz,270;
      linear,0.48;x,SCREEN_CENTER_X + 16;sleep,0;rotationz,180;
      linear,0.24;y,SCREEN_CENTER_Y + 192;sleep,0;rotationz,270;
      linear,1.44;x,SCREEN_CENTER_X + -176;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + 160;sleep,0;rotationz,270;
      linear,0.24;x,SCREEN_CENTER_X + -208;sleep,0;rotationz,0;
      linear,0.72;y,SCREEN_CENTER_Y + 64;sleep,0;rotationz,270;
      linear,0.24;x,SCREEN_CENTER_X + -240;sleep,0;rotationz,0;
      linear,0.24;y,SCREEN_CENTER_Y + 32;sleep,0;rotationz,270;
      linear,0.24;x,SCREEN_CENTER_X + -272;sleep,0;rotationz,0;
      queuecommand,State9),
  State9Command= cmd(linear,0.24;y,SCREEN_CENTER_Y + 0;sleep,0;rotationz,270;
      linear,0.24;x,SCREEN_CENTER_X + -304;sleep,0;rotationz,0;
      linear,1.68;y,SCREEN_CENTER_Y + -224;sleep,0;rotationz,90;
      linear,1.92;x,SCREEN_CENTER_X + -48;sleep,0;rotationz,180),
  Texture= "car.png",
  },
}