local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_wxg",
  Def.Quad{
    Name= "xtl_actor_xxg",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_yxg",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
				fgcurcommand = 1;
				self:queuecommand('Update');
			end,
  Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
		
		
		
			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=43 and fgcurcommand == 2 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=51 and fgcurcommand == 3 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=54 and fgcurcommand == 4 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=56 and fgcurcommand == 5 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=59 and fgcurcommand == 6 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=62 and fgcurcommand == 7 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=64 and fgcurcommand == 8 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=67 and fgcurcommand == 9 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=70.5 and fgcurcommand == 10 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=75 and fgcurcommand == 11 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=78.5 and fgcurcommand == 12 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=83 and fgcurcommand == 13 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=86 and fgcurcommand == 14 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=88 and fgcurcommand == 15 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=91 and fgcurcommand == 16 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=94 and fgcurcommand == 17 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=96 and fgcurcommand == 18 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=99 and fgcurcommand == 19 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=102.5 and fgcurcommand == 20 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=107 and fgcurcommand == 21 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=110 and fgcurcommand == 22 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=112 and fgcurcommand == 23 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=115 and fgcurcommand == 24 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=118.5 and fgcurcommand == 25 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=122 and fgcurcommand == 26 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=124 and fgcurcommand == 27 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=126.5 and fgcurcommand == 28 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=131 and fgcurcommand == 29 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=132 and fgcurcommand == 30 then
				SCREENMAN:GetTopScreen():zoom(0.6);
				SCREENMAN:GetTopScreen():addx(100);
				SCREENMAN:GetTopScreen():addy(100);
				
				SCREENMAN:GetTopScreen():linear(1.525);
				SCREENMAN:GetTopScreen():zoom(0.2);
				SCREENMAN:GetTopScreen():rotationz(30);
				SCREENMAN:GetTopScreen():addx(200);
				SCREENMAN:GetTopScreen():addy(50);
				
				SCREENMAN:GetTopScreen():accelerate(0.254);
				SCREENMAN:GetTopScreen():zoom(0.6);
				SCREENMAN:GetTopScreen():rotationz(15);
				SCREENMAN:GetTopScreen():addx(-150);
				SCREENMAN:GetTopScreen():addy(-75);
				SCREENMAN:GetTopScreen():decelerate(0.254);
				SCREENMAN:GetTopScreen():zoom(1);
				SCREENMAN:GetTopScreen():rotationz(0);
				SCREENMAN:GetTopScreen():addx(-150);
				SCREENMAN:GetTopScreen():addy(-75);
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=136 and fgcurcommand == 31 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=138 and fgcurcommand == 32 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=140 and fgcurcommand == 33 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=142.5 and fgcurcommand == 34 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=146 and fgcurcommand == 35 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=148 and fgcurcommand == 36 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=151 and fgcurcommand == 37 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=152 and fgcurcommand == 38 then
				SCREENMAN:GetTopScreen():zoom(0.6);
				SCREENMAN:GetTopScreen():addx(100);
				SCREENMAN:GetTopScreen():addy(100);
				
				SCREENMAN:GetTopScreen():linear(1.525);
				SCREENMAN:GetTopScreen():zoom(0.2);
				SCREENMAN:GetTopScreen():rotationz(30);
				SCREENMAN:GetTopScreen():addx(200);
				SCREENMAN:GetTopScreen():addy(50);
				
				SCREENMAN:GetTopScreen():accelerate(0.254);
				SCREENMAN:GetTopScreen():zoom(0.6);
				SCREENMAN:GetTopScreen():rotationz(15);
				SCREENMAN:GetTopScreen():addx(-150);
				SCREENMAN:GetTopScreen():addy(-75);
				SCREENMAN:GetTopScreen():decelerate(0.254);
				SCREENMAN:GetTopScreen():zoom(1);
				SCREENMAN:GetTopScreen():rotationz(0);
				SCREENMAN:GetTopScreen():addx(-150);
				SCREENMAN:GetTopScreen():addy(-75);
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=156 and fgcurcommand == 39 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=159 and fgcurcommand == 40 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=163 and fgcurcommand == 41 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=167 and fgcurcommand == 42 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=170.5 and fgcurcommand == 43 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=175 and fgcurcommand == 44 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=179 and fgcurcommand == 45 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.38135);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=182.5 and fgcurcommand == 46 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.12712);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=186 and fgcurcommand == 47 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=188 and fgcurcommand == 48 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=189 and fgcurcommand == 49 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=191 and fgcurcommand == 50 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=192 and fgcurcommand == 51 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=194 and fgcurcommand == 52 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.85,1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=195 and fgcurcommand == 53 then
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=196 and fgcurcommand == 54 then
				SCREENMAN:GetTopScreen():zoom(0.6);
				SCREENMAN:GetTopScreen():addx(100);
				SCREENMAN:GetTopScreen():addy(100);
				
				SCREENMAN:GetTopScreen():linear(3.5);
				SCREENMAN:GetTopScreen():zoom(0);
				SCREENMAN:GetTopScreen():rotationz(30);
				SCREENMAN:GetTopScreen():addx(200);
				SCREENMAN:GetTopScreen():addy(50);
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
				end
				
				fgcurcommand = fgcurcommand + 1;
			end

			
			
			
			GAMESTATE:ApplyGameCommand('mod,-1000% Cover');
			
			self:queuecommand('Update2');
			
		end,
  },
}