local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_dyg",
  Def.Quad{
    Name= "xtl_actor_eyg",
  InitCommand= cmd(diffusealpha,0;sleep,81;queuecommand,"fadeout";sleep,1.75;queuecommand,"dafuq";sleep,1.75;queuecommand,"fadein"),
  dafuqCommand= function(self)
            if GAMESTATE:IsPlayerEnabled(0) and GAMESTATE:IsPlayerEnabled(1) then players = {'1', '2'};
            elseif GAMESTATE:IsPlayerEnabled(0) then players = {'1'};
            else players = {'2'}; end
            for k, p in pairs(players) do
                s = SCREENMAN:GetTopScreen():GetChild('PlayerP'..p);
                mod = math.floor(math.random() * 10);
                if (mod == 0) then s:rotationz(45);
                elseif (mod == 1) then s:rotationz(-45);
                elseif (mod == 2) then s:rotationy(45);
                elseif (mod == 3) then s:rotationy(-45);
                elseif (mod == 4) then s:zoom(.5);
                elseif (mod == 5) then s:wag();     -- swag
                elseif (mod == 6) then s:pulse();
                elseif (mod == 7) then s:zoomx(.5);
                elseif (mod == 8) then s:zoomy(.5);
                elseif (mod == 9) then s:spin();
                end
            end
        end,
  fadeinCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, No Dark');
            GAMESTATE:ApplyGameCommand('mod, No Stealth');
            GAMESTATE:ApplyGameCommand('mod, No Blind');
        end,
  fadeoutCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, Dark');
            GAMESTATE:ApplyGameCommand('mod, Stealth');
            GAMESTATE:ApplyGameCommand('mod, Blind');
            if GAMESTATE:IsPlayerEnabled(0) and GAMESTATE:IsPlayerEnabled(1) then players = {'1', '2'};
            elseif GAMESTATE:IsPlayerEnabled(0) then players = {'1'};
            else players = {'2'}; end
            for k, p in pairs(players) do
                score = SCREENMAN:GetTopScreen():GetChild('ScoreP'..p):GetChild('ScoreDisplayPercentage Percent'):GetChild('PercentP'..p);
                score:settext('100.00%');
            end
        end,
  },
}