local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_rzg",
  Def.Quad{
    Name= "xtl_actor_szg",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_tzg",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
				fgcurcommand = 1;
				self:queuecommand('Update');
			end,
  Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
			
			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
				SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(1);
				SCREENMAN:GetTopScreen():GetChild('Underlay'):hidden(1);
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):hidden(1);
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):hidden(1);
					
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(200);
					--SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
					--SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					--SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					--SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-25,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):hidden(1);
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):hidden(1);
					
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(200);
					--SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
					--SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					--SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					--SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-25,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=12 and fgcurcommand == 2 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.5769);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-100);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.5769);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-100);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.5769);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-100);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.5769);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-100);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=21 and fgcurcommand == 3 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-80);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-80);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=28.75 and fgcurcommand == 4 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(80);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(80);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.38462);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=52.75 and fgcurcommand == 5 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-65);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-130);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(20);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(20);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-65);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-65);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-130);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(20);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(20);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(-65);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.256410);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=135.5 and fgcurcommand == 6 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(25);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-25,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(25);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-25,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=165 and fgcurcommand == 7 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.384615);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(155);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(-90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.384615);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-155);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.384615);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-155);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.384615);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(155);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=194.5 and fgcurcommand == 8 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-25);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-25);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=195 and fgcurcommand == 9 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(1.346);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(360);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(1.346);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(720);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(1.346);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(360);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(1.346);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(720);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=252 and fgcurcommand == 10 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,20);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,20);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=268 and fgcurcommand == 11 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(1,0.75,0);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(1,0.75,0);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=300 and fgcurcommand == 12 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=383 and fgcurcommand == 13 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bob();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectoffset(2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(-160,0,0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(160);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bob();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectoffset(2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(160,0,0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-160);
				end
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			GAMESTATE:ApplyGameCommand('mod,-1000% Cover');
			
			self:queuecommand('Update2');
			
		end,
  },
}