local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_ddh",
  Def.Sprite{
    Name= "xtl_actor_edh",
  InitCommand= function(self)
				self:x(SCREEN_LEFT - self:GetWidth()/2);
				self:y(SCREEN_CENTER_Y);
				self:rotationz(90);
			end,
  OnCommand= function(self)
				self:linear(0.4);
				self:addx(self:GetHeight() * (3/4));
				self:linear(0.4);
				self:addx(-1 * self:GetHeight() * (3/4));
				self:diffusealpha(0);
			end,
  Texture= "../animation1/carly",
  },
  Def.Sprite{
    Name= "xtl_actor_fdh",
  InitCommand= function(self)
				self:x(SCREEN_RIGHT + self:GetWidth()/2);
				self:y(SCREEN_CENTER_Y);
				self:rotationz(270);	
			end,
  OnCommand= function(self)
				self:linear(0.4);
				self:addx(-1 * self:GetHeight() * (3/4));
				self:linear(0.4);
				self:addx(self:GetHeight() * (3/4));
				self:diffusealpha(0);
			end,
  Texture= "../animation2/phil",
  },
}