local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_gdh",
  Def.Quad{
    Name= "xtl_actor_hdh",
  OnCommand= cmd(sleep,5.517),
  },
  Def.Sprite{
    Name= "xtl_actor_idh",
  InitCommand= cmd(draworder,1;diffusealpha,0),
  OnCommand= cmd(sleep,0.172;diffusealpha,1;x,SCREEN_CENTER_X + 122;y,SCREEN_CENTER_Y + 186;zoom,0.017),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_jdh",
  InitCommand= cmd(draworder,2;diffusealpha,0),
  OnCommand= cmd(sleep,0.345;diffusealpha,1;x,SCREEN_CENTER_X + 241;y,SCREEN_CENTER_Y + 39;zoom,0.034),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_kdh",
  InitCommand= cmd(draworder,3;diffusealpha,0),
  OnCommand= cmd(sleep,0.517;diffusealpha,1;x,SCREEN_CENTER_X + 18;y,SCREEN_CENTER_Y + -133;zoom,0.052),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_ldh",
  InitCommand= cmd(draworder,4;diffusealpha,0),
  OnCommand= cmd(sleep,0.69;diffusealpha,1;x,SCREEN_CENTER_X + -10;y,SCREEN_CENTER_Y + -153;zoom,0.069),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_mdh",
  InitCommand= cmd(draworder,5;diffusealpha,0),
  OnCommand= cmd(sleep,0.862;diffusealpha,1;x,SCREEN_CENTER_X + 104;y,SCREEN_CENTER_Y + -65;zoom,0.086),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_ndh",
  InitCommand= cmd(draworder,6;diffusealpha,0),
  OnCommand= cmd(sleep,1.034;diffusealpha,1;x,SCREEN_CENTER_X + -129;y,SCREEN_CENTER_Y + -111;zoom,0.103),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_odh",
  InitCommand= cmd(draworder,7;diffusealpha,0),
  OnCommand= cmd(sleep,1.207;diffusealpha,1;x,SCREEN_CENTER_X + -184;y,SCREEN_CENTER_Y + -199;zoom,0.12),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_pdh",
  InitCommand= cmd(draworder,8;diffusealpha,0),
  OnCommand= cmd(sleep,1.379;diffusealpha,1;x,SCREEN_CENTER_X + -289;y,SCREEN_CENTER_Y + 22;zoom,0.137),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_qdh",
  InitCommand= cmd(draworder,9;diffusealpha,0),
  OnCommand= cmd(sleep,1.552;diffusealpha,1;x,SCREEN_CENTER_X + -82;y,SCREEN_CENTER_Y + 179;zoom,0.155),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_rdh",
  InitCommand= cmd(draworder,10;diffusealpha,0),
  OnCommand= cmd(sleep,1.724;diffusealpha,1;x,SCREEN_CENTER_X + -125;y,SCREEN_CENTER_Y + -27;zoom,0.172),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_sdh",
  InitCommand= cmd(draworder,11;diffusealpha,0),
  OnCommand= cmd(sleep,1.896;diffusealpha,1;x,SCREEN_CENTER_X + 267;y,SCREEN_CENTER_Y + -189;zoom,0.189),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_tdh",
  InitCommand= cmd(draworder,12;diffusealpha,0),
  OnCommand= cmd(sleep,2.069;diffusealpha,1;x,SCREEN_CENTER_X + 291;y,SCREEN_CENTER_Y + -80;zoom,0.206),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_udh",
  InitCommand= cmd(draworder,13;diffusealpha,0),
  OnCommand= cmd(sleep,2.241;diffusealpha,1;x,SCREEN_CENTER_X + -294;y,SCREEN_CENTER_Y + 70;zoom,0.223),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_vdh",
  InitCommand= cmd(draworder,14;diffusealpha,0),
  OnCommand= cmd(sleep,2.414;diffusealpha,1;x,SCREEN_CENTER_X + 202;y,SCREEN_CENTER_Y + -66;zoom,0.241),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_wdh",
  InitCommand= cmd(draworder,15;diffusealpha,0),
  OnCommand= cmd(sleep,2.586;diffusealpha,1;x,SCREEN_CENTER_X + 234;y,SCREEN_CENTER_Y + 29;zoom,0.258),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_xdh",
  InitCommand= cmd(draworder,16;diffusealpha,0),
  OnCommand= cmd(sleep,2.759;diffusealpha,1;x,SCREEN_CENTER_X + 275;y,SCREEN_CENTER_Y + 108;zoom,0.275),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_ydh",
  InitCommand= cmd(draworder,17;diffusealpha,0),
  OnCommand= cmd(sleep,2.931;diffusealpha,1;x,SCREEN_CENTER_X + 115;y,SCREEN_CENTER_Y + 38;zoom,0.292),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_zdh",
  InitCommand= cmd(draworder,18;diffusealpha,0),
  OnCommand= cmd(sleep,3.103;diffusealpha,1;x,SCREEN_CENTER_X + -53;y,SCREEN_CENTER_Y + 59;zoom,0.309),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_aeh",
  InitCommand= cmd(draworder,19;diffusealpha,0),
  OnCommand= cmd(sleep,3.276;diffusealpha,1;x,SCREEN_CENTER_X + -263;y,SCREEN_CENTER_Y + -62;zoom,0.327),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_beh",
  InitCommand= cmd(draworder,20;diffusealpha,0),
  OnCommand= cmd(sleep,3.448;diffusealpha,1;x,SCREEN_CENTER_X + -233;y,SCREEN_CENTER_Y + 198;zoom,0.344),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_ceh",
  InitCommand= cmd(draworder,21;diffusealpha,0),
  OnCommand= cmd(sleep,3.621;diffusealpha,1;x,SCREEN_CENTER_X + -68;y,SCREEN_CENTER_Y + 167;zoom,0.361),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_deh",
  InitCommand= cmd(draworder,22;diffusealpha,0),
  OnCommand= cmd(sleep,3.793;diffusealpha,1;x,SCREEN_CENTER_X + 49;y,SCREEN_CENTER_Y + 188;zoom,0.378),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_eeh",
  InitCommand= cmd(draworder,23;diffusealpha,0),
  OnCommand= cmd(sleep,3.965;diffusealpha,1;x,SCREEN_CENTER_X + -65;y,SCREEN_CENTER_Y + -141;zoom,0.395),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_feh",
  InitCommand= cmd(draworder,24;diffusealpha,0),
  OnCommand= cmd(sleep,4.138;diffusealpha,1;x,SCREEN_CENTER_X + -95;y,SCREEN_CENTER_Y + 10;zoom,0.413),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_geh",
  InitCommand= cmd(draworder,25;diffusealpha,0),
  OnCommand= cmd(sleep,4.31;diffusealpha,1;x,SCREEN_CENTER_X + 296;y,SCREEN_CENTER_Y + -65;zoom,0.43),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_heh",
  InitCommand= cmd(draworder,26;diffusealpha,0),
  OnCommand= cmd(sleep,4.483;diffusealpha,1;x,SCREEN_CENTER_X + 49;y,SCREEN_CENTER_Y + -160;zoom,0.447),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_ieh",
  InitCommand= cmd(draworder,27;diffusealpha,0),
  OnCommand= cmd(sleep,4.655;diffusealpha,1;x,SCREEN_CENTER_X + 192;y,SCREEN_CENTER_Y + 108;zoom,0.464),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_jeh",
  InitCommand= cmd(draworder,28;diffusealpha,0),
  OnCommand= cmd(sleep,4.827;diffusealpha,1;x,SCREEN_CENTER_X + -67;y,SCREEN_CENTER_Y + -14;zoom,0.481),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_keh",
  InitCommand= cmd(draworder,29;diffusealpha,0),
  OnCommand= cmd(sleep,5.0;diffusealpha,1;x,SCREEN_CENTER_X + -6;y,SCREEN_CENTER_Y + -146;zoom,0.498),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_leh",
  InitCommand= cmd(draworder,30;diffusealpha,0),
  OnCommand= cmd(sleep,5.172;diffusealpha,1;x,SCREEN_CENTER_X + -234;y,SCREEN_CENTER_Y + 123;zoom,0.516),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_meh",
  InitCommand= cmd(draworder,31;diffusealpha,0),
  OnCommand= cmd(sleep,5.345;diffusealpha,1;x,SCREEN_CENTER_X + 217;y,SCREEN_CENTER_Y + 127;zoom,0.533),
  Texture= "overly",
  },
  Def.Sprite{
    Name= "xtl_actor_neh",
  InitCommand= cmd(draworder,32;diffusealpha,0),
  OnCommand= cmd(sleep,5.517;diffusealpha,1;x,SCREEN_CENTER_X + 262;y,SCREEN_CENTER_Y + 16;zoom,0.55),
  Texture= "overly",
  },
}