local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_cfh",
  Def.Sprite{
    Name= "xtl_actor_dfh",
  Delay0000= 0.23076923,
  Delay0001= 0.23076923,
  Delay0002= 0.23076923,
  Delay0003= 0.23076923,
  Delay0004= 0.23076923,
  Delay0005= 0.23076923,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  InitCommand= function(self)
				self:x(SCREEN_LEFT - self:GetWidth());
				self:y(SCREEN_HEIGHT/2);
				self:zoom(2.25);
			end,
  OnCommand= function(self)
				self:linear(0.7);
				self:addx(SCREEN_WIDTH/2 + self:GetWidth());
				self:sleep(1.8);
				self:linear(0.7);
				self:addx(SCREEN_WIDTH/2 + self:GetWidth());
				self:sleep(0.1);
				self:diffusealpha(0);
			end,
  Texture= Wily,
  },
}