local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_gfh",
  Def.Quad{
    Name= "xtl_actor_hfh",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.BitmapText{
    Name= "xtl_actor_ifh",
  DispText1MessageCommand= function(self)
			local sndp1 = string.sub(p1sound,7);
			self:finishtweening();
			self:settext(sndp1);
			self:diffusealpha(1);
			self:linear(1);
			self:diffusealpha(0);
		end,
  Font= "_eurostile normal,",
  InitCommand= cmd(x,SCREEN_CENTER_X-160;y,SCREEN_CENTER_Y;zoom,0.85),
  OnCommand= cmd(bob;effectmagnitude,0,100,0),
  Text= ",",
  },
  Def.BitmapText{
    Name= "xtl_actor_jfh",
  DispText2MessageCommand= function(self)
			local sndp2 = string.sub(p2sound,7);
			self:finishtweening();
			self:settext(sndp2);
			self:diffusealpha(1);
			self:linear(1);
			self:diffusealpha(0);
		end,
  Font= "_eurostile normal,",
  InitCommand= cmd(x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;zoom,0.85),
  OnCommand= cmd(bob;effectmagnitude,0,-100,0),
  Text= ",",
  },
  Def.Quad{
    Name= "xtl_actor_kfh",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
			fgcurcommand = 1;
			messageinc = 1;
			
			p1sound = '';
			p2sound = '';
			
			numstep_p1 = 0;
			numstep_p2 = 0;
				self:queuecommand('Update');
			end,
  StepP1MessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):finishtweening();
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):linear(0.05);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):rotationz(math.random(0,360));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):zoom(math.random(1,4));
			
			if GAMESTATE:GetSongBeat() >= 96 and GAMESTATE:GetSongBeat() <= 160 then
				numstep_p1 = numstep_p1 + 1;
				if numstep_p1 >= 10 then
					local r = math.ceil(math.random(0,25));
					local s = 'sound,';
					if r <= 14 then s = s..'Unlocked ';
						if r == 0 then s = s..'Anubis';
							elseif r == 1 then s = s..'Bubble Dancer';
							elseif r == 2 then s = s..'Disconnected Disco';
							elseif r == 3 then s = s..'Disconnected hyper';
							elseif r == 4 then s = s..'Disconnected mobius';
							elseif r == 5 then s = s..'DJ Party';
							elseif r == 6 then s = s..'Don\'t Promise Me ~Happiness~';
							elseif r == 7 then s = s..'Hardcore Symphony';
							elseif r == 8 then s = s..'Infection';
							elseif r == 9 then s = s..'Know Your Enemy';
							elseif r == 10 then s = s..'Pandemonium';
							elseif r == 11 then s = s..'Tell';
							elseif r == 12 then s = s..'VerTex^2';
							elseif r == 13 then s = s..'Wanna Do';
							elseif r == 14 then s = s..'Xuxa';
						end

						elseif r == 15 then s = s..'MenuTimer tick';
						elseif r == 16 then s = s..'MusicWheel sort';
						elseif r == 17 then s = s..'MemoryCardManager disconnect';
						elseif r == 18 then s = s..'Common coin';
						elseif r == 19 then s = s..'Common start'
						elseif r == 20 then s = s..'Common screenshot';
						elseif r == 21 then s = s..'Common invalid';
						elseif r == 22 then s = s..'_save';
						elseif r == 23 then s = s..'ScreenPlayerOptions cancel all';
						elseif r == 24 then s = s..'ScreenSelectMaster change';
						elseif r == 25 then s = s..'ScreenSelectMusic select down';
					end
					
					GAMESTATE:ApplyGameCommand(s);
					numstep_p1 = 0;
					
					p1sound = s;
					MESSAGEMAN:Broadcast('DispText1');
					
				end



			end
		end,
  StepP2MessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):finishtweening();
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):linear(0.05);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):rotationz(math.random(0,360));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):zoom(math.random(1,4));
			
			if GAMESTATE:GetSongBeat() >= 96 and GAMESTATE:GetSongBeat() <= 160 then
				numstep_p2 = numstep_p2 + 1;
				if numstep_p2 >= 10 then
					local r = math.ceil(math.random(0,25));
					local s = 'sound,';
					if r <= 14 then s = s..'Unlocked ';
						if r == 0 then s = s..'Anubis';
							elseif r == 1 then s = s..'Bubble Dancer';
							elseif r == 2 then s = s..'Disconnected Disco';
							elseif r == 3 then s = s..'Disconnected hyper';
							elseif r == 4 then s = s..'Disconnected mobius';
							elseif r == 5 then s = s..'DJ Party';
							elseif r == 6 then s = s..'Don\'t Promise Me ~Happiness~';
							elseif r == 7 then s = s..'Hardcore Symphony';
							elseif r == 8 then s = s..'Infection';
							elseif r == 9 then s = s..'Know Your Enemy';
							elseif r == 10 then s = s..'Pandemonium';
							elseif r == 11 then s = s..'Tell';
							elseif r == 12 then s = s..'VerTex^2';
							elseif r == 13 then s = s..'Wanna Do';
							elseif r == 14 then s = s..'Xuxa';
						end

						elseif r == 15 then s = s..'MenuTimer tick';
						elseif r == 16 then s = s..'MusicWheel sort';
						elseif r == 17 then s = s..'MemoryCardManager disconnect';
						elseif r == 18 then s = s..'Common coin';
						elseif r == 19 then s = s..'Common start'
						elseif r == 20 then s = s..'Common screenshot';
						elseif r == 21 then s = s..'Common invalid';
						elseif r == 22 then s = s..'_save';
						elseif r == 23 then s = s..'ScreenPlayerOptions cancel all';
						elseif r == 24 then s = s..'ScreenSelectMaster change';
						elseif r == 25 then s = s..'ScreenSelectMusic select down';
					end
					
					GAMESTATE:ApplyGameCommand(s);
					numstep_p2 = 0;
					
					p2sound = s;
					MESSAGEMAN:Broadcast('DispText2');
					
				end



			end
		end,
  Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
  UpdateCommand= function(self)






			
			if GAMESTATE:GetSongBeat()>= messageinc*16 then
				local r = math.ceil(math.random(0,8));
				local s = '';
				
				if r == 0 then s = 'Visit e621.net';
					elseif r == 1 then s = 'STEVEREEN';
					elseif r == 2 then s = 'HUAH KURVA';
					elseif r == 3 then s = '70 BRAISE OKAY!';
					elseif r == 4 then s = 'UHUHUHUH SPAGHETTI';
					elseif r == 5 then s = 'hehe, two brooks for me my mans I play 70';
					elseif r == 6 then s = 'I\'M DONE';
					elseif r == 7 then s = 'I/O Error';
					elseif r == 8 then s = 'I\'m hungry.';
				end

			
				SCREENMAN:SystemMessage(s);
			
				messageinc = messageinc + 1;
			end
			
			
			
			
			
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=60 and fgcurcommand == 1 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.9);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-20);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.8);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(30);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.7);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-40);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.6);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(50);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.5);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(-33);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.67);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(16);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.83);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(10);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.9);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-20);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.8);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(30);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.7);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-40);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.6);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(50);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.5);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-33);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.67);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(16);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.83);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.1);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
				end
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=63 and fgcurcommand == 2 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,45);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(0.5);
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,45);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(0.5);
				end
			
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=64 and fgcurcommand == 3 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
				end
			
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=92 and fgcurcommand == 4 then
			
				GAMESTATE:ApplyGameCommand('mod,blind');
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):finishtweening();
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):zoom(0);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):finishtweening();
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):zoom(0);
					
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):finishtweening();
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):zoom(0);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):finishtweening();
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):zoom(0);
					
				end
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=156 and fgcurcommand == 5 then
				GAMESTATE:ApplyGameCommand('mod,no blind');
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):bob();
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):effectmagnitude(-100,0,0);
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):zoom(1);
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):linear(80);
					SCREENMAN:GetTopScreen():GetChild('ScoreP1'):rotationz(15000);
					
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):bob();
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):effectmagnitude(100,0,0);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):x(SCREEN_CENTER_X-160);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):zoom(1);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):linear(80);
					SCREENMAN:GetTopScreen():GetChild('LifeP1'):rotationz(-15000);
				end
					
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):bob();
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):effectmagnitude(-100,0,0);
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):zoom(1);
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):linear(80);
					SCREENMAN:GetTopScreen():GetChild('ScoreP2'):rotationz(15000);
					
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):bob();
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):effectmagnitude(100,0,0);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):x(SCREEN_CENTER_X+160);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):linear(1.6);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):zoom(1);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):linear(80);
					SCREENMAN:GetTopScreen():GetChild('LifeP2'):rotationz(-15000);
				end
				
				fgcurcommand = fgcurcommand+1;
			end
			
			if GAMESTATE:GetSongBeat()>=195 and fgcurcommand == 6 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,45);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(0.5);
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,45);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(0.5);
				end
			
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=196 and fgcurcommand == 7 then
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(1.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(720);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.01);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(1.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-720);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.01);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
				end
			
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=200 and fgcurcommand == 8 then
			
				SCREENMAN:GetTopScreen():accelerate(1.6);
				SCREENMAN:GetTopScreen():addx(SCREEN_WIDTH);
				SCREENMAN:GetTopScreen():addy(SCREEN_HEIGHT);
				SCREENMAN:GetTopScreen():rotationz(1800);
				SCREENMAN:GetTopScreen():zoom(0);
				SCREENMAN:GetTopScreen():decelerate(1.6);
				SCREENMAN:GetTopScreen():addx(-SCREEN_WIDTH);
				SCREENMAN:GetTopScreen():addy(-SCREEN_HEIGHT);
				SCREENMAN:GetTopScreen():rotationz(0);
				SCREENMAN:GetTopScreen():zoom(1);

			fgcurcommand = fgcurcommand+1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=200.5 and fgcurcommand == 9 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):bob();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):effectmagnitude(0,100,0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):bob();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):effectmagnitude(0,-100,0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):effectclock('bgm');
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):bob();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):effectmagnitude(0,100,0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):bob();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):effectmagnitude(0,-100,0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):effectperiod(4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):effectclock('bgm');
				end
			
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			if GAMESTATE:GetSongBeat()>=240 and fgcurcommand == 10 then
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(360);
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.4);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(360);
				end
			
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=241 and fgcurcommand == 11 then
			
				SCREENMAN:GetTopScreen():GetChild('Overlay'):vibrate();
				SCREENMAN:GetTopScreen():GetChild('Overlay'):effectmagnitude(50,50,0);
			
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,20);
				end
				
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,20);
				end
			
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
    
			self:queuecommand('Update2');
   
		end,
  },
}