local xtl_cond_xfh_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_yfh_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_zfh",
  Def.Sprite{
    Name= "xtl_actor_agh",
  InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;sleep,22.257),
  Texture= "underlay.png",
  },
  optional_actor(xtl_cond_xfh_result,
  Def.Sprite{
    Name= "xtl_actor_bgh",
  InitCommand= cmd(x,SCREEN_LEFT;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;horizalign,left;sleep,22.257),
  Texture= "p1.png",
  }),
  optional_actor(xtl_cond_xfh_result,
  Def.Sprite{
    Name= "xtl_actor_cgh",
  InitCommand= cmd(additiveblend,1;DiffuseRamp;EffectColor1,#000000;EffectColor2,#FFFFFF;effectclock,bgm;effectperiod,0.5;x,SCREEN_LEFT;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;horizalign,left;sleep,22.257),
  Texture= "meter.png",
  }),
  optional_actor(xtl_cond_yfh_result,
  Def.Sprite{
    Name= "xtl_actor_dgh",
  InitCommand= cmd(x,SCREEN_RIGHT;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;horizalign,right;sleep,22.257),
  Texture= "p2.png",
  }),
  optional_actor(xtl_cond_yfh_result,
  Def.Sprite{
    Name= "xtl_actor_egh",
  InitCommand= cmd(additiveblend,1;DiffuseRamp;EffectColor1,#000000;EffectColor2,#FFFFFF;effectclock,bgm;effectperiod,0.5;x,SCREEN_RIGHT;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;zoomx,-1;horizalign,left;sleep,22.257),
  Texture= "meter.png",
  }),
  Def.Sprite{
    Name= "xtl_actor_fgh",
  InitCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;horizalign,right;sleep,22.257),
  Texture= "line.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ggh",
  InitCommand= cmd(x,SCREEN_WIDTH/10*3;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;horizalign,right;sleep,22.257),
  Texture= "line.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hgh",
  InitCommand= cmd(x,SCREEN_WIDTH/10*7;y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;horizalign,right;sleep,22.257),
  Texture= "line.png",
  },
  Def.Sprite{
    Name= "xtl_actor_igh",
  InitCommand= cmd(x,SCREEN_WIDTH/5*1;y,SCREEN_CENTER_Y;rotationz,90;sleep,22.257),
  Texture= "arrow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jgh",
  InitCommand= cmd(x,SCREEN_WIDTH/5*2;y,SCREEN_CENTER_Y;sleep,22.257),
  Texture= "arrow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kgh",
  InitCommand= cmd(x,SCREEN_WIDTH/5*3;y,SCREEN_CENTER_Y;rotationz,180;sleep,22.257),
  Texture= "arrow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lgh",
  InitCommand= cmd(x,SCREEN_WIDTH/5*4;y,SCREEN_CENTER_Y;rotationz,-90;sleep,22.257),
  Texture= "arrow.png",
  },
}