local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_puh",
  Def.Sprite{
    Name= "xtl_actor_quh",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,17.6),
  Texture= "../img/arrow_background.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ruh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + -40;rotationz,0.000;sleep,1.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_suh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + -120;rotationz,180.000;sleep,1.800;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tuh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + 40;rotationz,180.000;sleep,2.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uuh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + 120;rotationz,270.000;sleep,2.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vuh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + 120;rotationz,0.000;sleep,2.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wuh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + 40;rotationz,0.000;sleep,2.800;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xuh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + -120;rotationz,180.000;sleep,3.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yuh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + 200;rotationz,270.000;sleep,4.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zuh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + 200;rotationz,90.000;sleep,4.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_avh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + 200;rotationz,0.000;sleep,4.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + -200;rotationz,270.000;sleep,5.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + -200;rotationz,270.000;sleep,5.800;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + -200;rotationz,180.000;sleep,6.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_evh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + -120;rotationz,180.000;sleep,6.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + 40;rotationz,270.000;sleep,6.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + 40;rotationz,270.000;sleep,6.800;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + 40;rotationz,0.000;sleep,7.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ivh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + -120;rotationz,90.000;sleep,7.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + -120;rotationz,0.000;sleep,7.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + -200;rotationz,270.000;sleep,7.800;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + -200;rotationz,90.000;sleep,8.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + -200;rotationz,180.000;sleep,9.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + -120;rotationz,90.000;sleep,9.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ovh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + -120;rotationz,0.000;sleep,9.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + -200;rotationz,180.000;sleep,9.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + -40;rotationz,180.000;sleep,10.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + 40;rotationz,270.000;sleep,10.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_svh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + 40;rotationz,0.000;sleep,10.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + -40;rotationz,180.000;sleep,10.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + 120;rotationz,270.000;sleep,11.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + 120;rotationz,90.000;sleep,11.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + 120;rotationz,270.000;sleep,12.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + 120;rotationz,180.000;sleep,13.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + 200;rotationz,270.000;sleep,13.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zvh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + 200;rotationz,0.000;sleep,13.800;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_awh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + 120;rotationz,90.000;sleep,14.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + 120;rotationz,0.000;sleep,15.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + 40;rotationz,0.000;sleep,15.600;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + -40;rotationz,0.000;sleep,15.800;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ewh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + -120;rotationz,0.000;sleep,16.000;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + -200;rotationz,180.000;sleep,16.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + 200;rotationz,270.000;sleep,17.200;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + 200;rotationz,180.000;sleep,17.400;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -360;y,SCREEN_CENTER_Y + -40;rotationz,90;hibernate,0.6;linear,1.0;addx,5*80;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + -40;rotationz,0.000;hibernate,1.600;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + -120;rotationz,180.000;hibernate,1.800;linear,0.400;addx,0.000;addy,160.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + 40;rotationz,180.000;hibernate,2.200;linear,0.200;addx,0.000;addy,80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + 120;rotationz,270.000;hibernate,2.400;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + 120;rotationz,0.000;hibernate,2.600;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_owh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + 40;rotationz,0.000;hibernate,2.800;linear,0.400;addx,0.000;addy,-160.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + -120;rotationz,180.000;hibernate,3.200;linear,0.800;addx,0.000;addy,320.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + 200;rotationz,270.000;hibernate,4.000;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + 200;rotationz,90.000;hibernate,4.200;linear,0.400;addx,160.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_swh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + 200;rotationz,0.000;hibernate,4.600;linear,1.000;addx,0.000;addy,-400.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_twh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 40;y,SCREEN_CENTER_Y + -200;rotationz,270.000;hibernate,5.600;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -40;y,SCREEN_CENTER_Y + -200;rotationz,270.000;hibernate,5.800;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + -200;rotationz,180.000;hibernate,6.000;linear,0.200;addx,0.000;addy,80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + -120;rotationz,180.000;hibernate,6.200;linear,0.400;addx,0.000;addy,160.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + 40;rotationz,270.000;hibernate,6.600;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ywh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + 40;rotationz,270.000;hibernate,6.800;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zwh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + 40;rotationz,0.000;hibernate,7.000;linear,0.400;addx,0.000;addy,-160.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_axh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + -120;rotationz,90.000;hibernate,7.400;linear,0.200;addx,80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + -120;rotationz,0.000;hibernate,7.600;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + -200;rotationz,270.000;hibernate,7.800;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + -200;rotationz,90.000;hibernate,8.000;linear,1.000;addx,400.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_exh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + -200;rotationz,180.000;hibernate,9.000;linear,0.200;addx,0.000;addy,80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + -120;rotationz,90.000;hibernate,9.200;linear,0.200;addx,80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + -120;rotationz,0.000;hibernate,9.400;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + -200;rotationz,180.000;hibernate,9.600;linear,0.400;addx,0.000;addy,160.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ixh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + -40;rotationz,180.000;hibernate,10.000;linear,0.200;addx,0.000;addy,80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + 40;rotationz,270.000;hibernate,10.200;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + 40;rotationz,0.000;hibernate,10.400;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + -40;rotationz,180.000;hibernate,10.600;linear,0.400;addx,0.000;addy,160.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 120;y,SCREEN_CENTER_Y + 120;rotationz,270.000;hibernate,11.000;linear,0.600;addx,-240.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -120;y,SCREEN_CENTER_Y + 120;rotationz,90.000;hibernate,11.600;linear,0.800;addx,320.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + 120;rotationz,270.000;hibernate,12.400;linear,1.000;addx,-400.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + 120;rotationz,180.000;hibernate,13.400;linear,0.200;addx,0.000;addy,80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -200;y,SCREEN_CENTER_Y + 200;rotationz,270.000;hibernate,13.600;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + 200;rotationz,0.000;hibernate,13.800;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + -280;y,SCREEN_CENTER_Y + 120;rotationz,90.000;hibernate,14.000;linear,1.400;addx,560.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_txh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + 120;rotationz,0.000;hibernate,15.400;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + 40;rotationz,0.000;hibernate,15.600;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + -40;rotationz,0.000;hibernate,15.800;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + -120;rotationz,0.000;hibernate,16.000;linear,0.200;addx,0.000;addy,-80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + -200;rotationz,180.000;hibernate,16.200;linear,1.000;addx,0.000;addy,400.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 280;y,SCREEN_CENTER_Y + 200;rotationz,270.000;hibernate,17.200;linear,0.200;addx,-80.000;addy,0.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zxh",
  OnCommand= cmd(x,SCREEN_CENTER_X + 200;y,SCREEN_CENTER_Y + 200;rotationz,180.000;hibernate,17.400;linear,0.200;addx,0.000;addy,80.000;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
}