local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_hci",
  Def.Sprite{
    Name= "xtl_actor_ici",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + -288;y,SCREEN_CENTER_Y + 0;linear,0.1;addx,-1*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + -224;y,SCREEN_CENTER_Y + 0;linear,0.2;addx,-2*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 0;linear,0.3;addx,-3*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 0;linear,0.4;addx,-4*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;linear,0.5;addx,-5*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;linear,0.6;addx,-6*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 0;linear,0.7;addx,-7*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 0;linear,0.8;addx,-8*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + 224;y,SCREEN_CENTER_Y + 0;linear,0.9;addx,-9*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + 288;y,SCREEN_CENTER_Y + 0;linear,1.0;addx,-10*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sci",
  OnCommand= cmd(hibernate,0.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tci",
  OnCommand= cmd(hibernate,0.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uci",
  OnCommand= cmd(hibernate,0.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vci",
  OnCommand= cmd(hibernate,0.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wci",
  OnCommand= cmd(hibernate,0.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xci",
  OnCommand= cmd(hibernate,0.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yci",
  OnCommand= cmd(hibernate,0.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zci",
  OnCommand= cmd(hibernate,0.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_adi",
  OnCommand= cmd(hibernate,0.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bdi",
  OnCommand= cmd(hibernate,0.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cdi",
  OnCommand= cmd(hibernate,1.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ddi",
  OnCommand= cmd(hibernate,1.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_edi",
  OnCommand= cmd(hibernate,1.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fdi",
  OnCommand= cmd(hibernate,1.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gdi",
  OnCommand= cmd(hibernate,1.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hdi",
  OnCommand= cmd(hibernate,1.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_idi",
  OnCommand= cmd(hibernate,1.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jdi",
  OnCommand= cmd(hibernate,1.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kdi",
  OnCommand= cmd(hibernate,1.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ldi",
  OnCommand= cmd(hibernate,1.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mdi",
  OnCommand= cmd(hibernate,2.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ndi",
  OnCommand= cmd(hibernate,2.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_odi",
  OnCommand= cmd(hibernate,2.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pdi",
  OnCommand= cmd(hibernate,2.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qdi",
  OnCommand= cmd(hibernate,2.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rdi",
  OnCommand= cmd(hibernate,2.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sdi",
  OnCommand= cmd(hibernate,2.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tdi",
  OnCommand= cmd(hibernate,2.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_udi",
  OnCommand= cmd(hibernate,2.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vdi",
  OnCommand= cmd(hibernate,2.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wdi",
  OnCommand= cmd(hibernate,3.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xdi",
  OnCommand= cmd(hibernate,3.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ydi",
  OnCommand= cmd(hibernate,3.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zdi",
  OnCommand= cmd(hibernate,3.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aei",
  OnCommand= cmd(hibernate,3.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bei",
  OnCommand= cmd(hibernate,3.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cei",
  OnCommand= cmd(hibernate,3.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dei",
  OnCommand= cmd(hibernate,3.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eei",
  OnCommand= cmd(hibernate,3.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fei",
  OnCommand= cmd(hibernate,3.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gei",
  OnCommand= cmd(hibernate,4.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hei",
  OnCommand= cmd(hibernate,4.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iei",
  OnCommand= cmd(hibernate,4.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jei",
  OnCommand= cmd(hibernate,4.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -80;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kei",
  OnCommand= cmd(hibernate,4.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -96;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lei",
  OnCommand= cmd(hibernate,4.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -96;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mei",
  OnCommand= cmd(hibernate,4.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -80;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nei",
  OnCommand= cmd(hibernate,4.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oei",
  OnCommand= cmd(hibernate,4.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pei",
  OnCommand= cmd(hibernate,4.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qei",
  OnCommand= cmd(hibernate,5.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rei",
  OnCommand= cmd(hibernate,5.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sei",
  OnCommand= cmd(hibernate,5.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tei",
  OnCommand= cmd(hibernate,5.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uei",
  OnCommand= cmd(hibernate,5.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vei",
  OnCommand= cmd(hibernate,5.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wei",
  OnCommand= cmd(hibernate,5.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xei",
  OnCommand= cmd(hibernate,5.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yei",
  OnCommand= cmd(hibernate,5.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zei",
  OnCommand= cmd(hibernate,5.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_afi",
  OnCommand= cmd(hibernate,6.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bfi",
  OnCommand= cmd(hibernate,6.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cfi",
  OnCommand= cmd(hibernate,6.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dfi",
  OnCommand= cmd(hibernate,6.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_efi",
  OnCommand= cmd(hibernate,6.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ffi",
  OnCommand= cmd(hibernate,6.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gfi",
  OnCommand= cmd(hibernate,6.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hfi",
  OnCommand= cmd(hibernate,6.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ifi",
  OnCommand= cmd(hibernate,6.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jfi",
  OnCommand= cmd(hibernate,6.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kfi",
  OnCommand= cmd(hibernate,7.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lfi",
  OnCommand= cmd(hibernate,7.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mfi",
  OnCommand= cmd(hibernate,7.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nfi",
  OnCommand= cmd(hibernate,7.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ofi",
  OnCommand= cmd(hibernate,7.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pfi",
  OnCommand= cmd(hibernate,7.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qfi",
  OnCommand= cmd(hibernate,7.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rfi",
  OnCommand= cmd(hibernate,7.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sfi",
  OnCommand= cmd(hibernate,7.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tfi",
  OnCommand= cmd(hibernate,7.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ufi",
  OnCommand= cmd(hibernate,8.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vfi",
  OnCommand= cmd(hibernate,8.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wfi",
  OnCommand= cmd(hibernate,8.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xfi",
  OnCommand= cmd(hibernate,8.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yfi",
  OnCommand= cmd(hibernate,8.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zfi",
  OnCommand= cmd(hibernate,8.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_agi",
  OnCommand= cmd(hibernate,8.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bgi",
  OnCommand= cmd(hibernate,8.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cgi",
  OnCommand= cmd(hibernate,8.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dgi",
  OnCommand= cmd(hibernate,8.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_egi",
  OnCommand= cmd(hibernate,9.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fgi",
  OnCommand= cmd(hibernate,9.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ggi",
  OnCommand= cmd(hibernate,9.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hgi",
  OnCommand= cmd(hibernate,9.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_igi",
  OnCommand= cmd(hibernate,9.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jgi",
  OnCommand= cmd(hibernate,9.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kgi",
  OnCommand= cmd(hibernate,9.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lgi",
  OnCommand= cmd(hibernate,9.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mgi",
  OnCommand= cmd(hibernate,9.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ngi",
  OnCommand= cmd(hibernate,9.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ogi",
  OnCommand= cmd(hibernate,10.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pgi",
  OnCommand= cmd(hibernate,10.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qgi",
  OnCommand= cmd(hibernate,10.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rgi",
  OnCommand= cmd(hibernate,10.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sgi",
  OnCommand= cmd(hibernate,10.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tgi",
  OnCommand= cmd(hibernate,10.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + -16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ugi",
  OnCommand= cmd(hibernate,10.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vgi",
  OnCommand= cmd(hibernate,10.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wgi",
  OnCommand= cmd(hibernate,10.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xgi",
  OnCommand= cmd(hibernate,10.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ygi",
  OnCommand= cmd(hibernate,11.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zgi",
  OnCommand= cmd(hibernate,11.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ahi",
  OnCommand= cmd(hibernate,11.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bhi",
  OnCommand= cmd(hibernate,11.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_chi",
  OnCommand= cmd(hibernate,11.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dhi",
  OnCommand= cmd(hibernate,11.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ehi",
  OnCommand= cmd(hibernate,11.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fhi",
  OnCommand= cmd(hibernate,11.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ghi",
  OnCommand= cmd(hibernate,11.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hhi",
  OnCommand= cmd(hibernate,11.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ihi",
  OnCommand= cmd(hibernate,12.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jhi",
  OnCommand= cmd(hibernate,12.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_khi",
  OnCommand= cmd(hibernate,12.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lhi",
  OnCommand= cmd(hibernate,12.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 16;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mhi",
  OnCommand= cmd(hibernate,12.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nhi",
  OnCommand= cmd(hibernate,12.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 32;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ohi",
  OnCommand= cmd(hibernate,12.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 48;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_phi",
  OnCommand= cmd(hibernate,12.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qhi",
  OnCommand= cmd(hibernate,12.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rhi",
  OnCommand= cmd(hibernate,12.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 80;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_shi",
  OnCommand= cmd(hibernate,13.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 96;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_thi",
  OnCommand= cmd(hibernate,13.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 80;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_two_spaces.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uhi",
  OnCommand= cmd(hibernate,13.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vhi",
  OnCommand= cmd(hibernate,13.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.1;addx,-11*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_whi",
  OnCommand= cmd(hibernate,13.400;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,1.0;addx,-10*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xhi",
  OnCommand= cmd(hibernate,13.500;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.9;addx,-9*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yhi",
  OnCommand= cmd(hibernate,13.600;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.8;addx,-8*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zhi",
  OnCommand= cmd(hibernate,13.700;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.7;addx,-7*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aii",
  OnCommand= cmd(hibernate,13.800;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.6;addx,-6*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bii",
  OnCommand= cmd(hibernate,13.900;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.5;addx,-5*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cii",
  OnCommand= cmd(hibernate,14.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.4;addx,-4*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dii",
  OnCommand= cmd(hibernate,14.100;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.3;addx,-3*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eii",
  OnCommand= cmd(hibernate,14.200;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.2;addx,-2*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fii",
  OnCommand= cmd(hibernate,14.300;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 64;linear,0.1;addx,-1*64),
  Texture= "../img/gorge_rocks_one_space.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gii",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
      {Frame= 4, Delay= 0.05},
      {Frame= 5, Delay= 0.05},
      {Frame= 6, Delay= 0.05},
      {Frame= 7, Delay= 0.05},
      {Frame= 8, Delay= 0.05},
      {Frame= 9, Delay= 0.05},
      {Frame= 10, Delay= 0.05},
      {Frame= 11, Delay= 0.05},
      {Frame= 12, Delay= 0.05},
      {Frame= 13, Delay= 0.05},
      {Frame= 14, Delay= 0.05},
      {Frame= 15, Delay= 0.05},
  },
  OnCommand= cmd(zoom,0.5;x,SCREEN_CENTER_X + -256;y,SCREEN_CENTER_Y;sleep,1.6;
			addy,32;sleep,0.2;
			addy,32;sleep,0.2;
			addy,-32;sleep,0.4;
			addy,32;sleep,0.3;
			addy,-32;sleep,0.5;
			
			addy,-32;sleep,0.2;
			addy,-32;sleep,0.2;
			addy,32;sleep,0.4;
			addy,-32;sleep,0.3;
			addy,32;sleep,0.5;
			
			addy,-32;sleep,0.3;
			addy,-32;sleep,0.2;
			addy,-32;sleep,0.3;
			addy,32;sleep,0.3;
			addy,32;sleep,0.2;
			addy,32;sleep,0.3;
			
			addy,-32;sleep,0.3;
			addy,32;sleep,0.2;
			addy,32;sleep,0.3;
			addy,32;sleep,0.3;
			addy,-32;sleep,0.2;
			addy,-32;sleep,0.3;
			
			diffusealpha,0),
  Texture= "../img/rainbow 1x16.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hii",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
      {Frame= 4, Delay= 0.05},
      {Frame= 5, Delay= 0.05},
      {Frame= 6, Delay= 0.05},
      {Frame= 7, Delay= 0.05},
      {Frame= 8, Delay= 0.05},
      {Frame= 9, Delay= 0.05},
      {Frame= 10, Delay= 0.05},
      {Frame= 11, Delay= 0.05},
      {Frame= 12, Delay= 0.05},
      {Frame= 13, Delay= 0.05},
      {Frame= 14, Delay= 0.05},
      {Frame= 15, Delay= 0.05},
  },
  OnCommand= cmd(zoom,0.5;hibernate,8.0;x,SCREEN_CENTER_X + -256;y,SCREEN_CENTER_Y;
			addy,32;sleep,0.2;
			addy,32;sleep,0.2;
			addy,-32;sleep,0.4;
			addy,32;sleep,0.3;
			addy,-32;sleep,0.5;
			
			addy,-32;sleep,0.2;
			addy,-32;sleep,0.2;
			addy,32;sleep,0.4;
			addy,-32;sleep,0.3;
			addy,32;sleep,0.5;
			
			addy,-32;sleep,0.3;
			addy,32;sleep,0.2;
			addy,32;sleep,0.3;
			addy,32;sleep,0.3;
			addy,-32;sleep,0.2;
			addy,-32;sleep,0.3;
			
			addy,32;sleep,0.3;
			addy,-32;sleep,0.2;
			addy,32;sleep,0.3;
			addy,32;sleep,0.3;
			addy,32;sleep,0.2;
			addy,-32;sleep,0.3;
			
			diffusealpha,0),
  Texture= "../img/rainbow 1x16.png",
  },
}