local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_iii",
  Def.Sprite{
    Name= "xtl_actor_jii",
  OnCommand= cmd(x,SCREEN_CENTER_X-96;y,SCREEN_CENTER_Y + -176;rotationz,270;sleep,14.4),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kii",
  OnCommand= cmd(x,SCREEN_CENTER_X-32;y,SCREEN_CENTER_Y + -176;rotationz,180;sleep,14.4),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lii",
  OnCommand= cmd(x,SCREEN_CENTER_X+32;y,SCREEN_CENTER_Y + -176;rotationz,0;sleep,14.4),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mii",
  OnCommand= cmd(x,SCREEN_CENTER_X+96;y,SCREEN_CENTER_Y + -176;rotationz,90;sleep,14.4),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nii",
  OnCommand= cmd(hibernate,0.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oii",
  OnCommand= cmd(hibernate,0.900;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pii",
  OnCommand= cmd(hibernate,1.000;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qii",
  OnCommand= cmd(hibernate,1.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rii",
  OnCommand= cmd(hibernate,1.200;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sii",
  OnCommand= cmd(hibernate,1.300;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tii",
  OnCommand= cmd(hibernate,1.400;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uii",
  OnCommand= cmd(hibernate,1.500;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vii",
  OnCommand= cmd(hibernate,1.600;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wii",
  OnCommand= cmd(hibernate,1.700;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xii",
  OnCommand= cmd(hibernate,1.800;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yii",
  OnCommand= cmd(hibernate,1.900;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zii",
  OnCommand= cmd(hibernate,2.000;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aji",
  OnCommand= cmd(hibernate,2.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bji",
  OnCommand= cmd(hibernate,2.200;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cji",
  OnCommand= cmd(hibernate,2.300;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dji",
  OnCommand= cmd(hibernate,2.400;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eji",
  OnCommand= cmd(hibernate,2.500;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fji",
  OnCommand= cmd(hibernate,2.600;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gji",
  OnCommand= cmd(hibernate,2.700;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hji",
  OnCommand= cmd(hibernate,2.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iji",
  OnCommand= cmd(hibernate,2.900;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jji",
  OnCommand= cmd(hibernate,3.000;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kji",
  OnCommand= cmd(hibernate,3.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lji",
  OnCommand= cmd(hibernate,3.200;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mji",
  OnCommand= cmd(hibernate,3.300;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nji",
  OnCommand= cmd(hibernate,3.400;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oji",
  OnCommand= cmd(hibernate,3.500;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pji",
  OnCommand= cmd(hibernate,3.600;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qji",
  OnCommand= cmd(hibernate,3.700;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rji",
  OnCommand= cmd(hibernate,3.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sji",
  OnCommand= cmd(hibernate,3.900;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tji",
  OnCommand= cmd(hibernate,4.000;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uji",
  OnCommand= cmd(hibernate,4.100;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vji",
  OnCommand= cmd(hibernate,4.200;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wji",
  OnCommand= cmd(hibernate,4.300;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xji",
  OnCommand= cmd(hibernate,4.400;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yji",
  OnCommand= cmd(hibernate,4.500;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zji",
  OnCommand= cmd(hibernate,4.600;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aki",
  OnCommand= cmd(hibernate,4.700;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bki",
  OnCommand= cmd(hibernate,4.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cki",
  OnCommand= cmd(hibernate,4.900;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dki",
  OnCommand= cmd(hibernate,5.000;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eki",
  OnCommand= cmd(hibernate,5.100;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fki",
  OnCommand= cmd(hibernate,5.200;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gki",
  OnCommand= cmd(hibernate,5.300;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hki",
  OnCommand= cmd(hibernate,5.400;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iki",
  OnCommand= cmd(hibernate,5.500;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jki",
  OnCommand= cmd(hibernate,5.600;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kki",
  OnCommand= cmd(hibernate,5.700;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lki",
  OnCommand= cmd(hibernate,5.800;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mki",
  OnCommand= cmd(hibernate,5.900;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nki",
  OnCommand= cmd(hibernate,6.000;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oki",
  OnCommand= cmd(hibernate,6.100;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pki",
  OnCommand= cmd(hibernate,6.200;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qki",
  OnCommand= cmd(hibernate,6.300;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rki",
  OnCommand= cmd(hibernate,6.400;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ski",
  OnCommand= cmd(hibernate,6.500;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tki",
  OnCommand= cmd(hibernate,6.600;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uki",
  OnCommand= cmd(hibernate,6.700;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vki",
  OnCommand= cmd(hibernate,6.800;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wki",
  OnCommand= cmd(hibernate,6.900;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xki",
  OnCommand= cmd(hibernate,7.000;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yki",
  OnCommand= cmd(hibernate,7.100;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zki",
  OnCommand= cmd(hibernate,7.200;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ali",
  OnCommand= cmd(hibernate,7.300;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bli",
  OnCommand= cmd(hibernate,7.400;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cli",
  OnCommand= cmd(hibernate,7.500;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dli",
  OnCommand= cmd(hibernate,7.600;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eli",
  OnCommand= cmd(hibernate,7.700;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fli",
  OnCommand= cmd(hibernate,7.800;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gli",
  OnCommand= cmd(hibernate,7.900;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hli",
  OnCommand= cmd(hibernate,8.000;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ili",
  OnCommand= cmd(hibernate,8.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jli",
  OnCommand= cmd(hibernate,8.200;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kli",
  OnCommand= cmd(hibernate,8.300;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lli",
  OnCommand= cmd(hibernate,8.400;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mli",
  OnCommand= cmd(hibernate,8.500;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nli",
  OnCommand= cmd(hibernate,8.600;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oli",
  OnCommand= cmd(hibernate,8.700;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pli",
  OnCommand= cmd(hibernate,8.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qli",
  OnCommand= cmd(hibernate,8.900;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rli",
  OnCommand= cmd(hibernate,9.000;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sli",
  OnCommand= cmd(hibernate,9.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tli",
  OnCommand= cmd(hibernate,9.200;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uli",
  OnCommand= cmd(hibernate,9.300;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vli",
  OnCommand= cmd(hibernate,9.400;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wli",
  OnCommand= cmd(hibernate,9.500;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xli",
  OnCommand= cmd(hibernate,9.600;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yli",
  OnCommand= cmd(hibernate,9.700;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zli",
  OnCommand= cmd(hibernate,9.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ami",
  OnCommand= cmd(hibernate,9.900;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bmi",
  OnCommand= cmd(hibernate,10.000;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cmi",
  OnCommand= cmd(hibernate,10.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dmi",
  OnCommand= cmd(hibernate,10.200;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_emi",
  OnCommand= cmd(hibernate,10.300;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fmi",
  OnCommand= cmd(hibernate,10.400;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gmi",
  OnCommand= cmd(hibernate,10.500;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hmi",
  OnCommand= cmd(hibernate,10.600;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_imi",
  OnCommand= cmd(hibernate,10.700;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jmi",
  OnCommand= cmd(hibernate,10.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kmi",
  OnCommand= cmd(hibernate,10.900;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lmi",
  OnCommand= cmd(hibernate,11.000;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mmi",
  OnCommand= cmd(hibernate,11.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nmi",
  OnCommand= cmd(hibernate,11.200;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_omi",
  OnCommand= cmd(hibernate,11.300;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pmi",
  OnCommand= cmd(hibernate,11.400;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qmi",
  OnCommand= cmd(hibernate,11.500;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rmi",
  OnCommand= cmd(hibernate,11.600;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_smi",
  OnCommand= cmd(hibernate,11.700;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tmi",
  OnCommand= cmd(hibernate,11.800;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_umi",
  OnCommand= cmd(hibernate,11.900;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vmi",
  OnCommand= cmd(hibernate,12.000;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wmi",
  OnCommand= cmd(hibernate,12.100;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xmi",
  OnCommand= cmd(hibernate,12.200;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ymi",
  OnCommand= cmd(hibernate,12.300;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zmi",
  OnCommand= cmd(hibernate,12.400;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ani",
  OnCommand= cmd(hibernate,12.500;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bni",
  OnCommand= cmd(hibernate,12.600;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cni",
  OnCommand= cmd(hibernate,12.700;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dni",
  OnCommand= cmd(hibernate,12.800;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eni",
  OnCommand= cmd(hibernate,12.900;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fni",
  OnCommand= cmd(hibernate,13.000;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gni",
  OnCommand= cmd(hibernate,13.100;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + 272;rotationz,90.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hni",
  OnCommand= cmd(hibernate,13.200;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ini",
  OnCommand= cmd(hibernate,13.300;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 272;rotationz,180.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jni",
  OnCommand= cmd(hibernate,13.400;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + 272;rotationz,270.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kni",
  OnCommand= cmd(hibernate,13.500;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 272;rotationz,0.000;linear,0.8;y,SCREEN_CENTER_Y + -176;sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
}