local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_lni",
  Def.Sprite{
    Name= "xtl_actor_mni",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,14.0),
  Texture= "../img/link_background.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nni",
  OnCommand= cmd(hibernate,1.7;zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,0.3;diffusealpha,0;
			sleep,1.7;diffusealpha,1;sleep,0.5;diffusealpha,0;
			sleep,0.7;diffusealpha,1;sleep,0.3;diffusealpha,0;
			sleep,0.7;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.7;diffusealpha,0;
			sleep,4.1;diffusealpha,1;sleep,0.7;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.7;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_left.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oni",
  OnCommand= cmd(hibernate,3.1;zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.3;diffusealpha,1;sleep,0.5;diffusealpha,0;
			sleep,1.9;diffusealpha,1;sleep,0.7;diffusealpha,0;
			sleep,1.7;diffusealpha,1;sleep,0.7;diffusealpha,0;
			sleep,0.5;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_down.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pni",
  OnCommand= cmd(zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,1.6;diffusealpha,0;
			sleep,1.3;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,2.3;diffusealpha,1;sleep,0.7;diffusealpha,0;
			sleep,4.3;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_up.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qni",
  OnCommand= cmd(hibernate,2.1;zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,0.6;diffusealpha,0;
			sleep,0.6;diffusealpha,1;sleep,0.3;diffusealpha,0;
			sleep,0.7;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.5;diffusealpha,0;
			sleep,0.7;diffusealpha,1;sleep,0.2;diffusealpha,0;
			sleep,2.6;diffusealpha,1;sleep,0.5;diffusealpha,0;
			sleep,1.1;diffusealpha,1;sleep,0.5;diffusealpha,0;
			sleep,2.5;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_right.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rni",
  OnCommand= cmd(hibernate,1.6;zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,0.1;diffusealpha,0;
			sleep,1.9;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.1;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.3;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.7;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.7;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_sword_left.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sni",
  OnCommand= cmd(hibernate,2.7;zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,0.1;diffusealpha,0;
			sleep,0.2;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.3;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.6;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.6;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.3;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.1;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_sword_down.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tni",
  OnCommand= cmd(hibernate,2.8;zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,2.3;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.4;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.8;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_sword_up.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uni",
  OnCommand= cmd(hibernate,2.0;zoom,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			sleep,0.1;diffusealpha,0;
			sleep,1.1;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.9;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.1;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,0.2;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,2.4;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,1.5;diffusealpha,1;sleep,0.1;diffusealpha,0;
			sleep,2.9;diffusealpha,1;sleep,0.1;diffusealpha,0),
  Texture= "../img/link_sword_right.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vni",
  OnCommand= cmd(hibernate,0.600;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wni",
  OnCommand= cmd(hibernate,1.000;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xni",
  OnCommand= cmd(hibernate,1.700;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_green.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yni",
  OnCommand= cmd(hibernate,1.800;zoom,2;rotationz,180.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zni",
  OnCommand= cmd(hibernate,2.000;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aoi",
  OnCommand= cmd(hibernate,2.200;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_boi",
  OnCommand= cmd(hibernate,2.600;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_coi",
  OnCommand= cmd(hibernate,3.200;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_doi",
  OnCommand= cmd(hibernate,3.400;zoom,2;rotationz,180.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eoi",
  OnCommand= cmd(hibernate,3.600;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_foi",
  OnCommand= cmd(hibernate,3.800;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_goi",
  OnCommand= cmd(hibernate,4.200;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hoi",
  OnCommand= cmd(hibernate,4.800;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ioi",
  OnCommand= cmd(hibernate,5.000;zoom,2;rotationz,180.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_joi",
  OnCommand= cmd(hibernate,5.200;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_koi",
  OnCommand= cmd(hibernate,5.400;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_loi",
  OnCommand= cmd(hibernate,5.700;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_green.png",
  },
  Def.Sprite{
    Name= "xtl_actor_moi",
  OnCommand= cmd(hibernate,5.800;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_noi",
  OnCommand= cmd(hibernate,6.600;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ooi",
  OnCommand= cmd(hibernate,7.200;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_poi",
  OnCommand= cmd(hibernate,7.300;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_green.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qoi",
  OnCommand= cmd(hibernate,7.400;zoom,2;rotationz,180.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_roi",
  OnCommand= cmd(hibernate,8.200;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_soi",
  OnCommand= cmd(hibernate,8.800;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_toi",
  OnCommand= cmd(hibernate,8.900;zoom,2;rotationz,180.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_green.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uoi",
  OnCommand= cmd(hibernate,9.000;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_voi",
  OnCommand= cmd(hibernate,9.800;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_woi",
  OnCommand= cmd(hibernate,10.400;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xoi",
  OnCommand= cmd(hibernate,10.500;zoom,2;rotationz,180.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_green.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yoi",
  OnCommand= cmd(hibernate,10.600;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zoi",
  OnCommand= cmd(hibernate,11.400;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_api",
  OnCommand= cmd(hibernate,12.200;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bpi",
  OnCommand= cmd(hibernate,12.400;zoom,2;rotationz,180.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cpi",
  OnCommand= cmd(hibernate,12.600;zoom,2;rotationz,0.000;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 352;linear,1.0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 32;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dpi",
  OnCommand= cmd(hibernate,12.800;zoom,2;rotationz,270.000;x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_epi",
  OnCommand= cmd(hibernate,13.000;zoom,2;rotationz,90.000;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y + 0;linear,1.0;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + 0;sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red.png",
  },
}