local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_fpi",
  Def.Sprite{
    Name= "xtl_actor_gpi",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,14.4),
  Texture= "../img/mario_background.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hpi",
  OnCommand= cmd(x,SCREEN_CENTER_X+8*64;y,SCREEN_CENTER_Y + 144;
			sleep,1.6;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			linear,1.6;addx,-16*64;sleep,0.0;addx,16*64;
			sleep,1.6),
  Texture= "../img/mario_blocks.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ipi",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
  },
  OnCommand= cmd(zoom,2;x,SCREEN_CENTER_X-16*64-96;y,SCREEN_CENTER_Y + 80;
			linear,1.6;addx,16*64;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.6;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.6;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.4;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.6;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.4;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.4;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.4;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;x,SCREEN_CENTER_X + -352),
  Texture= "../img/mario 4x1.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jpi",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
  },
  OnCommand= cmd(zoom,2;x,SCREEN_CENTER_X + -352;sleep,8.0;x,SCREEN_CENTER_X-96;y,SCREEN_CENTER_Y + 80;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.4;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.4;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.4;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;x,SCREEN_CENTER_X + -352),
  Texture= "../img/mario 4x1.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kpi",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
  },
  OnCommand= cmd(zoom,2;x,SCREEN_CENTER_X + -352;sleep,12.2;x,SCREEN_CENTER_X-96;y,SCREEN_CENTER_Y + 80;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.0;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;decelerate,0.1;addy,-32;accelerate,0.1;addy,32;
			sleep,0.2;linear,1.6;addx,16*64),
  Texture= "../img/mario 4x1.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lpi",
  OnCommand= cmd(x,SCREEN_CENTER_X-32;y,SCREEN_CENTER_Y + 144;sleep,1.6;linear,0.5;addx,-5*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,1.8;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_npi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,2.6;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_opi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,3.2;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ppi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,4.0;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,4.6;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,5.0;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_spi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,5.2;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,5.6;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_upi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,6.0;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,6.6;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,7.2;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,7.6;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ypi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,8.0;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zpi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,8.4;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,8.8;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,9.4;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,9.8;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,10.0;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,10.6;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,11.2;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,11.4;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,11.8;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,12.0;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,12.4;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,12.6;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,12.8;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,13.0;linear,1.1;addx,-11*64),
  Texture= "../img/mario_hole.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nqi",
  OnCommand= cmd(x,SCREEN_CENTER_X + 352;y,SCREEN_CENTER_Y + 144;sleep,13.4;linear,1.0;addx,-10*64),
  Texture= "../img/mario_hole.png",
  },
}