local xtl_cond_dvi_result= GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_evi",
  optional_actor(xtl_cond_dvi_result,
  Def.ActorFrame{
    Name= "xtl_actor_fvi",
  OnCommand= function(self) self:x(SCREEN_CENTER_X); self:y(SCREEN_CENTER_Y); backdrop = self; end,
    Def.ActorFrame{
      Name= "xtl_actor_gvi",
    BgMoveCommand= function(self)
					self:accelerate((move1*2)+(move3/2));
					self:addx(move2*-30);
					self:decelerate((move1*2)+(move3/2));
					self:addx(move2*-30);
					end,
    OnCommand= function(self) self:x(-SCREEN_CENTER_X); self:y(-SCREEN_CENTER_Y); self:zoom(1.2); mountains = self; end,
      Def.Sprite{
        Name= "xtl_actor_hvi",
      OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_ivi",
      OnCommand= cmd(x,SCREEN_CENTER_X-700;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_jvi",
      OnCommand= cmd(x,SCREEN_CENTER_X+700;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_kvi",
      OnCommand= cmd(x,SCREEN_CENTER_X-1400;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_lvi",
      OnCommand= cmd(x,SCREEN_CENTER_X+1400;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_mvi",
      OnCommand= cmd(x,SCREEN_CENTER_X-2100;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_nvi",
      OnCommand= cmd(x,SCREEN_CENTER_X+2100;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_ovi",
      OnCommand= cmd(x,SCREEN_CENTER_X-2800;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_pvi",
      OnCommand= cmd(x,SCREEN_CENTER_X+2800;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_qvi",
      OnCommand= cmd(x,SCREEN_CENTER_X-3500;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_rvi",
      OnCommand= cmd(x,SCREEN_CENTER_X+3500;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_svi",
      OnCommand= cmd(x,SCREEN_CENTER_X-4200;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_tvi",
      OnCommand= cmd(x,SCREEN_CENTER_X+4200;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_uvi",
      OnCommand= cmd(x,SCREEN_CENTER_X-4900;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
      Def.Sprite{
        Name= "xtl_actor_vvi",
      OnCommand= cmd(x,SCREEN_CENTER_X+4900;y,SCREEN_CENTER_Y-40;diffuse,color('#FF0000')),
      Texture= "mountain",
      },
    },
  }),
  optional_actor(xtl_cond_dvi_result,
  Def.ActorFrame{
    Name= "xtl_actor_wvi",
  FOV= 135,
  OnCommand= cmd(),
    Def.Sprite{
      Name= "xtl_actor_xvi",
    OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;z,100;rotationx,-80;zoomx,1;zoomy,8;fadetop,0.05;fadeleft,0.05;faderight,0.05;customtexturerect,0,0,4,8;diffuse,color('#FF8080');diffusealpha,1;sleep,7.75;diffusealpha,0),
    Texture= "ground",
    },
    Def.Sprite{
      Name= "xtl_actor_yvi",
    OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;z,100;rotationx,-80;zoomx,1;zoomy,8;fadetop,0.05;fadeleft,0.05;faderight,0.05;customtexturerect,0,0,4,8;texcoordvelocity,0,-6;diffuse,color('#FF8080');diffusealpha,0;sleep,7.75;diffusealpha,1),
    Texture= "ground",
    },
  }),
}