local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_lhk",
InitCommand= function(self)
   PlayerEnabled = 0;
   rateModList = { '1.0', '1.1', '1.2', '1.3', '1.4', '1.5', '1.6', '1.7', '1.8', '1.9', '2.0' };
   rateMod = 1;

   -- WTF Mad Matt! You said this would work :/
   -- YEAH WTF MATT GARDNER
   -- Well it did at first but then it started crashing everything so..... no rate mod for you!
   --for playerNumber = 1,2 do
   --   if GAMESTATE:IsPlayerEnabled(playerNumber-1) then
   --      for i = 1, table.getn(rateModList) do
   --         if GAMESTATE:PlayerIsUsingModifier(playerNumber, rateModList[i]..'xmusic') then
   --            rateMod = tonumber(rateModList[i]);
   --         end
   --      end
   --   end
   --end

   beat = (60/220)/rateMod;
   beatCount = 0;
   miniCount = 0;
   end,
  Def.Quad{
    Name= "xtl_actor_mhk",
  OnCommand= function(self)
         self:diffuse(0,0,0,1);  
         self:zoomto(math.ceil((SCREEN_WIDTH-640)/2),SCREEN_HEIGHT);
         self:x((SCREEN_WIDTH-640)/4);
         self:y(SCREEN_CENTER_Y);
         self:z(1000);
         self:sleep(218.9);
      end,
  },
  Def.Quad{
    Name= "xtl_actor_nhk",
  OnCommand= function(self)
         self:diffuse(0,0,0,1);  
         self:zoomto(math.ceil((SCREEN_WIDTH-640)/2)+2,SCREEN_HEIGHT);
         self:x(math.ceil((640)+3*(SCREEN_WIDTH-640)/4));
         self:y(SCREEN_CENTER_Y);
         self:z(1000);
         self:sleep(218.9);
      end,
  },
  Def.Quad{
    Name= "xtl_actor_ohk",
  OnCommand= function(self)
         self:queuecommand('Setup');
         end,
  SetupCommand= function(self)
            if GAMESTATE:IsPlayerEnabled(0) then
               PlayerEnabled = 1;
            else
               PlayerEnabled = 2;
            end
            -- Create Player Variable to use throughout file and position active player on left
            Player = SCREENMAN:GetTopScreen():GetChild('PlayerP' .. PlayerEnabled);
            Player:x((SCREEN_WIDTH-640)/2 + 160);
         end,
  },
  Def.Quad{
    Name= "xtl_actor_phk",
  EighthCommand= function(self)
		 
		 Player:sleep(beat*4);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(90);
		 Player:linear(beat*2);
		 Player:rotationz(0);
		 Player:sleep(0);
		 Player:rotationz(-90);
		 Player:linear(beat*2);
		 Player:rotationz(0);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-90);
		 Player:sleep(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*2.5);
		 Player:rotationz(30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(60);
		 Player:sleep(beat*0.5);
		 Player:rotationz(90);
		 Player:sleep(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*4);
		 Player:linear(beat*3);
		 Player:rotationz(360);
		 Player:sleep(0);
		 Player:rotationz(0);
		 
		 self:sleep(beat*24);
		 self:queuecommand('Ninth');
		 
		 end,
  EleventhCommand= function(self)
		 
		 Player:zoom(0.1);
		 Player:linear(beat*7);
		 Player:zoom(5);
		 Player:sleep(0);
		 Player:zoom(0.6);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*1);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:zoom(1.8);
		 Player:sleep(beat*14);
		 Player:rotationz(90);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(0);
		 Player:rotationz(-90);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*8);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(beat*4)
		 Player:rotationz(90);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(0);
		 Player:rotationz(-90);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*0.5);
		 
		 self:sleep(beat*22);
		 self:queuecommand('Twelfth');
		 
		 end,
  FifthCOmmand= %function(self)
		 Player:sleep(beat*1)
		 Player:rotationz(-60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(0);
		 Player:sleep(beat*0.50);
		 Player:rotationz(-30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-90);
		 Player:sleep(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*1);
		 Player:rotationz(30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(60);
		 Player:sleep(beat*0.5);
		 Player:rotationz(90);
		 Player:linear(beat*2.5);
		 Player:rotationz(0);
		 Player:sleep(beat*0.75);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(0);
		 Player:sleep(beat*2.5);
		 Player:rotationz(-30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-90);
		 Player:sleep(beat*0.5);
		 Player:rotationz(90);
		 Player:linear(beat*2);
		 Player:rotationz(0);
		 
		 
		 self:sleep(beat*18);
		 self:queuecommand('Sixth');
		 
		 end,
  FourthCommand= function(self)
		 Player:linear(beat*4);
		 Player:rotationz(360);
		 Player:sleep(0)
		 Player:rotationz(0);
		 Player:sleep(beat*1);
		 Player:linear(beat*3);
		 Player:rotationz(-360);
		 Player:sleep(0);
		 Player:rotationz(0);
		 Player:linear(beat*3);
		 Player:rotationz(360);
		 Player:sleep(0);
		 Player:rotationz(0);
		 Player:sleep(beat*5);
		 Player:linear(beat*4);
		 Player:rotationz(360);
		 Player:sleep(0)
		 Player:rotationz(0);
		 Player:linear(beat*4);
		 Player:rotationz(-360);
		 Player:sleep(0)
		 Player:rotationz(0);
		 Player:rotationz(-60);
		 Player:linear(beat*2);
		 Player:rotationz(0);
		 Player:rotationz(60);
		 Player:linear(beat*2);
		 Player:rotationz(0);
		 Player:rotationz(-60);
		 Player:linear(beat*2);
		 Player:rotationz(0);
		 
		 self:sleep(beat*32);
		 self:queuecommand('Fifth');
		 end,
  ModCommand= function(self)
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no boost', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no brake', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no wave', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no expand', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no boomerang', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no drunk', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no dizzy', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no mini', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no flip', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no tornado', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no tipsy', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no hidden', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no sudden', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no stealth', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no blink', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no randomvanish', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no turn', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no little', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no wide', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no big', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no quick', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no skippy', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no echo', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no stomp', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' reverse', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no split', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no alternate', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no cross', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no noholds', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no planted', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no twister', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no nojumps', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no nohands', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no nomines', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no mines', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no dark', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' no beat', PlayerEnabled);

         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' blind', PlayerEnabled); 
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' 4.5x', PlayerEnabled);
         GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' -200% distant', PlayerEnabled);
		 GAMESTATE:ApplyGameCommand('mod, *'..(10000*rateMod)..' 50% mini', PlayerEnabled);
		 
      end,
  NineTwoCommand= function(self)
		 
		 
		 Player:sleep(beat*3);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(0);
		 Player:rotationz(-60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*0.5);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 
		 self:sleep(beat*10);
		 self:queuecommand('Tenth');
		 
		 end,
  NinthCommand= function(self)
		 
		 Player:sleep(beat*7);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(0);
		 Player:rotationz(-60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*3);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*0.5);
		 Player:rotationz(-60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*0.5);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(0);
		 Player:rotationz(-60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*6);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(0);
		 Player:rotationz(-60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 
		 self:sleep(beat*22);
		 self:queuecommand('NineTwo');
		 
		 end,
  OnCommand= function(self)
         self:queuecommand('Some');    
         end,
  SecondCommand= function(self)
		 Player:linear(beat*12);
		 Player:rotationz(-60);
		 Player:linear(beat*0.25)
		 Player:rotationz(0);
		 Player:sleep(beat*4);
		 Player:linear(beat*12);
		 Player:rotationz(60);
		 Player:linear(beat*0.25)
		 Player:rotationz(0);
		 Player:sleep(beat*15.25);
		 Player:linear(beat*0.25);
		 Player:rotationz(45);
		 Player:sleep(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*0.5);
		 Player:linear(beat*0.5);
		 Player:rotationz(-45);
		 Player:sleep(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*16.5);
		 Player:zoom(10);
		 Player:sleep(beat*1.5);
		 Player:zoom(1.8);
		 
		 self:sleep(beat*65);
		 self:queuecommand('Third');
		 

		 end,
  SeventhCommand= function(self)
		 
		 Player:zoom(0.6);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*2);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:zoom(1.8);
		 Player:sleep(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*0.5);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:sleep(0);
		 Player:x(SCREEN_CENTER_X-100);
		 Player:linear(beat*1);
		 Player:x(SCREEN_CENTER_X);
		 Player:sleep(0);
		 Player:x(SCREEN_CENTER_X+100);
		 Player:linear(beat*1);
		 Player:x(SCREEN_CENTER_X);
		 
		 self:sleep(beat*8);
		 self:queuecommand('Eighth');
		 
		 end,
  SixthCommand= function(self)
		 
		 Player:sleep(beat*0.5);
		 Player:rotationz(30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(60);
		 Player:sleep(beat*0.5);
		 Player:rotationz(90);
		 Player:sleep(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*2);
		 Player:rotationz(45);
		 Player:linear(beat*0.25)
		 Player:rotationz(0);
		 Player:sleep(beat*0.25);
		 Player:rotationz(45);
		 Player:linear(beat*0.25);
		 Player:rotationz(0);
		 Player:sleep(beat*0.25);
		 Player:rotationz(45);
		 Player:linear(beat*0.25);
		 Player:rotationz(0);
		 Player:linear(beat*0.25);
		 Player:rotationz(0);
		 Player:sleep(beat*8.50);
		 
		 self:sleep(beat*14);
		 self:queuecommand('Seventh');
		 
		 end,
  SomeCommand= function(self)
         -- Rearrange Layers
         SCREENMAN:GetTopScreen():SetDrawByZPosition(true);
         SCREENMAN:GetTopScreen():GetChild('SongBackground'):z(0);
         --SCREENMAN:GetTopScreen():GetChild('Overlay'):z(2);
         SCREENMAN:GetTopScreen():GetChild('SongForeground'):z(3);
         Player:z(2);

         -- WHO NEEDS AN OVERLAY WHEN YOU CAN HAVE A BLACK BACKGROUND!
         SCREENMAN:GetTopScreen():GetChild('Overlay'):z(1);
         SCREENMAN:GetTopScreen():GetChild('Overlay'):diffuse(0,0,0,1);  
         SCREENMAN:GetTopScreen():GetChild('Overlay'):zoomto(640,480);
         SCREENMAN:GetTopScreen():GetChild('Overlay'):x(0);
         SCREENMAN:GetTopScreen():GetChild('Overlay'):y(0);
            
         -- Play Normal until Apple Catch, do stuff is Both Players are enabled
         if GAMESTATE:IsPlayerEnabled(0) and GAMESTATE:IsPlayerEnabled(1) then
               -- Make Player 2 on top for fairness
               SCREENMAN:GetTopScreen():GetChild('PlayerP2'):z(4);
               SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x((SCREEN_WIDTH-640)/2 + 480);
               SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(beat*1);
               SCREENMAN:GetTopScreen():GetChild('PlayerP2'):z(0);
			   SCREENMAN:GetTopScreen():GetChild('PlayerP2'):hidden(1);			   
         end
         
         -- Display Single Playfield from Now On
         Player:sleep(beat*1);
         self:sleep(beat*1);
         -- 15% Mini, 1.5x, Overhead
         self:queuecommand('Mod');

         -- Center Playfield
         Player:z(4);
         Player:x(SCREEN_CENTER_X);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:zoom(1.8);
		 
		 Player:sleep(beat*8);
	     Player:linear(beat*0.5);
         Player:rotationz(30);
		 Player:sleep(beat*1);
         Player:linear(beat*0.5);
		 Player:rotationz(-30);
		 Player:sleep(beat*1);
         Player:linear(beat*0.5);
		 Player:rotationz(30);
		 Player:sleep(beat*1);
         Player:linear(beat*0.5);
		 Player:rotationz(-30);
		 Player:sleep(beat*1);
         Player:linear(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*1);
         Player:linear(beat*0.5);
		 Player:rotationz(30);
		 Player:sleep(beat*1);
         Player:linear(beat*0.5);
		 Player:rotationz(-30);
		 Player:sleep(beat*1);
         Player:linear(beat*0.5);
		 Player:rotationz(0);
		 Player:sleep(beat*2);
		 Player:zoom(2.3);
		 Player:rotationz(20);
		 Player:sleep(beat*0.75)
		 Player:zoom(2.5);
		 Player:rotationz(-20);
		 Player:sleep(beat*0.75)
		 Player:zoom(2.7);
		 Player:rotationz(20);
		 Player:sleep(beat*0.25)
		 Player:zoom(1.8);
		 Player:linear(beat*0.5);
         Player:rotationz(30);
		 Player:sleep(beat*1.5);
         Player:linear(beat*0.5);
		 Player:rotationz(-30);
		 Player:sleep(beat*1.5);
         Player:linear(beat*0.5);
		 Player:rotationz(30);
		 Player:sleep(beat*1.5);
         Player:linear(beat*0.5);
		 Player:rotationz(-30);
		 Player:sleep(beat*1.5);
         Player:linear(beat*0.5);
		 Player:rotationz(0);
		 
		 self:sleep(beat*39);
		 self:queuecommand('Second');
	   end,
  TenthCommand= function(self)
		 
		 Player:sleep(0);
		 Player:rotationz(-60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*3);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*3);
		 Player:rotationz(-60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*3);
		 Player:rotationz(60);
		 Player:linear(beat*1);
		 Player:rotationz(0);
		 Player:sleep(beat*4);
		 Player:zoom(3);
		 Player:y(SCREEN_CENTER_Y-100);
		 Player:linear(beat*1);
		 Player:y(SCREEN_CENTER_Y-30);
		 Player:zoom(1.8);
		 Player:sleep(beat*1);
		 Player:rotationz(-90);
		 Player:sleep(beat*0.25);
		 Player:rotationz(90);
		 Player:sleep(beat*0.25);
		 Player:rotationz(-90);
		 Player:sleep(beat*0.25);
		 Player:rotationz(90);
		 Player:sleep(beat*0.25);
		 Player:rotationz(0);
		 Player:sleep(beat*4);
		 
		 self:sleep(beat*8);
		 self:queuecommand('Eleventh');
		 
		 end,
  ThirdCommand= function(self)
		 Player:sleep(beat*11);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(-60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(60);
		 Player:sleep(beat*0.25);
		 Player:rotationz(0);
		 Player:sleep(beat*11);
		 Player:rotationz(30);
		 Player:sleep(beat*0.5);
		 Player:rotationz(60);
		 Player:sleep(beat*0.5);
		 Player:rotationz(90);
		 Player:sleep(beat*0.5);
		 Player:rotationz(0);
		 
		 self:sleep(beat*31);
		 self:queuecommand('Fourth');
		 
		 
		 end,
  TwelfthCommand= function(self)
		 
		 Player:rotationz(60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(-60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(-60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(-60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(-60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 Player:rotationz(-60);
		 Player:linear(beat*1.5);
		 Player:rotationz(0);
		 Player:linear(beat*1.5);
		 
		 
		 
		 
		 end,
  },
}