local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_tik",
  Def.Sprite{
    Name= "xtl_actor_uik",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT),
  Texture= "../powglov-bg.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vik",
  OnCommand= cmd(diffusealpha,0.7;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT),
  Texture= "grad.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wik",
  InitCommand= cmd(blend,"BlendMode_Add"),
  OnCommand= cmd(shadowlength,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color('1'),1,1,1;
			sleep,26.262+0.469;accelerate,2.344;diffuse,color('1'),1,1,1;sleep,0),
  ScoreTrackingStartedMessageCommand= cmd(diffuseshift;effectcolor1,0.6,0.8,0.8,1;effectcolor2,0.6,0.8,0.8,0;effectclock,bgm;effectperiod,2),
  Texture= "../fx/powerglove_rest.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xik",
  InitCommand= cmd(blend,"BlendMode_Add"),
  OnCommand= cmd(shadowlength,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color('1'),1,1,0;
			sleep,26.262+0.469*3;accelerate,2.344-0.469*2;diffuse,color('1'),1,1,0;sleep,0.469;diffusealpha,0;
			sleep,0;diffusealpha,1;
			diffuseshift;effectcolor1,1,1,1,1;effectcolor2,1,1,1,0.3;effectclock,bgm;effectperiod,2;effectoffset,0),
  ScoreTrackingStartedMessageCommand= cmd(diffuseshift;effectcolor1,0.6,0.8,0.8,1;effectcolor2,0.6,0.8,0.8,0;effectclock,bgm;effectperiod,2),
  Texture= "../fx/powerglove_rest_glow.png",
  },
  Def.Quad{
    Name= "xtl_actor_yik",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;
			diffuse,0,0,0,0.0;
			sleep,26.262+0.469;accelerate,2.344;diffusealpha,0),
  },
  Def.Sprite{
    Name= "xtl_actor_zik",
  OnCommand= cmd(x,SCREEN_CENTER_X-SCREEN_WIDTH/4;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH/2;zoomtoheight,SCREEN_HEIGHT;
			sleep,26.262+0.469;decelerate,2.344;addx,-SCREEN_WIDTH/5;rotationy,-60),
  Texture= "powglov-bg-left.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ajk",
  OnCommand= cmd(x,SCREEN_CENTER_X+SCREEN_WIDTH/4;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH/2;zoomtoheight,SCREEN_HEIGHT;
			sleep,26.262+0.469;decelerate,2.344;addx,SCREEN_WIDTH/5;rotationy,60),
  Texture= "powglov-bg-right.png",
  },
}