local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_ckk",
  Def.Quad{
    Name= "xtl_actor_dkk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_ekk",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
				fgcurcommand = 1;

			curmod = 1;
			--{beat,mod,player}
			mods = {
			{236,'*2 flip,*2 reverse'},
			{300,'*2 no flip,*2 no reverse'},
			}

				self:queuecommand('Update');
				
				song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
				path = song:GetSongDir();
				cursound = 1;
			end,
  Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
			
			if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
				if mods[curmod] ~= nil then
					if table.getn(mods[curmod]) == 3 then
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3]);
					else
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2]);
					end
					curmod = curmod+1;
				end
			end
			
				if GAMESTATE:GetSongBeat()>=236 and cursound == 1 then
					SOUND:PlayOnce(path..'sounds/effect1.ogg');

					cursound = cursound + 1;
				end

				if GAMESTATE:GetSongBeat()>=32 and fgcurcommand == 1 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):rotationy(180);
					end

					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):rotationy(180);
					end

					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=112 and fgcurcommand == 2 then
				
					SCREENMAN:GetTopScreen():GetChild('Overlay'):accelerate(0.25);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addx(320);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):decelerate(0.25);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):rotationy(180);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addx(320);

					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=144 and fgcurcommand == 3 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):rotationy(180);
					end

					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):rotationy(180);
					end

					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=208 and fgcurcommand == 4 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):rotationy(180);
					end

					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):rotationy(180);
					end

					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=236 and fgcurcommand == 5 then
				
					SCREENMAN:GetTopScreen():addx(SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():addy(SCREEN_CENTER_Y);
					SCREENMAN:GetTopScreen():GetChild('SongBackground'):addx(-SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():GetChild('SongBackground'):addy(-SCREEN_CENTER_Y);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addx(-SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addy(-SCREEN_CENTER_Y);
					SCREENMAN:GetTopScreen():accelerate(0.25);
					SCREENMAN:GetTopScreen():rotationz(90);
					SCREENMAN:GetTopScreen():decelerate(0.25);
					SCREENMAN:GetTopScreen():rotationz(180);
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):addy(-SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addy(-SCREEN_CENTER_Y);
					end

					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):addy(-SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addy(-SCREEN_CENTER_Y);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=300 and fgcurcommand == 6 then
				
					SCREENMAN:GetTopScreen():accelerate(0.25);
					SCREENMAN:GetTopScreen():rotationz(90);
					SCREENMAN:GetTopScreen():decelerate(0.25);
					SCREENMAN:GetTopScreen():rotationz(0);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):accelerate(0.25);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):rotationy(90);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addx(-320);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):decelerate(0.25);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):rotationy(0);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addx(-320);
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):rotationy(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):rotationy(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):rotationy(0);
					end

					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):rotationy(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):rotationy(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):accelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):rotationy(90);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):decelerate(0.25);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):rotationy(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=303 and fgcurcommand == 7 then
				
					SCREENMAN:GetTopScreen():addx(-SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():addy(-SCREEN_CENTER_Y);
					SCREENMAN:GetTopScreen():GetChild('SongBackground'):addx(SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():GetChild('SongBackground'):addy(SCREEN_CENTER_Y);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addx(SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):addy(SCREEN_CENTER_Y);
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):addx(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):addy(SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addx(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addy(SCREEN_CENTER_Y);
					end

					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):addx(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):addy(SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addx(SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addy(SCREEN_CENTER_Y);
					end

					fgcurcommand = fgcurcommand + 1;
				end



			self:queuecommand('Update2');
			
		end,
  },
}