local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_jkk",
  Def.Quad{
    Name= "xtl_actor_kkk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(queuecommand,"Prepare";sleep,0.0694;queuecommand,"Randomizer"),
  PrepareCommand= function()
            ColumnSwaps = {'*1000 flip, *1000 no invert', '*1000 invert, *1000 no flip', '*1000 25% flip, *1000 -75% invert', '*1000 75% flip, *1000 75% invert', '*1000 75% flip, *1000 -125% invert', '*1000 25% flip, *1000 125% invert', '*1000 no flip, *1000 no invert'}
            
            CurrentArrangement = 1
        end,
  RandomizerCommand= function(self)
            
            if GAMESTATE:GetSongBeat() < 100 then
                
                local realArrangement = math.mod(CurrentArrangement,7) + 1
                
                GAMESTATE:ApplyGameCommand('mod,'..ColumnSwaps[realArrangement])
                
                self:sleep(0.0694)
                CurrentArrangement = CurrentArrangement + 1
                self:queuecommand('Randomizer')
            elseif GAMESTATE:GetSongBeat() >= 100 then
                GAMESTATE:ApplyGameCommand('mod,*1000 no flip, *1000 no invert, *0.5 80% brake')
            end
            
        end,
  },
  Def.Quad{
    Name= "xtl_actor_lkk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,106),
  },
}