local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_rkk",
  Def.Quad{
    Name= "xtl_actor_skk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(queuecommand,"SwitchOne";sleep,1.875;queuecommand,"SwitchTwo";sleep,1.458;queuecommand,"SwitchThree";sleep,0.625;queuecommand,"SwitchFour";sleep,0.834;queuecommand,"SwitchFive";sleep,0.416;queuecommand,"SwitchSix";sleep,1.042;queuecommand,"SwitchOne";sleep,0.416;queuecommand,"SwitchTwo";sleep,1.458;queuecommand,"SwitchThree";sleep,0.833;queuecommand,"SwitchFour";sleep,0.625;queuecommand,"SwitchFive";sleep,0.416;queuecommand,"SwitchSeven"),
  SwitchFiveCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod,*1000 75% flip, *1000 -125% invert')
        end,
  SwitchFourCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod,*1000 75% flip, *1000 75% invert')
        end,
  SwitchOneCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod,*1000 flip, *1000 no invert')
        end,
  SwitchSevenCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod,*1000 no flip, *1000 no invert')
        end,
  SwitchSixCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod,*1000 25% flip, *1000 125% invert')
        end,
  SwitchThreeCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod,*1000 25% flip, *1000 -75% invert')
        end,
  SwitchTwoCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod,*1000 invert, *1000 no flip')
        end,
  },
}