local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_klk",
  Def.Quad{
    Name= "xtl_actor_llk",
  BlahCommand= function(self)
			if OPENITG then
				if (Year() == 2014 and MonthOfYear() == 1 and DayOfMonth() >= 25) or (Year() >= 2014 and MonthOfYear() > 1) then
					local songname = GAMESTATE:GetCurrentSong():GetSongDir();
					SOUND:PlayOnce(songname..'/rich/richearth.ogg');
				end
			else
				if (Year() == 2014 and MonthOfYear() == 0 and DayOfMonth() >= 25) or (Year() >= 2014 and MonthOfYear() > 0) then
					local songname = GAMESTATE:GetCurrentSong():GetSongDir();
					SOUND:PlayOnce(songname..'/rich/richearth.ogg');
				end
			end
		end,
  InitCommand= function(self)
			self:sleep(95)
			self:queuecommand('Blah');
			end,
  },
}