local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_umk",
  Def.Quad{
    Name= "xtl_actor_vmk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,6.826;queuemessage,Start;sleep,29.102;queuemessage,Silhouette;sleep,5.389;queuemessage,Normalize),
  },
  Def.ActorFrame{
    Name= "xtl_actor_wmk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
  OnCommand= cmd(rotationz,0;sleep,41.677;linear,2.874;rotationz,-15;sleep,2.874;linear,2.874*2;rotationz,15;sleep,2.874;linear,2.874;rotationz,0;sleep,11.497;linear,2.874;rotationz,-30;addy,-64;addx,-32;sleep,8.623;linear,2.874;rotationz,-45;sleep,5.749;linear,2.874;rotationz,60;sleep,5.749;linear,2.874/2;rotationz,80;linear,2.874/2;rotationz,0;addy,64;addx,32;sleep,2.874/2;queuecommand,"Wagglin";sleep,2.874*8;queuecommand,"Stop";zoom,1.25;addx,128;addy,-64;sleep,0.719;zoom,1.5;addx,128;addy,-64;sleep,0.719;zoom,2;addx,128;addy,-64),
  StopCommand= cmd(stopeffect),
  WagglinCommand= cmd(wag;effectmagnitude,0,0,30;effectperiod,4;effectclock,bgm),
    Def.Sprite{
      Name= "xtl_actor_xmk",
    InitCommand= cmd(draworder,100;y,SCREEN_CENTER_Y + -360;ZoomToWidth,SCREEN_WIDTH*1.5;ZoomToHeight,SCREEN_HEIGHT*1.5),
    Texture= "bg0",
    },
    Def.Sprite{
      Name= "xtl_actor_ymk",
    InitCommand= cmd(draworder,101;y,SCREEN_CENTER_Y + -360;ZoomToWidth,SCREEN_WIDTH*1.5;ZoomToHeight,SCREEN_HEIGHT*1.5;cropbottom,0.25;fadebottom,0.25),
    NormalizeMessageCommand= cmd(linear,0.5;diffusealpha,1),
    OnCommand= cmd(customtexturerect,0,0,1,1;texcoordvelocity,0,0),
    SilhouetteMessageCommand= cmd(linear,0.5;diffusealpha,0),
    StartMessageCommand= cmd(texcoordvelocity,0.15,0),
    Texture= "clouds",
    },
    Def.Sprite{
      Name= "xtl_actor_zmk",
    InitCommand= cmd(draworder,200;zoom,2;customtexturerect,0,0,1,1;texcoordvelocity,0,0;cropbottom,0.02),
    NormalizeMessageCommand= cmd(linear,0.5;glow,#00000000),
    SilhouetteMessageCommand= cmd(linear,0.5;glow,#000000FF),
    StartMessageCommand= cmd(texcoordvelocity,0.4,0),
    Texture= "bg1b",
    },
    Def.Sprite{
      Name= "xtl_actor_ank",
    InitCommand= cmd(draworder,199;y,SCREEN_CENTER_Y + 120;ZoomToWidth,SCREEN_WIDTH*1.5;ZoomToHeight,480),
    NormalizeMessageCommand= cmd(linear,0.5;glow,#00000000),
    SilhouetteMessageCommand= cmd(linear,0.5;glow,#000000FF),
    Texture= "bg2",
    },
    Def.Sprite{
      Name= "xtl_actor_bnk",
      Frames= {
        {Frame= 0, Delay= 0.05},
        {Frame= 1, Delay= 0.05},
        {Frame= 2, Delay= 0.05},
        {Frame= 3, Delay= 0.05},
        {Frame= 4, Delay= 0.05},
        {Frame= 5, Delay= 0.05},
        {Frame= 6, Delay= 0.05},
        {Frame= 7, Delay= 0.05},
        {Frame= 8, Delay= 0.05},
        {Frame= 9, Delay= 0.05},
    },
    InitCommand= cmd(draworder,500;x,SCREEN_CENTER_X + -544;y,SCREEN_CENTER_Y + -112;animate,0;setstate,4),
    NormalizeMessageCommand= cmd(linear,0.5;glow,#FFFFFF00),
    SilhouetteMessageCommand= cmd(linear,0.5;glow,#FFFFFFFF),
    StartMessageCommand= cmd(animate,1;vibrate;effectmagnitude,2,1,0),
    Texture= "./holy buck lol 4x3.png",
    },
    Def.Sprite{
      Name= "xtl_actor_cnk",
    InitCommand= cmd(draworder,400;addx,-320;addy,-240),
    Texture= "chart",
    },
  },
  Def.Quad{
    Name= "xtl_actor_dnk",
  InitCommand= cmd(draworder,1000;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;ZoomToWidth,SCREEN_WIDTH;ZoomToHeight,SCREEN_HEIGHT;diffuse,color('#00000000')),
  OnCommand= cmd(sleep,128.263;linear,0.5;diffuse,color('#000000FF');sleep,2),
  },
}