local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_enk",
  Def.Sprite{
    Name= "xtl_actor_fnk",
  OnCommand= function(self)
			self:diffusealpha(0.6);
			self:zoomto(SCREEN_WIDTH*1.2,SCREEN_HEIGHT*1.3);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
			self:sleep(10000);
		end,
  Texture= "old.avi",
  },
  Def.Quad{
    Name= "xtl_actor_gnk",
  BlahCommand= function(self)
			SCREENMAN:GetTopScreen():SetDrawByZPosition(true);
			SCREENMAN:GetTopScreen():GetChild('SongForeground'):z(4);
			SCREENMAN:GetTopScreen():GetChild('Overlay'):z(2);
			SCREENMAN:GetTopScreen():GetChild('SongBackground'):z(1);

			if GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsPlayerEnabled(PLAYER_2) then
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):z(3);
				SCREENMAN:GetTopScreen():GetChild('ScoreP1'):z(3);
				SCREENMAN:GetTopScreen():GetChild('LifeP1'):z(3);

				GAMESTATE:ApplyGameCommand('mod, *10000 50% stealth',1);

				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):z(3);
				SCREENMAN:GetTopScreen():GetChild('ScoreP2'):z(3);
				SCREENMAN:GetTopScreen():GetChild('LifeP2'):z(3);

				GAMESTATE:ApplyGameCommand('mod, *10000 50% stealth',2);
			elseif GAMESTATE:IsPlayerEnabled(PLAYER_1) then
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):z(3);
				SCREENMAN:GetTopScreen():GetChild('ScoreP1'):z(3);
				SCREENMAN:GetTopScreen():GetChild('LifeP1'):z(3);

				GAMESTATE:ApplyGameCommand('mod, *10000 50% stealth',1);
			else
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):z(3);
				SCREENMAN:GetTopScreen():GetChild('ScoreP2'):z(3);
				SCREENMAN:GetTopScreen():GetChild('LifeP2'):z(3);

				GAMESTATE:ApplyGameCommand('mod, *10000 50% stealth',2);
			end
		end,
  OnCommand= function(self)
			self:queuecommand('Blah');
		end,
  },
}