local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_dtk",
  Def.ActorFrame{
    Name= "xtl_actor_etk",
    Def.Quad{
      Name= "xtl_actor_ftk",
    InitCommand= cmd(visible,true),
    OnCommand= cmd(sleep,1000),
    },
    Def.ActorFrame{
      Name= "xtl_actor_gtk",
      Def.BitmapText{
        Name= "xtl_actor_htk",
      Font= ""_eurostile normal",",
      OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-50;shadowlength,0;zoom,1.0;sleep,300;diffusealpha,0),
      Text= "Press &START; to ENGAGE!,",
      },
      Def.Quad{
        Name= "xtl_actor_itk",
      OnCommand= cmd(hibernate,47.465;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;ZoomToHeight,SCREEN_HEIGHT;ZoomToWidth,SCREEN_WIDTH;rainbow;diffusealpha,0.5;sleep,6.433;diffusealpha,0),
      },
    },
    Def.ActorFrame{
      Name= "xtl_actor_jtk",
      Def.Quad{
        Name= "xtl_actor_ktk",
      InitCommand= cmd(visible,true),
      OnCommand= function(self)
			blahP1Position = '0';
			blahP2Position = '0';
			blahP1FieldPosition = '0';
			blahP2FieldPosition = '0';
		end,
      },
      Def.Quad{
        Name= "xtl_actor_ltk",
      InitCommand= cmd(visible,true),
      StepP1MessageCommand= function(self)
			if ((GAMESTATE:GetSongBeat() > 700 and GAMESTATE:GetSongBeat() < 701)) then
				if (blahP1FieldPosition == '1') then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
					blahP1FieldPosition = '0';
				else
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.0);
					blahP1FieldPosition = '1';
				end
			else
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stoptweening();
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
			end
		end,
      },
      Def.Quad{
        Name= "xtl_actor_mtk",
      InitCommand= cmd(visible,true),
      StepP2MessageCommand= function(self)
			if ((GAMESTATE:GetSongBeat() > 700 and GAMESTATE:GetSongBeat() < 701)) then
				if (blahP1FieldPosition == '1') then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
					blahP2FieldPosition = '0';
				else
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.0);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
					blahP2FieldPosition = '1';
				end
			else
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stoptweening();
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.0);
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
			end
		end,
      },
      Def.Quad{
        Name= "xtl_actor_ntk",
      InitCommand= cmd(visible,true),
      OnCommand= function(self)
				fgcurcommand = 1;
				messageinc = 1;
				ispressed = 0;
				multi = 8;
				curvalue = 100;

			curmod = 1;
			--{beat,mod,player}
			mods = {
			{0,'-10% dizzy'},
			{118.500,'100% dark'},
			{700.000,'no dark, no dizzy'},
			}
				self:queuecommand('Update');
				song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
				path = song:GetSongDir();
			end,
      StepP1MessageCommand= function()
		
			curvalue = curvalue + multi;
			
				if GAMESTATE:GetSongBeat()>=700 and GAMESTATE:GetSongBeat()<=701 then
					GAMESTATE:ApplyGameCommand('mod,*2 C'..tostring(curvalue)..'',1);
						if curvalue >= 600 or curvalue <= 50 then
							multi = multi *-1;
						end
					end
				end,
      StepP2MessageCommand= function()
		
			curvalue = curvalue + multi;
			
				if GAMESTATE:GetSongBeat()>=700 and GAMESTATE:GetSongBeat()<=701 then
					GAMESTATE:ApplyGameCommand('mod,*2 C'..tostring(curvalue)..'',2);
						if curvalue >= 600 or curvalue <= 50 then
							multi = multi *-1;
						end
					end
				end,
      Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
      UpdateCommand= function(self)

			if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
				if mods[curmod] ~= nil then
					if table.getn(mods[curmod]) == 3 then
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3]);
					else
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2]);
					end
					curmod = curmod+1;
				end
			end


			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
			
				--textcheck = SCREENMAN:GetTopScreen():GetChild('Debug'):GetText();
				SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(1);
					
				end
				
				
								-- GREEN BUTTON CHECK --
if textcheck and textcheck ~= SCREENMAN:GetTopScreen():GetChild('Debug'):GetText() and ispressed == 0 then
 ispressed = 1;
 SOUND:PlayOnce(path..'sounds/MakeItSo.ogg');
elseif textcheck and textcheck ~= SCREENMAN:GetTopScreen():GetChild('Debug'):GetText() and ispressed == 1 then
 ispressed = 0;
 SCREENMAN:GetTopScreen():stopeffect();
end
textcheck = SCREENMAN:GetTopScreen():GetChild('Debug'):GetText();
				
			self:queuecommand('Update2');
		end,
      },
    },
  },
}