local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_zvk",
  Def.Quad{
    Name= "xtl_actor_awk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,3.087;queuecommand,"PlayChart"),
  PlayChartCommand= function(self)
            _CQ.ChartPosition = _CQ.ChartPosition+1
            _CQ.IndexPosition = _CQ.IndexPosition+1
            
            if _CQ.IndexPosition >= 17 then
                _CQ.IndexPosition = 1
            end

			if _CQ.ChartPosition == 254 then -- 56 + (65.5-16)*4 = 254 ??
				self:queuemessage('Bye')
			end
            
            -- Conditional shits.
            if _CQ.ChartPosition == 48 then
                self:queuemessage('Storm')
            elseif _CQ.ChartPosition == 308 then
                self:queuemessage('Day')
            elseif _CQ.ChartPosition == 312 then
                for i=1,table.getn(_CQ.ArrowIndex) do
                    _CQ.ArrowIndex[i]:bob()
                    _CQ.ArrowIndex[i]:effectmagnitude(0,10,0)
                    _CQ.ArrowIndex[i]:effectclock('bgm')
                    _CQ.ArrowIndex[i]:effectoffset(math.mod(i,4)/2)
                end
            elseif _CQ.ChartPosition == 436 then
                self:queuemessage('Night')
            elseif _CQ.ChartPosition == 450 then
                self:queuemessage('Day')
            elseif _CQ.ChartPosition == 512 then
                for i=1,table.getn(_CQ.ArrowIndex) do
                    _CQ.ArrowIndex[i]:stopeffect()
                end
                self:queuemessage('Night')
            elseif _CQ.ChartPosition == 648 then
                self:queuemessage('Ghost')
            elseif _CQ.ChartPosition == 904 then
                self:queuemessage('SecondGhost')
            elseif _CQ.ChartPosition == 1192 then
                self:queuemessage('FadeGhosts')
                self:queuemessage('Day')
            elseif _CQ.ChartPosition == 1320 then
                self:queuemessage('RainbowDash')
                for i=1,table.getn(_CQ.ArrowIndex) do
                    _CQ.ArrowIndex[i]:bounce()
                    _CQ.ArrowIndex[i]:effectmagnitude(0,-20,0)
                    _CQ.ArrowIndex[i]:effectclock('bgm')
                    _CQ.ArrowIndex[i]:effectoffset(math.mod(i,4)/2)
                    _CQ.ArrowIndex[i]:effectperiod(1)
                end
            elseif _CQ.ChartPosition == 1578 then
                for i=1,table.getn(_CQ.ArrowIndex) do
                    _CQ.ArrowIndex[i]:stopeffect()
                end
                self:queuemessage('Factory')
            elseif _CQ.ChartPosition == 1860 then
                self:queuemessage('Night')
            elseif _CQ.ChartPosition == 1990 then
                self:queuemessage('Day')
            elseif _CQ.ChartPosition == 2004 then
                self:queuemessage('Night')
            elseif _CQ.ChartPosition == 2058 then
                _CQ.RainbowToggle = false
            elseif _CQ.ChartPosition == 2094 then
                self:queuemessage('End')
            end
            
            _CQ.ArrowIndex[_CQ.IndexPosition]:x(SCREEN_RIGHT+300)
            
            if string.sub(_CQ.StepData,_CQ.ChartPosition,_CQ.ChartPosition) == '4' then
                _CQ.ArrowIndex[_CQ.IndexPosition]:rotationz(90)
                _CQ.ArrowIndex[_CQ.IndexPosition]:zoom(1)
            elseif string.sub(_CQ.StepData,_CQ.ChartPosition,_CQ.ChartPosition) == '6' then
                _CQ.ArrowIndex[_CQ.IndexPosition]:rotationz(-90)
                _CQ.ArrowIndex[_CQ.IndexPosition]:zoom(1)
            elseif string.sub(_CQ.StepData,_CQ.ChartPosition,_CQ.ChartPosition) == '8' then
                _CQ.ArrowIndex[_CQ.IndexPosition]:rotationz(180)
                _CQ.ArrowIndex[_CQ.IndexPosition]:zoom(1)
            elseif string.sub(_CQ.StepData,_CQ.ChartPosition,_CQ.ChartPosition) == '2' then
                _CQ.ArrowIndex[_CQ.IndexPosition]:rotationz(0)
                _CQ.ArrowIndex[_CQ.IndexPosition]:zoom(1)
            else
                _CQ.ArrowIndex[_CQ.IndexPosition]:zoom(0)
            end
            
            _CQ.ArrowIndex[_CQ.IndexPosition]:linear(1.548)
            _CQ.ArrowIndex[_CQ.IndexPosition]:x(SCREEN_CENTER_X-220)
            
            if _CQ.ChartPosition > string.len(_CQ.StepData) then
                self:stoptweening()
            end
            
            self:sleep(0.0967741935483871)
            self:queuecommand('PlayChart')
        end,
  },
  Def.Sprite{
    Name= "xtl_actor_bwk",
  BeginWaveCommand= cmd(),
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,0.75;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "4th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,0.80;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,0.85;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "8th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ewk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,0.90;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,0.95;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "4th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.0;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.05;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "8th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.15;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.20;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "4th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.25;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.30;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "8th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.35;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.40;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "4th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_owk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.45;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.50;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "8th 4x4.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qwk",
  InitCommand= cmd(x,SCREEN_RIGHT+64;y,SCREEN_CENTER_Y+128;zoom,0.5),
  OnCommand= cmd(sleep,1.55;queuecommand,"Register"),
  RegisterCommand= function(self)
            _CQ.RegisterArrow(self)
        end,
  Texture= "16th 4x4.png",
  },
}