local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_fys",
DIFFSTUFFCommand= function(self)
				local d1, d2, sTable, changed;
                
                if GAMESTATE:IsPlayerEnabled(0) and GAMESTATE:IsPlayerEnabled(1) then
                    d1 = GAMESTATE:GetCurrentSteps(0):GetDifficulty();
                    d2 = GAMESTATE:GetCurrentSteps(1):GetDifficulty();
                    sTable = GAMESTATE:GetCurrentSong():GetStepsByStepsType( STEPS_TYPE_DANCE_SINGLE );
                    
                    if GAMESTATE:IsEventMode() and (d1 == d2) then
                        local r = math.random(1,2);
                        GAMESTATE:SetCurrentSteps(0,sTable[r]);
                        GAMESTATE:SetCurrentSteps(1,sTable[3-r]);
                        SCREENMAN:SetNewScreen('ScreenGameplay');
                    end
                end
			end,
OnCommand= cmd(sleep,0.02;queuecommand,"DIFFSTUFF"),
  Def.Quad{
    Name= "xtl_actor_gys",
  OnCommand= function(self)
            self:sleep(420); -- BLAZE IT
        end,
  },
  Def.Quad{
    Name= "xtl_actor_hys",
  InitCommand= function(self)
            -- THE FOLLOWING WAS TYPED OUT BY HAND --                                                                                 so fly like a                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
            local notes1 =     {'G5','G5','F5','G5','G5','F5','G5','G5','D5','D5','G5','D5','G5','G5','A5','B5','C6','D6','D6','Eb6','F6','G6','G6','F6','Eb6','F6','Eb6','D6','D6','C6','C6','D6','Eb6','D6','C6','Bb5','Bb5','C6','D6','C6','Bb5','A5','A5','B5','C#6','E6','D6','D5','D5','E5','E5','F#5','E5','F#5','G5','D5','G5','G5','A5','B5','C6','D6','D6','Eb6','F6','G6','Bb6','A6','F#6','D6','Eb6','C#5','G5','Bb5','C#6','G6','F#6','D6','D6','Eb6','C#5','G5','Bb5','C#6','G6','F#6','D6','B5','C6','Eb6','D6','Bb5','G5','A5','A5','B5','C#6','E6','D6','D5','D5','E5','E5','F#5','E5','F#5','G4','G4','F4','G4','G4','F4','G4','G4','A4','B4','C5','D5','F4','Eb4','Eb4','F4','G4','A4','Bb4','Eb4','Bb3','Bb3','D4','F4','Bb4','Bb3','C4','C4','D4','Eb4','C4','G3','Bb3','Bb3','C4','D4','G3','A3','A3','G#3','A3','B3','C#4','B3','A3','D4','F#4','F#4','A4','A4','D5','A4','D5','G4','G4','F4','G4','G4','F4','G4','G4','A4','B4','C5','D5','F4','Eb4','Eb4','F4','G4','A4','Bb4','Eb4','D4','D4','F#4','A4','D5','D4','C#4','G4','Bb4','C#4','D4','D4','F#4','A4','D5','D4','C#4','G4','Bb4','C#4','D4','D4','F#4','A4','D5','D4','Ab4','Ab4','G4','Ab4','Ab4','G4','G4','F4','G4','G4','A4','A4','Ab4','A4','B4','C#5','B4','A4','D5','F#4','F#4','A4','A4','D5','A4','D5','~dragonshit~'};
            local durations1 = {3.2, 0.26,0.14,1.2, 0.26,0.14, 1.2, 0.2, 1.2, 0.2, 0.4, 0.7, 0.1, 0.1, 0.1, 0.1, 0.1, 1.2, 0.13,0.13, 0.14,1.2, 0.13,0.13,0.14, 0.3, 0.1,  0.8, 0.4, 0.2, 0.1, 0.1, 0.8,  0.2, 0.2, 0.2,  0.1,  0.1, 0.8, 0.2, 0.2, 0.2,  0.1,  0.1, 0.8, 0.4, 0.26,0.07,0.07,0.26,0.14,0.4,  0.2, 0.2,  0.4, 0.7, 0.1, 0.1, 0.1, 0.1, 0.1, 1.2, 0.13,0.13, 0.14,1.2, 0.4,  0.4,  0.8, 0.4, 0.4,  0.13, 0.13,0.14, 0.4,  0.4, 0.4,  0.8, 0.4, 0.4,  0.13, 0.13,0.14, 0.4,  0.4, 0.4,  0.8, 0.4 , 1.2, 0.4,  0.4, 0.8,  0.4, 0.2, 0.1, 0.1, 0.8, 0.4, 0.26,0.07,0.07,0.26,0.14,0.4,  0.2, 0.2,  0.53,0.13,0.14,0.4, 0.4, 0.3, 0.1, 0.1, 0.1, 0.1, 0.1, 0.4, 0.4, 0.4,  0.1,  0.1, 0.1, 0.1, 0.4,  0.4,  0.4,  0.13, 0.13,0.14,0.4,  0.4,  0.6, 0.1, 0.1, 0.4,  0.4, 0.4, 0.2,  0.1, 0.1, 0.4, 0.4, 0.53,0.13,0.14, 0.26,0.14,0.13, 0.13,0.14,0.26, 0.07, 0.07, 0.26,0.14,0.4, 0.2, 0.2, 0.53,0.13,0.14,0.4, 0.4, 0.3, 0.1, 0.1, 0.1, 0.1, 0.1, 0.4, 0.4, 0.4,  0.1,  0.1, 0.1, 0.1, 0.4,  0.4,  0.4, 0.13,0.13, 0.14,0.4, 0.4, 0.13, 0.13,0.94, 0.4,  0.4, 0.13,0.13, 0.14,0.4, 0.4, 0.13, 0.13,0.94, 0.4,  0.4, 0.13,0.13, 0.14,0.4, 0.4, 0.53, 0.13, 0.14,0.4,  0.4,  0.53,0.13,0.14,0.4, 0.4, 0.53,0.13,0.14, 0.26,0.14,0.13, 0.13,0.14,0.26,0.07, 0.07, 0.26,0.14,0.4, 0.2, 0.2, 10};
            local notes2 =     {'G4','G4','F4','F4','Eb4','Eb4','D4','D4','E4','F#4','G4','G4','F4','G4','G4','F4','G4','G4','A4','B4','C5','D5','F4','Eb4','Eb4','F4','G4','A4','Bb4','Eb4','Bb3','Bb3','D4','F4','Bb4','Bb3','C4','C4','D4','Eb4','C4','G3','Bb3','Bb3','C4','D4','G3','A3','A3','G#3','A3','B3','C#4','B3','A3','D4','F#4','F#4','A4','A4','D5','A4','D5','G4','G4','F4','G4','G4','F4','G4','G4','A4','B4','C5','D5','F4','Eb4','Eb4','F4','G4','A4','Bb4','Eb4','D4','D4','F#4','A4','D5','D4','C#4','G4','Bb4','C#4','D4','D4','F#4','A4','D5','D4','C#4','G4','Bb4','C#4','D4','D4','F#4','A4','D5','D4','Ab4','Ab4','G4','Ab4','Ab4','G4','G4','F4','G4','G4','A4','A4','Ab4','A4','B4','C#5','B4','A4','D5','F#4','F#4','A4','A4','D5','A4','D5','G5','D5','G5','G5','A5','B5','C6','D6','D6','Eb6','F6','G6','G6','F6','Eb6','F6','Eb6','D6','D6','C6','C6','D6','Eb6','D6','C6','Bb5','Bb5','C6','D6','C6','Bb5','A5','A5','B5','C#6','E6','D6','D5','D5','E5','E5','F#5','E5','F#5','G5','D5','G5','G5','A5','B5','C6','D6','D6','Eb6','F6','G6','Bb6','A6','F#6','D6','Eb6','C#5','G5','Bb5','C#6','G6','F#6','D6','D6','Eb6','C#5','G5','Bb5','C#6','G6','F#6','D6','B5','C6','Eb6','D6','Bb5','G5','A5','A5','B5','C#6','E6','D6','D5','D5','E5','E5','F#5','E5','F#5','~dragonshit~'};
            local durations2 = {3.06,0.14,1.46,0.14,1.46, 0.14, 1.1, 0.1, 0.2, 0.2,  0.53,0.13,0.14,0.4, 0.4, 0.3, 0.1, 0.1, 0.1, 0.1, 0.1, 0.4, 0.4, 0.4,  0.1,  0.1, 0.1, 0.1, 0.4,  0.4,  0.4,  0.13, 0.13,0.14,0.4,  0.4,  0.6, 0.1, 0.1, 0.4,  0.4, 0.4, 0.2,  0.1, 0.1, 0.4, 0.4, 0.53,0.13,0.14, 0.26,0.14,0.13, 0.13,0.14,0.26, 0.07, 0.07, 0.26,0.14,0.4, 0.2, 0.2, 0.53,0.13,0.14,0.4, 0.4, 0.3, 0.1, 0.1, 0.1, 0.1, 0.1, 0.4, 0.4, 0.4,  0.1,  0.1, 0.1, 0.1, 0.4,  0.4,  0.4, 0.13,0.13, 0.14,0.4, 0.4, 0.13, 0.13,0.94, 0.4,  0.4, 0.13,0.13, 0.14,0.4, 0.4, 0.13, 0.13,0.94, 0.4,  0.4, 0.13,0.13, 0.14,0.4, 0.4, 0.53, 0.13, 0.14,0.4,  0.4,  0.53,0.13,0.14,0.4, 0.4, 0.53,0.13,0.14, 0.26,0.14,0.13, 0.13,0.14,0.26,0.07, 0.07, 0.26,0.14,0.4, 0.2, 0.2, 0.4, 0.7, 0.1, 0.1, 0.1, 0.1, 0.1, 1.2, 0.13,0.13, 0.14,1.2, 0.13,0.13,0.14, 0.3, 0.1,  0.8, 0.4, 0.2, 0.1, 0.1, 0.8,  0.2, 0.2, 0.2,  0.1,  0.1, 0.8, 0.2, 0.2, 0.2,  0.1,  0.1, 0.8, 0.4, 0.26,0.07,0.07,0.26,0.14,0.4,  0.2, 0.2,  0.4, 0.7, 0.1, 0.1, 0.1, 0.1, 0.1, 1.2, 0.13,0.13, 0.14,1.2, 0.4,  0.4,  0.8, 0.4, 0.4,  0.13, 0.13,0.14, 0.4,  0.4, 0.4,  0.8, 0.4, 0.4,  0.13, 0.13,0.14, 0.4,  0.4, 0.4,  0.8, 0.4 , 1.2, 0.4,  0.4, 0.8,  0.4, 0.2, 0.1, 0.1, 0.8, 0.4, 0.26,0.07,0.07,0.26,0.14,0.4,  0.2, 0.2,  10};
            local p1_notes, p2_notes, p1_durations, p2_durations;
            
            local d1 = 4;
            if GAMESTATE:IsPlayerEnabled(0) and GAMESTATE:GetCurrentSteps(0):GetDifficulty() == 3 then
                d1 = 3;
            end
            
            if GAMESTATE:IsPlayerEnabled(1) and GAMESTATE:GetCurrentSteps(1):GetDifficulty() == 4 then
                d1 = 3;
            end
            
            if d1 == 4 then
                p1_notes = notes1;
                p1_durations = durations1;
                p2_notes = notes2;
                p2_durations = durations2;
            else
                p1_notes = notes2;
                p1_durations = durations2;
                p2_notes = notes1;
                p2_durations = durations1;
            end
            
            notes = {p1_notes, p2_notes};
            durations = {p1_durations, p2_durations};
            
            -- Make notes change in between when they should actually be played
            for p=1,2 do
                local t = 0.0;
                local i = 1
                while notes[p][i] do
                    local d = durations[p][i];
                    durations[p][i] = d / 2 + t;
                    t = d / 2;
                    i = i + 1
                end
            end
            note_indices = {1,1};
            cur_notes = {notes[1][1],notes[2][1]};
            
            function change_notes(self, p)
                local t = notes[p][note_indices[p]];
                if t then

                    cur_notes[p] = t;
                    self:sleep(durations[p][note_indices[p]]);
                    self:queuecommand('NextNote');
                    note_indices[p] = note_indices[p] + 1;
                end
            end
        end,
  },
  Def.Quad{
    Name= "xtl_actor_iys",
  NextNoteCommand= function(self)
            change_notes(self,1);
        end,
  OnCommand= function(self)
            self:queuecommand('NextNote');
        end,
  },
  Def.Quad{
    Name= "xtl_actor_jys",
  NextNoteCommand= function(self)
            change_notes(self,2);
        end,
  OnCommand= function(self)
            self:queuecommand('NextNote');
        end,
  },
  Def.Quad{
    Name= "xtl_actor_kys",
  InitCommand= function(self)
            path = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle()):GetSongDir();
        end,
  StepP1MessageCommand= function(self)
            SOUND:PlayOnce(path .. '/audio/' .. cur_notes[1] .. '.ogg');
        end,
  StepP2MessageCommand= function(self)
            SOUND:PlayOnce(path .. '/audio/' .. cur_notes[2] .. '.ogg');
        end,
  },
}