local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_lys",
  Def.Quad{
    Name= "xtl_actor_mys",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.ActorFrame{
    Name= "xtl_actor_nys",
  OnCommand= cmd(sleep,102.8;queuecommand,"goodbye"),
  goodbyeCommand= cmd(visible,true),
    Def.Quad{
      Name= "xtl_actor_oys",
    OnCommand= cmd(diffuse,color('#000000');x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT),
    },
    Def.Sprite{
      Name= "xtl_actor_pys",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;blend,"BlendMode_Add";zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;customtexturerect,0,0,3,3),
    Texture= "background.png",
    },
    Def.Sprite{
      Name= "xtl_actor_qys",
    OnCommand= cmd(x,SCREEN_CENTER_X + 180;y,SCREEN_CENTER_Y + -140;zoom,0.7),
    Texture= "stg3bg5.png",
    },
    Def.Sprite{
      Name= "xtl_actor_rys",
    OnCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.6;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;texcoordvelocity,-0.09,0),
    Texture= "pink.png",
    },
    Def.Sprite{
      Name= "xtl_actor_sys",
    OnCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.6;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;texcoordvelocity,0.09,0),
    Texture= "pink.png",
    },
    Def.Sprite{
      Name= "xtl_actor_tys",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;texcoordvelocity,-0.1,0),
    Texture= "city2.png",
    },
    Def.Sprite{
      Name= "xtl_actor_uys",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;sleep,48;linear,0.9;cropright,1;faderight,1),
    Texture= "gayshit.png",
    },
    Def.Sprite{
      Name= "xtl_actor_vys",
    AssCommand= cmd(x,SCREEN_CENTER_X + 480;y,SCREEN_CENTER_Y + -140;linear,5;x,SCREEN_CENTER_X + -820;sleep,0;queuecommand,"Ass"),
    OnCommand= cmd(x,SCREEN_CENTER_X + 480;y,SCREEN_CENTER_Y + -140;rotationz,-45;sleep,48;linear,5;x,SCREEN_CENTER_X + -820;sleep,0;queuecommand,"Ass"),
    Texture= "Taro1.png",
    },
  },
}