local xtl_cond_wys_result= GAMESTATE:IsPlayerEnabled(0);

local xtl_cond_xys_result= GAMESTATE:IsPlayerEnabled(1);

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_yys",
  Def.Quad{
    Name= "xtl_actor_zys",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Sprite{
    Name= "xtl_actor_azs",
  Horn0MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bzs",
  Horn1MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_czs",
  Horn2MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dzs",
  Horn3MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ezs",
  Horn4MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fzs",
  Horn5MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gzs",
  Horn6MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hzs",
  Horn7MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_izs",
  Horn8MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jzs",
  Horn9MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kzs",
  Horn10MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lzs",
  Horn11MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mzs",
  Horn12MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nzs",
  Horn13MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ozs",
  Horn14MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pzs",
  Horn15MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qzs",
  Horn16MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rzs",
  Horn17MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_szs",
  Horn18MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tzs",
  Horn19MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uzs",
  Horn20MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vzs",
  Horn21MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wzs",
  Horn22MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xzs",
  Horn23MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yzs",
  Horn24MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zzs",
  Horn25MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aat",
  Horn26MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bat",
  Horn27MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cat",
  Horn28MessageCommand= cmd(queuemessage,Sound2;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "scaryricherd.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dat",
  Horn29MessageCommand= cmd(queuemessage,Sound3;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "lamp.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eat",
  Horn30MessageCommand= cmd(queuemessage,Sound1;sleep,0;zoom,0.7;x,x1;y,y1;linear,1;x,x2;y,y2;rotationz,r1),
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Texture= "airhorn.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star0MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_gat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star1MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_hat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star2MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_iat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star3MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_jat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star4MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_kat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star5MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_lat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star6MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_mat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star7MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_nat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star8MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_oat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star9MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_pat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star10MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_qat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star11MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_rat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star12MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_sat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star13MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_tat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star14MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_uat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star15MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_vat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star16MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_wat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star17MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_xat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star18MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_yat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star19MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Sprite{
    Name= "xtl_actor_zat",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239),
  Star20MessageCommand= cmd(sleep,0;diffusealpha,1;zoom,4;x,x11;y,y11;decelerate,1;x,x22;y,y22;rotationz,r11;diffusealpha,0),
  Texture= "teststar",
  },
  Def.Quad{
    Name= "xtl_actor_abt",
  InitCommand= function(self)
		n = 0;
		self:sleep(1000);
	end,
  SHITMessageCommand= function(self)
	
		y1 = math.random()*480;
			y2 = math.random()*480;
			
			if math.random() < 0.5 then
				x1 = -150;
				x2 = 1000;
				r1 = math.random(-2000,2000);
				else
				x1 = 1000;
				x2 = -150;
				r1 = math.random(-2000,2000);
			end
			MESSAGEMAN:Broadcast('Horn' .. n);
			n = n+1;
			if n == 31 then
				n = 0;
			end
	end,
  },
  Def.Quad{
    Name= "xtl_actor_bbt",
  InitCommand= function(self)
		n2 = 0;
		self:sleep(1000);
	end,
  StepP1MessageCommand= function(self)
	 
	if GAMESTATE:GetSongBeat() > 112 and GAMESTATE:GetSongBeat() < 239 then
	
			x11 = math.random()*320;
			x22 = math.random()*240;
			
				y11 = 130;
				y22 = math.random(150,450);
				r11 = math.random(-1000,1000);
			
			MESSAGEMAN:Broadcast('Star' .. n2);
			n2 = n2+1;
			
			if n2 == 21 then
				n2 = 0;
			end
			
	end
	end,
  StepP2MessageCommand= function(self)
	
	if GAMESTATE:GetSongBeat() > 112 and GAMESTATE:GetSongBeat() < 239 then
	
			x11 = math.random()*320+320;
			x22 = math.random()*240+320;
			
				y11 = 130;
				y22 = math.random(150,450);
				r11 = math.random(-1000,1000);
			
			MESSAGEMAN:Broadcast('Star' .. n2);
			n2 = n2+1;
			
			if n2 == 21 then
				n2 = 0;
			end
			
	end
	end,
  },
  Def.Quad{
    Name= "xtl_actor_cbt",
  InitCommand= cmd(visible,true;sleep,10000),
  OnCommand= cmd(),
  Sound1MessageCommand= function(self)
		SOUND:PlayOnce(path..'FG/airhorn.ogg');
	end,
  },
  Def.Quad{
    Name= "xtl_actor_dbt",
  InitCommand= cmd(visible,true;sleep,10000),
  OnCommand= cmd(),
  Sound2MessageCommand= function(self)
		SOUND:PlayOnce(path..'FG/RICHERD.ogg');
	end,
  },
  Def.Quad{
    Name= "xtl_actor_ebt",
  InitCommand= cmd(visible,true;sleep,10000),
  OnCommand= cmd(),
  Sound3MessageCommand= function(self)
		SOUND:PlayOnce(path..'FG/lamp.ogg');
	end,
  },
  Def.Quad{
    Name= "xtl_actor_fbt",
  OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoom,2000;diffusealpha,0;sleep,13.319;linear,0.427;diffusealpha,1;linear,0.427;diffusealpha,0),
  },
  Def.BitmapText{
    Name= "xtl_actor_gbt",
  Font= ""_eurostile normal",",
  OnCommand= cmd(hibernate,89.3;x,SCREEN_CENTER_X + 680;y,SCREEN_CENTER_Y + -190;linear,2;x,SCREEN_CENTER_X + -640),
  Text= "I SUCK AT CUTTING SONGS YOLO,",
  },
  optional_actor(xtl_cond_wys_result,
  Def.Sprite{
    Name= "xtl_actor_hbt",
  OnCommand= cmd(hibernate,61.766;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 430;zoomy,1.2;zoomx,1.4;diffusealpha,1;linear,26.2;y,SCREEN_CENTER_Y + 130;linear,0.3;y,SCREEN_CENTER_Y + 760),
  Texture= "scaryricherd.png",
  }),
  optional_actor(xtl_cond_xys_result,
  Def.Sprite{
    Name= "xtl_actor_ibt",
  OnCommand= cmd(hibernate,61.766;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 430;zoomy,1.2;zoomx,1.4;diffusealpha,1;linear,26.2;y,SCREEN_CENTER_Y + 130;linear,0.3;y,SCREEN_CENTER_Y + 760),
  Texture= "scaryricherd.png",
  }),
  Def.Quad{
    Name= "xtl_actor_jbt",
  OnCommand= cmd(diffuse,color('#000000');x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoom,2000;diffusealpha,0;sleep,102.4;linear,0.2;diffusealpha,1;sleep,0.2;diffusealpha,0),
  },
  Def.Quad{
    Name= "xtl_actor_kbt",
  OnCommand= cmd(diffuse,color('#000000');x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoom,2000;diffusealpha,0;sleep,185.999;linear,0.428;diffusealpha,1;sleep,6.604;diffusealpha,0),
  },
  Def.Quad{
    Name= "xtl_actor_lbt",
  OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 190;zoomy,1;zoomx,500;cropright,1;sleep,186.427;cropright,0;sleep,0;linear,6.604;cropright,1),
  },
  Def.Sprite{
    Name= "xtl_actor_mbt",
  OnCommand= cmd(hibernate,89.183;y,SCREEN_CENTER_Y + -340;x,SCREEN_CENTER_X + 0;bob;effectmagnitude,0,20,0;effectperiod,4;decelerate,1.5;y,SCREEN_CENTER_Y + 0;sleep,1.5;linear,1;y,SCREEN_CENTER_Y + -340),
  Texture= "lily.png",
  },
  Def.ActorFrame{
    Name= "xtl_actor_nbt",
  AppearCommand= cmd(visible,false;sleep,10;queuecommand,"Disappear"),
  DisappearCommand= cmd(visible,true),
  OnCommand= cmd(visible,true;sleep,92;queuecommand,"Appear"),
    Def.Sprite{
      Name= "xtl_actor_obt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.1;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_pbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.2;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_qbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.3;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_rbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.4;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_sbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.5;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_tbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.6;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ubt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.7;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_vbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.8;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_wbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,92.9;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_xbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.0;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ybt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.1;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_zbt",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.2;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_act",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.3;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_bct",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.4;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_cct",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.5;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_dct",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.6;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ect",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.7;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_fct",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.8;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_gct",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,93.9;queuecommand,"Explode"),
    Texture= "boom.png",
    },
    Def.Sprite{
      Name= "xtl_actor_hct",
    ExplodeCommand= function(self) SOUND:PlayOnce(path..'mods/effect1.ogg'); self:blend('add'); self:x(math.random(0,640)); self:y(math.random(0,480)); self:linear(2); self:zoom(2); self:decelerate(3); self:zoom(4); self:diffusealpha(0); end,
    InitCommand= cmd(x,SCREEN_CENTER_X + -1319;y,SCREEN_CENTER_Y + -1239;zoom,0),
    OnCommand= cmd(hibernate,94.0;queuecommand,"Explode"),
    Texture= "boom.png",
    },
  },
}