local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_pzk",
  Def.Quad{
    Name= "xtl_actor_qzk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_rzk",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
				fgcurcommand = 1;
			curmod = 1;
			--{beat,mod,player}
			mods = {
			{0.000,'1x,dark,big,30% flip,-240% mini,blind,cover,beat'},
			{8.000,'blink'},
			}

				self:queuecommand('Update');

				song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
				path = song:GetSongDir();
			end,
  Update2Command= function(self)
			self:sleep(0.0166666666);
			self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
			
			if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
				if mods[curmod] ~= nil then
					if table.getn(mods[curmod]) == 3 then
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3]);
					else
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2]);
					end
					curmod = curmod+1;
					
				end
			end
			
			self:queuecommand('Update2');
		end,
  },
}