local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_mct",
  Def.Quad{
    Name= "xtl_actor_nct",
  OnCommand= cmd(diffusealpha,0;sleep,999999),
  },
  Def.BitmapText{
    Name= "xtl_actor_oct",
  OnCommand= cmd(vibrate;zoom,0;blend,"BlendMode_Add";diffusealpha,1;sleep,9.390;linear,3.512;zoom,2;sleep,0;diffusealpha,0),
  Text= "SPEEDCORE!!!,",
  Texture= "_eurostile outline",
  },
  Def.Sprite{
    Name= "xtl_actor_pct",
  OnCommand= cmd(zoom,0;blend,"BlendMode_Add";diffusealpha,1;sleep,9.390;linear,3.512;zoom,2;rotationz,3095;sleep,0;diffusealpha,0),
  Texture= "chrismarks",
  },
  Def.BitmapText{
    Name= "xtl_actor_qct",
  OnCommand= cmd(zoom,0;sleep,23.146;decelerate,0.8;zoom,5;diffusealpha,0),
  Text= "COME ON!,",
  Texture= "_eurostile outline",
  },
  Def.BitmapText{
    Name= "xtl_actor_rct",
  OnCommand= cmd(x,SCREEN_CENTER_X + 1280;y,SCREEN_CENTER_Y + -240;diffusealpha,0;zoom,4;sleep,31.634;diffusealpha,1;linear,1;x,SCREEN_CENTER_X + -1820;sleep,0;diffusealpha,0),
  Text= "OWFHNVIRHFTHELPMEUTUUTJ,",
  Texture= "_eurostile outline",
  },
  Def.Sprite{
    Name= "xtl_actor_sct",
  OnCommand= cmd(zoom,0;sleep,69;bounceend,0.146;zoom,1.5;sleep,0.146;zoom,0;bounceend,0.146;zoom,1.5;sleep,0.146;zoom,0;bounceend,0.146;zoom,1.5;sleep,0.146;zoom,0),
  Texture= "steak",
  },
  Def.Sprite{
    Name= "xtl_actor_tct",
  OnCommand= cmd(zoom,0;sleep,69.9;bounceend,0.146;zoom,2;sleep,0.146;zoom,0),
  Texture= "chrismarks",
  },
  Def.Sprite{
    Name= "xtl_actor_uct",
  OnCommand= cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffusealpha,0;sleep,59.731;linear,0.586;diffusealpha,1;linear,0.586;diffusealpha,0),
  Texture= "SHIT.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vct",
  OnCommand= cmd(x,SCREEN_CENTER_X + -1140;zoom,3;sleep,79.048;diffusealpha,1;linear,0.5;x,SCREEN_CENTER_X + 500;sleep,0;diffusealpha,0),
  Texture= "chrismarks",
  },
  Def.Quad{
    Name= "xtl_actor_wct",
  OnCommand= cmd(zoom,9999;blend,"BlendMode_Add";diffuse,color('#FF0000');diffusealpha,0;sleep,9.390;linear,3.512;diffusealpha,1;sleep,0;diffusealpha,0),
  },
  Def.Quad{
    Name= "xtl_actor_xct",
  OnCommand= cmd(hibernate,118.262;diffuse,color('#000000');x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoom,9999;diffusealpha,0;linear,0.5;diffusealpha,1;sleep,3;diffusealpha,0),
  },
  Def.Sprite{
    Name= "xtl_actor_yct",
  OnCommand= cmd(hibernate,120;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;diffusealpha,0;linear,0.5;diffusealpha,1;sleep,3.7;linear,0.5;diffusealpha,0),
  Texture= "fake",
  },
  Def.Sprite{
    Name= "xtl_actor_zct",
  Command= cmd(hibernate,120;zoom,0.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+50;diffusealpha,0;accelerate,0.4;diffusealpha,1;sleep,1.3;decelerate,0.4;diffusealpha,0),
  Texture= "cleared text",
  },
}