local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_lqd",
  Def.Sprite{
    Name= "xtl_actor_mqd",
  OnCommand= function(self)
				self:x(SCREEN_CENTER_X);
				self:y(SCREEN_BOTTOM + self:GetHeight()/2);
				self:zoom(0.3);
				self:diffusealpha(0.6);
				self:sleep(0.01);
				self:accelerate(10.666);
				self:rotationy(1080*7);
				self:addy(-1 * SCREEN_HEIGHT*1.5);
				self:zoom(6)
				self:sleep(0.01);
				self:diffusealpha(0);
			end,
  Texture= "../arabrab4/ohgodno",
  },
  Def.Sprite{
    Name= "xtl_actor_nqd",
  Delay0000= 0.05,
  Delay0001= 0.05,
  Delay0002= 0.05,
  Delay0003= 0.05,
  Delay0004= 0.05,
  Delay0005= 0.05,
  Delay0006= 0.05,
  Delay0007= 0.05,
  Delay0008= 0.05,
  Delay0009= 0.05,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  InitCommand= cmd(hibernate,28;draworder,10),
  OnCommand= function(self)
				if Year() >= 2013 and MonthOfYear() >= 1 and DayOfMonth() >= 26 then
					self:diffusealpha(0);
					self:zoomtoheight(SCREEN_HEIGHT);
					self:zoomtowidth(SCREEN_WIDTH);
					self:x(SCREEN_CENTER_X);
					self:y(SCREEN_CENTER_Y);
					self:linear(4);
					self:diffusealpha(1);
					self:sleep(8);
				else
					self:diffusealpha(0);
				end
			end;,
  Texture= ../../../The Ballad of Ian/animations/animation5/static,
  },
  Def.Sprite{
    Name= "xtl_actor_oqd",
  InitCommand= cmd(hibernate,28;draworder,11),
  OnCommand= function(self)
				if Year() >= 2013 and MonthOfYear() >= 1 and DayOfMonth() >= 26 then
					self:x(SCREEN_CENTER_X);
					self:y(0);
					self:diffusealpha(0.25);
					self:linear(1.6);
					self:diffusealpha(1);
					self:y(SCREEN_CENTER_Y);
					self:sleep(1.5);
					self:linear(1);
					self:diffusealpha(0);
				else
					self:diffusealpha(0);
				end
			end;,
  Texture= "../../../Polkamon/everybody/hmm/psychomantis",
  },
}