local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_esd",
  Def.ActorFrame{
    Name= "xtl_actor_fsd",
  OnCommand= cmd(diffusealpha,0;sleep,11.124;queuecommand,"BeatFx7";sleep,79.067;queuecommand,"BeatFx7";sleep,11.295;queuecommand,"BeatFx7"),
    Def.Quad{
      Name= "xtl_actor_gsd",
    BeatFx7Command= cmd(queuecommand,"OnBeatFx7";sleep,9.883;queuecommand,"OffBeatFx7"),
    OffBeatFx7Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*50 No Beat', pl)
				end
			end,
    OnBeatFx7Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*50 ' .. tostring(110 * swrk.PMult(pl)) .. '% Beat', pl)
				end
			end,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_hsd",
  OnCommand= cmd(diffusealpha,0;sleep,22.419;queuecommand,"BeatFx8"),
    Def.Quad{
      Name= "xtl_actor_isd",
    BeatFx8Command= cmd(queuecommand,"OnBeatFx8";sleep,11.295;queuecommand,"OffBeatFx8"),
    OffBeatFx8Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*50 No Beat', pl)
				end
			end,
    OnBeatFx8Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*50 ' .. tostring(130 * swrk.PMult(pl)) .. '% Beat', pl)
				end
			end,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_jsd",
  OnCommand= cmd(diffusealpha,0;sleep,33.891;queuecommand,"ZoomOutFx";sleep,79.067;queuecommand,"ZoomOutFx"),
    Def.Quad{
      Name= "xtl_actor_ksd",
    OffZoomOutFxCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*1.1 No Mini', pl)
					GAMESTATE:ApplyGameCommand('mod,*2.5 No Wave', pl)
				end
			end,
    OnZoomOutFxCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*0.15 200% Mini', pl)
					GAMESTATE:ApplyGameCommand('mod,*0.25 135% Wave', pl)
				end
			end,
    ZoomOutFxCommand= cmd(queuecommand,"OnZoomOutFx";sleep,9.883;queuecommand,"OffZoomOutFx"),
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_lsd",
  OnCommand= cmd(diffusealpha,0;sleep,22.772;queuecommand,"BeepFx";sleep,0.530;queuecommand,"NBeepFx";sleep,0.706;queuecommand,"BeepFx";sleep,0.530;queuecommand,"NBeepFx";sleep,0.353;queuecommand,"BeepFx";sleep,0.706;queuecommand,"NBeepFx";sleep,0.530;queuecommand,"BeepFx";sleep,0.706;queuecommand,"NBeepFx";sleep,0.530;queuecommand,"BeepFx";sleep,0.353;queuecommand,"NBeepFx";sleep,0.706),
    Def.Quad{
      Name= "xtl_actor_msd",
    BeepFxCommand= function(self) beep = 1; self:playcommand('OnBeep'); self:sleep(0.177); self:queuecommand('OffBeep'); end,
    NBeepFxCommand= function(self) beep = -1; self:playcommand('OnBeep'); self:sleep(0.177); self:queuecommand('OffBeep'); end,
    OffBeepCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *3 No Mini', pl)
					GAMESTATE:ApplyGameCommand('mod, *0.5 No Flip', pl)
				end
			end,
    OnBeepCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*3 ' .. tostring(300 * swrk.PMult(pl) * beep) .. '% Mini', pl)
					GAMESTATE:ApplyGameCommand('mod,*0.5 ' .. tostring(-1 * 100 * swrk.PMult(pl) * beep) .. '% Flip', pl)
				end
			end,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_nsd",
  OnCommand= cmd(diffusealpha,0;sleep,28.420;queuecommand,"BeepFx";sleep,0.530;queuecommand,"NBeepFx";sleep,0.706;queuecommand,"BeepFx";sleep,0.530;queuecommand,"NBeepFx";sleep,0.353;queuecommand,"BeepFx";sleep,0.706;queuecommand,"NBeepFx";sleep,0.530;queuecommand,"BeepFx";sleep,0.706;queuecommand,"NBeepFx";sleep,0.530;queuecommand,"BeepFx";sleep,0.353;queuecommand,"NBeepFx";sleep,0.706),
    Def.Quad{
      Name= "xtl_actor_osd",
    BeepFxCommand= function(self) beep = 1; self:playcommand('OnBeep'); self:sleep(0.177); self:queuecommand('OffBeep'); end,
    NBeepFxCommand= function(self) beep = -1; self:playcommand('OnBeep'); self:sleep(0.177); self:queuecommand('OffBeep'); end,
    OffBeepCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *3 No Mini', pl)
					GAMESTATE:ApplyGameCommand('mod, *0.5 No Flip', pl)
				end
			end,
    OnBeepCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*3 ' .. tostring(300 * swrk.PMult(pl) * beep) .. '% Mini', pl)
					GAMESTATE:ApplyGameCommand('mod,*0.5 ' .. tostring(-1 * 100 * swrk.PMult(pl) * beep) .. '% Flip', pl)
				end
			end,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_psd",
  OnCommand= cmd(diffusealpha,0;sleep,44.480;queuecommand,"MelodyFx1";sleep,45.535;queuecommand,"MelodyFx1"),
    Def.Quad{
      Name= "xtl_actor_qsd",
    MelodyFx1Command= cmd(queuecommand,"OnMelodyFx1";sleep,21.500;queuecommand,"OffMelodyFx1"),
    OffMelodyFx1Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *3 No Drunk', pl)
				end
			end,
    OnMelodyFx1Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*2 ' .. tostring(225 * swrk.PMult(pl)) .. '% Drunk', pl)
				end
			end,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_rsd",
  OnCommand= cmd(diffusealpha,0;sleep,90.015;queuecommand,"MelodyFx2"),
    Def.Quad{
      Name= "xtl_actor_ssd",
    MelodyFx2Command= cmd(queuecommand,"OnMelodyFx2";sleep,10.700;queuecommand,"OffMelodyFx2"),
    OffMelodyFx2Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *2.5 No Drunk', pl)
				end
			end,
    OnMelodyFx2Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*2 ' .. tostring(145 * swrk.PMult(pl)) .. '% Drunk', pl)
				end
			end,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_tsd",
  OnCommand= cmd(diffusealpha,0;sleep,66.365;queuecommand,"GetBlue"),
    Def.Quad{
      Name= "xtl_actor_usd",
    GetBlueCommand= cmd(queuecommand,"OnGetBlue";sleep,22.591;queuecommand,"OffGetBlue"),
    OffGetBlueCommand= function(self)
				-- can't undo a cmod afaik
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *3 No Tipsy', pl)
					GAMESTATE:ApplyGameCommand('mod, No Space', pl)
					GAMESTATE:ApplyGameCommand('mod, *2.5 No Bumpy', pl)
				end
			end,
    OnGetBlueCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*30 C171', pl)
					GAMESTATE:ApplyGameCommand('mod,130% Space', pl)
					GAMESTATE:ApplyGameCommand('mod,*2 -40% Bumpy', pl)
					GAMESTATE:ApplyGameCommand('mod,*2 ' .. tostring(65 * swrk.PMult(pl)) .. '% Tipsy', pl)
				end
			end,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_vsd",
  OnCommand= cmd(diffusealpha,0;sleep,43.774;queuecommand,"WhirlFx2";sleep,11.294;queuecommand,"WhirlFx2";sleep,33.886;queuecommand,"WhirlFx2";sleep,22.59;queuecommand,"WhirlFx2";sleep,11.294;queuecommand,"WhirlFx2"),
    Def.Quad{
      Name= "xtl_actor_wsd",
    OffWhirlDizzy2Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *3 No Dizzy', pl)
				end
			end,
    OffWhirlTornado2Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *1.25 No Tornado', pl)
				end
			end,
    OnWhirlDizzy2Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*18 ' .. tostring(1440 * swrk.PMult(pl)) .. '% Dizzy', pl)
				end
			end,
    OnWhirlTornado2Command= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, 150% Tornado', pl)
				end
			end,
    WhirlFx2Command= cmd(queuecommand,"OnWhirlDizzy2";queuecommand,"OnWhirlTornado2";sleep,0.200;queuecommand,"OffWhirlDizzy2";sleep,0.55;queuecommand,"OffWhirlTornado2"),
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_xsd",
  OnCommand= cmd(diffusealpha,0;sleep,4.241;queuecommand,"WhirlFx";sleep,5.647;queuecommand,"WhirlFx";sleep,11.294;queuecommand,"WhirlFx";sleep,11.294;queuecommand,"WhirlFx"),
    Def.Quad{
      Name= "xtl_actor_ysd",
    OffWhirlDizzyCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *3 No Dizzy', pl)
				end
			end,
    OffWhirlTornadoCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, *1.25 No Tornado', pl)
				end
			end,
    OnWhirlDizzyCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod,*18 ' .. tostring(1440 * swrk.PMult(pl)) .. '% Dizzy', pl)
				end
			end,
    OnWhirlTornadoCommand= function(self)
				for pl=1, 2 do
					GAMESTATE:ApplyGameCommand('mod, 150% Tornado', pl)
				end
			end,
    WhirlFxCommand= cmd(queuecommand,"OnWhirlDizzy";queuecommand,"OnWhirlTornado";sleep,0.200;queuecommand,"OffWhirlDizzy";sleep,0.55;queuecommand,"OffWhirlTornado"),
    },
  },
  Def.Quad{
    Name= "xtl_actor_zsd",
  DerpCommand= function(self)
			local stagen = SCREENMAN:GetTopScreen()
			if stagen then
				stagen:accelerate(0.9)
				stagen:addy(SCREEN_HEIGHT)
				stagen:rotationz(-1440)
			end
		end,
  OnCommand= cmd(diffusealpha,0;playcommand,"Derp"),
  },
  Def.Quad{
    Name= "xtl_actor_atd",
  OnCommand= cmd(diffusealpha,0;sleep,55.070;queuecommand,"SpinLifebars";queuecommand,"SpinScores"),
  SpinLifebarsCommand= function(self)
			local lifebars = { SCREENMAN:GetTopScreen():GetChild('LifeP1'), SCREENMAN:GetTopScreen():GetChild('LifeP2') }
			for i=1, 2 do
				if lifebars[i] then
					lifebars[i]:accelerate(1.3)
					lifebars[i]:rotationz(990)
					lifebars[i]:addx(swrk.PMult(i) * SCREEN_WIDTH)
				end
			end
		end,
  SpinScoresCommand= function(self)
			local scores = { SCREENMAN:GetTopScreen():GetChild('ScoreP1'), SCREENMAN:GetTopScreen():GetChild('ScoreP2') }
			for i=1, 2 do
				if scores[i] then
					scores[i]:accelerate(1)
					scores[i]:rotationz(1080)
					scores[i]:addx(-1 * swrk.PMult(i) * SCREEN_WIDTH)
				end
			end
		end,
  },
  Def.Quad{
    Name= "xtl_actor_btd",
  OnCommand= cmd(diffuse,color('0.3'),0.3,1,0;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,66.365;accelerate,1.3;diffusealpha,0.5;blend,"BlendMode_Add";sleep,21.291;linear,1.1;diffusealpha,0),
  },
  Def.ActorFrame{
    Name= "xtl_actor_ctd",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0;rotationz,720;sleep,0;diffusealpha,1;sleep,66.365;decelerate,1.2;rotationz,0;zoom,1.5;sleep,0.212;linear,22.772;rotationz,1395),
    Def.Sprite{
      Name= "xtl_actor_dtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(sleep,66.365;zoom,1.25;rotationz,90;addx,-100;sleep,1.2;linear,0.212;diffusealpha,0;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    },
    Def.Sprite{
      Name= "xtl_actor_etd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(sleep,66.365;zoom,1.25;rotationz,-90;addx,100;sleep,1.2;linear,0.212;diffusealpha,0;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    },
    Def.Sprite{
      Name= "xtl_actor_ftd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(sleep,66.365;zoom,1.25;rotationz,180;addy,-100;sleep,1.2;linear,0.212;diffusealpha,0;sleep,0;playcommand,"ArrowPulse"),
    Texture= "marv",
    },
    Def.Sprite{
      Name= "xtl_actor_gtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(sleep,66.365;zoom,1.25;rotationz,0;addy,100;sleep,1.2;linear,0.212;diffusealpha,0;sleep,0;playcommand,"ArrowPulse"),
    Texture= "marv",
    },
    Def.Sprite{
      Name= "xtl_actor_htd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(diffusealpha,0;sleep,73.425;zoom,1.25;rotationz,90;addx,-100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    },
    Def.Sprite{
      Name= "xtl_actor_itd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(diffusealpha,0;sleep,73.425;zoom,1.25;rotationz,-90;addx,100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    },
    Def.Sprite{
      Name= "xtl_actor_jtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(diffusealpha,0;sleep,73.425;zoom,1.25;rotationz,180;addy,-100;playcommand,"ArrowPulse"),
    Texture= "marv",
    },
    Def.Sprite{
      Name= "xtl_actor_ktd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Flash')
					self:sleep(0.353)
				end
			end,
    FlashCommand= cmd(diffusealpha,1;sleep,0.080;accelerate,0.273;diffusealpha,0),
    OnCommand= cmd(diffusealpha,0;sleep,73.425;zoom,1.25;rotationz,0;addy,100;playcommand,"ArrowPulse"),
    Texture= "marv",
    },
    Def.Sprite{
      Name= "xtl_actor_ltd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,79.072;zoom,1.25;rotationz,90;addx,-100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_mtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,79.072;zoom,1.25;rotationz,-90;addx,100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_ntd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,79.072;zoom,1.25;rotationz,180;addy,-100;playcommand,"ArrowPulse"),
    Texture= "marv",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_otd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,79.072;zoom,1.25;rotationz,0;addy,100;playcommand,"ArrowPulse"),
    Texture= "marv",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_ptd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,84.720;zoom,1.25;rotationz,90;addx,-100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_qtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,84.720;zoom,1.25;rotationz,-90;addx,100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_rtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,84.720;zoom,1.25;rotationz,180;addy,-100;playcommand,"ArrowPulse"),
    Texture= "marv",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_std",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,84.720;zoom,1.25;rotationz,0;addy,100;playcommand,"ArrowPulse"),
    Texture= "marv",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_ttd",
    OnCommand= cmd(zoom,0;sleep,88.956;diffusealpha,1;rotationz,1440;decelerate,1.412;rotationz,0;zoom,1.25;linear,9.883;rotationz,1440;accelerate,1.414;rotationz,0;zoom,0),
    Texture= "hold",
    },
    Def.Sprite{
      Name= "xtl_actor_utd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,90.368;zoom,1.25;rotationz,90;addx,-100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_vtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,90.368;zoom,1.25;rotationz,-90;addx,100;sleep,0.353;playcommand,"ArrowPulse"),
    Texture= "perf",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_wtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,90.368;zoom,1.25;rotationz,180;addy,-100;playcommand,"ArrowPulse"),
    Texture= "perf",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_xtd",
    ArrowPulseCommand= function(self)
				for i=1, 8 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
			end,
    OnCommand= cmd(diffusealpha,0;sleep,90.368;zoom,1.25;rotationz,0;addy,100;playcommand,"ArrowPulse"),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_ytd",
    ArrowPulseCommand= function(self)
				for i=1, 5 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
				self:playcommand('Stick')
			end,
    OnCommand= cmd(diffusealpha,0;sleep,96.015;zoom,1.25;rotationz,90;addx,-100;sleep,0.353;playcommand,"ArrowPulse"),
    StickCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;sleep,0.353;linear,0.9;diffusealpha,0),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_ztd",
    ArrowPulseCommand= function(self)
				for i=1, 5 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
				self:playcommand('Stick')
			end,
    OnCommand= cmd(diffusealpha,0;sleep,96.015;zoom,1.25;rotationz,-90;addx,100;sleep,0.353;playcommand,"ArrowPulse"),
    StickCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;sleep,0.353;linear,0.9;diffusealpha,0),
    Texture= "perf",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_aud",
    ArrowPulseCommand= function(self)
				for i=1, 5 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
				self:playcommand('Stick')
			end,
    OnCommand= cmd(diffusealpha,0;sleep,96.015;zoom,1.25;rotationz,180;addy,-100;playcommand,"ArrowPulse"),
    StickCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;sleep,0.353;sleep,0.353;linear,0.9;diffusealpha,0),
    Texture= "perf",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_bud",
    ArrowPulseCommand= function(self)
				for i=1, 5 do
					self:playcommand('Throb')
					self:sleep(0.353)
				end
				self:playcommand('Stick')
			end,
    OnCommand= cmd(diffusealpha,0;sleep,96.015;zoom,1.25;rotationz,0;addy,100;playcommand,"ArrowPulse"),
    StickCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;sleep,0.353;sleep,0.353;linear,0.9;diffusealpha,0),
    Texture= "good",
    ThrobCommand= cmd(zoom,5;linear,0.2;diffusealpha,1;zoom,1.25;linear,0.153;diffusealpha,0),
    },
  },
  Def.Quad{
    Name= "xtl_actor_cud",
  OnCommand= cmd(diffusealpha,0;queuecommand,"RegisterPackage"),
  RegisterPackageCommand= function(self)
			-- pretty sure no one else will use this package name...
			local P = {}
			swrk = P
			
			P.Players = { SCREENMAN:GetTopScreen():GetChild('PlayerP1'), SCREENMAN:GetTopScreen():GetChild('PlayerP2') }
			-- substitute the background for the player if we're in edit mode
			if not P.Players[1] and not P.Players[2] then P.Players[1] = SCREENMAN:GetTopScreen():GetChild('') end
			
			P.OneBeat = 0.353
			P.Beep = 1
			
			function P.PMult(pl)
				if pl == 1 then return 1
				elseif pl == 2 then return -1
				else return 0 end
			end
		end,
  },
  Def.Quad{
    Name= "xtl_actor_dud",
  OnCommand= cmd(diffusealpha,0;sleep,9999),
  },
}