local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_gig",
  Def.Sprite{
    Name= "xtl_actor_hig",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*1.5*(SCREEN_WIDTH/640),self:GetHeight()*1.5*(SCREEN_HEIGHT/480));
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:linear(0.577)
			self:diffusealpha(1);
			self:bob();
			self:linear(0.904098);
			self:addx(SCREEN_WIDTH/3);
			self:addy(-SCREEN_HEIGHT);
			self:sleep(0.01);
			self:diffusealpha(0);
		end,
  Texture= Aerodactyl,
  },
}