local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_iig",
  Def.Sprite{
    Name= "xtl_actor_jig",
  Delay0000= 0.0802,
  Delay0001= 0.0802,
  Delay0002= 0.0802,
  Delay0003= 0.0802,
  Delay0004= 0.0802,
  Delay0005= 0.0802,
  Delay0006= 0.0802,
  Delay0007= 0.0802,
  Delay0008= 0.0802,
  Delay0009= 0.0802,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(SCREEN_WIDTH, SCREEN_HEIGHT);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:linear(0.100);
			self:diffusealpha(0.7);
			self:sleep(0.702);
			self:diffusealpha(0);
		end,
  Texture= Arcanine,
  },
}