local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_pig",
  Def.Sprite{
    Name= "xtl_actor_qig",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*0.75*(SCREEN_WIDTH/640),self:GetHeight()*0.75*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH/4);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:linear(0.452049);
			self:diffusealpha(0.7);
			self:sleep(0.603);		
			self:linear(0.802);
			self:diffuse(0,0,0,1);
			self:sleep(0.01);
			self:diffusealpha(0);
		end,
  Texture= Bellossom,
  },
}