local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_rig",
  Def.Sprite{
    Name= "xtl_actor_sig",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Delay0005= 0.05022770,
  Delay0006= 0.05022770,
  Delay0007= 0.05022770,
  Delay0008= 0.05022770,
  Delay0009= 0.05022770,
  Delay0010= 0.05022770,
  Delay0011= 0.05022770,
  Delay0012= 0.05022770,
  Delay0013= 0.05022770,
  Delay0014= 0.05022770,
  Delay0015= 0.05022770,
  Delay0016= 0.05022770,
  Delay0017= 0.05022770,
  Delay0018= 0.05022770,
  Delay0019= 0.05022770,
  Delay0020= 0.05022770,
  Delay0021= 0.05022770,
  Delay0022= 0.05022770,
  Delay0023= 0.05022770,
  Delay0024= 0.05022770,
  Delay0025= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  Frame0010= 10,
  Frame0011= 11,
  Frame0012= 12,
  Frame0013= 13,
  Frame0014= 14,
  Frame0015= 15,
  Frame0016= 16,
  Frame0017= 17,
  Frame0018= 18,
  Frame0019= 19,
  Frame0020= 20,
  Frame0021= 21,
  Frame0022= 22,
  Frame0023= 23,
  Frame0024= 24,
  Frame0025= 25,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*2*(SCREEN_WIDTH/640),self:GetHeight()*2*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH/4);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:linear(1.203);		
			self:diffusealpha(1);
			self:linear(1.203);		
			self:diffusealpha(0);
		end,
  Texture= Bulbasaur,
  },
  Def.Sprite{
    Name= "xtl_actor_tig",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:rotationy(180);
			self:zoomto(self:GetWidth()*0.75*(SCREEN_WIDTH/640),self:GetHeight()*0.75*(SCREEN_HEIGHT/480));
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:sleep(1.002);
			self:decelerate(1);
			self:diffusealpha(0.6);
			self:addx(SCREEN_WIDTH/4);
			self:addy(-SCREEN_HEIGHT/4);
			self:linear(0.404);
			self:diffusealpha(0);
			self:addx(SCREEN_WIDTH/8);
			self:addy(-SCREEN_HEIGHT/8);
		end,
  Texture= Fade,
  },
}