local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_yig",
  Def.Sprite{
    Name= "xtl_actor_zig",
  Delay0000= 0.10045540,
  Delay0001= 0.10045540,
  Delay0002= 0.10045540,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  InitCommand= function(self)
			self:hidden(1);
			self:zoomto(self:GetWidth()*0.57*(SCREEN_WIDTH/640),self:GetHeight()*0.57*(SCREEN_HEIGHT/480));
			self:x((3*SCREEN_WIDTH)/4);
			self:y(-1*self:GetWidth());
		end,
  OnCommand= function(self)
			self:hidden(0);
			self:linear(0.904098);
			self:addy(self:GetHeight()+SCREEN_WIDTH/2);
			self:linear(0.29);
			self:diffusealpha(0);
		end,
  Texture= Chansey,
  },
}