local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_vlg",
  Def.BitmapText{
    Name= "xtl_actor_wlg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*7/24,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.1458333333333333333);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.008);
			self:diffusealpha(0);
		end,
  Text= "There's,",
  },
  Def.BitmapText{
    Name= "xtl_actor_xlg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*5/24,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.479166666666666666666);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(0.201)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.007);
			self:diffusealpha(0);
		end,
  Text= "Still,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ylg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/12,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.666666666666666666666);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(0.401)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.807);
			self:diffusealpha(0);
		end,
  Text= "At,",
  },
  Def.BitmapText{
    Name= "xtl_actor_zlg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*5/24,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.8541666666666666666666);
			self:y(SCREEN_HEIGHT/8);
		end,
  OnCommand= function(self)
			self:sleep(0.602)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.606);
			self:diffusealpha(0);
		end,
  Text= "Least,",
  },
  Def.BitmapText{
    Name= "xtl_actor_amg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto((SCREEN_WIDTH*1/3)/2,(SCREEN_HEIGHT*3/4)/2);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y + self:GetWidth());
		end,
  OnCommand= function(self)
			self:sleep(1.003);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.401);
			self:diffusealpha(0);
		end,
  Text= "1,",
  },
  Def.BitmapText{
    Name= "xtl_actor_bmg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto((SCREEN_WIDTH*2/3)/2,(SCREEN_HEIGHT*3/4)/2);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y + self:GetWidth());
		end,
  OnCommand= function(self)
			self:sleep(1.404);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.401);
			self:diffusealpha(0);
		end,
  Text= "10,",
  },
  Def.BitmapText{
    Name= "xtl_actor_cmg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/2,(SCREEN_HEIGHT*3/4)/2);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y + self:GetWidth());
		end,
  OnCommand= function(self)
			self:sleep(1.805);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.401);
			self:diffusealpha(0);
		end,
  Text= "100,",
  },
  Def.BitmapText{
    Name= "xtl_actor_dmg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/1.5,(SCREEN_HEIGHT*3/4)/1.5);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y + self:GetWidth());
		end,
  OnCommand= function(self)
			self:sleep(2.206);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.401);
			self:diffusealpha(0);
		end,
  Text= "120,",
  },
  Def.BitmapText{
    Name= "xtl_actor_emg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/1.25,(SCREEN_HEIGHT*3/4)/1.25);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y + self:GetWidth());
		end,
  OnCommand= function(self)
			self:sleep(2.607);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.401);
			self:diffusealpha(0);
		end,
  Text= "127,",
  },
  Def.BitmapText{
    Name= "xtl_actor_fmg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH,SCREEN_HEIGHT);
			self:diffusealpha(0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:sleep(3.008);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.2);
			self:diffusealpha(0);
		end,
  Text= "MORE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_gmg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/10,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.45);
			self:y(SCREEN_HEIGHT*7/8);
		end,
  OnCommand= function(self)
			self:sleep(3.208);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.602);
			self:diffusealpha(0);
		end,
  Text= "In,",
  },
  Def.BitmapText{
    Name= "xtl_actor_hmg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*3/20,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.575);
			self:y(SCREEN_HEIGHT*7/8);
		end,
  OnCommand= function(self)
			self:sleep(3.409)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.401);
			self:diffusealpha(0);
		end,
  Text= "clu,",
  },
  Def.BitmapText{
    Name= "xtl_actor_img",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*7/20,SCREEN_HEIGHT/4);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.825);
			self:y(SCREEN_HEIGHT*7/8);
		end,
  OnCommand= function(self)
			self:sleep(3.609)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.201);
			self:diffusealpha(0);
		end,
  Text= "ding...,",
  },
}