local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_tmg",
  Def.Sprite{
    Name= "xtl_actor_umg",
  Delay0000= 0.05022770,
  Delay0001= 0.05022770,
  Delay0002= 0.05022770,
  Delay0003= 0.05022770,
  Delay0004= 0.05022770,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(0,0);
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:linear(1.003);
			self:zoomto(self:GetWidth()*2*(SCREEN_WIDTH/640),self:GetHeight()*2*(SCREEN_HEIGHT/480));			
			self:diffusealpha(0.7);
			self:sleep(0.01);
			self:diffusealpha(0);
		end,
  Texture= Ledyba,
  },
}