local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_xmg",
  Def.Sprite{
    Name= "xtl_actor_ymg",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*0.9*(SCREEN_WIDTH/640),self:GetHeight()*0.9*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH+self:GetWidth());
			self:y(SCREEN_CENTER_Y+(SCREEN_HEIGHT/480*32));
		end,
  OnCommand= function(self)
			self:diffusealpha(1);
			self:linear(0.280);
			self:addx(-(SCREEN_CENTER_X+self:GetWidth())+(SCREEN_WIDTH/640)*70);
			self:linear(0.90452);
			self:diffusealpha(0);
		end,
  Texture= Lugia,
  },
  Def.Sprite{
    Name= "xtl_actor_zmg",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*0.05*(SCREEN_WIDTH/640),self:GetHeight()*0.05*(SCREEN_HEIGHT/480));
			self:x(SCREEN_CENTER_X);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			ratio = SCREEN_WIDTH/SCREEN_HEIGHT;
			self:sleep(0.201);
			self:diffusealpha(1);
			self:accelerate(1.205464);
			self:rotationz(1080);
			self:zoomto((SCREEN_WIDTH/ratio)*5, SCREEN_HEIGHT*5);
			self:diffusealpha(0);
		end,
  Texture= Blast,
  },
}