local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_aog",
  Def.Sprite{
    Name= "xtl_actor_bog",
  Delay0000= 0.066970,
  Delay0001= 0.066970,
  Delay0002= 0.066970,
  Delay0003= 0.066970,
  Delay0004= 0.066970,
  Delay0005= 0.066970,
  Delay0006= 0.066970,
  Delay0007= 0.066970,
  Delay0008= 0.066970,
  Delay0009= 0.066970,
  Delay0010= 0.066970,
  Delay0011= 0.066970,
  Delay0023= 0.066970,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  Frame0010= 10,
  Frame0011= 11,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(SCREEN_WIDTH, SCREEN_HEIGHT);
			self:x(SCREEN_CENTER_X-self:GetWidth()/4);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:diffusealpha(1);
			self:sleep(0.80364);
			self:addx(SCREEN_RIGHT+(2*self:GetWidth()));
			self:sleep(0.01);
			self:diffusealpha(0);
		end,
  Texture= Pokeball,
  },
  Def.Sprite{
    Name= "xtl_actor_cog",
  Delay0000= 0.066970,
  Delay0001= 0.066970,
  Delay0002= 0.066970,
  Delay0003= 0.066970,
  Delay0004= 0.066970,
  Delay0005= 0.066970,
  Delay0006= 0.066970,
  Delay0007= 0.066970,
  Delay0008= 0.066970,
  Delay0009= 0.066970,
  Delay0010= 0.066970,
  Delay0011= 0.066970,
  Delay0023= 0.066970,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  Frame0010= 10,
  Frame0011= 11,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(SCREEN_WIDTH, SCREEN_HEIGHT);
			self:x(SCREEN_CENTER_X-self:GetWidth()/4);
			self:y(SCREEN_CENTER_Y);
		end,
  OnCommand= function(self)
			self:sleep(0.80364);
			self:diffusealpha(1);
			self:sleep(0.80364);
			self:addx(SCREEN_RIGHT+(2*self:GetWidth()));
			self:sleep(0.01);
			self:diffusealpha(0);
		end,
  Texture= Ball,
  },
}