local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_vog",
  Def.Sprite{
    Name= "xtl_actor_wog",
  Frame0000= 0,
  InitCommand= function(self)
			self:diffusealpha(0);
			self:zoomto(self:GetWidth()*0.55*(SCREEN_WIDTH/640),self:GetHeight()*0.55*(SCREEN_HEIGHT/480));
			self:x(SCREEN_WIDTH+self:GetWidth()/4);
			self:y(SCREEN_HEIGHT-(self:GetHeight())/4);
		end,
  OnCommand= function(self)
			self:diffusealpha(1);
			self:linear(6.415);
			self:addx(-(SCREEN_WIDTH/2+self:GetWidth()/4));
			self:linear(6.415);
			self:addx(-(SCREEN_WIDTH/2+self:GetWidth()/4));
			self:sleep(0.01);
			self:diffusealpha(0)
		end,
  Texture= Slowpoke,
  },
}