local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_fqg",
  Def.BitmapText{
    Name= "xtl_actor_gqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*3/16,(SCREEN_HEIGHT/3));
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.15625);
			self:y(SCREEN_HEIGHT/6);
		end,
  OnCommand= function(self)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(3.008);
			self:diffusealpha(0);
		end,
  Text= "And,",
  },
  Def.BitmapText{
    Name= "xtl_actor_hqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*3/16,SCREEN_HEIGHT/3);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.40625);
			self:y(SCREEN_HEIGHT/6);
		end,
  OnCommand= function(self)
			self:sleep(0.201)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.807);
			self:diffusealpha(0);
		end,
  Text= "Try,",
  },
  Def.BitmapText{
    Name= "xtl_actor_iqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*3/16,SCREEN_HEIGHT/3);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.65625);
			self:y(SCREEN_HEIGHT/6);
		end,
  OnCommand= function(self)
			self:sleep(0.402)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.606);
			self:diffusealpha(0);
		end,
  Text= "Not,",
  },
  Def.BitmapText{
    Name= "xtl_actor_jqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/8,SCREEN_HEIGHT/3);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.875);
			self:y(SCREEN_HEIGHT/6);
		end,
  OnCommand= function(self)
			self:sleep(0.803)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(2.205);
			self:diffusealpha(0);
		end,
  Text= "To,",
  },
  Def.BitmapText{
    Name= "xtl_actor_kqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*5/16,SCREEN_HEIGHT/3);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.21875);
			self:y(SCREEN_HEIGHT*0.5);
		end,
  OnCommand= function(self)
			self:sleep(1.204);
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(1.804);
			self:diffusealpha(0);
		end,
  Text= "Stamp,",
  },
  Def.BitmapText{
    Name= "xtl_actor_lqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH/8,SCREEN_HEIGHT/3);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.5);
			self:y(SCREEN_HEIGHT*0.5);
		end,
  OnCommand= function(self)
			self:sleep(1.605)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(1.403);
			self:diffusealpha(0);
		end,
  Text= "On,",
  },
  Def.BitmapText{
    Name= "xtl_actor_mqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*3/16,SCREEN_HEIGHT/3);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.15625);
			self:y((SCREEN_HEIGHT*5)/6);
		end,
  OnCommand= function(self)
			self:sleep(2.006)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(1.002);
			self:diffusealpha(0);
		end,
  Text= "Lit,",
  },
  Def.BitmapText{
    Name= "xtl_actor_nqg",
  Font= ""_eurostile normal",",
  InitCommand= function(self)
			self:zoomto(SCREEN_WIDTH*3/16,SCREEN_HEIGHT/3);
			self:diffusealpha(0);
			self:x(SCREEN_WIDTH*0.34375);
			self:y((SCREEN_HEIGHT*5)/6);
		end,
  OnCommand= function(self)
			self:sleep(2.206)
			self:diffusealpha(0.6);
			self:rainbow(1);
			self:sleep(0.802);
			self:diffusealpha(0);
		end,
  Text= "tle,",
  },
}