local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_kah",
  Def.Quad{
    Name= "xtl_actor_lah",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Sprite{
    Name= "xtl_actor_mah",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomx,1.5;zoomy,1.5;diffusealpha,0;linear,9.711;diffusealpha,0.75;linear,1.387;diffusealpha,0),
  Texture= "god_damn_jesus_christ.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nah",
  OnCommand= cmd(draworder,50;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,9.711;linear,1.387;diffusealpha,0.9;sleep,0;linear,11.0983*16;rotationz,360*16),
  Texture= "nope2.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oah",
  OnCommand= cmd(draworder,50;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,87.399;linear,1.387;diffusealpha,0.9;sleep,0;linear,11.0983*16;rotationz,360*16*2),
  Texture= "nope2.png",
  },
  Def.ActorFrame{
    Name= "xtl_actor_pah",
  InitCommand= cmd(draworder,1000),
  OnCommand= cmd(x,SCREEN_CENTER_X + -220;y,SCREEN_CENTER_Y + 140;rotationz,-10;sleep,22.196;linear,44.393;x,SCREEN_WIDTH+200;y,SCREEN_CENTER_Y + -180;rotationz,45),
    Def.Sprite{
      Name= "xtl_actor_qah",
    OnCommand= cmd(diffusealpha,0;sleep,22.196;linear,11.098;diffusealpha,0.75;sleep,22.196;linear,11.098;diffusealpha,0),
    Texture= "ghost1.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_rah",
  InitCommand= cmd(draworder,1000),
  OnCommand= cmd(x,SCREEN_WIDTH;y,SCREEN_CENTER_Y + 0;rotationz,20;sleep,24.971;linear,44.393;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -120;rotationz,-97),
    Def.Sprite{
      Name= "xtl_actor_sah",
    OnCommand= cmd(diffusealpha,0;sleep,24.971;linear,11.098;diffusealpha,0.75;sleep,22.196;linear,11.098;diffusealpha,0),
    Texture= "ghost1.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_tah",
  InitCommand= cmd(draworder,1000),
  OnCommand= cmd(x,SCREEN_WIDTH/2+100;y,SCREEN_HEIGHT+100;rotationz,90;sleep,27.746;linear,44.393;x,SCREEN_WIDTH/2-200;y,SCREEN_CENTER_Y + -180;rotationz,-180),
    Def.Sprite{
      Name= "xtl_actor_uah",
    OnCommand= cmd(diffusealpha,0;sleep,27.746;linear,11.098;diffusealpha,0.75;sleep,22.196;linear,11.098;diffusealpha,0),
    Texture= "ghost1.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_vah",
  InitCommand= cmd(draworder,1000),
  OnCommand= cmd(x,SCREEN_WIDTH/2+100;y,SCREEN_CENTER_Y + -270;rotationz,180;sleep,30.520;linear,44.393;x,SCREEN_WIDTH/2+300;y,SCREEN_HEIGHT+200;rotationz,360),
    Def.Sprite{
      Name= "xtl_actor_wah",
    OnCommand= cmd(diffusealpha,0;sleep,30.520;linear,11.098;diffusealpha,0.75;sleep,22.196;linear,11.098;diffusealpha,0),
    Texture= "ghost1.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_xah",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2-200;y,SCREEN_HEIGHT/2;sleep,44.393;linear,11.098;x,SCREEN_WIDTH/2+200),
    Def.Sprite{
      Name= "xtl_actor_yah",
    OnCommand= cmd(zoomx,2;zoomy,2;diffusealpha,0;sleep,44.393;linear,5.549;diffusealpha,0.6;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_zah",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2+200;y,SCREEN_HEIGHT/2;sleep,49.942;linear,11.098;x,SCREEN_WIDTH/2-200),
    Def.Sprite{
      Name= "xtl_actor_abh",
    OnCommand= cmd(zoomx,2;zoomy,2;diffusealpha,0;sleep,49.942;linear,5.549;diffusealpha,0.6;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_bbh",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2-350;y,SCREEN_HEIGHT/2;sleep,55.491;linear,11.098;x,SCREEN_WIDTH/2+350),
    Def.Sprite{
      Name= "xtl_actor_cbh",
    OnCommand= cmd(zoomx,2;zoomy,2;diffusealpha,0;sleep,55.491;linear,5.549;diffusealpha,0.75;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_dbh",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2+350;y,SCREEN_HEIGHT/2;sleep,61.040;linear,11.098;x,SCREEN_WIDTH/2-350),
    Def.Sprite{
      Name= "xtl_actor_ebh",
    OnCommand= cmd(zoomx,2;zoomy,2;diffusealpha,0;sleep,61.040;linear,5.549;diffusealpha,0.75;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_fbh",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2-500;y,SCREEN_HEIGHT/2;sleep,66.590;linear,11.098;x,SCREEN_WIDTH/2+500),
    Def.Sprite{
      Name= "xtl_actor_gbh",
    OnCommand= cmd(zoomx,2.1;zoomy,2.1;diffusealpha,0;sleep,66.590;linear,5.549;diffusealpha,0.75;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_hbh",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2+500;y,SCREEN_HEIGHT/2;sleep,72.139;linear,11.098;x,SCREEN_WIDTH/2-500),
    Def.Sprite{
      Name= "xtl_actor_ibh",
    OnCommand= cmd(zoomx,2.1;zoomy,2.1;diffusealpha,0;sleep,72.139;linear,5.549;diffusealpha,0.75;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_jbh",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2-600;y,SCREEN_HEIGHT/2;sleep,77.688;linear,11.098;x,SCREEN_WIDTH/2+600),
    Def.Sprite{
      Name= "xtl_actor_kbh",
    OnCommand= cmd(zoomx,2.3;zoomy,2.3;diffusealpha,0;sleep,77.688;linear,5.549;diffusealpha,0.80;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_lbh",
  InitCommand= cmd(draworder,1200),
  OnCommand= cmd(x,SCREEN_WIDTH/2+600;y,SCREEN_HEIGHT/2;sleep,83.237;linear,11.098;x,SCREEN_WIDTH/2-600),
    Def.Sprite{
      Name= "xtl_actor_mbh",
    OnCommand= cmd(zoomx,2.3;zoomy,2.3;diffusealpha,0;sleep,83.237;linear,5.549;diffusealpha,0.80;linear,5.549;diffusealpha,0),
    Texture= "ghost2.png",
    },
  },
  Def.Sprite{
    Name= "xtl_actor_nbh",
  OnCommand= cmd(draworder,1500;diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomx,SCREEN_WIDTH/216.0;zoomy,SCREEN_HEIGHT/162.0;sleep,110.983;linear,16.647;diffusealpha,1),
  Texture= "3.png",
  },
  Def.Quad{
    Name= "xtl_actor_obh",
  InitCommand= function(self)
			self:hidden(1);
			c = 0
		end,
  OnCommand= function(self)
			self:queuecommand('Update');
		end,
  Update2Command= function(self)
			self:sleep(0.0166666666);
			self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
			local b = GAMESTATE:GetSongBeat();

			if b >= 228 and c == 0 then
				c = 1
				if SCREENMAN:GetTopScreen() ~= nil then
					if SCREENMAN:GetTopScreen():GetChild('PlayerP1') ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):addx(-1000)
					end
					if SCREENMAN:GetTopScreen():GetChild('PlayerP2') ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):addx(1000)
					end
					if SCREENMAN:GetTopScreen():GetChild('PlayerP1') ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):addx(-1000)

					end
					if SCREENMAN:GetTopScreen():GetChild('PlayerP2') ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):addx(1000)
					end
					if SCREENMAN:GetTopScreen():GetChild('ScoreP1') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):addy(-250)
					end
					if SCREENMAN:GetTopScreen():GetChild('ScoreP2') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):addy(-250)
					end
					if SCREENMAN:GetTopScreen():GetChild('LifeP1') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addx(-200)
						--if SCREENMAN:GetTopScreen():GetChild('LifeP1'):GetChild('Background') ~= nil then
						--	SCREENMAN:GetTopScreen():GetChild('LifeP1'):GetChild('Background'):linear(2.775)
						--	SCREENMAN:GetTopScreen():GetChild('LifeP1'):GetChild('Background'):diffusealpha(0)
						--end
						--if SCREENMAN:GetTopScreen():GetChild('LifeP1'):GetChild('Frame') ~= nil then
						--	SCREENMAN:GetTopScreen():GetChild('LifeP1'):GetChild('Frame'):linear(2.775)
						--	SCREENMAN:GetTopScreen():GetChild('LifeP1'):GetChild('Frame'):diffusealpha(0)
						--end
					end
					if SCREENMAN:GetTopScreen():GetChild('LifeP2') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addx(200)
						--if SCREENMAN:GetTopScreen():GetChild('LifeP2'):GetChild('Background') ~= nil then
						--	SCREENMAN:GetTopScreen():GetChild('LifeP2'):GetChild('Background'):linear(2.775)
						--	SCREENMAN:GetTopScreen():GetChild('LifeP2'):GetChild('Background'):diffusealpha(0)
						--end
						--if SCREENMAN:GetTopScreen():GetChild('LifeP2'):GetChild('Frame') ~= nil then
						--	SCREENMAN:GetTopScreen():GetChild('LifeP2'):GetChild('Frame'):linear(2.775)
						--	SCREENMAN:GetTopScreen():GetChild('LifeP2'):GetChild('Frame'):diffusealpha(0)
						--end
					end
					if SCREENMAN:GetTopScreen():GetChild('Stage') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('Stage'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('Stage'):addy(200)
					end
					if SCREENMAN:GetTopScreen():GetChild('Overlay') ~= nil then
						SCREENMAN:GetTopScreen():GetChild('Overlay'):linear(2.775)
						SCREENMAN:GetTopScreen():GetChild('Overlay'):zoom(2)
						SCREENMAN:GetTopScreen():GetChild('Overlay'):addx(-SCREEN_WIDTH)
						SCREENMAN:GetTopScreen():GetChild('Overlay'):addy(-SCREEN_HEIGHT)
					end
				end
			end
			
			if b >= 244 and c == 1 then
				c = 2
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					GAMESTATE:ApplyGameCommand('mod, *0.36 90% stealth', 1);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					GAMESTATE:ApplyGameCommand('mod, *0.36 90% stealth', 2);
				end
			end
			
			if b >= 256 and c == 2 then
				c = 3
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					GAMESTATE:ApplyGameCommand('mod, *1000 -10000% cover', 1);
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					GAMESTATE:ApplyGameCommand('mod, *1000 -10000% cover', 2);
				end
			end

			if b >= 348 and c == 3 then -- m88
				c = 4
				if SCREENMAN:GetTopScreen() ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP1') ~= nil then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(2.775)
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(SCREEN_WIDTH/2)
				end
				if SCREENMAN:GetTopScreen() ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP2') ~= nil then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(2.775)
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(SCREEN_WIDTH/2)
				end
			end

			if b >= 356 and c == 4 then
				c = 5
				if SCREENMAN:GetTopScreen() ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP1') ~= nil then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(83.237)
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(1800)
				end
				if SCREENMAN:GetTopScreen() ~= nil and SCREENMAN:GetTopScreen():GetChild('PlayerP2') ~= nil then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(83.237)
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(1800)
				end
			end
			
			self:queuecommand('Update2');
		end,
  },
}