local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_tbh",
  Def.Quad{
    Name= "xtl_actor_ubh",
  InitCommand= function(self)
			thingP1 = 1;
			end,
  StepP1MessageCommand= function(self)
			self:diffusealpha(0);
				if GAMESTATE:GetSongBeat() >= 32 then
						if thingP1 == 1 then
						thingP1 = -80;
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(thingP1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(thingP1+70);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):rotationy(1080);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):rotationz(0);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addx(300);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):addy(-170);
						GAMESTATE:ApplyGameCommand('mod, *4 mini', 1);
						else
						thingP1 = 0;
						end
				end
			end,
  },
  Def.Quad{
    Name= "xtl_actor_vbh",
  InitCommand= function(self)
			thingP2 = 1;
			end,
  StepP2MessageCommand= function(self)
			self:diffusealpha(0);
				if GAMESTATE:GetSongBeat() >= 32 then
						if thingP2 == 1 then
						thingP2 = 80;
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(thingP2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-1*thingP2+70);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):decelerate(1);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):rotationy(-1080);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):rotationz(0);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addx(-300);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):addy(110);
						GAMESTATE:ApplyGameCommand('mod, *4 mini', 2);
						else
						thingP2 = 0;
						end
				end
			end,
  },
  Def.Sprite{
    Name= "xtl_actor_wbh",
  InitCommand= cmd(hibernate,11.28;diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0;sleep,0.6;decelerate,0.3;diffusealpha,1;zoom,1.1;accelerate,0.1;zoom,0.9;decelerate,0.1;zoom,1;sleep,2000),
  Texture= "BG.avi",
  },
}