local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_oeh",
  Def.Sprite{
    Name= "xtl_actor_peh",
  InitCommand= cmd(draworder,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT),
  OnCommand= cmd(sleep,2.759;diffusealpha,0),
  Texture= "panic",
  },
  Def.Sprite{
    Name= "xtl_actor_qeh",
  InitCommand= cmd(hibernate,2.759;draworder,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT),
  OnCommand= cmd(sleep,1.206;diffusealpha,0),
  Texture= "panic2",
  },
  Def.Sprite{
    Name= "xtl_actor_reh",
  InitCommand= cmd(hibernate,3.965;draworder,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT),
  OnCommand= cmd(sleep,1.035;diffusealpha,0),
  Texture= "panic3",
  },
  Def.Sprite{
    Name= "xtl_actor_seh",
  InitCommand= cmd(hibernate,5;draworder,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT),
  OnCommand= cmd(sleep,0.55;linear,1.378;diffusealpha,0),
  Texture= "panic4",
  },
  Def.Quad{
    Name= "xtl_actor_teh",
  InitCommand= cmd(draworder,1;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT),
  OnCommand= cmd(diffuse,color('#000000');sleep,12.6;linear,0.308;diffuse,color('0.33'),0,0,0.33;linear,0.308;diffuse,color('#000000');sleep,3.077;linear,0.5;diffuse,color('0.33'),0,0,0.33;linear,0.5;diffuse,color('#000000');sleep,3.25),
  },
  Def.Sprite{
    Name= "xtl_actor_ueh",
  Delay0000= 0.05,
  Delay0001= 0.05,
  Delay0002= 0.05,
  Delay0003= 0.05,
  Delay0004= 0.05,
  Delay0005= 0.05,
  Delay0006= 0.05,
  Delay0007= 0.05,
  Delay0008= 0.05,
  Delay0009= 0.05,
  Frame0000= 0,
  Frame0001= 1,
  Frame0002= 2,
  Frame0003= 3,
  Frame0004= 4,
  Frame0005= 5,
  Frame0006= 6,
  Frame0007= 7,
  Frame0008= 8,
  Frame0009= 9,
  InitCommand= cmd(hibernate,6.748;diffusealpha,0;draworder,3;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
  OnCommand= cmd(linear,2;diffusealpha,0.6;linear,2;diffusealpha,0.3;linear,2;diffusealpha,0.75;linear,2;diffusealpha,0.2;linear,2;diffusealpha,0.65;linear,3.53;diffusealpha,0),
  Texture= static,
  },
}