local xtl_cond_lth_result= (GAMESTATE:IsPlayerEnabled(0))

local xtl_cond_kth_result= (GAMESTATE:IsPlayerEnabled(1))

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_mth",
  Def.ActorFrame{
    Name= "xtl_actor_nth",
    Def.Quad{
      Name= "xtl_actor_oth",
    InitCommand= cmd(visible,true),
    OnCommand= cmd(sleep,1000),
    },
    Def.Quad{
      Name= "xtl_actor_pth",
    OnCommand= cmd(diffusealpha,0;playcommand,"SHIT"),
    SHITCommand= function(self)
			local stagen = SCREENMAN:GetTopScreen()
			if stagen then
				stagen:accelerate(1.5)
				stagen:addx(640)
				stagen:addy(480)
				stagen:rotationz(2520)
				stagen:zoom(0)

			end
		end,
    },
    Def.Sprite{
      Name= "xtl_actor_qth",
    OnCommand= cmd(hibernate,82.5;ZoomToWidth,SCREEN_WIDTH;ZoomToHeight,SCREEN_HEIGHT;diffusealpha,1;sleep,0.75;diffusealpha,0),
    Texture= "chrismarks.png",
    },
    optional_actor(xtl_cond_kth_result,
    Def.Sprite{
      Name= "xtl_actor_rth",
    Delay0000= 0.094,
    Delay0001= 0.094,
    Delay0002= 0.094,
    Delay0003= 0.094,
    Delay0004= 0.094,
    Delay0005= 0.094,
    Delay0006= 0.094,
    Delay0007= 0.094,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    OnCommand= cmd(hibernate,12.020;zoom,1.2;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + -110;diffusealpha,0.4;sleep,70.5;diffusealpha,0;sleep,0.75;diffusealpha,0.4;sleep,30.75;diffusealpha,0),
    Texture= apple_bop 8x1,
    }),
    optional_actor(xtl_cond_lth_result,
    Def.Sprite{
      Name= "xtl_actor_sth",
    Delay0000= 0.094,
    Delay0001= 0.094,
    Delay0002= 0.094,
    Delay0003= 0.094,
    Delay0004= 0.094,
    Delay0005= 0.094,
    Delay0006= 0.094,
    Delay0007= 0.094,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    OnCommand= cmd(hibernate,12.020;zoom,0.37;x,SCREEN_CENTER_X + -480;y,SCREEN_CENTER_Y + -110;diffusealpha,0.4;sleep,70.5;diffusealpha,0;sleep,0.75;diffusealpha,0.4;sleep,30.75;diffusealpha,0),
    Texture= rainbow 8x1,
    }),
    Def.Sprite{
      Name= "xtl_actor_tth",
    OnCommand= cmd(zoom,0.5;sleep,0.5;decelerate,0.4;zoom,0.15;addy,-200;sleep,153.902;diffusealpha,0),
    Texture= "logo.png",
    },
    Def.Quad{
      Name= "xtl_actor_uth",
    OnCommand= cmd(hibernate,114,120;diffuse,color('#000000');ZoomToHeight,SCREEN_HEIGHT;ZoomToWidth,SCREEN_WIDTH;sleep,4.4;linear,0.5;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_vth",
    OnCommand= cmd(hibernate,114,120;ZoomToHeight,SCREEN_HEIGHT;ZoomToWidth,SCREEN_WIDTH;sleep,4.4;linear,0.5;diffusealpha,0),
    Texture= "thisisgay.png",
    },
    Def.Quad{
      Name= "xtl_actor_wth",
    OnCommand= cmd(hibernate,114,120;ZoomToHeight,SCREEN_HEIGHT;ZoomToWidth,SCREEN_WIDTH;diffusealpha,0;linear,0.1;diffusealpha,1;linear,0.5;diffusealpha,0),
    },
    Def.Sprite{
      Name= "xtl_actor_xth",
    Delay0000= 0.034,
    Delay0001= 0.034,
    Delay0002= 0.034,
    Delay0003= 0.034,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    OnCommand= cmd(hibernate,10.5;ZoomToWidth,SCREEN_WIDTH;ZoomToHeight,SCREEN_HEIGHT;diffusealpha,0;linear,0.2;diffusealpha,1;sleep,0.55;linear,0.2;diffusealpha,0),
    Texture= static,
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_yth",
    Def.BitmapText{
      Name= "xtl_actor_zth",
    Font= ""_eurostile normal",",
    OnCommand= cmd(hibernate,82.5;vibrate;effectmagnitude,5,5,0;zoom,2;diffusealpha,1;sleep,0.75;diffusealpha,0),
    Text= "SWAG!!!,",
    },
    Def.BitmapText{
      Name= "xtl_actor_auh",
    Font= ""_eurostile normal",",
    OnCommand= cmd(hibernate,59.27;x,SCREEN_CENTER_X + 1240;zoom,9;diffusealpha,1;linear,0.374;addx,-2980;sleep,0.001;diffusealpha,0),
    Text= "YOU CAN NOT HIT ARROWS,",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_buh",
    Def.Quad{
      Name= "xtl_actor_cuh",
    InitCommand= cmd(visible,true),
    OnCommand= function(self)
				fgcurcommand = 1;
			curmod = 1;
			--{beat,mod,player}
			mods = {
			{0,'*10000 2.65x'},
			{12,'*10 reverse'},
			{12.333,'*10 no reverse'},
			{12.667,'*10 reverse'},
			{13,'*10 no reverse'},
			{13.333,'*10 reverse'},
			{13.667,'*10 no reverse'},
			{14,'*10000 200% beat,*0.3 100% mini,*0.1 -80% flip'},
			{24,'*10000 no beat,*5 no flip,*1.8 1000% tornado,*1.8 0.2x,*0.7 50% stealth,*3 500% bumpy'},
			{30,'*20 no flip,*30 no tornado,*20 2.65x,*5 no mini,*10000 no stealth,*5 no bumpy'},
			{32,'*10000 350% beat,*10 1200% dizzy,*2 50% drunk'},
			{44,'*14 0x'},
			{44.5,'*14 2.65x'},
			{45,'*14 0x'},
			{45.5,'*14 2.65x'},
			{46,'*10 50% stealth'},
			{60,'*10000 no beat,*10000 no dizzy,*10000 no drunk,*10000 no stealth'},
			{64,'*10000 250% beat,blink,*10000 50% wave,*10 60% drunk'},
			{76,'*10000 no beat,*10000 no blink,*10000 no wave,*10000 no drunk'},
			{80,'*10000 250% beat,*4 0x'},
			{80.5,'*4 2.65x'},
			{81,'*4 0x'},
			{81.5,'*4 2.65x'},
			{82,'*4 0x'},
			{82.5,'*4 2.65x'},
			{83,'*4 0x'},
			{83.5,'*4 2.65x'},
			{84,'*4 0x'},
			{84.5,'*4 2.65x'},
			{85,'*4 0x'},
			{85.5,'*4 2.65x'},
			{86,'*4 0x'},
			{86.5,'*4 2.65x'},
			{87,'*4 0x'},
			{87.5,'*4 2.65x'},
			{88,'*4 0x'},
			{88.5,'*4 2.65x'},
			{89,'*4 0x'},
			{89.5,'*4 2.65x'},
			{90,'*4 0x'},
			{90.5,'*4 2.65x'},
			{91,'*4 0x'},
			{91.5,'*4 2.65x'},
			{92,'*10000 no beat'},
			{94,'*20 400% drunk'},
			{94.25,'*40 -400% drunk'},
			{94.5,'*40 400% drunk'},
			{94.75,'*40 -400% drunk'},
			{95,'*20 150% drunk,*20 200% wave'},
			{109,'*20 no drunk,*20 no wave'},
			{128,'*10000 0.1x,*10000 C3600,*1 1300% wave,*1 drunk,*1 1000% dizzy'},
			{158,'*10000 2.65,*50 no wave,*50 no drunk,*50 no dizzy'},
			{160,'*20 reverse'},
			{161,'*20 no reverse'},
			{162,'*20 reverse'},
			{163,'*20 no reverse'},
			{164,'*20 reverse'},
			{165,'*20 no reverse'},
			{166,'*20 reverse'},
			{167,'*20 no reverse'},
			{168,'*20 reverse'},
			{169,'*20 no reverse'},
			{170,'*20 reverse'},
			{171,'*20 no reverse'},
			{182,'*10 reverse'},
			{182.333,'*10 no reverse'},
			{182.667,'*10 reverse'},
			{183,'*10 no reverse'},
			{183.333,'*10 reverse'},
			{183.667,'*10 no reverse'},
			{184.5,'*10 reverse'},
			{184.75,'*10 no reverse'},
			{185.25,'*10 reverse'},
			{185.5,'*10 no reverse'},
			{192,'*20 150% drunk,*10000 0.3x,*10000 C1000,*10000 900% wave'},
			{220,'*20 no drunk,*20 no wave,*10000 3x'},
			{224,'*10 200% beat',1},
			{224,'*10 200% beat',2},
			{236,'*10000 200% drunk'},
			{236.333,'*10000 -200% drunk'},
			{236.667,'*10000 200% drunk'},
			{237,'*10000 -200% drunk'},
			{237.333,'*10000 200% drunk'},
			{237.667,'*10000 -200% drunk'},
			{238,'*10000 200% drunk'},
			{238.333,'*10000 -200% drunk'},
			{238.667,'*10000 200% drunk'},
			{239,'*10000 no drunk,*10000 no beat'},
			{240,'*10000 500% beat'},
			{252,'*10000 no beat'},
			{256,'*10 20% tipsy',1},
			{256,'*10 -20% tipsy',2},
			{268,'*10 no tipsy'},
			{272,'*10 50% brake,*10 200% drunk'},
			{273.5,'*10 flip'},
			{274.5,'*10 no flip'},
			{277.5,'*10 flip'},
			{278.5,'*10 no flip'},
			{284,'*10 10% centered'},
			{284.333,'*10 20% centered'},
			{284.667,'*10 30% centered'},
			{285,'*10 40% centered'},
			{285.333,'*10 50% centered'},
			{285.667,'*10 60% centered'},
			{286,'*10 70% centered'},
			{286.333,'*10 80% centered'},
			{286.667,'*10 90% centered'},
			{287,'*16 no centered,*10 no brake,*10 no drunk'},
			{288,'*10000 3x,*10 drunk,*10 100% bumpy',1},
			{288,'*10 -100% drunk,*10 -100% bumpy',2},
			{300,'*10000 no drunk,*10000 no bumpy'},
			--DID YOU REALLY THOUGHT IT WAS OVER
			{316,'*10000 0.13X,*10000 C3600,*10000 1200% wave,*10000 drunk,*10000 3000% dizzy'},
			{324,'*10 50% centered,*10000 2.65x,*10000 no wave,*10000 no drunk,*10000 no dizzy'},
			{324.25,'*10 no centered'},
			{324.5,'*10 50% centered'},
			{324.75,'*10 no centered'},
			{325,'*10 50% centered'},
			{325.25,'*10 no centered'},
			{325.5,'*10 50% centered'},
			{325.75,'*10 no centered'},
			{326,'*10 50% centered'},
			{326.25,'*10 no centered'},
			{326.5,'*10 50% centered'},
			{326.75,'*10 no centered'},
			{327,'*10 50% centered'},
			{327.25,'*10 no centered'},
			{327.5,'*10 50% centered'},
			{327.75,'*10 no centered'},
			{328,'*10 alternate'},
			{328.333,'*10 split'},
			{328.667,'*10 no alternate,*10 no split'},
			{330,'*10 alternate'},
			{330.333,'*10 split'},
			{330.667,'*10 no alternate,*10 no split'},
			{348,'*10000 90% centered,*10000 0.15x,*10000 C3600,*10000 drunk'},
			{356,'*10000 3x,*10000 no drunk'},
			{358,'*10000 no centered'},
			{364,'*10 reverse'},
			{364.5,'*10 no reverse'},
			{365,'*10 flip'},
			{365.5,'*10 no flip'},
			{366,'*10 reverse'},
			{366.5,'*10 no reverse'},
			{367,'*10 flip'},
			{367.5,'*10 no flip'},
			{368,'*20 400% drunk'},
			{368.25,'*40 -400% drunk'},
			{368.5,'*40 400% drunk'},
			{368.75,'*40 -400% drunk'},
			{369,'*40 400% drunk'},
			{369.25,'*40 -400% drunk'},
			{369.5,'*40 no drunk'},
			{372,'*20 400% drunk'},
			{372.25,'*40 -400% drunk'},
			{372.5,'*40 400% drunk'},
			{372.75,'*40 -400% drunk'},
			{373,'*40 400% drunk'},
			{373.25,'*40 -400% drunk'},
			{373.5,'*40 400% drunk'},
			{372.75,'*40 -400% drunk'},
			{373,'*40 400% drunk'},
			{374.050,'*10000 5% invert,*10000 no drunk'},
			{374.100,'*10000 -10% invert'},
			{374.150,'*10000 15% invert'},
			{374.200,'*10000 -20% invert'},
			{374.250,'*10000 25% invert'},
			{374.300,'*10000 -30% invert'},
			{374.350,'*10000 35% invert'},
			{374.400,'*10000 -40% invert'},
			{374.450,'*10000 45% invert'},
			{374.500,'*10000 -50% invert'},
			{374.550,'*10000 55% invert'},
			{374.600,'*10000 -60% invert'},
			{374.650,'*10000 65% invert'},
			{374.700,'*10000 -70% invert'},
			{374.750,'*10000 75% invert'},
			{374.800,'*10000 -80% invert'},
			{374.850,'*10000 85% invert'},
			{374.900,'*10000 -90% invert'},
			{374.950,'*10000 95% invert'},
			{375.000,'*10000 -100% invert'},
			{375.050,'*10000 105% invert'},
			{375.100,'*10000 -110% invert'},
			{375.150,'*10000 115% invert'},
			{375.200,'*10000 -120% invert'},
			{375.250,'*10000 125% invert'},
			{375.300,'*10000 -130% invert'},
			{375.350,'*10000 135% invert'},
			{375.400,'*10000 -140% invert'},
			{375.450,'*10000 145% invert'},
			{375.500,'*10000 -150% invert'},
			{375.550,'*10000 155% invert'},
			{375.600,'*10000 -160% invert'},
			{375.650,'*10000 165% invert'},
			{375.700,'*10000 -170% invert'},
			{375.750,'*10000 175% invert'},
			{375.800,'*10000 -180% invert'},
			{375.850,'*10000 185% invert'},
			{375.900,'*10000 -190% invert'},
			{375.950,'*10000 195% invert'},
			{376.000,'*10000 no invert'},
			}

				self:queuecommand('Update');

				song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
				path = song:GetSongDir();
			end,
    Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
    UpdateCommand= function(self)
			
			if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
				if mods[curmod] ~= nil then
					if table.getn(mods[curmod]) == 3 then
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3]);
					else
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2]);
					end
					curmod = curmod+1;
				end
			end

			
				if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then

					SCREENMAN:GetTopScreen():x(SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():y(SCREEN_CENTER_Y);
					SCREENMAN:GetTopScreen():GetChild('SongBackground'):addx(-SCREEN_CENTER_X);
					SCREENMAN:GetTopScreen():GetChild('SongBackground'):addy(-SCREEN_CENTER_Y);
					SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(1);
					SCREENMAN:GetTopScreen():GetChild('Underlay'):hidden(1);
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):GetChild(''):Load(path..'lua/swag2 label 2x6.png');
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-SCREEN_CENTER_X);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-SCREEN_CENTER_Y);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):GetChild(''):Load(path..'lua/swag2 label 2x6.png');
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=48 and fgcurcommand == 2 then

					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(0);
					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(1);
					
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=60 and fgcurcommand == 3 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2805);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(-1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(720);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2805);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(720);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=76 and fgcurcommand == 4 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.4675);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(-4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.0935);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.4675);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.0935);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=92 and fgcurcommand == 5 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.75);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoomy(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoomy(1);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.75);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoomy(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoomy(1);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=112.5 and fgcurcommand == 6 then

					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(0);
					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(1);
					
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=116.5 and fgcurcommand == 7 then

					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(0);
					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(1);
					
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=120.5 and fgcurcommand == 8 then

					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(0);
					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(1);
					
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=122.5 and fgcurcommand == 9 then

					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(0);
					SCREENMAN:GetTopScreen():linear(0.187);
					SCREENMAN:GetTopScreen():zoom(1);
					
					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=123.5 and fgcurcommand == 10 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(-1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(720);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(720);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=128.5 and fgcurcommand == 11 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=128.5 and fgcurcommand == 12 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=132.5 and fgcurcommand == 13 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=136.5 and fgcurcommand == 14 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=140.5 and fgcurcommand == 15 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=144.5 and fgcurcommand == 16 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=148.5 and fgcurcommand == 17 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=152.5 and fgcurcommand == 18 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=156.5 and fgcurcommand == 19 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-320);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):finishtweening();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-320)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.282);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.093);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(320);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=160 and fgcurcommand == 20 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):pulse();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,1,0)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):pulse();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,1,0);
					end

					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=171 and fgcurcommand == 21 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=172 and fgcurcommand == 22 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.4675);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(-4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.0935);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.4675);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.0935);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=188 and fgcurcommand == 23 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2805);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(-3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2805);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=223 and fgcurcommand == 24 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(160);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(-160);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=224 and fgcurcommand == 25 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,40,0)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-40,0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=252 and fgcurcommand == 26 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.4675);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(-1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.0935);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.374);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.4675);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.0935);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=256 and fgcurcommand == 27 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(40,0,0)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(-40,0,0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=268 and fgcurcommand == 28 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=287 and fgcurcommand == 29 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(50,0,0)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(-50,0,0);
					end

					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=288 and fgcurcommand == 30 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,15)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,-15);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=300 and fgcurcommand == 31 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2805);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(-1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(720);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.001);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2805);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(1.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(-3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):skewx(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(0.187);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(-720);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.001);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
					end

					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=312 and fgcurcommand == 32 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(-160);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(160);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=332 and fgcurcommand == 33 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,20)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(2);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,20);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=340 and fgcurcommand == 34 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end

					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=348 and fgcurcommand == 35 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-160,0)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-160,0);
					end

					fgcurcommand = fgcurcommand + 1;
				end


				if GAMESTATE:GetSongBeat()>=356 and fgcurcommand == 36 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(0.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-160,0)

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(0.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-160,0);
					end

					fgcurcommand = fgcurcommand + 1;
				end

				if GAMESTATE:GetSongBeat()>=358 and fgcurcommand == 37 then
					
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end

					fgcurcommand = fgcurcommand + 1;
				end




				



			self:queuecommand('Update2');
			
		end,
    },
  },
}