local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_muh",
  Def.Quad{
    Name= "xtl_actor_nuh",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_ouh",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
				fgcurcommand = 1;
			curmod = 1;
			--{beat,mod,player}
			mods = {
			{0.000,'Overhead,metal,3.7x,30% Mini'},
			{32.000,'*100000 100% Dizzy,Beat'},
			{33.000,'50% Stealth'},
			{34.000,'No Stealth'},
			{35.000,'50% Stealth'},
			{36.000,'No Stealth,*100000 -100% Dizzy'},
			{37.000,'50% Stealth'},
			{38.000,'No Stealth'},
			{39.000,'50% Stealth'},
			{40.000,'No Dizzy,No Stealth'},
			{41.000,'50% Stealth'},
			{42.000,'No Stealth'},
			{43.000,'50% Stealth'},
			{44.000,'*100000 -100% Dizzy,No Stealth'},
			{45.000,'50% Stealth'},
			{46.000,'No Stealth,No Beat,1.5x,*100000 Brake,No Dizzy'},
			{48.000,'No Brake,2x,65% Mini,50% Drunk,*100000 Expand'},
			{48.500,'-75% Mini,*100000 Reverse'},
			{49.250,'-35% Mini'},
			{50.000,'15% Mini,*100000 No Reverse'},
			{50.500,'65% Mini'},
			{51.000,'15% Mini'},
			{51.500,'65% Mini'},
			{52.000,'15% Mini'},
			{52.500,'65% Mini,*100000 Reverse'},
			{53.250,'-75% Mini'},
			{54.000,'-35% Mini,*100000 No Reverse,'},
			{54.500,'15% Mini'},
			{55.000,'65% Mini'},
			{55.500,'15% Mini'},
			{56.000,'65% Mini'},
			{56.500,'*100000 Reverse,15% Mini'},
			{57.250,'65% Mini'},
			{58.000,'-75% Mini,*100000 No Reverse'},
			{58.500,'-35% Mini'},
			{59.000,'15% Mini'},
			{59.500,'65% Mini'},
			{60.000,'15% Mini'},
			{60.500,'*100000 Reverse,65% Mini'},
			{61.250,'15% Mini'},
			{62.000,'No Reverse,65% Mini'},
			{62.500,'15% Mini'},
			{63.000,'65% Mini'},
			{63.500,'-15% Mini'},
			{64.000,'30% Mini,3.7x,No Drunk,No Expand'},
			{65.000,'Drunk,Bumpy,200% Dizzy,*100000 Wave'},
			{66.000,'No Wave,No Dizzy,No Bumpy,No Drunk'},
			{67.000,'Drunk,Bumpy,200% Dizzy,*100000 Wave'},
			{68.000,'No Wave,No Dizzy,No Bumpy,No Drunk'},
			{69.375,'Drunk,Bumpy,-200% Dizzy,*100000 Wave'},
			{70.000,'No Wave,No Dizzy,No Bumpy,No Drunk'},
			{71.000,'Drunk,Bumpy,200% Dizzy,*100000 Wave'},
			{72.000,'No Wave,No Bumpy,No Dizzy,No Drunk'},
			{73.000,'*100000 Flip'},
			{73.125,'*100000 150% Flip'},
			{73.250,'*100000 Flip'},
			{73.375,'*100000 150% Flip'},
			{73.500,'*100000 Flip'},
			{73.625,'*100000 150% Flip'},
			{73.750,'*100000 Flip'},
			{73.875,'*100000 150% Flip'},
			{74.000,'No Flip'},
			{76.000,'2x,50% Stealth,*100000 100% Dizzy,50% Drunk,Beat,50% Expand'},
			{77.000,'No Stealth,No Dizzy'},
			{78.000,'50% Stealth,*100000 -100% Dizzy'},
			{79.000,'No Stealth,No Dizzy'},
			{80.000,'50% Stealth,*100000 100% Dizzy'},
			{81.000,'No Dizzy,No Stealth'},
			{82.000,'*100000 -100% Dizzy,50% Stealth'},
			{83.000,'No Dizzy,No Stealth'},
			{84.000,'*100000 100% Dizzy,50% Stealth'},
			{85.000,'No Dizzy,No Stealth'},
			{86.000,'*100000 -100% Dizzy,50% Stealth'},
			{87.000,'No Dizzy,No Stealth'},
			{88.000,'*100000 100% Dizzy,50% Stealth'},
			{89.000,'No Dizzy,No Stealth'},
			{90.000,'*100000 -100% Dizzy,50% Stealth'},
			{91.000,'No Dizzy,No Stealth'},
			{92.000,'50% Stealth,*100000 100% Dizzy'},
			{93.000,'No Stealth,No Dizzy'},
			{94.000,'50% Stealth,*100000 -100% Dizzy'},
			{95.000,'No Stealth,No Dizzy'},
			{96.000,'50% Stealth,*100000 100% Dizzy'},
			{97.000,'No Stealth,No Dizzy'},
			{98.000,'50% Stealth,*100000 -100% Dizzy'},
			{99.000,'No Stealth,No Dizzy'},
			{100.000,'50% Stealth,*100000 100% Dizzy'},
			{101.000,'No Stealth,No Dizzy'},
			{102.000,'50% Stealth,*100000 -100% Dizzy'},
			{103.000,'No Stealth,No Dizzy'},
			{104.000,'3.7x,No Beat,-15% Mini,*100000 Flip,No Drunk,No Expand'},
			{105.000,'*100000 No Flip,-55% Mini'},
			{106.000,'30% Mini'},
			{108.000,'3.1x'},
			{109.000,'*100000 Flip'},
			{110.000,'*100000 No Flip'},
			{111.000,'*100000 Flip'},
			{112.000,'*100000 No Flip'},
			{113.500,'*100000 Flip'},
			{114.000,'*100000 No Flip'},
			{115.000,'*100000 Flip'},
			{116.000,'*100000 No Flip'},
			{119.000,'*100000 Flip'},
			{120.000,'*100000 No Flip'},
			{121.000,'*100000 Flip'},
			{122.000,'*100000 No Flip'},
			{123.500,'*100000 Flip'},
			{124.000,'*100000 No Flip'},
			{125.000,'*100000 Flip'},
			{126.000,'*100000 No Flip'},
			{128.000,'3.7x,Beat'},
			{128.500,'50% Reverse'},
			{129.000,'No Reverse'},
			{129.500,'50% Reverse'},
			{130.000,'No Reverse'},
			{132.500,'50% Reverse'},
			{133.000,'No Reverse'},
			{133.500,'50% Reverse'},
			{134.000,'No Reverse'},
			{136.500,'50% Reverse'},
			{137.000,'No Reverse'},
			{137.500,'50% Reverse'},
			{138.000,'No Reverse'},
			{140.500,'50% Reverse'},
			{141.000,'No Reverse'},
			{141.500,'50% Reverse'},
			{142.000,'No Reverse'},
			{148.000,'No Beat'},
			{149.000,'Bumpy,200% Dizzy,Drunk,*100000 Wave'},
			{150.000,'No Wave,No Drunk,No Dizzy,No Bumpy'},
			{151.000,'Bumpy,200% Dizzy,Drunk,*100000 Wave'},
			{152.000,'No Wave,No Drunk,No Dizzy,No Bumpy'},
			{153.375,'Bumpy,-200% Dizzy,Drunk,*100000 Wave'},
			{154.000,'No Wave,No Drunk,No Dizzy,No Bumpy'},
			{155.000,'Bumpy,200% Dizzy,Drunk,*100000 Wave'},
			{156.000,'No Wave,No Drunk,No Dizzy,No Bumpy,2x'},
			{157.000,'*100000 Flip'},
			{157.125,'*100000 150% Flip'},
			{157.250,'*100000 Flip'},
			{157.375,'*100000 150% Flip'},
			{157.500,'*100000 Flip'},
			{157.625,'*100000 150% Flip'},
			{157.750,'*100000 Flip'},
			{157.875,'*100000 150% Flip'},
			{158.000,'*100000 No Flip,Beat,50% Stealth,*100000 100% Dizzy,50% Drunk,50% Expand'},
			{159.000,'No Dizzy,No Stealth'},
			{160.000,'50% Stealth,*100000 -100% Dizzy'},
			{161.000,'No Dizzy,No Stealth'},
			{162.000,'50% Stealth,*100000 100% Dizzy'},
			{163.000,'No Dizzy,No Stealth'},
			{164.000,'50% Stealth,*100000 -100% Dizzy'},
			{165.000,'No Dizzy,No Stealth'},
			{166.000,'50% Stealth,*100000 100% Dizzy'},
			{167.000,'No Dizzy,No Stealth'},
			{168.000,'50% Stealth,*100000 -100% Dizzy'},
			{169.000,'No Dizzy,No Stealth'},
			{170.000,'*100000 100% Dizzy,50% Stealth'},
			{171.000,'No Dizzy,No Stealth'},
			{172.000,'*100000 -100% Dizzy,50% Stealth'},
			{173.000,'No Dizzy,No Stealth'},
			{174.000,'*100000 100% Dizzy,50% Stealth'},
			{175.000,'No Dizzy,No Stealth'},
			{176.000,'50% Stealth,*100000 -100% Dizzy'},
			{177.000,'No Dizzy, No Stealth'},
			{178.000,'50% Stealth,*100000 100% Dizzy'},
			{179.000,'No Dizzy,No Stealth'},
			{180.000,'*100000 -100% Dizzy,50% Stealth'},
			{181.000,'No Stealth,No Dizzy'},
			{182.000,'*100000 100% Dizzy,50% Stealth'},
			{183.000,'No Stealth,No Dizzy'},
			{184.000,'*100000 -100% Dizzy,50% Stealth'},
			{185.000,'No Dizzy,No Stealth'},
			{186.000,'3.7x,-15% Mini,No Beat,*100000 Flip,No Drunk,No Expand'},
			{187.000,'*100000 No Flip,-55% Mini'},
			{188.000,'30% Mini'},
			{192.000,'*100000 200% Bumpy'},
			{236.000,'*100000 No Bumpy'},
			{237.000,'50% Stealth,*100000 100% Dizzy,*40 175% Distant'},
			{237.500,'No Stealth,No Dizzy'},
			{239.000,'50% Stealth,*100000 100% Dizzy'},
			{239.500,'No Stealth,No Dizzy'},
			{241.000,'50% Stealth,*100000 100% Dizzy'},
			{241.500,'No Stealth,No Dizzy'},
			{243.000,'50% Stealth,*100000 100% Dizzy'},
			{243.500,'No Stealth,No Dizzy'},
			{245.000,'*100000 No Dizzy,No Distant'},
			{253.000,'50% Stealth,*100000 100% Dizzy,*40 175% Distant'},
			{253.500,'No Stealth,No Dizzy'},
			{254.000,'50% Stealth,*100000 -100% Dizzy'},
			{254.500,'No Stealth,No Dizzy'},
			{255.000,'50% Stealth,*100000 100% Dizzy'},
			{255.500,'No Stealth,No Dizzy'},
			{256.000,'50% Stealth,*100000 -100% Dizzy'},
			{256.500,'No Stealth,No Dizzy'},
			{257.000,'50% Stealth,*100000 100% Dizzy'},
			{257.500,'No Stealth,No Dizzy'},
			{258.000,'50% Stealth,*100000 -100% Dizzy'},
			{258.500,'No Stealth,No Dizzy'},
			{259.000,'50% Stealth,*100000 100% Dizzy'},
			{259.500,'No Stealth,No Dizzy'},
			{260.000,'50% Stealth,*100000 -100% Dizzy'},
			{260.500,'No Stealth,No Dizzy'},
			{261.000,'*100000 No Dizzy,No Distant'},
			{284.000,'1.5x,No Mini'},
			{285.000,'*100000 Beat'},
			{285.500,'*100000 No Beat'},
			{286.500,'*100000 Beat'},
			{287.000,'*100000 No Beat'},
			{288.000,'*100000 Beat'},
			{288.500,'*100000 No Beat'},
			{289.000,'*100000 Beat'},
			{289.500,'*100000 No Beat'},
			{290.500,'*100000 Beat'},
			{291.000,'*100000 No Beat'},
			{292.000,'*100000 Beat'},
			{292.500,'*100000 No Beat'},
			{293.000,'*100000 Beat'},
			{293.500,'*100000 No Beat'},
			{294.500,'*100000 Beat'},
			{295.000,'*100000 No Beat'},
			{296.000,'*100000 Beat,1x'},
			{296.500,'*100000 No Beat'},
			{297.000,'*100000 Beat'},
			{297.500,'*100000 No Beat'},
			{298.500,'*100000 Beat'},
			{299.000,'*100000 No Beat'},
			{300.000,'Dark,4% Cover,50% Stealth'},
			{300.250,'8% Cover'},
			{300.500,'12% Cover'},
			{300.750,'16% Cover'},
			{301.000,'20% Cover'},
			{301.250,'24% Cover'},
			{301.500,'28% Cover'},
			{301.750,'32% Cover'},
			{302.000,'36% Cover'},
			{302.250,'40% Cover'},
			{302.500,'44% Cover'},
			{302.750,'48% Cover'},
			{303.000,'52% Cover'},
			{303.250,'56% Cover'},
			{303.500,'60% Cover'},
			{303.750,'64% Cover'},
			{304.000,'68% Cover,4x'},
			{304.250,'72% Cover'},
			{304.500,'76% Cover'},
			{304.750,'80% Cover'},
			{305.000,'84% Cover'},
			{305.250,'88% Cover'},
			{305.500,'92% Cover'},
			{305.750,'96% Cover'},
			{306.000,'Cover'},
			{308.000,'No Stealth,30% Mini'}
			}

				self:queuecommand('Update');

				song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
				path = song:GetSongDir();
			end,
  Update2Command= function(self)
			self:sleep(0.0166666666);
			self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
			
			if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
				if mods[curmod] ~= nil then
					if table.getn(mods[curmod]) == 3 then
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3]);
					else
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2]);
					end
					curmod = curmod+1;
					
				end
			end
			
			self:queuecommand('Update2');
		end,
  },
}