local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_fyh",
  Def.Sprite{
    Name= "xtl_actor_gyh",
  OnCommand= cmd(hibernate,0.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;rotationz,360;y,SCREEN_CENTER_Y + -80;zoom,1;
			sleep,2.6;
			linear,0.4;rotationz,0;y,SCREEN_CENTER_Y + 144;zoom,0),
  Texture= "../img/car_box_course.png",
  },
  Def.layer{
    Name= "xtl_actor_hyh",
  File= ../img/car.png,
  OnCommand= cmd(hibernate,1.2;x,SCREEN_CENTER_X-64;y,SCREEN_CENTER_Y + -272;rotationz,180;
			linear,0.6;addy,3*64;sleep,0;rotationz,90;
			linear,0.2;addx,64;sleep,0;rotationz,180;
			linear,0.4;addy,2*64;sleep,0;rotationz,90;
			linear,0.2;addx,64;sleep,0;rotationz,0;
			linear,0.6;addy,-3*64;sleep,0;rotationz,270;
			linear,0.2;addx,-64;sleep,0;rotationz,0;
			linear,0.4;addy,-2*64),
  },
  Def.Sprite{
    Name= "xtl_actor_iyh",
  OnCommand= cmd(hibernate,3.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;
			linear,0.4;rotationz,360;y,SCREEN_CENTER_Y + -48;
			sleep,1.6;
			linear,0.4;rotationz,0;y,SCREEN_CENTER_Y + 144),
  Texture= "../img/ball_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jyh",
  OnCommand= cmd(hibernate,3.9;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;
			linear,0.4;rotationz,360;y,SCREEN_CENTER_Y + -112;x,SCREEN_CENTER_X + 0;
			sleep,1.4;
			linear,0.4;rotationz,0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 144),
  Texture= "../img/ball_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kyh",
  OnCommand= cmd(hibernate,4.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;
			linear,0.4;rotationz,-360;y,SCREEN_CENTER_Y + -176;x,SCREEN_CENTER_X + 0;
			sleep,1.2;
			linear,0.4;rotationz,0;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 144),
  Texture= "../img/ball_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lyh",
  OnCommand= cmd(hibernate,3.8;
			x,SCREEN_CENTER_X+ 128;y,SCREEN_CENTER_Y + -272;
			linear,1.0;addx,-10*16;addy,10*16;
			linear,0.2;addx,2*16;addy,2*16;
			linear,0.6;addx,6*16;addy,-6*16;
			linear,0.6;addx,-6*16;addy,-6*16),
  Texture= "../img/ball.png",
  },
  Def.Sprite{
    Name= "xtl_actor_myh",
  OnCommand= cmd(hibernate,5.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;rotationz,360+270;zoom,1;
			sleep,0.6;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nyh",
  OnCommand= cmd(hibernate,5.65;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X-80;rotationz,360+90;zoom,1;
			sleep,0.75;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oyh",
  OnCommand= cmd(hibernate,5.7;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X+80;rotationz,360;zoom,1;
			sleep,1.1;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pyh",
  OnCommand= cmd(hibernate,5.75;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -80;x,SCREEN_CENTER_X+80;rotationz,360+180;zoom,1;
			sleep,1.25;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qyh",
  OnCommand= cmd(hibernate,5.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + -320;rotationz,180;
			linear,0.8;addy,4*80;sleep,0;rotationz,270;
			linear,0.2;addx,-80;sleep,0;rotationz,90;
			linear,0.4;addx,2*80;sleep,0;rotationz,0;
			linear,0.2;addy,-80;sleep,0;rotationz,180;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;rotationz,-180),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ryh",
  OnCommand= cmd(hibernate,7.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -80;zoom,0.5;rotationz,360;
			sleep,0.8;
			linear,0.4;y,SCREEN_CENTER_Y + 144;zoom,0;rotationz,0),
  Texture= "../img/simon.png",
  },
  Def.Sprite{
    Name= "xtl_actor_syh",
  OnCommand= cmd(hibernate,8.1;zoom,0.5;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 0;
			sleep,0.1;y,SCREEN_CENTER_Y + -160;
			sleep,0.1;diffusealpha,0),
  Texture= "../img/simon_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tyh",
  OnCommand= cmd(hibernate,8.0;zoom,0.5;x,SCREEN_CENTER_X-80;y,SCREEN_CENTER_Y + -80;
			sleep,0.1;diffusealpha,0;
			sleep,0.3;x,SCREEN_CENTER_X+80;diffusealpha,1;
			sleep,0.1;diffusealpha,0),
  Texture= "../img/simon_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uyh",
  OnCommand= cmd(hibernate,8.6;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + -288;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vyh",
  OnCommand= cmd(hibernate,8.7;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + -224;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wyh",
  OnCommand= cmd(hibernate,8.8;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xyh",
  OnCommand= cmd(hibernate,8.9;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yyh",
  OnCommand= cmd(hibernate,9.0;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zyh",
  OnCommand= cmd(hibernate,9.1;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_azh",
  OnCommand= cmd(hibernate,9.2;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + 224;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bzh",
  OnCommand= cmd(hibernate,9.3;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;
			linear,0.4;x,SCREEN_CENTER_X + 288;y,SCREEN_CENTER_Y;zoom,1;rotationz,360;
			sleep,0.8;
			linear,0.4;zoom,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;rotationz,0),
  Texture= "../img/mario_block.png",
  },
  Def.Sprite{
    Name= "xtl_actor_czh",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
  },
  OnCommand= cmd(hibernate,9.4;zoom,2;x,SCREEN_CENTER_X + -352;y,SCREEN_CENTER_Y-64;
			linear,0.4;addx,4*64;
			linear,0.1;addy,-32;addx,64;linear,0.1;addy,32;addx,64;
			linear,0.1;addy,-32;addx,64;linear,0.1;addy,32;addx,64;
			linear,0.3;addx,3*64),
  Texture= "../img/mario 4x1.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dzh",
  OnCommand= cmd(hibernate,10.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,2;
			linear,0.4;y,SCREEN_CENTER_Y + 0;rotationz,360;
			sleep,0.4;diffusealpha,0;
			sleep,0.1;diffusealpha,1;
			sleep,0.1;diffusealpha,0;
			sleep,0.5;diffusealpha,1;
			linear,0.4;y,SCREEN_CENTER_Y + 144;rotationz,0),
  Texture= "../img/link_up",
  },
  Def.Sprite{
    Name= "xtl_actor_ezh",
  OnCommand= cmd(hibernate,11.1;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 0;zoom,2;
			sleep,0.1;diffusealpha,0),
  Texture= "../img/link_right",
  },
  Def.Sprite{
    Name= "xtl_actor_fzh",
  OnCommand= cmd(hibernate,11.3;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 0;zoom,2;
			sleep,0.1;diffusealpha,0),
  Texture= "../img/link_left",
  },
  Def.Sprite{
    Name= "xtl_actor_gzh",
  OnCommand= cmd(hibernate,10.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 0;zoom,2;
			sleep,0.1;diffusealpha,0;
			sleep,0.5;diffusealpha,1;
			sleep,0.1;diffusealpha,0),
  Texture= "../img/link_sword_up",
  },
  Def.Sprite{
    Name= "xtl_actor_hzh",
  OnCommand= cmd(hibernate,11.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 0;zoom,2;
			sleep,0.1;diffusealpha,0),
  Texture= "../img/link_sword_right",
  },
  Def.Sprite{
    Name= "xtl_actor_izh",
  OnCommand= cmd(hibernate,11.2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 0;zoom,2;
			sleep,0.1;diffusealpha,0),
  Texture= "../img/link_sword_left",
  },
  Def.Sprite{
    Name= "xtl_actor_jzh",
  OnCommand= cmd(hibernate,10.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + -288;zoom,2;
			linear,0.8;addy,4*64;
			sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red",
  },
  Def.Sprite{
    Name= "xtl_actor_kzh",
  OnCommand= cmd(hibernate,10.2;x,SCREEN_CENTER_X+32+4*64;y,SCREEN_CENTER_Y + 0;rotationz,270;zoom,2;
			linear,0.8;addx,-4*64;
			sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue",
  },
  Def.Sprite{
    Name= "xtl_actor_lzh",
  OnCommand= cmd(hibernate,10.4;x,SCREEN_CENTER_X-32-4*64;y,SCREEN_CENTER_Y + 0;rotationz,90;zoom,2;
			linear,0.8;addx,4*64;
			sleep,0;diffusealpha,0),
  Texture= "../img/octorok_red",
  },
  Def.Sprite{
    Name= "xtl_actor_mzh",
  OnCommand= cmd(hibernate,10.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + -288;zoom,2;
			linear,0.8;addy,4*64;
			sleep,0;diffusealpha,0),
  Texture= "../img/octorok_blue",
  },
  Def.Sprite{
    Name= "xtl_actor_nzh",
  OnCommand= cmd(hibernate,11.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -80;zoom,0.5;rotationz,360;
			sleep,1.4;
			linear,0.4;y,SCREEN_CENTER_Y + 144;zoom,0;rotationz,0),
  Texture= "../img/rave_background.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ozh",
  OnCommand= cmd(hibernate,11.9;x,SCREEN_CENTER_X-80;y,SCREEN_CENTER_Y + -80;zoom,0.5;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pzh",
  OnCommand= cmd(hibernate,12.1;x,SCREEN_CENTER_X+80;y,SCREEN_CENTER_Y + -80;zoom,0.5;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qzh",
  OnCommand= cmd(hibernate,12.3;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + -160;zoom,0.5;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rzh",
  OnCommand= cmd(hibernate,12.5;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 0;zoom,0.5;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_szh",
  OnCommand= cmd(hibernate,12.7;x,SCREEN_CENTER_X-80;y,SCREEN_CENTER_Y + -80;zoom,0.5;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tzh",
  OnCommand= cmd(hibernate,12.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + -288;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uzh",
  OnCommand= cmd(hibernate,12.85;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -288;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vzh",
  OnCommand= cmd(hibernate,12.9;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + -224;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wzh",
  OnCommand= cmd(hibernate,12.95;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -224;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xzh",
  OnCommand= cmd(hibernate,13.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + -160;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yzh",
  OnCommand= cmd(hibernate,13.05;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -160;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zzh",
  OnCommand= cmd(hibernate,13.1;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + -96;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aai",
  OnCommand= cmd(hibernate,13.15;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -96;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bai",
  OnCommand= cmd(hibernate,13.2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -128;x,SCREEN_CENTER_X + -32;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cai",
  OnCommand= cmd(hibernate,13.25;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + 0;x,SCREEN_CENTER_X + -32;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dai",
  OnCommand= cmd(hibernate,13.3;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -128;x,SCREEN_CENTER_X + 32;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eai",
  OnCommand= cmd(hibernate,13.35;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + 32;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fai",
  OnCommand= cmd(hibernate,13.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -192;x,SCREEN_CENTER_X + 96;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gai",
  OnCommand= cmd(hibernate,13.45;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + 96;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hai",
  OnCommand= cmd(hibernate,13.5;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -192;x,SCREEN_CENTER_X + 160;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iai",
  OnCommand= cmd(hibernate,13.55;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -128;x,SCREEN_CENTER_X + 160;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jai",
  OnCommand= cmd(hibernate,13.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -192;x,SCREEN_CENTER_X + 224;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kai",
  OnCommand= cmd(hibernate,13.65;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + 224;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lai",
  OnCommand= cmd(hibernate,13.7;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -128;x,SCREEN_CENTER_X + 288;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mai",
  OnCommand= cmd(hibernate,13.75;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;
			linear,0.4;y,SCREEN_CENTER_Y + -64;x,SCREEN_CENTER_X + 288;zoom,1;rotationz,360;
			sleep,0.6;
			linear,0.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 112;zoom,0;rotationz,0),
  Texture= "../img/gorge_rock.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nai",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
      {Frame= 4, Delay= 0.05},
      {Frame= 5, Delay= 0.05},
      {Frame= 6, Delay= 0.05},
      {Frame= 7, Delay= 0.05},
      {Frame= 8, Delay= 0.05},
      {Frame= 9, Delay= 0.05},
      {Frame= 10, Delay= 0.05},
      {Frame= 11, Delay= 0.05},
      {Frame= 12, Delay= 0.05},
      {Frame= 13, Delay= 0.05},
      {Frame= 14, Delay= 0.05},
      {Frame= 15, Delay= 0.05},
  },
  OnCommand= cmd(hibernate,13.5;
			y,208;x,SCREEN_CENTER_X + -352;zoom,0.5;
			linear,0.5;addx,5*64;
			sleep,0;addy,-64;
			linear,0.2;addx,2*64;
			sleep,0;addy,-64;
			linear,0.2;addx,2*64;
			sleep,0;addy,64;
			linear,0.2;addx,2*64),
  Texture= "../img/rainbow 1x16.png",
  },
  Def.Sprite{
    Name= "xtl_actor_oai",
  OnCommand= cmd(hibernate,14.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;addx,-96;y,SCREEN_CENTER_Y + -144;rotationz,360+270;zoom,1),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pai",
  OnCommand= cmd(hibernate,14.1;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;addx,-32;y,SCREEN_CENTER_Y + -144;rotationz,360+180;zoom,1),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qai",
  OnCommand= cmd(hibernate,14.2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;addx,32;y,SCREEN_CENTER_Y + -144;rotationz,360;zoom,1),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rai",
  OnCommand= cmd(hibernate,14.3;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;addx,96;y,SCREEN_CENTER_Y + -144;rotationz,360+90;zoom,1),
  Texture= "../img/arrow_grey.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sai",
  OnCommand= cmd(hibernate,14.600;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tai",
  OnCommand= cmd(hibernate,14.700;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uai",
  OnCommand= cmd(hibernate,14.800;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vai",
  OnCommand= cmd(hibernate,14.900;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wai",
  OnCommand= cmd(hibernate,15.000;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xai",
  OnCommand= cmd(hibernate,15.100;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yai",
  OnCommand= cmd(hibernate,15.200;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zai",
  OnCommand= cmd(hibernate,15.300;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_abi",
  OnCommand= cmd(hibernate,15.400;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bbi",
  OnCommand= cmd(hibernate,15.500;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cbi",
  OnCommand= cmd(hibernate,15.600;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dbi",
  OnCommand= cmd(hibernate,15.700;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ebi",
  OnCommand= cmd(hibernate,15.800;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fbi",
  OnCommand= cmd(hibernate,15.900;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gbi",
  OnCommand= cmd(hibernate,16.000;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hbi",
  OnCommand= cmd(hibernate,16.100;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ibi",
  OnCommand= cmd(hibernate,16.200;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jbi",
  OnCommand= cmd(hibernate,16.300;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kbi",
  OnCommand= cmd(hibernate,16.400;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lbi",
  OnCommand= cmd(hibernate,16.500;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mbi",
  OnCommand= cmd(hibernate,16.600;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nbi",
  OnCommand= cmd(hibernate,16.700;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_obi",
  OnCommand= cmd(hibernate,16.800;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pbi",
  OnCommand= cmd(hibernate,16.900;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qbi",
  OnCommand= cmd(hibernate,17.000;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rbi",
  OnCommand= cmd(hibernate,17.100;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sbi",
  OnCommand= cmd(hibernate,17.200;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tbi",
  OnCommand= cmd(hibernate,17.300;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ubi",
  OnCommand= cmd(hibernate,17.400;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -32;y,SCREEN_CENTER_Y + -16;rotationz,360+180.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vbi",
  OnCommand= cmd(hibernate,17.500;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wbi",
  OnCommand= cmd(hibernate,17.600;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 32;y,SCREEN_CENTER_Y + -16;rotationz,360+0.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xbi",
  OnCommand= cmd(hibernate,17.700;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ybi",
  OnCommand= cmd(hibernate,17.800;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + -96;y,SCREEN_CENTER_Y + -16;rotationz,360+270.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zbi",
  OnCommand= cmd(hibernate,17.800;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;zoom,0;
			linear,0.4;x,SCREEN_CENTER_X + 96;y,SCREEN_CENTER_Y + -16;rotationz,360+90.000;zoom,1;
			linear,0.2;y,SCREEN_CENTER_Y + -144;
			sleep,0;diffusealpha,0),
  Texture= "../img/arrow_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_aci",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 144;sleep,18.4),
  Texture= "../img/box.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bci",
  OnCommand= cmd(x,SCREEN_CENTER_X+32;y,SCREEN_CENTER_Y + 112;sleep,0.4;
			linear,0.4;rotationz,135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,1.8;
			linear,0.4;rotationz,135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,0.6;
			linear,0.4;rotationz,135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,0.6;
			linear,0.4;rotationz,135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,0.0;
			linear,0.4;rotationz,135),
  Texture= "../img/box_flap_right.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cci",
  OnCommand= cmd(x,SCREEN_CENTER_X-32;y,SCREEN_CENTER_Y + 112;sleep,0.4;
			linear,0.4;rotationz,-135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,1.8;
			linear,0.4;rotationz,-135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,0.6;
			linear,0.4;rotationz,-135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,0.6;
			linear,0.4;rotationz,-135;
			sleep,0.4;
			linear,0.4;rotationz,0;
			sleep,0.0;
			linear,0.4;rotationz,-135),
  Texture= "../img/box_flap_left.png",
  },
}