local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_oqi",
  Def.Sprite{
    Name= "xtl_actor_pqi",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,14.0),
  Texture= "../img/rave_background.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qqi",
  OnCommand= cmd(hibernate,1.100;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rqi",
  OnCommand= cmd(hibernate,1.300;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sqi",
  OnCommand= cmd(hibernate,1.500;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tqi",
  OnCommand= cmd(hibernate,1.900;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uqi",
  OnCommand= cmd(hibernate,2.100;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vqi",
  OnCommand= cmd(hibernate,2.500;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wqi",
  OnCommand= cmd(hibernate,2.700;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xqi",
  OnCommand= cmd(hibernate,2.900;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yqi",
  OnCommand= cmd(hibernate,3.100;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zqi",
  OnCommand= cmd(hibernate,3.500;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ari",
  OnCommand= cmd(hibernate,3.700;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bri",
  OnCommand= cmd(hibernate,4.100;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_cri",
  OnCommand= cmd(hibernate,4.300;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dri",
  OnCommand= cmd(hibernate,4.500;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_eri",
  OnCommand= cmd(hibernate,4.700;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fri",
  OnCommand= cmd(hibernate,5.100;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gri",
  OnCommand= cmd(hibernate,5.300;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hri",
  OnCommand= cmd(hibernate,5.700;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_iri",
  OnCommand= cmd(hibernate,5.900;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jri",
  OnCommand= cmd(hibernate,6.100;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kri",
  OnCommand= cmd(hibernate,6.300;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lri",
  OnCommand= cmd(hibernate,6.700;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_mri",
  OnCommand= cmd(hibernate,6.900;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_nri",
  OnCommand= cmd(hibernate,7.300;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ori",
  OnCommand= cmd(hibernate,7.500;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_pri",
  OnCommand= cmd(hibernate,7.700;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_qri",
  OnCommand= cmd(hibernate,7.900;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_rri",
  OnCommand= cmd(hibernate,8.300;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_sri",
  OnCommand= cmd(hibernate,8.500;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tri",
  OnCommand= cmd(hibernate,8.900;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_uri",
  OnCommand= cmd(hibernate,9.100;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_vri",
  OnCommand= cmd(hibernate,9.300;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_wri",
  OnCommand= cmd(hibernate,9.500;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_xri",
  OnCommand= cmd(hibernate,9.900;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_yri",
  OnCommand= cmd(hibernate,10.100;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_zri",
  OnCommand= cmd(hibernate,10.500;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_asi",
  OnCommand= cmd(hibernate,10.700;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_bsi",
  OnCommand= cmd(hibernate,10.900;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_csi",
  OnCommand= cmd(hibernate,11.100;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_dsi",
  OnCommand= cmd(hibernate,11.500;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_esi",
  OnCommand= cmd(hibernate,11.700;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_fsi",
  OnCommand= cmd(hibernate,12.100;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_gsi",
  OnCommand= cmd(hibernate,12.300;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_hsi",
  OnCommand= cmd(hibernate,12.500;x,SCREEN_CENTER_X+160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
  Def.Sprite{
    Name= "xtl_actor_isi",
  OnCommand= cmd(hibernate,12.700;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+-160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_blue.png",
  },
  Def.Sprite{
    Name= "xtl_actor_jsi",
  OnCommand= cmd(hibernate,13.100;x,SCREEN_CENTER_X+0.000;y,SCREEN_CENTER_Y+160.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_red.png",
  },
  Def.Sprite{
    Name= "xtl_actor_ksi",
  OnCommand= cmd(hibernate,13.300;x,SCREEN_CENTER_X+-160.000;y,SCREEN_CENTER_Y+0.000;rotationz,-180;linear,0.5;rotationz,0;sleep,0;diffusealpha,0),
  Texture= "../img/rave_yellow.png",
  },
}