local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_rsi",
  Def.BitmapText{
    Name= "xtl_actor_ssi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,0.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 1,",
  },
  Def.BitmapText{
    Name= "xtl_actor_tsi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "CAR,",
  },
  Def.BitmapText{
    Name= "xtl_actor_usi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,20.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 2,",
  },
  Def.BitmapText{
    Name= "xtl_actor_vsi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,20.8+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "MARIO,",
  },
  Def.BitmapText{
    Name= "xtl_actor_wsi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,40.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 3,",
  },
  Def.BitmapText{
    Name= "xtl_actor_xsi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,40.0+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "BALL,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ysi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,60.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 4,",
  },
  Def.BitmapText{
    Name= "xtl_actor_zsi",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,60.8+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "SIMON,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ati",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,78.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 5,",
  },
  Def.BitmapText{
    Name= "xtl_actor_bti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,78.4+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "ARROW,",
  },
  Def.BitmapText{
    Name= "xtl_actor_cti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,99.2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 6,",
  },
  Def.BitmapText{
    Name= "xtl_actor_dti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,99.2+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "GORGE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_eti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,116.8;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 7,",
  },
  Def.BitmapText{
    Name= "xtl_actor_fti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,116.8+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "RAVE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_gti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,134.4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 8,",
  },
  Def.BitmapText{
    Name= "xtl_actor_hti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,134.4+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "LINK,",
  },
  Def.BitmapText{
    Name= "xtl_actor_iti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,152.0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "STAGE 9,",
  },
  Def.BitmapText{
    Name= "xtl_actor_jti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,152.0+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "GROOVE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_kti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,169.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,2.8;diffusealpha,0),
  Text= "FINAL STAGE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_lti",
  Font= ""_eurostile normal",",
  InitCommand= cmd(hibernate,169.6+1.6;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+32;diffusealpha,0;
			linear,0.4;diffusealpha,1;
			sleep,1.2;diffusealpha,0),
  Text= "BOX,",
  },
}