local xtl_cond_ldk_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_mdk_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_ndk",
  Def.Quad{
    Name= "xtl_actor_odk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+9;ZoomToWidth,SCREEN_WIDTH;sleep,300),
  },
  Def.Quad{
    Name= "xtl_actor_pdk",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
			
			fgcurcommand = 1;
			
			-- SOUND VARIABLES --
			song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
			path = song:GetSongDir();
			
			--steptable = {};
			
			self:queuecommand('Update');
		end,
  Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
		
			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
				screen = SCREENMAN:GetTopScreen();
				for i=1,2 do
					_G['P'..i] = nil;
					_G['P'..i] = screen:GetChild('PlayerP'..i);
				end
				HidePlayerSteps();
				
				for i = PLAYER_1,PLAYER_2 do
					if GAMESTATE:IsHumanPlayer(i) then
						local p = i+1;
						_G['speedp'..p] = FindSpeedMod('P'..tostring(p));
					end
				end
				
				musicrate = FindRateMod();
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			UpdatePlayfields();
			
			for i=1,2 do
				if GAMESTATE:IsHumanPlayer(i-1) then
					if _G['curnotep'..i] <= table.getn(_G['arrowtablep'..i]) and GAMESTATE:GetSongBeat() >= _G['arrowtablep'..i][_G['curnotep'..i]][1]-(6/_G['speedp'..i]) then
						ActivateNote(i,_G['arrowtablep'..i][_G['curnotep'..i]][1],_G['arrowtablep'..i][_G['curnotep'..i]][2]);
						_G['curnotep'..i] = _G['curnotep'..i] + 1;
					end
				end
			end
			
			self:queuecommand('Update2');
		end,
  },
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_qdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_rdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_sdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_tdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_udk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_vdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_wdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_xdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_ydk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_zdk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_aek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_bek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_cek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_dek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_eek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_fek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_gek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_hek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_iek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_jek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_kek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_lek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_mek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_nek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_oek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_pek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_qek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_rek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_sek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_tek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_uek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_vek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_wek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_xek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_yek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_zek",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_afk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_bfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_cfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_ldk_result,
  Def.Sprite{
    Name= "xtl_actor_dfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP1,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_efk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_ffk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_gfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_hfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_ifk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_jfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_kfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_lfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_mfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_nfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_ofk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_pfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_qfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_rfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_sfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_tfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_ufk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_vfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_wfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_xfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_yfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_zfk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_agk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_bgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_cgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_dgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_egk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_fgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_ggk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_hgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_igk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_jgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_kgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_lgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_mgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_ngk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_ogk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_pgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_qgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
  optional_actor(xtl_cond_mdk_result,
  Def.Sprite{
    Name= "xtl_actor_rgk",
  InitCommand= cmd(zoom,0),
  OnCommand= RegisterFakeArrowP2,
  ResetZoomCommand= cmd(zoom,0;diffuse,color('#FFFFFF');diffusealpha,1),
  Texture= "arrow/arrow.model",
  }),
}