local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_fkk",
  Def.Quad{
    Name= "xtl_actor_gkk",
  GoDownCommand= function(self)
			if GAMESTATE:IsHumanPlayer(PLAYER_1) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				screen:linear(0.48);
				screen:addy(SCREEN_HEIGHT);
				screen:sleep(0);
				screen:addy(-SCREEN_HEIGHT);	
			end
			
			if GAMESTATE:IsHumanPlayer(PLAYER_2) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				screen:linear(0.48);
				screen:addy(SCREEN_HEIGHT);
				screen:sleep(0);
				screen:addy(-SCREEN_HEIGHT);	
			end
		end,
  OnCommand= function(self)
			self:sleep(53.76);
			self:queuecommand('SpinClockwise');
			self:queuecommand('SpinClockwise');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('GoDown');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('GoDown');
			self:queuecommand('GoDown');
			self:queuecommand('SpinAntiClockwise');
			self:queuecommand('SpinAntiClockwise');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('GoDown');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('GoDown');
			self:queuecommand('GoDown');
			self:sleep(22.08);
			self:queuecommand('GoDown');
			self:queuecommand('GoDown');
			self:sleep(7.68);
			self:queuecommand('GoDown');
			self:queuecommand('GoDown');
			self:sleep(31.68);
			self:queuecommand('SpinAntiClockwise');
			self:queuecommand('SpinAntiClockwise');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('GoDown');
			self:queuecommand('Wait');
			self:queuecommand('Wait');
			self:queuecommand('GoDown');
			self:queuecommand('GoDown');
			self:queuecommand('SlowSpin');
			self:queuecommand('Wait');
			self:queuecommand('ZoomOut');
			
		end,
  SlowSpinCommand= function(self)
			if GAMESTATE:IsHumanPlayer(PLAYER_1) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				screen:linear(6.72);	
				screen:rotationz(360);
				screen:sleep(0);
				screen:rotationz(0);
			end
			
			if GAMESTATE:IsHumanPlayer(PLAYER_2) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				screen:linear(6.72);
				screen:rotationz(360);
				screen:sleep(0);
				screen:rotationz(0);
			end
		end,
  SpinAntiClockwiseCommand= function(self)
			if GAMESTATE:IsHumanPlayer(PLAYER_1) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				screen:linear(1.92);
				screen:rotationz(-360);
				screen:sleep(0);
				screen:rotationz(0);
			end
			
			if GAMESTATE:IsHumanPlayer(PLAYER_2) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				screen:linear(1.92);
				screen:rotationz(-360);
				screen:sleep(0);
				screen:rotationz(0);
			end
		end,
  SpinClockwiseCommand= function(self)
			if GAMESTATE:IsHumanPlayer(PLAYER_1) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				screen:linear(1.92);
				screen:rotationz(360);
				screen:sleep(0);
				screen:rotationz(0);
			end
			
			if GAMESTATE:IsHumanPlayer(PLAYER_2) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				screen:linear(1.92);
				screen:rotationz(360);
				screen:sleep(0);
				screen:rotationz(0);
			end
		end,
  WaitCommand= function(self)
			if GAMESTATE:IsHumanPlayer(PLAYER_1) then
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.48);
			end
			
			if GAMESTATE:IsHumanPlayer(PLAYER_2) then
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.48);
			end
		end,
  ZoomOutCommand= function(self)
			if GAMESTATE:IsHumanPlayer(PLAYER_1) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				screen:linear(0.48);
				screen:zoom(0);
				screen:rotationz(720);
			end
			
			if GAMESTATE:IsHumanPlayer(PLAYER_2) then
				screen = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				screen:linear(0.48);
				screen:zoom(0);
				screen:rotationz(720);
			end
		end,
  },
}