local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_mkk",
  Def.Quad{
    Name= "xtl_actor_nkk",
  DownCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, *12 100% reverse, *12 100% flip, *32 no mini')
        end,
  FinalFirstCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, *2 invert')
            self:sleep(0.833)
            self:queuecommand('FinalSecond')
        end,
  FinalSecondCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, *2 75% flip, *2 75% invert')
        end,
  GrowCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, *0.1 no reverse')
        end,
  InitCommand= cmd(visible,true),
  MidCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, *12 50% reverse, *12 50% flip, *32 -300% mini')
        end,
  OnCommand= cmd(queuecommand,"Shrink";sleep,2.916;queuecommand,"Grow";sleep,0.417;queuecommand,"Shrink";sleep,2.916;queuecommand,"Grow";sleep,0.417;queuecommand,"Mid";sleep,0.139;queuecommand,"Down";sleep,0.486;queuecommand,"Mid";sleep,0.139;queuecommand,"Top";sleep,2.57;queuecommand,"Shrink";sleep,2.916;queuecommand,"Grow";sleep,0.417;queuecommand,"Shrink";sleep,2.916;queuecommand,"Grow";sleep,0.417;queuecommand,"Mid";sleep,0.139;queuecommand,"Down";sleep,0.486;queuecommand,"Mid";sleep,0.139;queuecommand,"Top";sleep,2.57;queuecommand,"FinalFirst"),
  ShrinkCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, *0.05 reverse')
        end,
  TopCommand= function(self)
            GAMESTATE:ApplyGameCommand('mod, *12 no reverse, *12 no flip, *32 no mini')
        end,
  },
  Def.Quad{
    Name= "xtl_actor_okk",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,106),
  },
}