local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_tkk",
  Def.Sprite{
    Name= "xtl_actor_ukk",
  BouncyCommand= cmd(bounce;effectclock,bgm;effectmagnitude,0,-200,0;effectperiod,1),
  InitCommand= cmd(draworder,100;x,SCREEN_CENTER_X;y,SCREEN_BOTTOM;vertalign,top;zoomx,6;customtexturerect,0,0,6,1;texcoordvelocity,-2,0),
  OnCommand= cmd(sleep,14.531;queuecommand,"Bouncy";sleep,44.531;queuecommand,"Stop"),
  StopCommand= cmd(stopeffect),
  Texture= "shrooms",
  },
  Def.Sprite{
    Name= "xtl_actor_vkk",
  BouncyCommand= cmd(bounce;effectclock,bgm;effectmagnitude,0,200,0;effectperiod,1),
  InitCommand= cmd(draworder,100;x,SCREEN_CENTER_X;y,SCREEN_TOP;rotationz,180;vertalign,top;zoomx,6;customtexturerect,0,0,6,1;texcoordvelocity,-2,0),
  OnCommand= cmd(sleep,14.531;queuecommand,"Bouncy";sleep,44.531;queuecommand,"Stop"),
  StopCommand= cmd(stopeffect),
  Texture= "shrooms",
  },
  Def.Sprite{
    Name= "xtl_actor_wkk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X-320;y,SCREEN_CENTER_Y-192;horizalign,right),
  OnCommand= cmd(sleep,15+0.234*3;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,128,0,0;effectclock,bgm;effectperiod,2;effectoffset,0.5),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.Sprite{
    Name= "xtl_actor_xkk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X-320;y,SCREEN_CENTER_Y-64;horizalign,right),
  OnCommand= cmd(sleep,15+0.234*2;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,128,0,0;effectclock,bgm;effectperiod,2;effectoffset,1),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.Sprite{
    Name= "xtl_actor_ykk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X-320;y,SCREEN_CENTER_Y+64;horizalign,right),
  OnCommand= cmd(sleep,15+0.234;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,128,0,0;effectclock,bgm;effectperiod,2;effectoffset,1.5),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.Sprite{
    Name= "xtl_actor_zkk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X-320;y,SCREEN_CENTER_Y+192;horizalign,right),
  OnCommand= cmd(sleep,15;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,128,0,0;effectclock,bgm;effectperiod,2;effectoffset,0),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.Sprite{
    Name= "xtl_actor_alk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X+320;y,SCREEN_CENTER_Y-192;horizalign,right;rotationy,180),
  OnCommand= cmd(sleep,15+0.234*3;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,-128,0,0;effectclock,bgm;effectperiod,2;effectoffset,0.5),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.Sprite{
    Name= "xtl_actor_blk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X+320;y,SCREEN_CENTER_Y-64;horizalign,right;rotationy,180),
  OnCommand= cmd(sleep,15+0.234*2;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,-128,0,0;effectclock,bgm;effectperiod,2;effectoffset,1),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.Sprite{
    Name= "xtl_actor_clk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X+320;y,SCREEN_CENTER_Y+64;horizalign,right;rotationy,180),
  OnCommand= cmd(sleep,15+0.234;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,-128,0,0;effectclock,bgm;effectperiod,2;effectoffset,1.5),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.Sprite{
    Name= "xtl_actor_dlk",
  InitCommand= cmd(draworder,200;x,SCREEN_CENTER_X+320;y,SCREEN_CENTER_Y+192;horizalign,right;rotationy,180),
  OnCommand= cmd(sleep,15;queuecommand,"PopPills";sleep,43.594;queuecommand,"Stop"),
  PopPillsCommand= cmd(bob;effectmagnitude,-128,0,0;effectclock,bgm;effectperiod,2;effectoffset,0),
  StopCommand= cmd(stopeffect),
  Texture= "ecstasy",
  },
  Def.ActorFrame{
    Name= "xtl_actor_elk",
  InitCommand= cmd(draworder,300;x,SCREEN_CENTER_X-160;y,SCREEN_CENTER_Y;vibrate;effectmagnitude,10,30,0),
    Def.Sprite{
      Name= "xtl_actor_flk",
    AppearingCommand= cmd(diffuseblink;EffectColor1,#FFFFFFFF;EffectColor2,#FFFFFF00;effectclock,bgm;effectperiod,1),
    InitCommand= cmd(diffusealpha,0;zoom,1.5;rotationy,180),
    OnCommand= cmd(sleep,45;diffusealpha,1;queuecommand,"Appearing";sleep,14.062;diffusealpha,0),
    Texture= "weed",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_glk",
  InitCommand= cmd(draworder,300;x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;vibrate;effectmagnitude,10,30,0),
    Def.Sprite{
      Name= "xtl_actor_hlk",
    AppearingCommand= cmd(diffuseblink;EffectColor1,#FFFFFFFF;EffectColor2,#FFFFFF00;effectclock,bgm;effectperiod,1),
    InitCommand= cmd(diffusealpha,0;zoom,1.5),
    OnCommand= cmd(sleep,45;diffusealpha,1;queuecommand,"Appearing";sleep,14.062;diffusealpha,0),
    Texture= "weed",
    },
  },
  Def.Sprite{
    Name= "xtl_actor_ilk",
  InitCommand= cmd(draworder,400;x,SCREEN_CENTER_X;y,SCREEN_BOTTOM+512;vertalign,bottom;zoom,2),
  OnCommand= cmd(sleep,59.297;decelerate,1;addy,-512),
  Texture= "thepillsinthemedicinecabinet",
  },
  Def.Quad{
    Name= "xtl_actor_jlk",
  InitCommand= cmd(draworder,500;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;ZoomToWidth,SCREEN_WIDTH;ZoomToHeight,SCREEN_HEIGHT;diffuse,color('#00000000')),
  OnCommand= cmd(sleep,61.297;linear,1;diffuse,color('#000000FF');sleep,3),
  },
}