local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_knk",
  Def.Quad{
    Name= "xtl_actor_lnk",
  OnCommand= cmd(diffusealpha,0;sleep,141.349;queuecommand,"Woooo"),
  WooooCommand= function(self)
			for i=1,2,1 do
				local d = 5.192
				local r = 360 * PMult(i) * 12
				if Players[i] then
					Players[i]:accelerate(d/2)
					Players[i]:rotationz(r)
					Players[i]:decelerate(d/2)
					Players[i]:rotationz(r*2)
				end
			end
		end,
  },
  Def.Quad{
    Name= "xtl_actor_mnk",
  OnCommand= cmd(diffusealpha,0;sleep,73.849;queuecommand,"Screamy";sleep,2;queuecommand,"StopEffect";sleep,4.154;queuecommand,"Screamy";sleep,3.077;queuecommand,"StopEffect"),
  ScreamyCommand= function(self)
			for i=1,2,1 do
				if Players[i] then
					-- figure out how to change this effect - effectmagnitude() doesn't work
					Players[i]:vibrate()
				end
			end
		end,
  StopEffectCommand= function(self) for i=1,2,1 do if Players[i] then Players[i]:stopeffect() end end end,
  },
  Def.ActorFrame{
    Name= "xtl_actor_nnk",
  OnCommand= cmd(diffusealpha,0),
    Def.Quad{
      Name= "xtl_actor_onk",
    FinishHimCommand= function(self) Done(1) Done(2) end,
    OnCommand= cmd(diffusealpha,0;sleep,12;queuecommand,"FinishHim"),
    },
    Def.Quad{
      Name= "xtl_actor_pnk",
    DoItDoItCommand= cmd(sleep,0;queuecommand,"InP1";sleep,0.385;sleep,0.385;queuecommand,"OutP1";sleep,0.385;sleep,0.385;queuecommand,"InP1";sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP1"),
    DoneP1Command= function(self) Done(1) end,
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,0.009;queuecommand,"SInit";queuecommand,"DoItDoIt"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_qnk",
    DoItDoItCommand= cmd(sleep,0;queuecommand,"InP2";sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP2"),
    DoneP2Command= function(self) Done(2) end,
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,0.009;sleep,0.385;sleep,0.385;queuecommand,"DoItDoIt"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_rnk",
    DoneP2Command= function(self) Done(2) end,
    InOut2Command= cmd(sleep,0;queuecommand,"InP2";sleep,0.385;sleep,0.385;queuecommand,"OutP2";sleep,0.385;sleep,0.385;queuecommand,"InP2";sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP2"),
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,3.089;queuecommand,"InOut2"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_snk",
    DoneP1Command= function(self) Done(1) end,
    InOutP12Command= cmd(sleep,0;queuecommand,"InP1";sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP1"),
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,3.089;sleep,0.385;sleep,0.385;queuecommand,"InOutP12"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_tnk",
    DoneP1Command= function(self) Done(1) end,
    InOutP13Command= cmd(sleep,0;queuecommand,"InP1";sleep,0.385;sleep,0.385;queuecommand,"OutP1";sleep,0.385;sleep,0.385;queuecommand,"InP1";sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP1"),
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,6.166;queuecommand,"InOutP13"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_unk",
    DoItDoItCommand= cmd(sleep,0;queuecommand,"InP2";sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP2"),
    DoneP2Command= function(self) Done(2) end,
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,6.166;sleep,0.385;sleep,0.385;queuecommand,"DoItDoIt"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_vnk",
    DoneP2Command= function(self) Done(2) end,
    InOut2Command= cmd(sleep,0;queuecommand,"InP2"),
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,9.234;queuecommand,"InOut2"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_wnk",
    DoneP1Command= function(self) Done(1) end,
    InOutP12Command= cmd(sleep,0;queuecommand,"InP1"),
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,9.234;sleep,0.385;sleep,0.385;queuecommand,"InOutP12"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_xnk",
    DoItDoItCommand= cmd(sleep,0;queuecommand,"InP1";sleep,0.385;sleep,0.385;queuecommand,"OutP1";sleep,0.385;sleep,0.385;queuecommand,"InP1";sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP1"),
    DoneP1Command= function(self) Done(1) end,
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,83.080;queuecommand,"SInit";queuecommand,"DoItDoIt"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_ynk",
    DoItDoItCommand= cmd(sleep,0;queuecommand,"InP2";sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP2"),
    DoneP2Command= function(self) Done(2) end,
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,83.080;sleep,0.385;sleep,0.385;queuecommand,"DoItDoIt"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_znk",
    DoneP2Command= function(self) Done(2) end,
    InOut2Command= cmd(sleep,0;queuecommand,"InP2";sleep,0.385;sleep,0.385;queuecommand,"OutP2";sleep,0.385;sleep,0.385;queuecommand,"InP2";sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP2"),
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,86.189;queuecommand,"InOut2"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_aok",
    DoneP1Command= function(self) Done(1) end,
    InOutP12Command= cmd(sleep,0;queuecommand,"InP1";sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP1"),
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,86.189;sleep,0.385;sleep,0.385;queuecommand,"InOutP12"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_bok",
    DoneP1Command= function(self) Done(1) end,
    InOutP13Command= cmd(sleep,0;queuecommand,"InP1";sleep,0.385;sleep,0.385;queuecommand,"OutP1";sleep,0.385;sleep,0.385;queuecommand,"InP1";sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP1"),
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,89.246;queuecommand,"InOutP13"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_cok",
    DoItDoItCommand= cmd(sleep,0;queuecommand,"InP2";sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;sleep,0.385;queuecommand,"OutP2"),
    DoneP2Command= function(self) Done(2) end,
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,89.246;sleep,0.385;sleep,0.385;queuecommand,"DoItDoIt"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_dok",
    DoneP2Command= function(self) Done(2) end,
    InOut2Command= cmd(sleep,0;queuecommand,"InP2"),
    InP2Command= function(self) ShiftIn(2) end,
    OnCommand= cmd(sleep,92.314;queuecommand,"InOut2"),
    OutP2Command= function(self) ShiftOut(2) end,
    },
    Def.Quad{
      Name= "xtl_actor_eok",
    DoneP1Command= function(self) Done(1) end,
    InOutP12Command= cmd(sleep,0;queuecommand,"InP1"),
    InP1Command= function(self) ShiftIn(1) end,
    OnCommand= cmd(sleep,92.314;sleep,0.385;sleep,0.385;queuecommand,"InOutP12"),
    OutP1Command= function(self) ShiftOut(1) end,
    SInitCommand= function(self) ShiftInit() end,
    },
    Def.Quad{
      Name= "xtl_actor_fok",
    BeginCommand= function(self)
				TIA_DEBUG = 0
				local s = SCREENMAN:GetTopScreen()
				Players = { s:GetChild('PlayerP1'), s:GetChild('PlayerP2') }
				OneBeat = 0.385
				LastPlayerIdx = -1
				
				function Done(pl)
					local p = Players[pl]
					if p then
						p:finishtweening()
					end
				end
				
				function PMult(pl)
					if pl == 1 then
						return 1
					else
						return -1
					end
					
					return nil
				end
				
				function ShiftIn(pl)
					if TIA_DEBUG and TIA_DEBUG == 1 then return end

					local p = Players[pl]
					if p then
						p:linear(OneBeat / 2)
						if pl == 1 then
							Players[1]:x(SCREEN_WIDTH / 4)
						else
							Players[2]:x(SCREEN_WIDTH * 3 / 4)
						end
					end
					
					LastPlayerIdx = pl
				end
				
				function ShiftOut(pl)
					if TIA_DEBUG and TIA_DEBUG == 1 then return end

					local p = Players[pl]
					if p then
						p:linear(OneBeat / 2)
						if pl == 1 then
							Players[1]:x(SCREEN_WIDTH / 4 - SCREEN_WIDTH)
						else
							Players[2]:x(SCREEN_WIDTH * 3 / 4 + SCREEN_WIDTH)
						end
					end
					
					LastPlayerIdx = pl
				end
				
				function ShiftSwap(leading_pl)
					if TIA_DEBUG and TIA_DEBUG == 1 then return end

					local p1 = Players[1]
					local p2 = Players[2]
					
					if leading_pl == 1 then
						if p1 then
							ShiftIn(1)
						end
						
						if p2 then
							ShiftOut(2)
						end
					end
					
					if leading_pl == 2 then
						if p1 then
							ShiftIn(2)
						end
						
						if p2 then
							ShiftOut(1)
						end
					end
					
					LastPlayerIdx = PInv(LastPlayerIdx)
				end
				
				function ShiftInit()
					if TIA_DEBUG and TIA_DEBUG == 1 then return end

					if Players[1] then
						Players[1]:x(SCREEN_WIDTH / 4 - SCREEN_WIDTH)
					end
					
					if Players[2] then
						Players[2]:x(SCREEN_WIDTH * 3 / 4 + SCREEN_WIDTH)
					end
				end
				
				ShiftInit()
			end,
    OnCommand= cmd(queuecommand,"Begin"),
    },
    Def.Quad{
      Name= "xtl_actor_gok",
    OnCommand= cmd(sleep,9999),
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_hok",
    Def.Quad{
      Name= "xtl_actor_iok",
    ModsLoopCommand= function(self)
				local cur_beat = GAMESTATE:GetSongBeat()
				
				if ttlo.beats_table_n > 0 then
					for i = ttlo.beats_table_n, 1, -1 do
						if cur_beat >= ttlo.beats_table[i]['BEAT'] then
							GAMESTATE:ApplyGameCommand('mod,' .. ttlo.beats_table[i]['MODS'])
						else
							ttlo.beats_table_n = i
							break
						end
					end

					self:sleep(0.01666)
					self:queuecommand('ModsLoop')
				end
			end,
    OnCommand= cmd(diffusealpha,0;queuecommand,"RegisterPackage"),
    RegisterPackageCommand= function(self)
				local P = {}
				ttlo = P
				
				-- import what we need here
				ttlo.next_beat = -1
				ttlo.beats_table = {
					{ ['BEAT'] = 364.00, ['MODS'] = '45% Reverse, *4 -200% Mini, 45% Flip, Dark, *5 500% Tipsy, *3 150% Drunk, *14 -1600% Bumpy, *3 -100% Centered' },
					{ ['BEAT'] = 363.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 363.00, ['MODS'] = '*5.5 No Hallway, *4 No Centered' },
					{ ['BEAT'] = 362.00, ['MODS'] = '*5.5 500% Hallway, -100% Centered' },
					{ ['BEAT'] = 361.00, ['MODS'] = '*5.5 No Distant, No Centered' },
					{ ['BEAT'] = 360.00, ['MODS'] = '*5.5 500% Distant, 100% Centered' },
					{ ['BEAT'] = 359.00, ['MODS'] = '*4 No Mini, *0.7 No Flip, *2 No Brake' },
					{ ['BEAT'] = 358.00, ['MODS'] = '*4 -200% Mini, *0.7 Flip, *2 Brake' },
					{ ['BEAT'] = 357.00, ['MODS'] = '*3.5 No Mini, No Flip, *2 No Boost' },
					{ ['BEAT'] = 356.00, ['MODS'] = '*3 200% Mini, -100% Flip, *2 Boost' },
					{ ['BEAT'] = 355.00, ['MODS'] = '*5.5 No Hallway, *4 No Centered' },
					{ ['BEAT'] = 354.00, ['MODS'] = '*5.5 500% Hallway, -100% Centered' },
					{ ['BEAT'] = 353.00, ['MODS'] = '*5.5 No Distant, No Centered' },
					{ ['BEAT'] = 352.00, ['MODS'] = '*5.5 500% Distant, 100% Centered' },
					{ ['BEAT'] = 351.00, ['MODS'] = '*4 No Mini, *0.7 No Flip, *2 No Brake' },
					{ ['BEAT'] = 350.00, ['MODS'] = '*4 -200% Mini, *0.7 Flip, *2 Brake' },
					{ ['BEAT'] = 349.00, ['MODS'] = '*3.5 No Mini, No Flip, *2 No Boost' },
					{ ['BEAT'] = 348.00, ['MODS'] = '*3 200% Mini, -100% Flip, *2 Boost' },
					{ ['BEAT'] = 347.00, ['MODS'] = '*5.5 No Hallway, *4 No Centered' },
					{ ['BEAT'] = 346.00, ['MODS'] = '*5.5 500% Hallway, -100% Centered' },
					{ ['BEAT'] = 345.00, ['MODS'] = '*5.5 No Distant, No Centered' },
					{ ['BEAT'] = 344.00, ['MODS'] = '*5.5 500% Distant, 100% Centered' },
					{ ['BEAT'] = 343.00, ['MODS'] = '*4 No Mini, *0.7 No Flip, *2 No Brake' },
					{ ['BEAT'] = 342.00, ['MODS'] = '*4 -200% Mini, *0.7 Flip, *2 Brake' },
					{ ['BEAT'] = 341.00, ['MODS'] = '*3.5 No Mini, No Flip, *2 No Boost' },
					{ ['BEAT'] = 340.00, ['MODS'] = '*3 200% Mini, -100% Flip, *2 Boost' },
					{ ['BEAT'] = 339.00, ['MODS'] = '*5.5 No Hallway, *4 No Centered' },
					{ ['BEAT'] = 338.00, ['MODS'] = '*5.5 500% Hallway, -100% Centered' },
					{ ['BEAT'] = 337.00, ['MODS'] = '*5.5 No Distant, No Centered' },
					{ ['BEAT'] = 336.00, ['MODS'] = '*5.5 500% Distant, 100% Centered' },
					{ ['BEAT'] = 335.50, ['MODS'] = '*1024 165% Beat, *3 Wave' },
					{ ['BEAT'] = 335.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 335.00, ['MODS'] = '*1.6 No Drunk, *3 No Tipsy' },
					{ ['BEAT'] = 334.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 333.00, ['MODS'] = '*8 No Space, *2 No Centered' },
					{ ['BEAT'] = 332.00, ['MODS'] = '*8 -400% Space, *2 Centered' },
					{ ['BEAT'] = 331.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 330.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 329.00, ['MODS'] = '*8 No Incoming, *2 No Centered' },
					{ ['BEAT'] = 328.00, ['MODS'] = '*8 400% Incoming, *2 Centered' },
					{ ['BEAT'] = 327.50, ['MODS'] = '*1024 550% Beat' },
					{ ['BEAT'] = 327.00, ['MODS'] = '*5.75 No Incoming' },
					{ ['BEAT'] = 326.00, ['MODS'] = '*5.75 400% Incoming' },
					{ ['BEAT'] = 325.00, ['MODS'] = '*5.75 No Incoming' },
					{ ['BEAT'] = 324.00, ['MODS'] = '*5.75 -400% Incoming' },
					{ ['BEAT'] = 323.00, ['MODS'] = '*6 No Distant, *2 No Centered' },
					{ ['BEAT'] = 322.00, ['MODS'] = '*6 400% Distant, *2 Centered' },
					{ ['BEAT'] = 321.00, ['MODS'] = '*7 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 320.00, ['MODS'] = '*7 400% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 319.50, ['MODS'] = '*1024 200% Beat' },
					{ ['BEAT'] = 319.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 318.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 317.00, ['MODS'] = '*8 No Incoming' },
					{ ['BEAT'] = 316.00, ['MODS'] = '*8 800% Incoming' },
					{ ['BEAT'] = 315.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 314.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 313.00, ['MODS'] = '*8 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 312.00, ['MODS'] = '*8 500% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 311.50, ['MODS'] = '*1024 550% Beat' },
					{ ['BEAT'] = 311.00, ['MODS'] = '*5.75 No Space' },
					{ ['BEAT'] = 310.00, ['MODS'] = '*5.75 400% Space' },
					{ ['BEAT'] = 309.00, ['MODS'] = '*5.75 No Space' },
					{ ['BEAT'] = 308.00, ['MODS'] = '*5.75 -400% Space' },
					{ ['BEAT'] = 307.00, ['MODS'] = '*6 No Distant, *2 No Centered' },
					{ ['BEAT'] = 306.00, ['MODS'] = '*6 400% Distant, *2 Centered' },
					{ ['BEAT'] = 305.00, ['MODS'] = '*7 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 304.00, ['MODS'] = '*7 400% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 303.50, ['MODS'] = '*1024 200% Beat' },
					{ ['BEAT'] = 303.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 302.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 301.00, ['MODS'] = '*7 No Distant, *2 No Centered' },
					{ ['BEAT'] = 300.00, ['MODS'] = '*7 800% Distant, *2 Centered' },
					{ ['BEAT'] = 299.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 298.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 297.00, ['MODS'] = '*8 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 296.00, ['MODS'] = '*8 500% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 295.50, ['MODS'] = '*1024 550% Beat' },
					{ ['BEAT'] = 295.00, ['MODS'] = '*5.75 No Incoming' },
					{ ['BEAT'] = 294.00, ['MODS'] = '*5.75 -400% Incoming' },
					{ ['BEAT'] = 293.00, ['MODS'] = '*5.75 No Incoming' },
					{ ['BEAT'] = 292.00, ['MODS'] = '*5.75 400% Incoming' },
					{ ['BEAT'] = 291.00, ['MODS'] = '*6 No Distant, *2 No Centered' },
					{ ['BEAT'] = 290.00, ['MODS'] = '*6 400% Distant, *2 Centered' },
					{ ['BEAT'] = 289.00, ['MODS'] = '*7 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 288.00, ['MODS'] = '*7 400% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 287.50, ['MODS'] = '*1024 200% Beat, No Bumpy' },
					{ ['BEAT'] = 287.00, ['MODS'] = '*4 No Mini' },
					{ ['BEAT'] = 286.00, ['MODS'] = '*4 200% Mini' },
					{ ['BEAT'] = 285.00, ['MODS'] = '*8 No Distant, *2 No Centered' },
					{ ['BEAT'] = 284.00, ['MODS'] = '*8 300% Distant, *2 Centered' },
					{ ['BEAT'] = 283.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 282.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 281.00, ['MODS'] = '*8 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 280.00, ['MODS'] = '*8 300% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 280.00, ['MODS'] = '*2 55% Drunk, *3 Tipsy' },
					{ ['BEAT'] = 279.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 278.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 277.00, ['MODS'] = '*8 No Space, *2 No Centered' },
					{ ['BEAT'] = 276.00, ['MODS'] = '*8 -400% Space, *2 Centered' },
					{ ['BEAT'] = 275.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 274.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 273.00, ['MODS'] = '*8 No Incoming, *2 No Centered' },
					{ ['BEAT'] = 272.00, ['MODS'] = '*8 400% Incoming, *2 Centered' },
					{ ['BEAT'] = 271.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 270.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 269.00, ['MODS'] = '*8 No Incoming, *2 No Centered' },
					{ ['BEAT'] = 268.00, ['MODS'] = '*8 -400% Incoming, *2 Centered' },
					{ ['BEAT'] = 267.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 266.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 265.00, ['MODS'] = '*8 No Space, *2 No Centered' },
					{ ['BEAT'] = 264.00, ['MODS'] = '*8 400% Space, *2 Centered' },
					{ ['BEAT'] = 263.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 262.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 261.00, ['MODS'] = '*8 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 260.00, ['MODS'] = '*8 500% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 259.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 258.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 257.00, ['MODS'] = '*7 No Distant, *2 No Centered' },
					{ ['BEAT'] = 256.00, ['MODS'] = '*7 500% Distant, *2 Centered' },
					{ ['BEAT'] = 255.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 254.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 253.00, ['MODS'] = '*7 No Distant, *2 No Centered' },
					{ ['BEAT'] = 252.00, ['MODS'] = '*7 800% Distant, *2 Centered' },
					{ ['BEAT'] = 251.00, ['MODS'] = '*7 No Mini' },
					{ ['BEAT'] = 250.00, ['MODS'] = '*7 200% Mini' },
					{ ['BEAT'] = 249.00, ['MODS'] = '*8 No Hallway, *2 No Centered' },
					{ ['BEAT'] = 248.00, ['MODS'] = '*8 500% Hallway, *2 -100% Centered' },
					{ ['BEAT'] = 247.50, ['MODS'] = '*1024 550% Beat, *1.5 85% Bumpy' },
					{ ['BEAT'] = 246.50, ['MODS'] = '*3 No Mini, *1.5 No Flip' },
					{ ['BEAT'] = 245.50, ['MODS'] = '*6 -200% Mini, *3 Flip' },
					{ ['BEAT'] = 245.00, ['MODS'] = '*2 Mini, *2 -100% Flip' },
					{ ['BEAT'] = 245.00, ['MODS'] = '*1024 No Blind' },
					{ ['BEAT'] = 244.25, ['MODS'] = '*3 No Mini, *0.5 No Flip' },
					{ ['BEAT'] = 244.00, ['MODS'] = '*4 -200% Mini, *0.5 Flip' },
					{ ['BEAT'] = 238.76, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 238.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 237.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 237.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 230.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 230.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 229.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 229.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 222.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 222.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 221.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 221.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 216.00, ['MODS'] = '*1024 No Mini, *1024 No Stealth, *1024 No Dark, *1024 No Flip, *1024 2.5x' },
					{ ['BEAT'] = 216.00, ['MODS'] = '*1024 Blind' },
					{ ['BEAT'] = 208.00, ['MODS'] = '*12 128x, *3 No Stealth, Dark, *4 No Brake, *0.1 Flip, -1000% Mini' },
					{ ['BEAT'] = 206.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 206.00, ['MODS'] = '*1024 No Invert, *1024 15% Flip' },
					{ ['BEAT'] = 205.50, ['MODS'] = '*1024 -900% Beat' },
					{ ['BEAT'] = 204.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 204.00, ['MODS'] = '*1024 55% Invert, *1024 65% Flip' },
					{ ['BEAT'] = 203.50, ['MODS'] = '*1024 900% Beat' },
					{ ['BEAT'] = 202.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 202.00, ['MODS'] = '*1024 No Invert' },
					{ ['BEAT'] = 201.50, ['MODS'] = '*1024 -900% Beat' },
					{ ['BEAT'] = 200.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 200.00, ['MODS'] = '*1024 75% Invert' },
					{ ['BEAT'] = 199.50, ['MODS'] = '*1024 900% Beat' },
					{ ['BEAT'] = 197.00, ['MODS'] = '80% Brake, *0.75 -100% Mini, *0.25 15% Flip, *1.5 65% Stealth' },
					{ ['BEAT'] = 192.25, ['MODS'] = '*3.5 No Dizzy' },
					{ ['BEAT'] = 192.00, ['MODS'] = '*64 800% Dizzy' },
					{ ['BEAT'] = 192.00, ['MODS'] = '*0.1 No Flip, *0.5 No Mini, *0.5 No Stealth, *3.5 No Dizzy' },
					{ ['BEAT'] = 190.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 190.00, ['MODS'] = '*1024 No Invert, *1024 15% Flip' },
					{ ['BEAT'] = 189.50, ['MODS'] = '*1024 -900% Beat' },
					{ ['BEAT'] = 188.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 188.00, ['MODS'] = '*1024 55% Invert, *1024 65% Flip' },
					{ ['BEAT'] = 187.50, ['MODS'] = '*1024 900% Beat' },
					{ ['BEAT'] = 186.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 186.00, ['MODS'] = '*1024 No Invert' },
					{ ['BEAT'] = 185.50, ['MODS'] = '*1024 -900% Beat' },
					{ ['BEAT'] = 184.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 184.00, ['MODS'] = '*1024 75% Invert' },
					{ ['BEAT'] = 183.50, ['MODS'] = '*1024 900% Beat' },
					{ ['BEAT'] = 181.00, ['MODS'] = '80% Brake, *0.75 -100% Mini, *0.25 15% Flip, *1.5 65% Stealth' },
					{ ['BEAT'] = 181.00, ['MODS'] = '*6 No Space' },
					{ ['BEAT'] = 180.00, ['MODS'] = '*6 -300% Space' },
					{ ['BEAT'] = 179.00, ['MODS'] = '*6 No Distant' },
					{ ['BEAT'] = 178.00, ['MODS'] = '*6 300% Distant' },
					{ ['BEAT'] = 177.00, ['MODS'] = '*6 No Hallway' },
					{ ['BEAT'] = 176.00, ['MODS'] = '*6 300% Hallway' },
					{ ['BEAT'] = 175.00, ['MODS'] = '*6 No Incoming' },
					{ ['BEAT'] = 174.00, ['MODS'] = '*6 -300% Incoming' },
					{ ['BEAT'] = 173.00, ['MODS'] = '*6 No Space' },
					{ ['BEAT'] = 172.00, ['MODS'] = '*6 300% Space' },
					{ ['BEAT'] = 171.00, ['MODS'] = '*6 No Distant' },
					{ ['BEAT'] = 170.00, ['MODS'] = '*6 -300% Distant' },
					{ ['BEAT'] = 169.00, ['MODS'] = '*6 No Hallway' },
					{ ['BEAT'] = 168.00, ['MODS'] = '*6 -300% Hallway' },
					{ ['BEAT'] = 164.00, ['MODS'] = '*1.65 No Hallway, No Boost' },
					{ ['BEAT'] = 160.00, ['MODS'] = '*1.65 400% Hallway, *1.25 -200% Boost' },
					{ ['BEAT'] = 159.00, ['MODS'] = '*6 No Incoming' },
					{ ['BEAT'] = 158.00, ['MODS'] = '*6 300% Incoming' },
					{ ['BEAT'] = 157.00, ['MODS'] = '*6 No Space' },
					{ ['BEAT'] = 156.00, ['MODS'] = '*6 -300% Space' },
					{ ['BEAT'] = 155.00, ['MODS'] = '*6 No Distant' },
					{ ['BEAT'] = 154.00, ['MODS'] = '*6 300% Distant' },
					{ ['BEAT'] = 153.00, ['MODS'] = '*6 No Hallway' },
					{ ['BEAT'] = 152.00, ['MODS'] = '*6 300% Hallway' },
					{ ['BEAT'] = 148.00, ['MODS'] = '*1.65 No Distant, No Boost' },
					{ ['BEAT'] = 144.00, ['MODS'] = '*1.65 400% Distant, *1.25 -200% Boost' },
					{ ['BEAT'] = 144.00, ['MODS'] = '*1024 No Blind' },
					{ ['BEAT'] = 143.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 143.00, ['MODS'] = 'No Wave, No Dizzy, *6 No Dark, *2 No Mini, *2 No Flip, *2 No Boost' },
					{ ['BEAT'] = 127.00, ['MODS'] = '*1024 Blind' },
					{ ['BEAT'] = 127.00, ['MODS'] = '90% Wave, 35% Dizzy, *6 Dark, *2.5 90% Mini, *2 -30% Flip, *2 Boost, *12 250% Beat' },
					{ ['BEAT'] = 127.00, ['MODS'] = '*6.75 No Distant' },
					{ ['BEAT'] = 127.00, ['MODS'] = '*3.5 No Tipsy' },
					{ ['BEAT'] = 126.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 126.00, ['MODS'] = '*6.75 400% Distant' },
					{ ['BEAT'] = 125.50, ['MODS'] = '*1024 -950% Beat' },
					{ ['BEAT'] = 125.00, ['MODS'] = '*9.5 No Hallway' },
					{ ['BEAT'] = 124.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 124.00, ['MODS'] = '*9.5 400% Hallway' },
					{ ['BEAT'] = 123.50, ['MODS'] = '*1024 -950% Beat' },
					{ ['BEAT'] = 123.00, ['MODS'] = '*4.5 No Distant, *1.75 No Brake' },
					{ ['BEAT'] = 122.00, ['MODS'] = '*4.5 250% Distant, *1.75 150% Brake' },
					{ ['BEAT'] = 121.00, ['MODS'] = '*4.5 No Hallway, *1.75 No Brake' },
					{ ['BEAT'] = 120.00, ['MODS'] = '*4.5 250% Hallway, *1.75 150% Brake' },
					{ ['BEAT'] = 119.00, ['MODS'] = '*4.5 No Distant, *1.75 No Brake' },
					{ ['BEAT'] = 118.00, ['MODS'] = '*4.5 250% Distant, *1.75 150% Brake' },
					{ ['BEAT'] = 117.00, ['MODS'] = '*4.5 No Hallway, *1.75 No Brake' },
					{ ['BEAT'] = 116.00, ['MODS'] = '*4.5 250% Hallway, *1.75 150% Brake' },
					{ ['BEAT'] = 115.00, ['MODS'] = '*4.5 No Distant, *1.75 No Brake' },
					{ ['BEAT'] = 114.00, ['MODS'] = '*4.5 250% Distant, *1.75 150% Brake' },
					{ ['BEAT'] = 113.00, ['MODS'] = '*4.5 No Hallway, *1.75 No Brake' },
					{ ['BEAT'] = 112.00, ['MODS'] = '*4.5 250% Hallway, *1.75 150% Brake' },
					{ ['BEAT'] = 111.00, ['MODS'] = '*4.5 No Distant, *1.75 No Brake' },
					{ ['BEAT'] = 110.00, ['MODS'] = '*4.5 250% Distant, *1.75 150% Brake' },
					{ ['BEAT'] = 109.00, ['MODS'] = '*4.5 No Hallway, *1.75 No Brake' },
					{ ['BEAT'] = 108.00, ['MODS'] = '*4.5 250% Hallway, *1.75 150% Brake' },
					{ ['BEAT'] = 107.00, ['MODS'] = '*4.5 No Distant, *1.75 No Brake' },
					{ ['BEAT'] = 106.00, ['MODS'] = '*4.5 250% Distant, *1.75 150% Brake' },
					{ ['BEAT'] = 105.00, ['MODS'] = '*4.5 No Hallway, *1.75 No Brake' },
					{ ['BEAT'] = 104.00, ['MODS'] = '*4.5 250% Hallway, *1.75 150% Brake' },
					{ ['BEAT'] = 103.00, ['MODS'] = '*4.5 No Distant, *1.75 No Brake' },
					{ ['BEAT'] = 102.00, ['MODS'] = '*4.5 250% Distant, *1.75 150% Brake' },
					{ ['BEAT'] = 101.00, ['MODS'] = '*4.5 No Hallway, *1.75 No Brake' },
					{ ['BEAT'] = 100.00, ['MODS'] = '*4.5 250% Hallway, *1.75 150% Brake' },
					{ ['BEAT'] = 99.00, ['MODS'] = '*4.5 No Distant, *1.75 No Brake' },
					{ ['BEAT'] = 98.00, ['MODS'] = '*4.5 250% Distant, *1.75 150% Brake' },
					{ ['BEAT'] = 97.00, ['MODS'] = '*4.5 No Hallway, *1.75 No Brake' },
					{ ['BEAT'] = 96.00, ['MODS'] = '*4.5 250% Hallway, *1.75 150% Brake' },
					{ ['BEAT'] = 96.00, ['MODS'] = '*3.5 160% Tipsy' },
					{ ['BEAT'] = 95.00, ['MODS'] = '*7.75 No Distant' },
					{ ['BEAT'] = 94.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 94.00, ['MODS'] = '*7.75 255% Distant' },
					{ ['BEAT'] = 93.50, ['MODS'] = '*1024 -950% Beat' },
					{ ['BEAT'] = 93.00, ['MODS'] = '*7.75 No Hallway' },
					{ ['BEAT'] = 92.50, ['MODS'] = '*1024 No Beat' },
					{ ['BEAT'] = 92.00, ['MODS'] = '*7.75 255% Hallway' },
					{ ['BEAT'] = 91.50, ['MODS'] = '*1024 -950% Beat' },
					{ ['BEAT'] = 91.00, ['MODS'] = '*3 No Hallway' },
					{ ['BEAT'] = 90.00, ['MODS'] = '*3 200% Hallway' },
					{ ['BEAT'] = 89.00, ['MODS'] = '*3 No Hallway' },
					{ ['BEAT'] = 88.00, ['MODS'] = '*3 200% Hallway' },
					{ ['BEAT'] = 87.00, ['MODS'] = '*3 No Hallway' },
					{ ['BEAT'] = 86.00, ['MODS'] = '*3 200% Hallway' },
					{ ['BEAT'] = 85.00, ['MODS'] = '*3 No Hallway' },
					{ ['BEAT'] = 84.00, ['MODS'] = '*3 200% Hallway' },
					{ ['BEAT'] = 83.00, ['MODS'] = '*3 No Hallway' },
					{ ['BEAT'] = 82.00, ['MODS'] = '*3 200% Hallway' },
					{ ['BEAT'] = 81.00, ['MODS'] = '*3 No Hallway' },
					{ ['BEAT'] = 80.00, ['MODS'] = '*3 200% Hallway' },
					{ ['BEAT'] = 79.00, ['MODS'] = '*3 No Space' },
					{ ['BEAT'] = 78.00, ['MODS'] = '*3 -200% Space' },
					{ ['BEAT'] = 77.00, ['MODS'] = '*3 No Space' },
					{ ['BEAT'] = 76.00, ['MODS'] = '*3 -200% Space' },
					{ ['BEAT'] = 75.00, ['MODS'] = '*3 No Space' },
					{ ['BEAT'] = 74.00, ['MODS'] = '*3 -200% Space' },
					{ ['BEAT'] = 73.00, ['MODS'] = '*3 No Space' },
					{ ['BEAT'] = 72.00, ['MODS'] = '*3 -200% Space' },
					{ ['BEAT'] = 71.00, ['MODS'] = '*3 No Incoming' },
					{ ['BEAT'] = 70.00, ['MODS'] = '*3 200% Incoming' },
					{ ['BEAT'] = 69.00, ['MODS'] = '*3 No Incoming' },
					{ ['BEAT'] = 68.00, ['MODS'] = '*3 200% Incoming' },
					{ ['BEAT'] = 67.00, ['MODS'] = '*3 No Incoming' },
					{ ['BEAT'] = 66.00, ['MODS'] = '*3 200% Incoming' },
					{ ['BEAT'] = 65.00, ['MODS'] = '*3 No Incoming' },
					{ ['BEAT'] = 64.00, ['MODS'] = '*3 200% Incoming' },
					{ ['BEAT'] = 64.00, ['MODS'] = '*2.5 65% Tipsy' },
					{ ['BEAT'] = 63.50, ['MODS'] = '*1024 -125% Beat' },
					{ ['BEAT'] = 63.00, ['MODS'] = '*4 No Distant' },
					{ ['BEAT'] = 62.00, ['MODS'] = '*4 200% Distant' },
					{ ['BEAT'] = 61.00, ['MODS'] = '*4 No Hallway' },
					{ ['BEAT'] = 60.00, ['MODS'] = '*4 200% Hallway, *1.75 No Mini, *1.8 No Flip' },
					{ ['BEAT'] = 59.00, ['MODS'] = '*4 No Distant, *1.75 Mini, *1.5 -100% Flip' },
					{ ['BEAT'] = 58.00, ['MODS'] = '*4 200% Distant, *1.75 No Flip' },
					{ ['BEAT'] = 57.00, ['MODS'] = '*4 No Hallway, *1.75 Flip' },
					{ ['BEAT'] = 56.00, ['MODS'] = '*4 200% Hallway' },
					{ ['BEAT'] = 55.00, ['MODS'] = '*4 No Distant' },
					{ ['BEAT'] = 54.00, ['MODS'] = '*4 200% Distant' },
					{ ['BEAT'] = 53.00, ['MODS'] = '*4 No Hallway' },
					{ ['BEAT'] = 52.00, ['MODS'] = '*4 200% Hallway, *1.75 No Mini, *1.8 No Flip' },
					{ ['BEAT'] = 51.00, ['MODS'] = '*4 No Distant, *1.75 Mini, *1.5 -100% Flip' },
					{ ['BEAT'] = 50.00, ['MODS'] = '*4 200% Distant, *1.75 No Flip' },
					{ ['BEAT'] = 49.00, ['MODS'] = '*4 No Hallway, *1.75 Flip' },
					{ ['BEAT'] = 48.00, ['MODS'] = '*4 200% Hallway' },
					{ ['BEAT'] = 47.00, ['MODS'] = '*4 No Distant' },
					{ ['BEAT'] = 46.00, ['MODS'] = '*4 200% Distant' },
					{ ['BEAT'] = 45.00, ['MODS'] = '*4 No Hallway' },
					{ ['BEAT'] = 44.00, ['MODS'] = '*4 200% Hallway, *1.75 No Mini, *1.8 No Flip' },
					{ ['BEAT'] = 43.00, ['MODS'] = '*4 No Distant, *1.75 Mini, *1.5 -100% Flip' },
					{ ['BEAT'] = 42.00, ['MODS'] = '*4 200% Distant, *1.75 No Flip' },
					{ ['BEAT'] = 41.00, ['MODS'] = '*4 No Hallway, *1.75 Flip' },
					{ ['BEAT'] = 40.00, ['MODS'] = '*4 200% Hallway' },
					{ ['BEAT'] = 39.00, ['MODS'] = '*4 No Distant' },
					{ ['BEAT'] = 38.00, ['MODS'] = '*4 200% Distant' },
					{ ['BEAT'] = 37.00, ['MODS'] = '*4 No Hallway' },
					{ ['BEAT'] = 36.00, ['MODS'] = '*4 200% Hallway, *1.75 No Mini, *1.8 No Flip' },
					{ ['BEAT'] = 35.00, ['MODS'] = '*4 No Distant, *1.75 Mini, *1.5 -100% Flip' },
					{ ['BEAT'] = 34.00, ['MODS'] = '*4 200% Distant, *1.75 No Flip' },
					{ ['BEAT'] = 33.00, ['MODS'] = '*4 No Hallway, *1.75 Flip' },
					{ ['BEAT'] = 32.00, ['MODS'] = '*4 200% Hallway' },
					{ ['BEAT'] = 30.50, ['MODS'] = '*3 No Mini, *1.5 No Flip' },
					{ ['BEAT'] = 29.50, ['MODS'] = '*6 -200% Mini, *3 Flip' },
					{ ['BEAT'] = 29.00, ['MODS'] = '*2 Mini, *2 -100% Flip' },
					{ ['BEAT'] = 28.25, ['MODS'] = '*3 No Mini, *0.5 No Flip' },
					{ ['BEAT'] = 28.00, ['MODS'] = '*4 -200% Mini, *0.5 Flip' },
					{ ['BEAT'] = 22.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 22.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 21.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 21.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 14.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 14.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 13.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 13.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 6.75, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 6.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 5.85, ['MODS'] = '*4 No Mini, No Flip' },
					{ ['BEAT'] = 5.50, ['MODS'] = '*4 -200% Mini, Flip' },
					{ ['BEAT'] = 0.02, ['MODS'] = '*1024 No Blind, *1024 No Dark, *1024 No Stealth' },
					{ ['BEAT'] = -13.00, ['MODS'] = '*1024 Blind, *1024 Dark, *1024 Stealth, Overhead' },
				}
				
				ttlo.beats_table_n = table.getn(ttlo.beats_table)
				
				self:queuecommand('ModsLoop')
			end,
    },
    Def.Quad{
      Name= "xtl_actor_jok",
    OnCommand= cmd(diffusealpha,0;sleep,9999),
    },
  },
}