local xtl_cond_rhk_result= (GAMESTATE:IsPlayerEnabled(0))

local xtl_cond_shk_result= (GAMESTATE:IsPlayerEnabled(1))

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_thk",
  Def.ActorFrame{
    Name= "xtl_actor_uhk",
    Def.Quad{
      Name= "xtl_actor_vhk",
    InitCommand= cmd(visible,true),
    OnCommand= cmd(sleep,1000),
    },
    Def.ActorFrame{
      Name= "xtl_actor_whk",
      Def.BitmapText{
        Name= "xtl_actor_xhk",
      Font= ""_eurostile normal",",
      OnCommand= cmd(hibernate,96.052;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,4;rainbow;sleep,30;diffusealpha,0),
      Text= "SUBTLE::GIMMICKS,",
      },
      Def.BitmapText{
        Name= "xtl_actor_yhk",
      Font= ""_eurostile normal",",
      OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-210;shadowlength,0;zoom,0.5;sleep,300;diffusealpha,0),
      Text= "Press &START; to put some grapes in the oven.,",
      },
      Def.Quad{
        Name= "xtl_actor_zhk",
      OnCommand= cmd(hibernate,138.909;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;ZoomToHeight,SCREEN_HEIGHT;ZoomToWidth,SCREEN_WIDTH;rainbow;diffusealpha,0.5;sleep,3.429;diffusealpha,0),
      },
      optional_actor(xtl_cond_rhk_result,
      Def.Sprite{
        Name= "xtl_actor_aik",
      OnCommand= cmd(x,SCREEN_CENTER_X-160;y,SCREEN_CENTER_Y;linear,1;addx,-350;rotationz,-720;sleep,0.001;diffusealpha,0),
      Texture= "egg.png",
      }),
      optional_actor(xtl_cond_shk_result,
      Def.Sprite{
        Name= "xtl_actor_bik",
      OnCommand= cmd(x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;linear,1;addx,+350;rotationz,720;sleep,0.001;diffusealpha,0),
      Texture= "egg.png",
      }),
      optional_actor(xtl_cond_rhk_result,
      Def.Sprite{
        Name= "xtl_actor_cik",
      OnCommand= cmd(hibernate,137.195;x,SCREEN_CENTER_X-160;y,SCREEN_CENTER_Y;vibrate;zoom,0;linear,1;zoom,3;linear,0.5;zoom,5;diffusealpha,0),
      Texture= "peanutvader.png",
      }),
      optional_actor(xtl_cond_shk_result,
      Def.Sprite{
        Name= "xtl_actor_dik",
      OnCommand= cmd(hibernate,137.195;x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;vibrate;zoom,0;linear,1;zoom,3;linear,0.5;zoom,5;diffusealpha,0),
      Texture= "peanutvader.png",
      }),
      optional_actor(xtl_cond_rhk_result,
      Def.Sprite{
        Name= "xtl_actor_eik",
      OnCommand= cmd(hibernate,138.909;x,SCREEN_CENTER_X-160;y,SCREEN_CENTER_Y;pulse;effectclock,bgm;effectperiod,1;effectmagnitude,1,0,1;linear,3.419;rotationz,1800;sleep,0.001;diffusealpha,0),
      Texture= "chrismarks.png",
      }),
      optional_actor(xtl_cond_shk_result,
      Def.Sprite{
        Name= "xtl_actor_fik",
      OnCommand= cmd(hibernate,138.909;x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;pulse;effectclock,bgm;effectperiod,1;effectmagnitude,1,0,1;linear,3.419;rotationz,1800;sleep,0.001;diffusealpha,0),
      Texture= "chrismarks.png",
      }),
    },
    Def.ActorFrame{
      Name= "xtl_actor_gik",
      Def.Quad{
        Name= "xtl_actor_hik",
      InitCommand= cmd(visible,true),
      OnCommand= function(self)
			blahP1Position = '0';
			blahP2Position = '0';
			blahP1FieldPosition = '0';
			blahP2FieldPosition = '0';
		end,
      },
      Def.Quad{
        Name= "xtl_actor_iik",
      InitCommand= cmd(visible,true),
      StepP1MessageCommand= function(self)
			if ((GAMESTATE:GetSongBeat() > 344 and GAMESTATE:GetSongBeat() < 376)) then
				if (blahP1FieldPosition == '1') then
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1.1);
					blahP1FieldPosition = '0';
				else
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(0.3);
					blahP1FieldPosition = '1';
				end
			else
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stoptweening();
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(0.1);
				SCREENMAN:GetTopScreen():GetChild('PlayerP1'):zoom(1);
			end
		end,
      },
      Def.Quad{
        Name= "xtl_actor_jik",
      InitCommand= cmd(visible,true),
      StepP2MessageCommand= function(self)
			if ((GAMESTATE:GetSongBeat() > 344 and GAMESTATE:GetSongBeat() < 376)) then
				if (blahP1FieldPosition == '1') then
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1.1);
					blahP2FieldPosition = '0';
				else
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stoptweening();
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.2);
					SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(0.3);
					blahP2FieldPosition = '1';
				end
			else
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stoptweening();
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):decelerate(0.1);
				SCREENMAN:GetTopScreen():GetChild('PlayerP2'):zoom(1);
			end
		end,
      },
      Def.Quad{
        Name= "xtl_actor_kik",
      InitCommand= cmd(visible,true),
      OnCommand= function(self)
				fgcurcommand = 1;
				messageinc = 1;
				ispressed = 0;
				multi = 8;
				curvalue = 100;

			curmod = 1;
			--{beat,mod,player}
			mods = {
			{0,'*1 3x,*10000 -100% cover'},
			{34,'*10000 1x'},
			{164,'*10000 beat,*0.1 200% hallway,*0.05 -50% mini'},
			{192,'*10 mini,*10000 no beat,*10000 no hallway'},
			{192.5,'*10 no mini'},
			{192.75,'*10 mini'},
			{193,'*10 no mini'},
			{193.5,'*10 mini'},
			{193.75,'*10 no mini'},
			{194,'*10 mini'},
			{194.25,'*10 no mini'},
			{194.5,'*10 mini'},
			{194.75,'*10 no mini'},
			{195.000,'*10000 -130% mini'},
			{195.100,'*20 no mini'},
			{195.25,'*10000 -130% mini'},
			{195.35,'*20 no mini'},
			{195.5,'*10000 -130% mini'},
			{195.6,'*20 no mini'},
			{195.75,'*10000 -130% mini'},
			{195.85,'*20 no mini'},
			{196,'*10000 3x'},
			{228,'*20 200% tornado,*20 500% drunk'},
			{229,'*20 no tornado,*20 no drunk'},
			{231,'*10000 200% mini'},
			{231.050,'*8 no mini'},
			{231.5,'*10000 200% mini'},
			{231.550,'*8 no mini'},
			{232,'*10000 200% mini'},
			{232.050,'*4 no mini'},
			{236,'*20 200% tornado,*20 500% drunk'},
			{237,'*20 no tornado,*20 no drunk'},
			{239,'*10000 200% mini'},
			{239.050,'*8 no mini'},
			{239.5,'*10000 200% mini'},
			{239.550,'*8 no mini'},
			{240,'*10000 200% mini'},
			{240.050,'*4 no mini'},
			{247,'*10000 200% mini'},
			{247.050,'*8 no mini'},
			{247.5,'*10000 200% mini'},
			{247.550,'*8 no mini'},
			{248,'*10000 200% mini'},
			{248.050,'*4 no mini'},
			{252,'*10000 0.05x,*10000 c5000,*10000 4000% wave'},
			{260,'*10000 3x,*10000 no wave,*20 200% tornado,*20 500% drunk'},
			{261,'*20 no tornado,*20 no drunk'},
			{280,'*1.4 200% reverse'},
			{284,'*10000 no reverse'},
			{292.000,'*10 200% mini'},
			{292.750,'*10000 no mini'},
			{292.850,'*10 200% mini'},
			{293.50,'*10000 no mini'},
			{293.60,'*10 200% mini'},
			{294.250,'*10000 no mini,*5 50% flip'},
			{294.500,'*5 no flip'},
			{294.750,'*5 50% flip'},
			{295.000,'*5 no flip'},
			{295.250,'*10 100% flip'},
			{295.50,'*10 no flip'},
			{296.000,'*5 stealth'},
			{296.500,'*10 no stealth'},
			{296.625,'*10 stealth'},
			{296.750,'*10 no stealth'},
			{296.875,'*10 stealth'},
			{297.000,'*10000 no stealth'},
			{297.250,'*10 200% mini'},
			{297.500,'*10 no mini'},
			{297.750,'*10 200% mini'},
			{298.000,'*10 -100% mini,*3 dark'},
			{316.000,'*3 no dark,*10000 no mini'},
			}
				self:queuecommand('Update');
				song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
				path = song:GetSongDir();
			end,
      StepP1MessageCommand= function()
		
			curvalue = curvalue + multi;
			
				if GAMESTATE:GetSongBeat()>=0 and GAMESTATE:GetSongBeat()<=196 then
					GAMESTATE:ApplyGameCommand('mod,*2 C'..tostring(curvalue)..'',1);
						if curvalue >= 600 or curvalue <= 50 then
							multi = multi *-1;
						end
					end
				end,
      StepP2MessageCommand= function()
		
			curvalue = curvalue + multi;
			
				if GAMESTATE:GetSongBeat()>=0 and GAMESTATE:GetSongBeat()<=196 then
					GAMESTATE:ApplyGameCommand('mod,*2 C'..tostring(curvalue)..'',2);
						if curvalue >= 600 or curvalue <= 50 then
							multi = multi *-1;
						end
					end
				end,
      Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
      UpdateCommand= function(self)

			if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
				if mods[curmod] ~= nil then
					if table.getn(mods[curmod]) == 3 then
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3]);
					else
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2]);
					end
					curmod = curmod+1;
				end
			end

			if GAMESTATE:GetSongBeat()>= messageinc*16 then
				local r = math.ceil(math.random(0,11));
				local s = '';
				
				if r == 0 then s = 'nakkila';
					elseif r == 1 then s = 'I,m have = passipoliisi';
					elseif r == 2 then s = 'zerotuxzerotuxzerotuxzerotuxzerotuxzerotuxzerotuxzerotux';
					elseif r == 3 then s = 'good gimmick i liked';
					elseif r == 4 then s = 'WELP';
					elseif r == 5 then s = 'CHRISMARKS.PNG';
					elseif r == 6 then s = '#420yoloswagblazeit';
					elseif r == 7 then s = 'i fixed the explosions';
					elseif r == 8 then s = 'NOPE. I\'M OUT.';
					elseif r == 9 then s = 'Good luck Cameron';
					elseif r == 10 then s = '5 SERIES';
					elseif r == 11 then s = 'goog wii games';
					
				end

			
				SCREENMAN:SystemMessage(s);
			
				messageinc = messageinc + 1;
			end

			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
			
				--textcheck = SCREENMAN:GetTopScreen():GetChild('Debug'):GetText();
				SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(1);
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):GetChild(''):Load(path..'gay/swag2 label 2x6.png');
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):GetChild(''):Load(path..'gay/swag2 label 2x6.png');
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=36 and fgcurcommand == 2 then
			
			
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):x(SCREEN_CENTER_X);
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):y(SCREEN_CENTER_Y);
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):spin();
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):effectmagnitude(0,0,-222);
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):effectmagnitude(20,20,0);
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):spin();
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):effectmagnitude(0,0,-999);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):bob();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):effectperiod(4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):effectmagnitude(0,160,0);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):effectmagnitude(20,20,0);
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):spin();
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):effectmagnitude(0,0,999);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):bob();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):effectperiod(4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):effectmagnitude(0,160,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=66 and fgcurcommand == 3 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(110,110,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(110,110,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=66.5 and fgcurcommand == 4 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(90,90,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(90,90,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=67 and fgcurcommand == 5 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(70,70,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(70,70,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=67.5 and fgcurcommand == 6 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(50,50,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(50,50,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=68 and fgcurcommand == 7 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=68.5 and fgcurcommand == 8 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(10,10,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(10,10,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=69 and fgcurcommand == 9 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=98 and fgcurcommand == 10 then
			
				SCREENMAN:GetTopScreen():decelerate(0.5);
				SCREENMAN:GetTopScreen():rotationz(720);
				SCREENMAN:GetTopScreen():sleep(0.001);
				SCREENMAN:GetTopScreen():rotationz(0);


					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=162 and fgcurcommand == 11 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(110,110,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(110,110,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=162.5 and fgcurcommand == 12 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(90,90,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(90,90,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=163 and fgcurcommand == 13 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(70,70,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(70,70,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=163.5 and fgcurcommand == 14 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(50,50,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(50,50,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=164 and fgcurcommand == 15 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(30,30,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=164.5 and fgcurcommand == 16 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(10,10,0);

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(10,10,0);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=165 and fgcurcommand == 17 then
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();

					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=196 and fgcurcommand == 18 then
			
				SCREENMAN:GetTopScreen():GetChild('Overlay'):stopeffect();
				SCREENMAN:GetTopScreen():GetChild('Overlay'):rotationz(0);
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):stopeffect();
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):rotationz(0);
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):addx(-SCREEN_CENTER_X);
				SCREENMAN:GetTopScreen():GetChild('SongBackground'):addy(-SCREEN_CENTER_Y);
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):rotationz(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):stopeffect();
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):stopeffect();
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):rotationz(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):stopeffect();
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=228 and fgcurcommand == 19 then
			
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,45);
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag();
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(4);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,45);
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=280 and fgcurcommand == 20 then
			
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
								-- GREEN BUTTON CHECK --
if textcheck and textcheck ~= SCREENMAN:GetTopScreen():GetChild('Debug'):GetText() and ispressed == 0 then
 ispressed = 1;
 SOUND:PlayOnce(path..'sounds/dragonshit.ogg');
 SCREENMAN:GetTopScreen():vibrate();
	SCREENMAN:GetTopScreen():effectmagnitude(50,50,0);
elseif textcheck and textcheck ~= SCREENMAN:GetTopScreen():GetChild('Debug'):GetText() and ispressed == 1 then
 ispressed = 0;
 SCREENMAN:GetTopScreen():stopeffect();
end
textcheck = SCREENMAN:GetTopScreen():GetChild('Debug'):GetText();
				
			self:queuecommand('Update2');
		end,
      },
    },
  },
}