local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_yus",
InitCommand= function(self)
    
    -- THANK YOU BASED WINDEU

    -- Returns Effective Speed Mod >= 1.0x
    -- REQUIRES SET BPM FOR CMOD CONVERSIONS
    function GetSpeedMod(pn)
      local bpm = 195;

      local s = SCREENMAN:GetTopScreen():GetChild('PlayerOptionsP'..pn):GetText();
      local f = string.find(s,'x,');
      local speed;
      
      if f then
        speed = tonumber(string.sub(s,1,f-1));
      elseif string.sub(s,1,1) == 'C' then
        local len = string.find(s,',')-1;
        speed = tonumber(string.sub(s,2,len))/bpm;
      else
        speed = 1;
      end
      
      if speed < 1 then speed = 1; end
      
      return speed;
    end

    -- Gets the Current Rate Mod
    function GetRateMod()
      local s = SCREENMAN:GetTopScreen():GetChild('SongOptions'):GetText();
      local fbegin = string.find(s,'.',1,true);
      local fend = string.find(s,'xMusic');
      if fbegin and fend then
        return tonumber(string.sub(s,fbegin-1,fend-1));
      else
        return 1.0;
      end
    end

    -- These functions don't seem to be explicitly defined in SM3.95 so we define them
    -- Let the user determine if actor is nil or not
    function GetRotationX(actor)
      local x, y, z = actor:getrotation();
      return x;
    end

    function GetRotationY(actor)
      local x, y, z = actor:getrotation();
      return y;
    end

    function GetRotationZ(actor)
      local x, y, z = actor:getrotation();
      return z;
    end

  end,
  Def.Quad{
    Name= "xtl_actor_zus",
  OnCommand= cmd(visible,0;sleep,130),
  },
}