local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_evs",
  Def.Quad{
    Name= "xtl_actor_fvs",
  OnCommand= cmd(visible,true;sleep,420),
  },
  Def.Quad{
    Name= "xtl_actor_gvs",
  EndCommand= function()
			if GAMESTATE:IsHumanPlayer(PLAYER_1) and GAMESTATE:IsHumanPlayer(PLAYER_2) then
				SCREENMAN:SetNewScreen(GetGameplayNextScreen());
			end
		end,
  InitCommand= cmd(visible,true;queuecommand,"Start";sleep,9.5;queuecommand,"Scream";sleep,5.5;queuecommand,"NoScope";queuecommand,"XRated";sleep,7.5;queuecommand,"NoScope";sleep,3.4;queuecommand,"End"),
  NoScopeCommand= function()
			path = GAMESTATE:GetCurrentSong():GetSongDir() .. '../King Cong/';
			SOUND:PlayOnce(path..'bye/noscoped.ogg');
		end,
  ScreamCommand= function()
			path = GAMESTATE:GetCurrentSong():GetSongDir() .. '../King Cong/';
			SOUND:PlayOnce(path..'bye/scream.ogg');
		end,
  StartCommand= function()
			path = GAMESTATE:GetCurrentSong():GetSongDir() .. '../King Cong/'; -- lmfao what am i doing
			SOUND:PlayOnce(path..'bye/wusses.ogg');
			SOUND:PlayOnce(path..'bye/black.ogg');
		end,
  XRatedCommand= function()
			path = GAMESTATE:GetCurrentSong():GetSongDir() .. '../King Cong/';
			SOUND:PlayOnce(path..'bye/xrated.ogg');
		end,
  },
  Def.BitmapText{
    Name= "xtl_actor_hvs",
  Font= "Common Normal,",
  OnCommand= cmd(x,SCREEN_CENTER_X+50;y,SCREEN_CENTER_Y;rainbow;effectperiod,0.15;zoom,0;decelerate,5;zoom,4.9;sleep,0;diffusealpha,0),
  Text= "LOLOLOLOL GET REKT #NOSCOPED,",
  },
  Def.BitmapText{
    Name= "xtl_actor_ivs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,4.5;sleep,2.5;diffusealpha,1;rotationz,45;sleep,0.5;rotationz,-45;sleep,0.5;rotationz,45;sleep,0.5;rotationz,-45;sleep,0.5;rotationz,45;sleep,0.5;rotationz,-45;sleep,0.5;diffusealpha,0),
  Text= "2 MLG 4 U,",
  },
  Def.Sprite{
    Name= "xtl_actor_jvs",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;x,SCREEN_CENTER_X + -220;y,SCREEN_CENTER_Y + -165;sleep,3.5;diffusealpha,1;rotationz,0;linear,3;rotationz,360*5;sleep,0;diffusealpha,0),
  Texture= "mlg",
  },
  Def.Sprite{
    Name= "xtl_actor_kvs",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;x,SCREEN_WIDTH-100;y,SCREEN_CENTER_Y + -165;sleep,3.5;diffusealpha,1;rotationz,90;linear,3;rotationz,360*-5.25;sleep,0;diffusealpha,0),
  Texture= "mlg",
  },
  Def.Sprite{
    Name= "xtl_actor_lvs",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;x,SCREEN_CENTER_X + -220;y,SCREEN_HEIGHT-75;sleep,3.5;diffusealpha,1;rotationz,180;linear,3;rotationz,360*-5.75;sleep,0;diffusealpha,0),
  Texture= "mlg",
  },
  Def.Sprite{
    Name= "xtl_actor_mvs",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;x,SCREEN_WIDTH-100;y,SCREEN_HEIGHT-75;sleep,3.5;diffusealpha,1;rotationz,270;linear,3;rotationz,360*6;sleep,0;diffusealpha,0),
  Texture= "mlg",
  },
  Def.BitmapText{
    Name= "xtl_actor_nvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0;sleep,4.5;diffusealpha,1;rainbow;effectperiod,0.35;linear,3;rotationz,360*8;zoom,10;sleep,0;diffusealpha,0),
  Text= "FOOTSPEED,",
  },
  Def.Sprite{
    Name= "xtl_actor_ovs",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_HEIGHT/3;zoom,0.33;sleep,5;diffusealpha,1;vibrate;effectmagnitude,30,30,30;linear,2;zoom,0.5;sleep,0;diffusealpha,0),
  Texture= "doritos",
  },
  Def.Sprite{
    Name= "xtl_actor_pvs",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*2/3;zoom,0.33;sleep,5.5;diffusealpha,1;vibrate;effectmagnitude,30,30,30;linear,1.6;zoom,0.7;sleep,0;diffusealpha,0),
  Texture= "dew",
  },
  Def.BitmapText{
    Name= "xtl_actor_qvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X-50;y,SCREEN_HEIGHT+150;zoom,1.5;sleep,7;diffusealpha,1;rainbow;effectperiod,3;rotationz,10;linear,0.9;y,SCREEN_CENTER_Y + -390;x,SCREEN_CENTER_X+50;sleep,0;diffusealpha,0),
  Text= "xX_AsianDDRMaster420_Xx,",
  },
  Def.BitmapText{
    Name= "xtl_actor_rvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X+250;y,SCREEN_CENTER_Y+50;zoom,1.5;sleep,7.5;diffusealpha,1;rainbow;effectperiod,3;rotationz,-4;linear,1.1;y,SCREEN_CENTER_Y-50;x,SCREEN_CENTER_X + -620;rotationz,-20;sleep,0;diffusealpha,0),
  Text= "SKILL LEVEL: ASIAN!!!1,",
  },
  Def.Sprite{
    Name= "xtl_actor_svs",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
      {Frame= 4, Delay= 0.05},
      {Frame= 5, Delay= 0.05},
      {Frame= 6, Delay= 0.05},
      {Frame= 7, Delay= 0.05},
      {Frame= 8, Delay= 0.05},
      {Frame= 9, Delay= 0.05},
      {Frame= 10, Delay= 0.05},
      {Frame= 11, Delay= 0.05},
      {Frame= 12, Delay= 0.05},
      {Frame= 13, Delay= 0.05},
      {Frame= 14, Delay= 0.05},
      {Frame= 15, Delay= 0.05},
      {Frame= 16, Delay= 0.05},
      {Frame= 17, Delay= 0.05},
      {Frame= 18, Delay= 0.05},
      {Frame= 19, Delay= 0.05},
      {Frame= 20, Delay= 0.05},
      {Frame= 21, Delay= 0.05},
      {Frame= 22, Delay= 0.05},
      {Frame= 23, Delay= 0.05},
      {Frame= 24, Delay= 0.05},
      {Frame= 25, Delay= 0.05},
      {Frame= 26, Delay= 0.05},
      {Frame= 27, Delay= 0.05},
      {Frame= 28, Delay= 0.05},
      {Frame= 29, Delay= 0.05},
      {Frame= 30, Delay= 0.05},
      {Frame= 31, Delay= 0.05},
      {Frame= 32, Delay= 0.05},
  },
  OnCommand= cmd(diffusealpha,0;zoom,1;x,SCREEN_WIDTH+480/2*1;y,SCREEN_HEIGHT-214/2*1;sleep,7;diffusealpha,1;linear,4;x,SCREEN_CENTER_X + -320;sleep,0;diffusealpha,0),
  Texture= "./snoop 33x1.png",
  },
  Def.Sprite{
    Name= "xtl_actor_tvs",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
      {Frame= 4, Delay= 0.05},
      {Frame= 5, Delay= 0.05},
      {Frame= 6, Delay= 0.05},
      {Frame= 7, Delay= 0.05},
      {Frame= 8, Delay= 0.05},
      {Frame= 9, Delay= 0.05},
      {Frame= 10, Delay= 0.05},
      {Frame= 11, Delay= 0.05},
      {Frame= 12, Delay= 0.05},
      {Frame= 13, Delay= 0.05},
      {Frame= 14, Delay= 0.05},
      {Frame= 15, Delay= 0.05},
      {Frame= 16, Delay= 0.05},
      {Frame= 17, Delay= 0.05},
      {Frame= 18, Delay= 0.05},
      {Frame= 19, Delay= 0.05},
      {Frame= 20, Delay= 0.05},
      {Frame= 21, Delay= 0.05},
      {Frame= 22, Delay= 0.05},
      {Frame= 23, Delay= 0.05},
      {Frame= 24, Delay= 0.05},
      {Frame= 25, Delay= 0.05},
      {Frame= 26, Delay= 0.05},
      {Frame= 27, Delay= 0.05},
      {Frame= 28, Delay= 0.05},
      {Frame= 29, Delay= 0.05},
      {Frame= 30, Delay= 0.05},
      {Frame= 31, Delay= 0.05},
      {Frame= 32, Delay= 0.05},
  },
  OnCommand= cmd(diffusealpha,0;zoom,1;zoomx,-1;x,SCREEN_CENTER_X + -320;y,SCREEN_HEIGHT-214/2*1;sleep,7;diffusealpha,1;linear,4;x,SCREEN_WIDTH+480/2*1;sleep,0;diffusealpha,0),
  Texture= "./snoop 33x1.png",
  },
  Def.BitmapText{
    Name= "xtl_actor_uvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,9.5;sleep,7.5;diffusealpha,1;sleep,0.5;diffusealpha,0),
  Text= "2,",
  },
  Def.BitmapText{
    Name= "xtl_actor_vvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,7;sleep,8;diffusealpha,1;sleep,0.5;diffusealpha,0),
  Text= "1337,",
  },
  Def.BitmapText{
    Name= "xtl_actor_wvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,9.5;sleep,8.5;diffusealpha,1;sleep,0.5;diffusealpha,0),
  Text= "2,",
  },
  Def.BitmapText{
    Name= "xtl_actor_xvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,7;sleep,9;diffusealpha,1;vibrate;linear,1.5;zoom,6.5;rotationz,-10;diffusealpha,0),
  Text= "HANDLE,",
  },
  Def.BitmapText{
    Name= "xtl_actor_yvs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X+200;y,SCREEN_CENTER_Y + -390;zoom,1;rainbow;effectperiod,3;sleep,8.9;diffusealpha,1;rotationz,-30;linear,2.6;y,SCREEN_HEIGHT+150;x,SCREEN_CENTER_X-200;rotationz,-10;sleep,0;diffusealpha,0),
  Text= "sry that u probly failed already lol,",
  },
  Def.Sprite{
    Name= "xtl_actor_zvs",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0.6;sleep,9.9;diffusealpha,1;sleep,0.33;rotationz,90;sleep,0.33;rotationz,180;sleep,0.33;rotationz,270;sleep,0.33;rotationz,360;zoom,0.8;sleep,0.33;diffusealpha,0),
  Texture= "shrek",
  },
  Def.BitmapText{
    Name= "xtl_actor_aws",
  Font= ""Common Normal",",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+400;wrapwidthpixels,640;sleep,10.6;linear,1;diffusealpha,0.7;y,SCREEN_CENTER_Y;linear,1;y,SCREEN_CENTER_Y-400;diffusealpha,0),
  Text= "itg is gay u should go 2 the gym 2 work out its is much better 4 u nd it doesnt make u look like a looser lamer stamina nerd that will never get a girlfreind becuz honestly if i wanted 2 waste my time as much as u i could bust all ur ******** in this game and in real life lol but i have beter things 2 do like getng hot gurls 2 look at me nd talk 2 me and also ***** like wat do u evene do 4 fun u just play video games lol go get a lfie and then maybe 1v1 me and it will be fare u looser with no friends excet other nerds like u also footspeed sux 2 well anyway i quit this gay game since nobody cares about real skil anymore and im too old and i have a job now so shutup and stop playing pendulum or whatevr u nerds play nd fite me in real life d*mb kid,",
  },
  Def.ActorFrame{
    Name= "xtl_actor_bws",
    Def.Sprite{
      Name= "xtl_actor_cws",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X/2;y,SCREEN_CENTER_Y;zoom,0.6;sleep,11.5;diffusealpha,1;decelerate,3.2;rotationz,360*14;zoom,1.3;sleep,0;diffusealpha,0),
    Texture= "fedora",
    },
    Def.Sprite{
      Name= "xtl_actor_dws",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X*3/2;y,SCREEN_CENTER_Y;zoom,0.6;sleep,11.5;diffusealpha,1;decelerate,3.2;rotationz,-360*14;zoom,1.3;sleep,0;diffusealpha,0),
    Texture= "fedora",
    },
  },
  Def.BitmapText{
    Name= "xtl_actor_ews",
  Font= ""Common Normal",",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,420/100;sleep,12.5;diffusealpha,1;rainbow;effectperiod,0.25;sleep,2;diffusealpha,0),
  Text= "STAMINA,",
  },
  Def.ActorFrame{
    Name= "xtl_actor_fws",
    Def.Sprite{
      Name= "xtl_actor_gws",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_HEIGHT-82/2;sleep,13.8;diffusealpha,1;vibrate;effectmagnitude,20,20,20;sleep,2;diffusealpha,0),
    Texture= "brazzers",
    },
    Def.Sprite{
      Name= "xtl_actor_hws",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-200;sleep,13.8;diffusealpha,1;zoom,0.25;linear,1.8;diffusealpha,1;y,SCREEN_CENTER_Y+200;zoom,1.5;diffusealpha,0),
    Texture= "e621",
    },
    Def.Sprite{
      Name= "xtl_actor_iws",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_WIDTH/4;y,SCREEN_HEIGHT-100;zoom,0.33;sleep,14.8;diffusealpha,1;vibrate;effectmagnitude,40,40,40;sleep,0.5;x,SCREEN_WIDTH*3/4;sleep,0.5;x,SCREEN_WIDTH/4;sleep,0.5;x,SCREEN_WIDTH*3/4;sleep,0.5;x,SCREEN_WIDTH/4;sleep,0.5;x,SCREEN_WIDTH*3/4;sleep,0.5;x,SCREEN_WIDTH/4;sleep,0.5;diffusealpha,0),
    Texture= "dew",
    },
    Def.Sprite{
      Name= "xtl_actor_jws",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_WIDTH*3/4;y,SCREEN_HEIGHT-100;zoom,0.33;sleep,14.8;diffusealpha,1;vibrate;effectmagnitude,40,40,40;sleep,0.5;x,SCREEN_WIDTH/4;sleep,0.5;x,SCREEN_WIDTH*3/4;sleep,0.5;x,SCREEN_WIDTH/4;sleep,0.5;x,SCREEN_WIDTH*3/4;sleep,0.5;x,SCREEN_WIDTH/4;sleep,0.5;x,SCREEN_WIDTH*3/4;sleep,0.5;diffusealpha,0),
    Texture= "doritos",
    },
  },
  Def.BitmapText{
    Name= "xtl_actor_kws",
  Font= ""Common Normal",",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,3;wrapwidthpixels,640/3;sleep,16;diffusealpha,1;rainbow;effectperiod,0.10;sleep,3;diffusealpha,0),
  Text= "NEED SOME BABY POWDER THUMBS UP IF U AGREE,",
  },
  Def.Sprite{
    Name= "xtl_actor_lws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,15.0;diffusealpha,1;x,SCREEN_WIDTH*6/8;y,SCREEN_CENTER_Y + -540;linear,1.0;x,SCREEN_WIDTH*7/8;y,SCREEN_HEIGHT+300;rotationz,360*3;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_mws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,15.2;diffusealpha,1;x,SCREEN_WIDTH*1/8;y,SCREEN_CENTER_Y + -540;linear,1.5;x,SCREEN_WIDTH*2/8;y,SCREEN_HEIGHT+300;rotationz,360*2;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_nws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,15.4;diffusealpha,1;x,SCREEN_WIDTH*5/8;y,SCREEN_CENTER_Y + -540;linear,1.8;x,SCREEN_WIDTH*4/8;y,SCREEN_HEIGHT+300;rotationz,360*-3;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_ows",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,15.6;diffusealpha,1;x,SCREEN_WIDTH*8/8;y,SCREEN_CENTER_Y + -540;linear,0.8;x,SCREEN_WIDTH*7/8;y,SCREEN_HEIGHT+300;rotationz,360*2;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_pws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,15.8;diffusealpha,1;x,SCREEN_WIDTH*3/8;y,SCREEN_CENTER_Y + -540;linear,1.2;x,SCREEN_WIDTH*4/8;y,SCREEN_HEIGHT+300;rotationz,360*-3;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_qws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,16.0;diffusealpha,1;x,SCREEN_WIDTH*5/8;y,SCREEN_CENTER_Y + -540;linear,1;x,SCREEN_WIDTH*7/8;y,SCREEN_HEIGHT+300;rotationz,360*4;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_rws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,16.2;diffusealpha,1;x,SCREEN_WIDTH*4/8;y,SCREEN_CENTER_Y + -540;linear,1.6;x,SCREEN_WIDTH*2/8;y,SCREEN_HEIGHT+300;rotationz,360*-3;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_sws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,16.4;diffusealpha,1;x,SCREEN_WIDTH*5/8;y,SCREEN_CENTER_Y + -540;linear,0.9;x,SCREEN_WIDTH*6/8;y,SCREEN_HEIGHT+300;rotationz,360*-2;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_tws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,16.6;diffusealpha,1;x,SCREEN_WIDTH*1/8;y,SCREEN_CENTER_Y + -540;linear,1.9;x,SCREEN_WIDTH*2/8;y,SCREEN_HEIGHT+300;rotationz,360*2;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_uws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,16.8;diffusealpha,1;x,SCREEN_WIDTH*7/8;y,SCREEN_CENTER_Y + -540;linear,1.1;x,SCREEN_WIDTH*5/8;y,SCREEN_HEIGHT+300;rotationz,360*-3;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.Sprite{
    Name= "xtl_actor_vws",
  OnCommand= cmd(diffusealpha,0;zoom,0.33;sleep,17.0;diffusealpha,1;x,SCREEN_WIDTH*2/8;y,SCREEN_CENTER_Y + -540;linear,1.3;x,SCREEN_WIDTH*5/8;y,SCREEN_HEIGHT+300;rotationz,360*3;sleep,0;diffusealpha,0),
  Texture= "powder",
  },
  Def.ActorFrame{
    Name= "xtl_actor_wws",
    Def.Sprite{
      Name= "xtl_actor_xws",
    OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0;sleep,16.0;diffusealpha,1;vibrate;effectmagnitude,10,10,10;linear,2.5;zoom,0.8;sleep,0;effectmagnitude,60,60,60;rotationz,-5;sleep,0.9;diffusealpha,0),
    Texture= "powder",
    },
  },
  Def.BitmapText{
    Name= "xtl_actor_yws",
  Font= ""Common Normal",",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 560;zoom,3;wrapwidthpixels,640/3;sleep,18.4;diffusealpha,1;linear,2.9;y,SCREEN_CENTER_Y + -1040;sleep,0;diffusealpha,0),
  Text= "'IF U DONT LIEK FOOTSPEED UR PROBLY FAT'::::--Barack Obama,",
  },
  Def.Sprite{
    Name= "xtl_actor_zws",
    Frames= {
      {Frame= 0, Delay= 0.05},
      {Frame= 1, Delay= 0.05},
      {Frame= 2, Delay= 0.05},
      {Frame= 3, Delay= 0.05},
      {Frame= 4, Delay= 0.05},
      {Frame= 5, Delay= 0.05},
      {Frame= 6, Delay= 0.05},
      {Frame= 7, Delay= 0.05},
      {Frame= 8, Delay= 0.05},
      {Frame= 9, Delay= 0.05},
      {Frame= 10, Delay= 0.05},
      {Frame= 11, Delay= 0.05},
      {Frame= 12, Delay= 0.05},
      {Frame= 13, Delay= 0.05},
      {Frame= 14, Delay= 0.05},
      {Frame= 15, Delay= 0.05},
      {Frame= 16, Delay= 0.05},
      {Frame= 17, Delay= 0.05},
      {Frame= 18, Delay= 0.05},
      {Frame= 19, Delay= 0.05},
      {Frame= 20, Delay= 0.05},
      {Frame= 21, Delay= 0.05},
      {Frame= 22, Delay= 0.05},
      {Frame= 23, Delay= 0.05},
      {Frame= 24, Delay= 0.05},
      {Frame= 25, Delay= 0.05},
      {Frame= 26, Delay= 0.05},
      {Frame= 27, Delay= 0.05},
      {Frame= 28, Delay= 0.05},
      {Frame= 29, Delay= 0.05},
      {Frame= 30, Delay= 0.05},
      {Frame= 31, Delay= 0.05},
      {Frame= 32, Delay= 0.05},
  },
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+100;zoom,1;sleep,18.8;linear,3.5;diffusealpha,1;sleep,0.5;linear,1.2;x,SCREEN_WIDTH+180;sleep,0;diffusealpha,0),
  Texture= "./snoop 33x1.png",
  },
  Def.ActorFrame{
    Name= "xtl_actor_axs",
  OnCommand= cmd(vibrate;effectmagnitude,30,30,30),
    Def.BitmapText{
      Name= "xtl_actor_bxs",
    ButtCommand= function(self) if tc1 > 0 then
				tc1 = tc1 - 1;
				self:x(math.random()*SCREEN_WIDTH);
				self:y(math.random()*SCREEN_HEIGHT);
				self:rotationz(math.random()*90-45);
				self:sleep(0.4+math.random()*0.2);
				self:queuecommand('Butt');
			else
				self:diffusealpha(0);
			end
		end,
    Font= ""Common Normal",",
    OnCommand= function(self) tc1=9; self:zoom(4); self:diffusealpha(0); self:sleep(19.8); self:diffusealpha(1); self:rainbow(); self:effectperiod(0.3); self:queuecommand('Butt') end,
    Text= "'#YOLO,",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_cxs",
  OnCommand= cmd(vibrate;effectmagnitude,30,30,30),
    Def.BitmapText{
      Name= "xtl_actor_dxs",
    ButtCommand= function(self) if tc1 > 0 then
				tc2 = tc2 - 1;
				self:x(math.random()*SCREEN_WIDTH);
				self:y(math.random()*SCREEN_HEIGHT);
				self:rotationz(math.random()*90-45);
				self:sleep(0.4+math.random()*0.2);
				self:queuecommand('Butt');
			else
				self:diffusealpha(0);
			end
		end,
    Font= ""Common Normal",",
    OnCommand= function(self) tc2=9; self:zoom(4); self:diffusealpha(0); self:sleep(19.9); self:diffusealpha(1); self:rainbow(); self:effectperiod(0.5); self:queuecommand('Butt') end,
    Text= "'#SWAG,",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_exs",
  OnCommand= cmd(vibrate;effectmagnitude,30,30,30),
    Def.BitmapText{
      Name= "xtl_actor_fxs",
    ButtCommand= function(self) if tc1 > 0 then
				tc3 = tc3 - 1;
				self:x(math.random()*SCREEN_WIDTH);
				self:y(math.random()*SCREEN_HEIGHT);
				self:rotationz(math.random()*90-45);
				self:sleep(0.4+math.random()*0.2);
				self:queuecommand('Butt');
			else
				self:diffusealpha(0);
			end
		end,
    Font= ""Common Normal",",
    OnCommand= function(self) tc3=9; self:zoom(4); self:diffusealpha(0); self:sleep(20.0); self:diffusealpha(1); self:rainbow(); self:effectperiod(0.7); self:queuecommand('Butt') end,
    Text= "'#GETBENT,",
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_gxs",
  OnCommand= cmd(vibrate;effectmagnitude,30,30,30),
    Def.BitmapText{
      Name= "xtl_actor_hxs",
    ButtCommand= function(self) if tc1 > 0 then
				tc4 = tc4 - 1;
				self:x(math.random()*SCREEN_WIDTH);
				self:y(math.random()*SCREEN_HEIGHT);
				self:rotationz(math.random()*90-45);
				self:sleep(0.4+math.random()*0.2);
				self:queuecommand('Butt');
			else
				self:diffusealpha(0);
			end
		end,
    Font= ""Common Normal",",
    OnCommand= function(self) tc4=9; self:zoom(4); self:diffusealpha(0); self:sleep(20.1); self:diffusealpha(1); self:rainbow(); self:effectperiod(0.9); self:queuecommand('Butt') end,
    Text= "'#NOHOMO,",
    },
  },
  Def.Sprite{
    Name= "xtl_actor_ixs",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;sleep,21;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0;sleep,0.06;diffusealpha,1;sleep,0.06;diffusealpha,0),
  Texture= "how1",
  },
  Def.Sprite{
    Name= "xtl_actor_jxs",
    Frames= {
      {Frame= 0, Delay= 0.1},
      {Frame= 1, Delay= 0.1},
  },
  OnCommand= cmd(diffusealpha,0;x,SCREEN_WIDTH/4;y,SCREEN_CENTER_Y;sleep,21.3;diffusealpha,1;sleep,1.7;diffusealpha,0),
  Texture= "./captain 2x1.png",
  },
  Def.Sprite{
    Name= "xtl_actor_kxs",
    Frames= {
      {Frame= 0, Delay= 0.1},
      {Frame= 1, Delay= 0.1},
  },
  OnCommand= cmd(diffusealpha,0;zoomx,-1;x,SCREEN_WIDTH*3/4;y,SCREEN_CENTER_Y;sleep,21.3;diffusealpha,1;sleep,1.7;diffusealpha,0),
  Texture= "./captain 2x1.png",
  },
  Def.Sprite{
    Name= "xtl_actor_lxs",
  OnCommand= cmd(diffusealpha,0;zoom,1;x,SCREEN_WIDTH/2;y,SCREEN_CENTER_Y;sleep,22.7;diffusealpha,1;decelerate,3;rotationz,360*7;zoom,1.5;sleep,0;diffusealpha,0),
  Texture= "basedgod",
  },
  Def.BitmapText{
    Name= "xtl_actor_mxs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_HEIGHT-40;zoom,1.3;rotationz,10;rainbow;effectperiod,3;sleep,24;diffusealpha,1;linear,1.7;rotationz,-10;y,SCREEN_HEIGHT-95;sleep,0;diffusealpha,0),
  Text= "DOWNS IS A REAL TOURNAMENT,",
  },
  Def.ActorFrame{
    Name= "xtl_actor_nxs",
    Def.Sprite{
      Name= "xtl_actor_oxs",
    OnCommand= cmd(diffusealpha,0;zoom,1;x,SCREEN_WIDTH/4;y,SCREEN_CENTER_Y + -160;sleep,25.5;diffusealpha,1;vibrate;effectmagnitude,60,60,60;sleep,1.9;diffusealpha,0),
    Texture= "cod1",
    },
    Def.Sprite{
      Name= "xtl_actor_pxs",
    OnCommand= cmd(diffusealpha,0;zoom,1;x,SCREEN_WIDTH*3/4;y,SCREEN_CENTER_Y + -160;sleep,25.5;diffusealpha,1;vibrate;effectmagnitude,60,60,60;sleep,1.9;diffusealpha,0),
    Texture= "cod2",
    },
    Def.Sprite{
      Name= "xtl_actor_qxs",
    OnCommand= cmd(diffusealpha,0;zoom,1;x,SCREEN_WIDTH/4;y,SCREEN_HEIGHT-80;sleep,25.5;diffusealpha,1;vibrate;effectmagnitude,60,60,60;sleep,1.9;diffusealpha,0),
    Texture= "cod2",
    },
    Def.Sprite{
      Name= "xtl_actor_rxs",
    OnCommand= cmd(diffusealpha,0;zoom,1;x,SCREEN_WIDTH*3/4;y,SCREEN_HEIGHT-80;sleep,25.5;diffusealpha,1;vibrate;effectmagnitude,60,60,60;sleep,1.9;diffusealpha,0),
    Texture= "cod1",
    },
  },
  Def.BitmapText{
    Name= "xtl_actor_sxs",
  Font= "Common Normal,",
  OnCommand= cmd(diffusealpha,0;wrapwidthpixels,640;zoom,1.14;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y + 760;sleep,26.1;diffusealpha,1;linear,0.4;y,SCREEN_CENTER_Y + -1240;sleep,0;diffusealpha,0),
  Text= "PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE::PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE PLEASE SUBSCRIBE,",
  },
}