local xtl_cond_odt_result= GAMESTATE:IsPlayerEnabled(PLAYER_1)

local xtl_cond_pdt_result= GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_qdt",
  Def.Quad{
    Name= "xtl_actor_rdt",
  OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoom,0;sleep,999),
  },
  Def.Quad{
    Name= "xtl_actor_sdt",
  OnCommand= function (self)
			
			fgcurcommand = 1;
			self:x(99999);
			self:y(240);
			self:queuecommand('Update')
			
		end,
  UpdateCommand= function (self)
			function RandomDiff() --Thanks WinDEU! (again)
				if GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsPlayerEnabled(PLAYER_2) then
					local curSong = GAMESTATE:GetCurrentSong();
					local vSteps = curSong:GetStepsByStepsType( STEPS_TYPE_DANCE_SINGLE )
				   
					local r1 = math.random(1,table.getn(vSteps));
					local r2 = math.random(1,table.getn(vSteps));
					while r1 == r2 do
						r2 = math.random(1,table.getn(vSteps)); -- ensure that the charts are different
					end
				   
					GAMESTATE:SetCurrentSteps(PLAYER_1,vSteps[r1]);
					GAMESTATE:SetCurrentSteps(PLAYER_2,vSteps[r2]);
				   
					SCREENMAN:SetNewScreen('ScreenGameplay');
				end
			end
			if GAMESTATE:GetSongBeat()>=-1 and fgcurcommand == 1 then
				RandomDiff();
				fgcurcommand = fgcurcommand + 1;
			end
		end,
  },
  Def.ActorFrame{
    Name= "xtl_actor_tdt",
  OnCommand= cmd(playcommand,"Start"),
  StartCommand= function(self)
		
			song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
			path = song:GetSongDir();
			
			--SOUND:PlayOnce(path .. 'animations/attacks/sounds/sound.ogg')
			
			o21_staticstart = {16,52,88,124,160,196,248,348,584,9999}
			o21_staticend = {20,56,92,128,164,200,252,352,588,9999}
			o21_static = 1
			
			o21_8bitangle = {90,270}
			o21_8bitangleup = {0,0}
			o21_8bitstart = 92
			o21_8bitend = 116
			o21_8bitspinend = 124
			o21_8bitspun = 0
			
			o21_screamhits = {0,0}
			
			o21_drop = {math.random(0,1)*320+160,320,0,0}
			o21_stunned = {0,0}
			
			o2_final_startm = 96*4
			o2_final_attackm = 104*4
			o2_final_endm = 146*4
			
			o2_final_score = {0,0}
			
			o2_final_angle = {0,4,0,-4} --a,da
			o2_final_shot = {9999,9999,9999,9999,9999,9999,9999,9999} --x,y,dx,dy
			
			o2_final_enemyx = {9999,9999,9999,9999,9999}
			o2_final_enemyy = {9999,9999,9999,9999,9999}
			o2_final_enemydx = {9999,9999,9999,9999,9999}
			o2_final_enemydy = {9999,9999,9999,9999,9999}
			o2_final_enemyhits = {0,0,0,0,0}
			o2_final_wingap = 0
			
			o2_final_hitalpha = {0,0}
			
		
		end,
    Def.Sprite{
      Name= "xtl_actor_udt",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 640;playcommand,"a"),
    Texture= "pacsprite",
    aCommand= function(self)

				if GAMESTATE:GetSongBeat() >= 48 and GAMESTATE:GetSongBeat() <= 48.2 then
					self:linear(1.846)
					self:y(-400)
				end				
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Quad{
      Name= "xtl_actor_vdt",
    OnCommand= cmd(playcommand,"a"),
    StepP1MessageCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o21_8bitstart and GAMESTATE:GetSongBeat() <= o21_8bitend then
					o21_8bitangleup[1] = o21_8bitangleup[1] + 1
					if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(o21_8bitangle[1] + o21_8bitangleup[1] * 10)
					end
				end
				if GAMESTATE:GetSongBeat() > o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm and o2_final_shot[1] == 9999 then
					o2_final_shot[1] = 160
					o2_final_shot[2] = 440
					o2_final_shot[3] = 10 * math.sin(math.rad(o2_final_angle[1]))
					o2_final_shot[4] = -10 * math.cos(math.rad(o2_final_angle[1]))
					SOUND:PlayOnce(path .. 'animations/attacks/sounds/shot.ogg')
				end
				
			end,
    StepP2MessageCommand= function(self)	
				if GAMESTATE:GetSongBeat() >= o21_8bitstart and GAMESTATE:GetSongBeat() <= o21_8bitend then
					o21_8bitangleup[2] = o21_8bitangleup[2] + 1
					if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(o21_8bitangle[2] + o21_8bitangleup[2] * 10)
					end
				end
				if GAMESTATE:GetSongBeat() > o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm and o2_final_shot[5] == 9999 then
					o2_final_shot[5] = 480
					o2_final_shot[6] = 440
					o2_final_shot[7] = 10 * math.sin(math.rad(o2_final_angle[3]))
					o2_final_shot[8] = -10 * math.cos(math.rad(o2_final_angle[3]))
					SOUND:PlayOnce(path .. 'animations/attacks/sounds/shot.ogg')
				end				

			end,
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticend[o21_static] then
					o21_static = o21_static + 1
				end
			
				if GAMESTATE:GetSongBeat() >= o21_8bitstart and o21_8bitspun == 0 then
					o21_8bitspun = 1
					if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(120)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(o21_8bitangle[1])
					end
					if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(120)				
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(o21_8bitangle[2])			
					end
				end
				
				if GAMESTATE:GetSongBeat() > o21_8bitspinend then
					if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(o21_8bitangle[1] + o21_8bitangleup[1] * 10)
					end
					if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(o21_8bitangle[2] + o21_8bitangleup[2] * 10)					
					end				
				end
			
				if GAMESTATE:GetSongBeat() > o21_8bitend and GAMESTATE:GetSongBeat() <= o21_8bitend+0.1 then
					if o21_8bitspun == 1 then
						o21_8bitspun = 2
						if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
							SCREENMAN:GetTopScreen():GetChild('PlayerP1'):linear(3.608)
							SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(-120)
						end
						if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
							SCREENMAN:GetTopScreen():GetChild('PlayerP2'):linear(3.608)
							SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(-120)			
						end
						if o21_8bitangleup[1] < 80 then
							GAMESTATE:ApplyGameCommand('mod, *1000 190% mini',1);
						end
						if o21_8bitangleup[2] < 80 then
							GAMESTATE:ApplyGameCommand('mod, *1000 190% mini',2);
						end						
						if o21_8bitangleup[1] > o21_8bitangleup[2] then
							GAMESTATE:ApplyGameCommand('mod, *1000 drunk',2);
							GAMESTATE:ApplyGameCommand('mod, *1000 tipsy',2);
						end
						if o21_8bitangleup[1] < o21_8bitangleup[2] then
							GAMESTATE:ApplyGameCommand('mod, *1000 drunk',1);
							GAMESTATE:ApplyGameCommand('mod, *1000 tipsy',1);						
						end						
					end
				end
				
				if GAMESTATE:GetSongBeat() > o2_final_endm and GAMESTATE:GetSongBeat() < o2_final_endm+1 then
					local loser = 1
					if o2_final_score[1] < o2_final_score[2] then
						loser = 2
					end
					if o2_final_score[1] == o2_final_score[2] then
						loser = math.random(1,2)
					end					
					local scoregap = math.abs(o2_final_score[1] - o2_final_score[2])
					
					GAMESTATE:ApplyGameCommand('mod, 66% wave',loser);
					if scoregap >= 1 then
						GAMESTATE:ApplyGameCommand('mod, 110% tipsy',loser);
						GAMESTATE:ApplyGameCommand('mod, 30% centered',loser);
					end
					if scoregap >= 2 then
						GAMESTATE:ApplyGameCommand('mod, drunk',loser);
						GAMESTATE:ApplyGameCommand('mod, 80% boost',loser);
					end
					if scoregap >= 3 then
						GAMESTATE:ApplyGameCommand('mod, 444% bumpy',loser);
						GAMESTATE:ApplyGameCommand('mod, -10% flip',loser);
					end
					if scoregap >= 4 then
						GAMESTATE:ApplyGameCommand('mod, 88% expand',loser);
					end
					if scoregap >= 5 then
						GAMESTATE:ApplyGameCommand('mod, 333% dizzy',loser);
					end
					if scoregap >= 6 then
						GAMESTATE:ApplyGameCommand('mod, brake',loser);
					end
					if scoregap >= 7 then
						GAMESTATE:ApplyGameCommand('mod, 70% stealth',loser);
					end
					if scoregap >= 8 then
						GAMESTATE:ApplyGameCommand('mod, 120% mini',loser);
					end
					if scoregap >= 10 then
						GAMESTATE:ApplyGameCommand('mod, boomerang',loser);
					end
					
				end
				
				--final boss!
				if GAMESTATE:GetSongBeat() > o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
				
					o2_final_wingap = o2_final_wingap + 1
				
					o2_final_hitalpha[1] = math.max(0,o2_final_hitalpha[1]-0.1)
					o2_final_hitalpha[2] = math.max(0,o2_final_hitalpha[2]-0.1)
				
					for i=1,2 do
						if o2_final_shot[1+(i-1)*4] == 9999 then
							o2_final_angle[1+(i-1)*2] = o2_final_angle[1+(i-1)*2] + o2_final_angle[2+(i-1)*2]
							if math.abs(o2_final_angle[1+(i-1)*2]) >= 90 then
								o2_final_angle[2+(i-1)*2] = -o2_final_angle[2+(i-1)*2]
								o2_final_angle[1+(i-1)*2] = o2_final_angle[1+(i-1)*2] + o2_final_angle[2+(i-1)*2]
							end
						else
						
							o2_final_shot[1+(i-1)*4] = o2_final_shot[1+(i-1)*4] + o2_final_shot[3+(i-1)*4]
							o2_final_shot[2+(i-1)*4] = o2_final_shot[2+(i-1)*4] + o2_final_shot[4+(i-1)*4]
							
							if o2_final_shot[1+(i-1)*4] < 0 or o2_final_shot[1+(i-1)*4] > 640 or o2_final_shot[2+(i-1)*4] < 0 or o2_final_shot[2+(i-1)*4]  > 480 then
								o2_final_shot[1+(i-1)*4] = 9999
								o2_final_shot[1+(i-1)*4] = 9999
							end
						
						end
						
					end
					
					for i=1,5 do
					
						if GAMESTATE:GetSongBeat() > o2_final_attackm + 8 and ((o2_final_enemyx[i] == 9999 and o2_final_wingap >= 300) or (o2_final_enemyx[1] + o2_final_enemyx[2] + o2_final_enemyx[3] + o2_final_enemyx[4] + o2_final_enemyx[5] > 42000)) then
							o2_final_wingap = 0
							o2_final_enemyx[i] = math.random(160,480)
							o2_final_enemyy[i] = 1
							o2_final_enemydx[i] = math.random(-10,10)*0.1
							o2_final_enemydy[i] = math.random(4,8)*0.1
							o2_final_enemyhits[i] = 1
						end
						if o2_final_enemyx[i] ~= 9999 then
						
							o2_final_enemyx[i] = o2_final_enemyx[i] + o2_final_enemydx[i]
							o2_final_enemyy[i] = o2_final_enemyy[i] + o2_final_enemydy[i]
							o2_final_enemydy[i] = o2_final_enemydy[i] + o2_final_enemyhits[i] * 0.03
							
							for j=1,2 do
								if math.sqrt(math.pow(o2_final_enemyx[i]-o2_final_shot[1+(j-1)*4],2) + math.pow(o2_final_enemyy[i]-o2_final_shot[2+(j-1)*4],2)) < 80 then
									o2_final_enemyhits[i] = o2_final_enemyhits[i] + 1
									local angle = -2*(o2_final_enemyx[i]-o2_final_shot[1+(j-1)*4])
									o2_final_enemydx[i] = o2_final_enemydy[i]*math.sin(angle)
									o2_final_enemydy[i] = -o2_final_enemydy[i]
									o2_final_shot[1+(j-1)*4] = 9999
									o2_final_shot[2+(j-1)*4] = 9999
									SOUND:PlayOnce(path .. 'animations/attacks/sounds/shothit.ogg')
								end
							end
							
							if o2_final_enemyx[i] < 0 or o2_final_enemyx[i] > 640 then
								o2_final_enemydx[i] = -o2_final_enemydx[i]
								o2_final_enemyx[i] = o2_final_enemyx[i] + o2_final_enemydx[i]
							end
						
							if o2_final_enemyy[i] > 480 then
								SOUND:PlayOnce(path .. 'animations/attacks/sounds/wrong.ogg')
								if o2_final_enemyx[i] <= 320 then
									o2_final_score[1] = o2_final_score[1] + 1
									o2_final_hitalpha[1] = 1
									o2_final_wingap = 0
								else
									o2_final_score[2] = o2_final_score[2] + 1
									o2_final_hitalpha[2] = 1
									o2_final_wingap = 0
								end
								o2_final_enemyx[i] = 9999
								o2_final_enemyy[i] = 9999				
							end
						end
					
					
					end
				
				
				end
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    optional_actor(xtl_cond_odt_result,
    Def.Sprite{
      Name= "xtl_actor_wdt",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + -5;playcommand,"a"),
    Texture= "rope",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= o21_8bitstart and GAMESTATE:GetSongBeat() <= o21_8bitspinend then
					if GAMESTATE:GetSongBeat() > o21_8bitend-0.1 and GAMESTATE:GetSongBeat() <= o21_8bitend+0.1 then
						if o21_8bitspun == 1 then
							self:linear(3.608)
							self:addy(-120)			
						end
					end	
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    }),
    optional_actor(xtl_cond_pdt_result,
    Def.Sprite{
      Name= "xtl_actor_xdt",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + -5;playcommand,"a"),
    Texture= "rope",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= o21_8bitstart and GAMESTATE:GetSongBeat() <= o21_8bitspinend then
					if GAMESTATE:GetSongBeat() > o21_8bitend-0.1 and GAMESTATE:GetSongBeat() <= o21_8bitend+0.1 then
						if o21_8bitspun == 1 then
							self:linear(3.608)
							self:addy(-120)			
						end
					end	
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    }),
    optional_actor(xtl_cond_odt_result,
    Def.Sprite{
      Name= "xtl_actor_ydt",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + -80;playcommand,"a"),
    Texture= "b1",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= o21_8bitstart and GAMESTATE:GetSongBeat() <= o21_8bitspinend then
					self:zoom(math.min(1,math.max(0.1,(o21_8bitangleup[1]/300))))
					if GAMESTATE:GetSongBeat() > o21_8bitend-0.1 and GAMESTATE:GetSongBeat() <= o21_8bitend+0.1 then
						if o21_8bitspun == 1 then
							self:linear(3.608)
							self:addy(-120)			
						end
					end	
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    }),
    optional_actor(xtl_cond_pdt_result,
    Def.Sprite{
      Name= "xtl_actor_zdt",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + -80;playcommand,"a"),
    Texture= "b2",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= o21_8bitstart and GAMESTATE:GetSongBeat() <= o21_8bitspinend then
					self:zoom(math.min(1,math.max(0.1,(o21_8bitangleup[2]/300))))
					if GAMESTATE:GetSongBeat() > o21_8bitend-0.1 and GAMESTATE:GetSongBeat() <= o21_8bitend+0.1 then
						if o21_8bitspun == 1 then
							self:linear(3.608)
							self:addy(-120)			
						end
					end	
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    }),
    Def.Quad{
      Name= "xtl_actor_aet",
    OnCommand= cmd(diffusealpha,0;playcommand,"Start";playcommand,"a"),
    StartCommand= function(self)
				self:zoom(0);
			end,
    StepP1MessageCommand= function(self)
				if GAMESTATE:GetSongBeat() >= 158.4 and GAMESTATE:GetSongBeat() <= 160 then
					o21_screamhits[1] = o21_screamhits[1] + 1
				end
			end,
    StepP2MessageCommand= function(self)	
				if GAMESTATE:GetSongBeat() >= 158.4 and GAMESTATE:GetSongBeat() <= 160 then
					o21_screamhits[2] = o21_screamhits[2] + 1
				end
			end,
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() > 160 and GAMESTATE:GetSongBeat() <= 160.1 then
					if (o21_screamhits[1] == 7 or o21_screamhits[2] == 7) then
						SOUND:PlayOnce(path .. 'animations/attacks/sounds/scream.ogg')
					end
				end
				if GAMESTATE:GetSongBeat() > 160 then
					if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0)
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):y(240)
						GAMESTATE:ApplyGameCommand('mod, *1000 no drunk',1);
						GAMESTATE:ApplyGameCommand('mod, *1000 no tipsy',1);
						GAMESTATE:ApplyGameCommand('mod, *1000 no mini',1);
					end
					if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0)
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):y(240)
						GAMESTATE:ApplyGameCommand('mod, *1000 no drunk',2);
						GAMESTATE:ApplyGameCommand('mod, *1000 no tipsy',2);						
						GAMESTATE:ApplyGameCommand('mod, *1000 no mini',2);						
					end
				end			
				
				self:sleep(1/60);
				self:queuecommand('a');			
			
			end,
    },
    Def.Quad{
      Name= "xtl_actor_bet",
    OnCommand= cmd(diffusealpha,0;playcommand,"Start";playcommand,"a"),
    StartCommand= function(self)
				self:zoom(0);
			end,
    StepP1MessageCommand= function(self)
				if GAMESTATE:GetSongBeat() >= 200 and GAMESTATE:GetSongBeat() <= 244 and o21_drop[1] == 160 and o21_stunned[1] == 0 then
					o21_drop[3] = 1
				elseif GAMESTATE:GetSongBeat() >= 200 and GAMESTATE:GetSongBeat() <= 244 and o21_drop[1] ~= 160 and o21_stunned[1] == 0 then
					o21_stunned[1] = 60
					SOUND:PlayOnce(path .. 'animations/attacks/sounds/wrong.ogg')
				end
			end,
    StepP2MessageCommand= function(self)	
				if GAMESTATE:GetSongBeat() >= 200 and GAMESTATE:GetSongBeat() <= 244 and o21_drop[1] == 480 and o21_stunned[2] == 0 then
					o21_drop[3] = -1
				elseif GAMESTATE:GetSongBeat() >= 200 and GAMESTATE:GetSongBeat() <= 244 and o21_drop[1] ~= 480 and o21_stunned[2] == 0 then
					o21_stunned[2] = 60
					SOUND:PlayOnce(path .. 'animations/attacks/sounds/wrong.ogg')
				end
			end,
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() > 200 and GAMESTATE:GetSongBeat() <= 244 then
					if o21_drop[3] == 1 then
						o21_drop[1] = math.min(480,o21_drop[1]+24)
						o21_drop[4] = o21_drop[4] + 5
					end
					if o21_drop[3] == -1 then
						o21_drop[1] = math.max(160,o21_drop[1]-24)
						o21_drop[4] = o21_drop[4] + 5
					end	
					o21_drop[2] = 160 + math.abs(320-o21_drop[1])
					if math.abs(320-o21_drop[1]) == 160 then
						o21_drop[3] = 0
					end
					
					o21_stunned[1] = math.max(0,o21_stunned[1]-1)
					o21_stunned[2] = math.max(0,o21_stunned[2]-1)
					
				end			
				
				self:sleep(1/60);
				self:queuecommand('a');			
			
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_cet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + -80;playcommand,"a"),
    Texture= "boom",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= 200 and GAMESTATE:GetSongBeat() <= 244 then
					self:x(o21_drop[1])
					self:y(o21_drop[2])
					self:rotationz(o21_drop[4])
					self:diffusealpha(1); self:hidden(0)
					self:zoom(1+(GAMESTATE:GetSongBeat()-200)/100)
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_det",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + -80;playcommand,"a"),
    Texture= "blam",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= 244 and GAMESTATE:GetSongBeat() <= 244.2 then
					SOUND:PlayOnce(path .. 'animations/attacks/sounds/blamo.ogg')
				end
			
				if GAMESTATE:GetSongBeat() >= 244 and GAMESTATE:GetSongBeat() <= 348 then
					self:x(o21_drop[1])
					self:y(o21_drop[2])
					self:diffusealpha(1); self:hidden(0)
					self:zoom(math.min(1.5,0.66*(GAMESTATE:GetSongBeat()-244)))
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_eet",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 0;playcommand,"a"),
    Texture= "bigx",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= 200 and GAMESTATE:GetSongBeat() <= 244 and o21_stunned[1] > 0 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_fet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 0;playcommand,"a"),
    Texture= "bigx",
    aCommand= function(self)
			
				if GAMESTATE:GetSongBeat() >= 200 and GAMESTATE:GetSongBeat() <= 244 and o21_stunned[2] > 0 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_get",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;zoom,0;sleep,120.305;linear,0.231*4;zoom,1;linear,0.231*2;addy,240;linear,0.231*2;addx,240;linear,0.231*2;addy,-240;linear,0.231*2;addx,-240;linear,0.231*4;rotationz,360;linear,0.231*2;zoom,2;linear,0.231*2;zoom,1;linear,0.231*2;zoom,0;linear,0.231*2;zoom,1;linear,0.231*4;rotationz,0;linear,0.231*2;addy,240;linear,0.231*2;addx,240;linear,0.231*2;addy,-240;linear,0.231*2;addx,-240;linear,0.231*16;rotationz,360;zoom,2;linear,0.231*2;zoom,1;linear,0.231*2;zoom,0;linear,0.231*2;zoom,1;linear,0.231*2;zoom,2;linear,0.231*4;zoom,0),
    Texture= "sheet",
    },
    Def.Sprite{
      Name= "xtl_actor_het",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + -80;playcommand,"a"),
    StepP1MessageCommand= function(self)
				self:x(math.random(80,560))
				self:y(math.random(120,360))
			end,
    Texture= "richard",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= 352 and GAMESTATE:GetSongBeat() <= 384 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_iet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + -80;playcommand,"a"),
    StepP2MessageCommand= function(self)
				self:x(math.random(80,560))
				self:y(math.random(120,360))
			end,
    Texture= "richard",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= 352 and GAMESTATE:GetSongBeat() <= 384 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_jet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;playcommand,"a"),
    Texture= "rules",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_startm and GAMESTATE:GetSongBeat() <= o2_final_attackm then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_ket",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -160;playcommand,"a"),
    Texture= "warningsprite",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_startm and GAMESTATE:GetSongBeat() <= o2_final_attackm then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_let",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;playcommand,"a"),
    Texture= "black",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_met",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "tower",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_net",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "tower",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_oet",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "arrow",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:rotationz(o2_final_angle[1])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_pet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "arrow",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:rotationz(o2_final_angle[3])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_qet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "rock",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:x(o2_final_shot[1])
					self:y(o2_final_shot[2])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_ret",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "rock",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:x(o2_final_shot[5])
					self:y(o2_final_shot[6])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_set",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "head",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:x(o2_final_enemyx[1])
					self:y(o2_final_enemyy[1])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_tet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "head",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:x(o2_final_enemyx[2])
					self:y(o2_final_enemyy[2])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_uet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "head",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:x(o2_final_enemyx[3])
					self:y(o2_final_enemyy[3])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_vet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "head",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:x(o2_final_enemyx[4])
					self:y(o2_final_enemyy[4])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_wet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 200;playcommand,"a"),
    Texture= "head",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then
					self:diffusealpha(1); self:hidden(0)
					self:x(o2_final_enemyx[5])
					self:y(o2_final_enemyy[5])
				else
					self:diffusealpha(0); self:hidden(1)
				end			
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_xet",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y + 0;playcommand,"a"),
    Texture= "red",
    aCommand= function(self)
				self:diffusealpha(o2_final_hitalpha[1])	
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_yet",
    OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y + 0;playcommand,"a"),
    Texture= "red",
    aCommand= function(self)
				self:diffusealpha(o2_final_hitalpha[2])	
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.BitmapText{
      Name= "xtl_actor_zet",
    Command= cmd(x,SCREEN_CENTER_X + -260;y,SCREEN_CENTER_Y + -180;rainbow;playcommand,"a"),
    Text= "0,",
    Texture= "_big blue glow",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then	
					self:diffusealpha(1); self:hidden(0);
					self:settext(o2_final_score[1])
				else
					self:diffusealpha(0); self:hidden(1);	
				end					

				self:sleep(1/60);
				self:queuecommand('a');
				
			end,
    },
    Def.BitmapText{
      Name= "xtl_actor_aft",
    Command= cmd(x,SCREEN_CENTER_X + 260;y,SCREEN_CENTER_Y + -180;rainbow;playcommand,"a"),
    Text= "0,",
    Texture= "_big blue glow",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o2_final_attackm and GAMESTATE:GetSongBeat() <= o2_final_endm then	
					self:diffusealpha(1); self:hidden(0);
					self:settext(o2_final_score[2])
				else
					self:diffusealpha(0); self:hidden(1);	
				end					

				self:sleep(1/60);
				self:queuecommand('a');
				
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_bft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;playcommand,"a"),
    Texture= "splash",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() == o21_staticstart[1] then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.BitmapText{
      Name= "xtl_actor_cft",
    Command= cmd(x,SCREEN_CENTER_X + -80;y,SCREEN_CENTER_Y + -90;rainbow;playcommand,"a"),
    Text= "D.O.W.N.S Edition,",
    Texture= "_big blue glow",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() == o21_staticstart[1] then	
					self:diffusealpha(1); self:hidden(0);
				else
					self:diffusealpha(0); self:hidden(1);	
				end					

				self:sleep(1/60);
				self:queuecommand('a');
				
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_dft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;diffusealpha,0;ZoomToWidth,SCREEN_WIDTH;ZoomToHeight,SCREEN_HEIGHT;playcommand,"a"),
    Texture= "static.avi",
    aCommand= function(self)
				if GAMESTATE:GetSongBeat() > o21_staticstart[o21_static] + 0.01 and GAMESTATE:GetSongBeat() <= o21_staticend[o21_static] then
					self:diffusealpha(math.sqrt((2-math.abs(o21_staticend[o21_static]-2-GAMESTATE:GetSongBeat()))/2)); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_eft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b1",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() > o21_staticstart[1] and GAMESTATE:GetSongBeat() <= o21_staticend[1]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_fft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b2",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[2] and GAMESTATE:GetSongBeat() <= o21_staticend[2]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_gft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b3",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[3] and GAMESTATE:GetSongBeat() <= o21_staticend[3]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_hft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b4",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[4] and GAMESTATE:GetSongBeat() <= o21_staticend[4]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_ift",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b5",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[5] and GAMESTATE:GetSongBeat() <= o21_staticend[5]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_jft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b6",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[6] and GAMESTATE:GetSongBeat() <= o21_staticend[6]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_kft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b7",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[7] and GAMESTATE:GetSongBeat() <= o21_staticend[7]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_lft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b8",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[8] and GAMESTATE:GetSongBeat() <= o21_staticend[8]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
    Def.Sprite{
      Name= "xtl_actor_mft",
    OnCommand= cmd(x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 0;wag;playcommand,"a"),
    Texture= "words/b9",
    aCommand= function(self)
				
				if GAMESTATE:GetSongBeat() >= o21_staticstart[9] and GAMESTATE:GetSongBeat() <= o21_staticend[9]+1 then
					self:diffusealpha(1); self:hidden(0)
				else
					self:diffusealpha(0); self:hidden(1)
				end				
				
				self:sleep(1/60);
				self:queuecommand('a');						
			end,
    },
  },
}