local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_kht",
  Def.Quad{
    Name= "xtl_actor_lht",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_mht",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
				fgcurcommand = 1;
			curmod = 1;
			--{beat,mod,player}
			mods = {
			{0.000,'*10000 2% beat'},
			}

				self:queuecommand('Update');

				song = SONGMAN:FindSong(GAMESTATE:GetCurrentSong():GetDisplayFullTitle());
				path = song:GetSongDir();
			end,
  Update2Command= function(self)
			self:sleep(0.0166666666);
			self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
			
			if curmod<=table.getn(mods) and GAMESTATE:GetSongBeat()>=mods[curmod][1] then
				if mods[curmod] ~= nil then
					if table.getn(mods[curmod]) == 3 then
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3]);
					else
						GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2]);
					end
					curmod = curmod+1;
					
				end
			end
			
			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
			
				--textcheck = SCREENMAN:GetTopScreen():GetChild('Debug'):GetText();
				SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(1);
					
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):GetChild(''):Load(path..'eatemup/swag2 label 2x6.png');
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):GetChild(''):Load(path..'eatemup/swag2 label 2x6.png');
					end	
					fgcurcommand = fgcurcommand + 1;
				end
				
			if GAMESTATE:GetSongBeat()>=280 and fgcurcommand == 2 then
			
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
					end
 
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
					end	
					fgcurcommand = fgcurcommand + 1;
				end

			self:queuecommand('Update2');
		end,
  },
}