local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_sht",
  Def.Quad{
    Name= "xtl_actor_tht",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.ActorFrame{
    Name= "xtl_actor_uht",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,0;sleep,122.975;decelerate,0.1;zoom,0.1;accelerate,0.1;zoom,0;sleep,0.55;decelerate,0.2;zoom,0.2;accelerate,0.2;zoom,0;sleep,0.671;decelerate,0.3;zoom,0.3;accelerate,0.3;zoom,0;sleep,0.579;decelerate,0.3;zoom,0.3;accelerate,0.3;zoom,0;sleep,0.9;decelerate,0.5;zoom,0.5;accelerate,0.5;zoom,0),
    Def.Sprite{
      Name= "xtl_actor_vht",
    OnCommand= cmd(sleep,122;queuecommand,"sus"),
    Texture= "nun",
    susCommand= cmd(rotationy,0;sleep,0.03;rotationy,180;sleep,0.03;queuecommand,"sus"),
    },
  },
  Def.Quad{
    Name= "xtl_actor_wht",
  InitCommand= cmd(visible,true),
  OnCommand= function(self)
				fgcurcommand = 1;
				rob_modsp1 = nil;
				rob_modsp2 = nil;
				rob_inc = 0;
				rob_multi = 1;
				rob_time = 0;
				rob_vib = 0;
				
				-- Beat start, Beat end, Mods, Player specific
				
				mods = {
				
				{0,200,'1.5x','end'},
				{5.105,5.677,'*10000 -500% Reverse,*10000 500% Cross','end'},
				{5.800,7.000,'*10000 No Reverse,*10000 No Cross','end'},
				{7.534,7.927,'*6 200% Drunk,*6 200% Tipsy','end'},
				{7.927,8.141,'*10 No Drunk,*10 No Tipsy','end'},
				{8.141,8.891,'*4 -200% Drunk,*4 -200% Tipsy,0.5x','end'},
				{8.891,13.4,'*10 No Drunk,*10 No Tipsy,0.5x','end'},
				{9.391,9.641,'C140','end'},
				{10.123,10.980,'C140','end'},
				{12.319,12.373,'C140','end'},
				{12.802,13.123,'C140','end'},
				
				{13.4,14,'*3 1.5x','end'},
				
				{16.793,18.793,'*2 -500% Mini,*0.2 50% Flip','end'},
				{18.793,22,'*5 No Mini,*0.5 No Flip','end'},
				
				{20.508,20.722,'C140','end'},
				
				{22.114,23.114,'Tornado','end'},
				{23.114,24,'*4 No Tornado','end'},
				
				{27.050,30,'*10 No Stealth','end'},
				{27.050,0.300,'*10 Stealth','len'},
				{28.100,0.200,'*10 Stealth','len'},
				
				{33.578,0.500,'*8 1000% Brake,*4 200% Tornado','len'},
				{34.078,0.500,'*8 No Brake,*4 No Tornado','len'},
				
				{36.000,0.200,'C140','len'},
				
				{39.504,39.843,'*10000 Flip,*10000 -500% Split','end'},
				{39.843,41.000,'*10000 No Flip,*10000 No Split','end'},
				{41.718,41.900,'C140','end'},
				{43.094,44.022,'*35 5000% Bumpy,*35 5000% Tornado,*35 5000% Drunk,*35 5000% Tipsy,*2 200% Mini','end'},
				{44.022,46,'*100 No Bumpy,*100 No Tornado,*100 No Drunk,*100 No Tipsy,*10 No Mini','end'},
				{45.022,0.572,'*3.4965 200% Reverse','len'},
				{45.594,0.572,'*3.4965 No Reverse','len'},
				
				{46.594,46.808,'*32 2000% Bumpy','end'},
				{46.808,47.130,'*64 No Bumpy,*16 400% Drunk','end'},
				{47.130,47.397,'*24 No Drunk,*16 400% Tipsy','end'},
				{47.397,47.772,'*24 No Tipsy,*16 400% Wave','end'},
				{47.772,48.272,'*24 No Wave,*16 400% Expand','end'},
				{48.272,48.987,'*24 No Expand,*100 10000% Dizzy','end'},
				{48.987,49.451,'*250 No Dizzy','end'},
				
				{53.562,54.258,'*1.5 Flip','end'},
				{54.258,54.794,'*2 No Flip,*2 Invert','end'},
				{54.794,55.383,'*2 Flip,*4 -100% Invert','end'},
				{55.383,55.758,'*4 No Flip,*4 No Invert','end'},
				{55.758,56.347,'*1.5 Flip','end'},
				{56.347,56.651,'*3 No Flip,*3 Invert','end'},
				{56.651,56.901,'*4 No Invert','end'},
				
				{63.972,64.383,'*6 200% Mini','end'},
				{64.383,65,'*6 No Mini','end'},
				
				{65.222,65.669,'*2.5 Flip,*2.5 Reverse','end'},
				{65.669,66.008,'*2.5 No Flip,*2.5 No Reverse,*2.5 Split,*2.5 Invert','end'},
				{66.008,67.751,'*2.5 No Invert,*2.5 No Split','end'},
				
				{67.751,73.717,'*4 60% Stealth,*100 10000000% Dizzy','end'},
				{73.717,75,'*4 No Stealth,*10000 No Dizzy','end'},
				
				{78.645,79.002,'*8 1000% Brake','end'},
				{79.002,79.824,'*8 No Brake','end'},
				{79.824,79.985,'*8 1000% Brake','end'},
				{79.985,80.467,'*8 No Brake','end'},
				{80.467,80.735,'*8 1000% Brake','end'},
				{80.735,81.618,'*8 No Brake','end'},
				
				{81.975,83.500,'*3 400% Reverse','end'},
				{83.500,85.000,'*10000 No Reverse','end'},
				
				{83.386,84.269,'*1.15 Flip','end'},
				{84.269,86.000,'*1.15 No Flip','end'},
				
				
				
				{89.011,90.618,'*3 400% Reverse','end'},
				{90.618,91.000,'*10000 No Reverse','end'},
				
				{91.314,91.689,'*8 1000% Brake,*8 1000% Boost,*8 1000% Expand,*8 1000% Wave','end'},
				{91.689,93.000,'*8 No Brake,*8 No Boost,*8 No Expand,*8 No Wave','end'},
				
				{92.261,92.493,'*8 1000% Invert','end'},
				{92.493,92.761,'*8 No Invert','end'},
				
				{92.761,92.975,'*8 1000% Flip','end'},
				{92.975,94.000,'*2 No Flip','end'},
				
				{94.207,94.975,'*8 1000% Distant','end'},
				{94.975,96.000,'*8 Overhead','end'},
				
				{96.082,96.511,'*16 1000% Boost','end'},
				{96.511,98.000,'*16 No Boost','end'},
				
				{105.296,120,'*24 No Wave','end'},
				{105.296,0.150,'*24 1000% Wave','len'},
				{105.618,0.150,'*24 1000% Wave','len'},
				{105.939,0.100,'*24 1000% Wave','len'},
				{106.189,0.150,'*24 1000% Wave','len'},
				{106.475,0.200,'*24 1000% Wave','len'},
				{106.903,0.300,'*24 1000% Wave','len'},
				{107.546,0.200,'*24 1000% Wave','len'},
				{107.975,0.175,'*24 1000% Wave','len'},
				{108.350,0.150,'*24 1000% Wave','len'},
				{108.761,0.150,'*24 1000% Wave','len'},
				}
				
				rob_plr = {};
				
				self:queuecommand('Update');
			end,
  Update2Command= function(self)
		self:sleep(0.02);
		self:queuecommand('Update');
		end,
  UpdateCommand= function(self)
		
			-----------------------
			-- Player mod resets --
			-----------------------
			for i=1,2 do
				GAMESTATE:ApplyGameCommand('mod,clearall',i)
				if _G['rob_modsp'..i] then 
					GAMESTATE:ApplyGameCommand('mod,'.._G['rob_modsp'..i],i)
				end
			end
			
			rob_multi = rob_multi * -1;
			
			if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
				
				table.insert(rob_plr,SCREENMAN:GetTopScreen():GetChild('PlayerP1'));
				table.insert(rob_plr,SCREENMAN:GetTopScreen():GetChild('PlayerP2'));
				fgcurcommand = fgcurcommand + 1;
				
				for i,v in pairs(rob_plr) do
					_G['rob_modsp'..i] = SCREENMAN:GetTopScreen():GetChild('PlayerOptionsP'..i):GetText();
				end
			end
			
			if GAMESTATE:GetSongBeat()>=281.750 and fgcurcommand == 2 then
				for i,v in pairs(rob_plr) do
					v:linear(0.05);
					v:zoomx(5);
					v:linear(0.65);
					v:zoomx(1);
					v:GetChild('Judgment'):linear(0.7);
					v:GetChild('Judgment'):rotationz(43200);
				end
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=612.500 and fgcurcommand == 3 then
				for i,v in pairs(rob_plr) do
					v:linear(0.294);
					v:zoom(0);
					v:linear(0.500);
					v:zoom(3);
					v:rotationx(1800);
					v:rotationy(2880);
					v:rotationz(3600);
					v:linear(0.500);
					v:zoom(1);
					v:rotationx(3600);
					v:rotationy(5760);
					v:rotationz(7200);
				end
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			
			
			if GAMESTATE:GetSongBeat()>=647.667 and fgcurcommand == 4 then
				SCREENMAN:GetTopScreen():vibrate();
				SCREENMAN:GetTopScreen():effectmagnitude(500,350,0);
				--SCREENMAN:GetTopScreen():effectmagnitude(0,0,0);
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=658 and fgcurcommand == 5 then
				SCREENMAN:GetTopScreen():stopeffect();
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=659.417 and fgcurcommand == 6 then
				SCREENMAN:GetTopScreen():bob();
				SCREENMAN:GetTopScreen():effectperiod(0.25);
				SCREENMAN:GetTopScreen():effectmagnitude(0,400,0);
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=661.500 and fgcurcommand == 7 then
				SCREENMAN:GetTopScreen():vibrate();
				SCREENMAN:GetTopScreen():effectmagnitude(500,350,0);
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=663.750 and fgcurcommand == 8 then
				SCREENMAN:GetTopScreen():stopeffect();
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			
			if GAMESTATE:GetSongBeat()>=677.250 and fgcurcommand == 9 then
				SCREENMAN:GetTopScreen():vibrate();
				SCREENMAN:GetTopScreen():effectmagnitude(250,175,0);
				
				SCREENMAN:GetTopScreen():linear(9);
				SCREENMAN:GetTopScreen():zoomx(0);
				SCREENMAN:GetTopScreen():skewx(10);
				SCREENMAN:GetTopScreen():x(SCREEN_CENTER_X);
				SCREENMAN:GetTopScreen():y(SCREEN_CENTER_Y);
				
				SCREENMAN:GetTopScreen():linear(1);
				SCREENMAN:GetTopScreen():zoomx(1);
				SCREENMAN:GetTopScreen():skewx(0);
				SCREENMAN:GetTopScreen():x(0);
				SCREENMAN:GetTopScreen():y(0);
				
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=700 and fgcurcommand == 10 then
				SCREENMAN:GetTopScreen():stopeffect();
				fgcurcommand = fgcurcommand + 1;
			end
			
			if GAMESTATE:GetSongBeat()>=765 and fgcurcommand == 11 then
				SCREENMAN:GetTopScreen():vibrate();
				SCREENMAN:GetTopScreen():effectmagnitude(500,350,0);
				fgcurcommand = fgcurcommand + 1;
			end
			
			
			if GAMESTATE:GetSongBeat()>=574.500 and GAMESTATE:GetSongBeat()<=575.750 then
				for i,v in pairs(rob_plr) do
					v:vibrate();
					v:effectmagnitude(rob_vib,rob_vib,0);
				end
				rob_vib = rob_vib + 5;
			end
			
			if GAMESTATE:GetSongBeat()>=575.750 and GAMESTATE:GetSongBeat()<=577 then
				for i,v in pairs(rob_plr) do
					v:vibrate();
					v:effectmagnitude(rob_vib,rob_vib,0);
				end
				rob_vib = rob_vib - 5;
			end
			
			if GAMESTATE:GetSongBeat()>=577 and GAMESTATE:GetSongBeat()<=578 then
				for i,v in pairs(rob_plr) do
					v:stopeffect();
				end
			end
			
			--------------------------------------------------------------------------------------------
			-- Mod reader code originally coded by Taronuke, remade to support end times and lengths. --
			--------------------------------------------------------------------------------------------
			for i,v in pairs(mods) do
				if rob_time >=v[1] then
					if (v[4] == 'len' and rob_time <=v[1]+v[2]) or (v[4] == 'end' and rob_time <=v[2]) then
						if table.getn(v) == 5 then
							GAMESTATE:ApplyGameCommand('mod,'..v[3],v[5]);
						else
							GAMESTATE:ApplyGameCommand('mod,'..v[3]);
						end
					end
				end
			end
			
			self:queuecommand('Update2');
			
		end,
  },
  Def.BitmapText{
    Name= "xtl_actor_xht",
  Font= "Common Normal,",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;effectclock,music;playcommand,"SetTime";visible,true),
  SetTimeCommand= function(self) self:settext(self:GetSecsIntoEffect()); rob_time = tonumber(self:GetText()); self:sleep(0.02); self:queuecommand('SetTime'); end,
  Text= "test,",
  },
  Def.BitmapText{
    Name= "xtl_actor_yht",
  Font= "Common Normal,",
  OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;effectclock,music;playcommand,"SetTime";visible,true),
  SetTimeCommand= function(self) self:settext(math.sin(GAMESTATE:GetSongBeat()*math.pi*2)); self:sleep(0.02); self:queuecommand('SetTime'); end,
  Text= "test,",
  },
}