local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_zht",
  Def.Quad{
    Name= "xtl_actor_ait",
  InitCommand= cmd(visible,true),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_bit",
  InitCommand= cmd(visible,true),
  OnCommand= function(self) --ie
				fgcurcommand = 1
                curmod = 1
                mods = {
                      {0,     'No Cover'}, --why would you not want to see Ratchet
                      {0.01,  '*100 Dark, *100 75% Stealth'},
                      {1,     '*0.1 No Dark'},
                      {7,     '*12 No Stealth'},
                     {37,     '*100 Alternate'},
                     {37.25,  '*100 No Alternate'},
                     {37.5,   '*100 Alternate'},
                     {37.75,  '*100 No Alternate'},
                     {38,     '*100 Alternate'},
                     {38.25,  '*100 No Alternate'},
                     {38.5,   '*100 -100% Cross'},
                     {38.75,  '*100 No Cross'},
                     {39,     '*12 10% Drunk, *12 10% Tipsy'},
                     {63,     '*10000 Beat'},
                     {66.75,  '*100 No Beat, No Drunk, No Tipsy'},
                     {68.75,  '*10000 420% Beat'}, --time to be very mature
                     {69.75,  '*100 No Beat'},
                     {70,     '*10000 280% Bumpy'},
                     {71,     '*10000 No Bumpy'},
                     {74,     '*10000 280% Beat'},
                     {74.75,  '*100 No Beat'},
                     {75,     '*10000 210% Dizzy'},
                     {77,     '*10000 420% Beat, *10000 280% Bumpy, *10000 No Dizzy'},
                     {77.41,  '*10000 Flip'},
                     {77.420, '*10000 No Flip'},
                     {77.75,  '*100 No Beat'},
                     {78,     '*10000 No Bumpy'},
                     {82,     '*10000 280% Beat'},
                     {82.75,  '*100 No Beat'},
                     {84,     '*10000 140% Beat'},
                     {84.75,  '*10000 420% Beat'},
                     {85.75,  '*100 No Beat'},
                     {86,     '*10000 280% Bumpy'},
                     {87,     '*10000 No Bumpy'},
                     {90,     '*10000 280% Beat'},
                     {90.75,  '*100 No Beat'},
                     {91,     '*10000 -210% Dizzy'},
                     {93,     '*10000 420% Beat, *10000 280% Bumpy, *10000 No Dizzy'},
                     {93.5,   '*10000 No Bumpy'},
                     {93.75,  '*100 No Beat'},
                     {98,     '*10000 420% Beat, *0.5 Bumpy'},
                     {98.75,  '*100 No Beat'},
                    {100.75,  '*10000 420% Beat'},
                    {101,     '*10000 No Bumpy'},
                    {101.75,  '*100 No Beat'},
                    {106,     '*10000 280% Beat'},
                    {106.75,  '*100 No Beat'},
                    {109,     '*10000 420% Beat, *10000 420% Bumpy'},
                    {109.75,  '*100 No Beat'},
                    {110,     '*10000 No Bumpy'},
                    {114,     '*10000 280% Beat'},
                    {114.75,  '*100 No Beat'},
                    {116,     '*10000 140% Beat'},
                    {117,     '*10000 420% Beat, *10000 420% Bumpy'},
                    {117.75,  '*100 No Beat'},
                    {118,     '*10000 No Bumpy'},
                    {122,     '*10000 280% Beat'},
                    {122.75,  '*10000 No Beat'},
                    {125,     '*10000 420% Beat, *10000 420% Bumpy'},
                    {125.5,   '*10000 No Bumpy'},
                    {125.75,  '*100 No Beat'},
                    {130,     '*10000 420% Beat, *0.5 Bumpy'},
                    {130.75,  '*100 No Beat'},
                    {133,     '*10000 No Bumpy'},
                    {148,     '*100 Split'},
                    {148.25,  '*100 No Split'},
                    {148.5,   '*100 Cross'},
                    {148.75,  '*100 No Cross'},
                    {149,     '*12 10% Drunk, *12 10% Tipsy'},
                    {151.75,  '*10000 420% Bumpy, *10000 420% Dizzy, *10000 25% Flip'},
                    {152,     '*12 No Bumpy, *12 No Dizzy, *12 No Flip'},
                    {157,     '*10000 Beat'},
                    {160.75,  '*10 50% Flip, *10000 No Beat, No Drunk, No Tipsy'}, --DOWN
                    {161.25,  'No Flip'},
                    {162.729, '*10000 Dark, *10000 Stealth, *10000 Cover'},
                    {163,     '*10000 280% Bumpy'},
                    {163.021, '*10000 No Dark, *10000 No Stealth, *10000 No Cover'},
                    {164,     '*10000 No Bumpy'},
                    {166.75,  '*10000 420% Beat'},
                    {167.75,  '*100 No Beat'},
                    {168,     '*10000 210% Dizzy'},
                    {170,     '*10000 280% Beat, *10000 280% Bumpy, *10000 No Dizzy'},
                    {170.75,  '*100 No Beat'},
                    {172,     '*10000 No Bumpy'},
                    {175,     '*10000 280% Beat'},
                    {175.75,  '*100 No Beat'},
                    {177,     '*10000 140% Beat'},
                    {177.75,  '*10000 420% Beat'},
                    {178.75,  '*100 No Beat'},
                    {179,     '*10000 280% Bumpy'},
                    {180,     '*10000 No Bumpy'},
                    {182.75,  '*10000 420% Beat'},
                    {183.75,  '*100 No Beat'},
                    {184,     '*10000 -210% Dizzy'},
                    {185,     '*100 420% Bumpy'},
                    {185.125, '*100 No Bumpy'},
                    {185.5,   '*100 420% Bumpy'},
                    {185.625, '*100 No Bumpy'},
                    {186,     '*10000 420% Beat, *10000 280% Bumpy, *10000 No Dizzy'},
                    {186.5,   '*10000 No Bumpy'},
                    {186.75,  '*100 No Beat'},
                    {191,     '*10000 420% Beat, *0.5 Bumpy'},
                    {191.75,  '*100 No Beat'},
                    {193.75,  '*10000 420% Beat'},
                    {194,     '*10000 No Bumpy'},
                    {194.75,  '*100 No Beat'},
                    {199,     '*10000 280% Beat'},
                    {199.75,  '*100 No Beat'},
                    {202,     '*10000 420% Beat, *10000 420% Bumpy'},
                    {202.75,  '*100 No Beat'},
                    {203,     '*10000 No Bumpy'},
                    {207,     '*10000 280% Beat'},
                    {207.75,  '*100 No Beat'},
                    {209,     '*10000 140% Beat'},
                    {210,     '*10000 420% Beat, *10000 420% Bumpy'},
                    {210.75,  '*100 No Beat'},
                    {211,     '*10000 No Bumpy'},
                    {215,     '*10000 280% Beat'},
                    {215.75,  '*100 No Beat'},
                    {217,     '*100 420% Bumpy'},
                    {217.125, '*100 No Bumpy'},
                    {217.5,   '*100 420% Bumpy'},
                    {217.625, '*100 No Bumpy'},
                    {218,     '*10000 420% Beat, *10000 280% Bumpy'},
                    {218.5,   '*10000 No Bumpy'},
                    {218.75,  '*100 No Beat'},
                    {223,     '*10000 420% Beat, *0.5 Bumpy'},
                    {223.75,  '*100 No Beat'},
                    {225,     '*10000 280% Beat'},
                    {226,     '*10000 Beat, *10000 No Bumpy'},
                    {232,     '*10000 210% Dizzy'},
                    {234,     '*10000 280% Beat, *10000 No Dizzy'},
                    {235,     '*10000 Beat'},
                    {242,     '*10000 280% Beat, *10000 280% Bumpy'},
                    {242.75,  '*100 No Beat'},
                    {244,     '*10000 No Bumpy'},
                    {247,     '*10000 280% Beat'},
                    {247.75,  '*100 No Beat'},
                    {248,     '*10000 -210% Dizzy'},
                    {250,     '*10000 420% Beat, *10000 280% Bumpy, *10000 No Dizzy'},
                    {250.5,   '*10000 No Bumpy'},
                    {250.75,  '*100 No Beat'},
                    {254.75,  '*10000 420% Beat'},
                    {255,     '*0.5 Bumpy'},
                    {255.75,  '*100 No Beat'},
                    {258,     '*10000 Beat, *10000 -420% Mini, *10000 50% Flip, *10000 200% Tornado, *10000 808% Bumpy'}, --get it
                    {258.25,  '*3 373% Mini, *3 No Bumpy, *3 Dark'},
                    {258.75,  '*100 No Beat'},
                }
                    self:queuecommand('Update')
                end,
  UpdateCommand= function(self)
                if curmod <= table.getn(mods) and GAMESTATE:GetSongBeat() >= mods[curmod][1] then
				    if mods[curmod] ~= nil then
					    if table.getn(mods[curmod]) == 3 then
						    GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2],mods[curmod][3])
					    else
						    GAMESTATE:ApplyGameCommand('mod,'..mods[curmod][2])
					    end
					    curmod = curmod + 1
				    end
			    end

                if (GAMESTATE:GetSongBeat() >= 162.729 and fgcurcommand == 1) then
                    --you are entering completely darkness (but not for long)
                    SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(1)
                    if GAMESTATE:IsHumanPlayer(PLAYER_1) then
                        SCREENMAN:GetTopScreen():GetChild('LifeP1'):hidden(1)
                        SCREENMAN:GetTopScreen():GetChild('ScoreP1'):hidden(1)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):hidden(1)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):hidden(1)
                    end
                    if GAMESTATE:IsHumanPlayer(PLAYER_2) then
                        SCREENMAN:GetTopScreen():GetChild('LifeP2'):hidden(1)
                        SCREENMAN:GetTopScreen():GetChild('ScoreP2'):hidden(1)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):hidden(1)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):hidden(1)
                    end
                    fgcurcommand = fgcurcommand + 1
                end

                if (GAMESTATE:GetSongBeat() >= 163.021 and fgcurcommand == 2) then
                    SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(0)
                    if GAMESTATE:IsHumanPlayer(PLAYER_1) then
                        SCREENMAN:GetTopScreen():GetChild('LifeP1'):hidden(0)
                        SCREENMAN:GetTopScreen():GetChild('ScoreP1'):hidden(0)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):hidden(0)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):hidden(0)
                    end
                    if GAMESTATE:IsHumanPlayer(PLAYER_2) then
                        SCREENMAN:GetTopScreen():GetChild('LifeP2'):hidden(0)
                        SCREENMAN:GetTopScreen():GetChild('ScoreP2'):hidden(0)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):hidden(0)
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):hidden(0)
                    end
                    fgcurcommand = fgcurcommand + 1
                end

                if (GAMESTATE:GetSongBeat() >= 170 and fgcurcommand == 3) then
                    if GAMESTATE:IsHumanPlayer(PLAYER_1) then
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bob()
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(-30,30,30)
                    end
                    if GAMESTATE:IsHumanPlayer(PLAYER_2) then
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bob()
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,30)
                    end
                    fgcurcommand = fgcurcommand + 1
                end

			    if (GAMESTATE:GetSongBeat() >= 172 and fgcurcommand == 4) then
			        if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect()
                    end
			        if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect()
                    end
                    fgcurcommand = fgcurcommand + 1
                end

			    if (GAMESTATE:GetSongBeat() >= 226 and fgcurcommand == 5) then
			        if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):wag()
					    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm')
					    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
					    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,0,-5)
                    end
			        if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):wag()
					    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm')
					    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1)
					    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,0,5)
                    end
                    fgcurcommand = fgcurcommand + 1
                end

			    if (GAMESTATE:GetSongBeat() >= 241 and fgcurcommand == 6) then
			        if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect()
                    end
			        if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect()
                    end
                    fgcurcommand = fgcurcommand + 1
                end

                if (GAMESTATE:GetSongBeat() >= 242 and fgcurcommand == 7) then
                    if GAMESTATE:IsHumanPlayer(PLAYER_1) then
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bob()
                        SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(-30,30,30)
                    end
                    if GAMESTATE:IsHumanPlayer(PLAYER_2) then
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bob()
                        SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(30,30,30)
                    end
                    fgcurcommand = fgcurcommand + 1
                end

			    if (GAMESTATE:GetSongBeat() >= 244 and fgcurcommand == 8) then
			        if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect()
                    end
			        if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					    SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect()
                    end
                    fgcurcommand = fgcurcommand + 1
                end

                self:sleep(0.01666666)
                self:queuecommand('Update')
            end,
  },
}