local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_txs",
  Def.Quad{
    Name= "xtl_actor_uxs",
  ActivateCommand= function(self)
		STEVEREENBGTHING:queuecommand('Visible')
		GAMESTATE:ApplyGameCommand('mod,-1000% Cover')
		self:sleep(6)
		self:linear(1)
		self:diffusealpha(0)
	end,
  OnCommand= function(self)
		self:zoom(SCREEN_WIDTH)
		self:x(SCREEN_CENTER_X)
		self:y(SCREEN_CENTER_Y)
		self:diffuse(0,0,0,0)
		self:linear(1)
		self:diffusealpha(1)
		self:queuecommand('Activate')
	end,
  },
  Def.Sprite{
    Name= "xtl_actor_vxs",
  OnCommand= function(self)
		STEVEREENBGTHING = self
		self:x(SCREEN_CENTER_X)
		self:y(SCREEN_CENTER_Y)
		self:customtexturerect(0.1,0.1,0.75,0.75)
		self:texcoordvelocity(-0.5,0.25)
		self:zoom(SCREEN_WIDTH/256)
		self:hidden(1)
	end,
  Texture= "itsjustastream.png",
  VisibleCommand= cmd(visible,false;sleep,39.96;queuecommand,"speedup1"),
  YeahBabySlowDownTheSongCommand= cmd(texcoordvelocity,-0.5,0.25),
  speedup1Command= cmd(texcoordvelocity,-0.7,0.35;sleep,26.678;queuecommand,"speedup2"),
  speedup2Command= cmd(texcoordvelocity,-0.9,0.45;sleep,25.264;queuecommand,"YeahBabySlowDownTheSong"),
  },
}