local xtl_cond_om_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_pm_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_qm",
  optional_actor(xtl_cond_om_result,
  Def.ActorFrame{
    Name= "xtl_actor_rm",
  OnCommand= cmd(@'x,'.. (Color1 == 'L') and 160-96 or ((Color1 == 'D') and 160-32 or ((Color1 == 'U') and 160+32 or ((Color1 == 'R') and 160+96 or 32)))),
    Def.AutoActor{
      Name= "xtl_actor_sm",
    File= @File1,
    },
  }),
  optional_actor(xtl_cond_pm_result,
  Def.ActorFrame{
    Name= "xtl_actor_tm",
  OnCommand= cmd(@'x,'.. (Color1 == 'L') and SCREEN_WIDTH-160-96 or ((Color1 == 'D') and SCREEN_WIDTH-160-32 or ((Color1 == 'U') and SCREEN_WIDTH-160+32 or ((Color1 == 'R') and SCREEN_WIDTH-160+96 or SCREEN_WIDTH-32)))),
    Def.AutoActor{
      Name= "xtl_actor_um",
    File= @File1,
    },
  }),
}