local xtl_cond_vm_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_wm_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local xtl_cond_xm_result= not GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_ym_result= not GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_zm",
  optional_actor(xtl_cond_vm_result,
  Def.ActorFrame{
    Name= "xtl_actor_an",
    Def.Sprite{
      Name= "xtl_actor_bn",
    OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y),
    Texture= "left.png",
    },
  }),
  optional_actor(xtl_cond_wm_result,
  Def.ActorFrame{
    Name= "xtl_actor_cn",
  OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y),
    Def.Sprite{
      Name= "xtl_actor_dn",
    Texture= "right.png",
    },
  }),
  optional_actor(xtl_cond_xm_result,
  Def.ActorFrame{
    Name= "xtl_actor_en",
  OnCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y),
    Def.Sprite{
      Name= "xtl_actor_fn",
    Texture= "none.png",
    },
  }),
  optional_actor(xtl_cond_ym_result,
  Def.ActorFrame{
    Name= "xtl_actor_gn",
  OnCommand= cmd(x,SCREEN_CENTER_X + 160;y,SCREEN_CENTER_Y),
    Def.Sprite{
      Name= "xtl_actor_hn",
    Texture= "none.png",
    },
  }),
}