local xtl_cond_mcd_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_ncd_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_ocd",
  optional_actor(xtl_cond_mcd_result,
  Def.ActorFrame{
    Name= "xtl_actor_pcd",
  OnCommand= cmd(x,SCREEN_CENTER_X + -160),
    Def.Sprite{
      Name= "xtl_actor_qcd",
    Texture= "../rr",
    },
  }),
  optional_actor(xtl_cond_ncd_result,
  Def.ActorFrame{
    Name= "xtl_actor_rcd",
  OnCommand= cmd(x,SCREEN_CENTER_X + 160),
    Def.Sprite{
      Name= "xtl_actor_scd",
    Texture= "../rr",
    },
  }),
}