local xtl_cond_nfd_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_ofd_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_pfd",
  optional_actor(xtl_cond_nfd_result,
  Def.ActorFrame{
    Name= "xtl_actor_qfd",
  OnCommand= cmd(x,SCREEN_CENTER_X + -160),
    Def.Sprite{
      Name= "xtl_actor_rfd",
    Texture= "../yl",
    },
  }),
  optional_actor(xtl_cond_ofd_result,
  Def.ActorFrame{
    Name= "xtl_actor_sfd",
  OnCommand= cmd(x,SCREEN_CENTER_X + 160),
    Def.Sprite{
      Name= "xtl_actor_tfd",
    Texture= "../yl",
    },
  }),
}